// 登录页面调用获取机型
App.page('login',function(){
	this.init = function(){
		$("#login_section").on('pageshow',function(){
			if(J.Cache.get('login')) {
				history.go(-1);
			}
			if(!isWechatClient()) registrationID();
			$("#login_form input[name=phone],#login_form input[name=password]").val('');
			$("#codeLogin_form input[name=phone],#codeLogin_form input[name=loginCode]").val('');
			$("#loginAgreement")[0].checked = false;
			$('.agreement-p').removeClass('active');
			getLoginTab('1','#codeLogin_tab');
		});
	};
});

// 登录页面调用获取机型
App.page('codeLogin',function(){
	this.init = function(){
		$("#codeLogin_section").on('pageshow',function(){
			if(!isWechatClient()) registrationID();
			s=60;
		}).on('pagehide',function(){
			s=0;//清除验证码倒计时
			$("#codeLogin_form input[name=phone],#codeLogin_form input[name=loginCode]").val('');
			// $("#codeLogin_form input[name='agreement']")[0].checked = false
		});
	};
});
// 注册
App.page('register',function(){
	this.init = function(){
		$("#register_section").on('pageshow',function(){
			s=60;
			// if(!isWechatClient()) registrationID();
		}).on('pagehide',function(){
			s=0;//清除验证码倒计时
			$("#register_form input[name=phone],#register_form input[name=phonecode],#register_form input[name=password]").val('');
			$("#register_form input[name='agreement']")[0].checked = false
			$("#signInButton").removeClass('active');
		});
	};
});

// 忘记密码
App.page('forgetPassword',function(){
	this.init = function(){
		$("#forgetPassword_section").on('pageshow',function(){
			s=60;
		}).on('pagehide',function(){
			s=0;//清除验证码倒计时
			$("#forgetPassword_form input[name=phone],#forgetPassword_form input[name=forgetCode],#forgetPassword_form input[name=password]").val('');
			$('#forgetPassword_form .icon-eye').removeClass('active');
		});
	};
});
// 设置用户信息
App.page('setUserInfo',function(){
	this.init = function(){
		$("#setUserInfo_section").on('pageshow',function(){
			if(isWechatClient()) getJSSDKConfigParams_service();//微信congif配置
			var myInfo = J.Cache.get('login');
			myInfo.data.face = fileServerUrl + myInfo.data.face ;
//			console.log('头像url：' + myInfo.data.face);
			J.Template.render('#setUserInfo_article>div', 'setUserInfo_template', myInfo.data, "replace");
			$('#editUserName').data('name',myInfo.data.name);
            // $("#setUserInfo_article [data-name='name']").off('tap').on('tap',function(){
            // 	myInfo = J.Cache.get('login');
            //     J.prompt('昵称',myInfo.data.name,function(){
            //         var name = $('#prompt_btn_container').find('input[name="name"]').val();
            //         var mock = {
            //             name : name
            //         };
            //         editUserInfo_service(mock,'name');
            //     });
            // });
		});
	};
});

// 我的余额
App.page('myBalance',function(){
	this.init = function(){
		$("#myBalance_section").on('pageshow',function(){
			getBalance_service();
		});
	};
});
// 余额
App.page('myGroupBalance',function(){
	this.init = function(){
		$("#myGroupBalance_section").on('pageshow',function(){
			getGroupBalance_service();
		});
	};
});
// 我的储值卡
App.page('myDepositCard',function(){
	this.init = function(){
		$("#myDepositCard_section").on('pageshow',function(){
			getMyCouponList_service(0);
		});
	};
});
// 我的优惠券
App.page('myCoupon',function(){
	this.init = function(){
		$("#myCoupon_section").on('pageshow',function(){
			getMyCouponList_service(1);
		});
	};
});
// 历史优惠券
App.page('historyCoupon',function(){
	this.init = function(){
		$("#historyCoupon_section").on('pageshow',function(){
			J.Refresh('#historyCoupon_article').destroy();
			J.showMask()
			var par = {
				page: 1,
				rows: 20
			}
			getHistoryCouponList_service(par);
		});
	};
});

// 我的地址
App.page('myAddress',function(){
	this.init = function(){
		$("#myAddress_section").on('pageshow',function(){
			addressList_service('me');
		}).on('pagehide',function(){
			
		});
	};
});
// 检测地址是否为空
App.page('myFamily',function(){
	this.init = function(){
		$("#myFamily_section").on('pageshow',function(){
			if(J.Cache.get('address') == null){
                if(J.Cache.get('userAddresses') && J.Cache.get('userAddresses').data){
                    J.Cache.save('address',J.Cache.get('userAddresses').data[0]);
				}else{
                    addressList_service();
				}
			}
		});
	};
});
// 新增、更改地址
App.page('newAddress',function(){
	this.init = function(){
		$("#newAddress_section").on('pageshow',function(){
			// 获取当前定位点
			getLocationOfWechatOrApp(function(address){
				gpsConvertFrom(address, function(resLnglat) {
					J.Cache.save('presentLnglat',resLnglat);
				}, function() {
					
				})
			}, function() {
				
			})
		}).on('pagehide',function(){
			
		});
	};
});
// 我的积分
App.page('myIntegral',function(){
	this.init = function(){
		$("#myIntegral_section").on('pageshow',function(){
			getMyIntegral_service();
		});
	};
});
// 活动积分
App.page('activityIntegral',function(){
	this.init = function(){
		$("#activityIntegral_section").on('pageshow',function(){
			getActIntegral_service();
		});
	};
});
// 我的金豆
App.page('yiBeansDetailInfo',function(){
	this.init = function(){
		$("#yiBeansDetailInfo_section").on('pageshow',function(){
            yiBeansDetailInfo_service();
		});
	};
});

// 苏果充值订单
App.page('suguoRechargeOrders',function(){
	this.init = function(){
		$("#suguoRechargeOrders_section").on('pageshow',function(){
			getSuguoOrderList_service();
		});
	};
});

// 帮助
// App.page('help', function() {
// 	this.init = function() {
// 		$("#help_section").on('pageshow', function() {
// 			getHelpInfo();
// 		});
// 	};
// });

//联系客服
App.page('notescontact', function() {
	this.init = function() {
		$('#notescontact_section').on('pageshow', function() {
			contactUs();
			getHelpInfo();
		});
	};
});

// 加盟商入口
App.page('allianceBusiness', function() {
	this.init = function() {
		$('#allianceBusiness_section').on('pageshow', function() {
			console.log('加盟商');
			if(J.Cache.get('login')) {
				$('#allianceBusiness_section input[name=phone]').val(J.Cache.get('login').data.phone)
			} else {
				setTimeout(function() {
					J.Router.goTo('#login_section');
					setTimeout(function() {
						$('#loginBack_button').attr('data-back',true);
					}, 10);
				}, 100);
			}
		});
	};
});

//手输条码
App.page('enterBarcode', function(){
	this.init = function() {
		$('#enterBarcode_section').on('pageshow', function() {
			$('#barCode')[0].innerText = '';
		});
	};
});

//扫码购订单页面
App.page('scanOrder', function(){
	this.init = function() {
		$('#scanOrder_section').on('pageshow', function() {
			$('#scanOrder_section .scanCloseNav li.active').eq(0).trigger('click');
		});
	};
});

// 商品管理
App.page('goodsControl', function(){
	console.log('goodsControl1')
	this.init = function() {
		console.log('goodsControl12')
		$('#goodsControl_section').on('pageshow', function() {
			console.log("#goodsControl_section", "historyHas", J.Cache.get('historyHas').data)
			if(J.Cache.get('historyHas').data){
				selectCommunity_control();
			}
			J.Cache.save('historyHas', true);
		});
	};
});

//商品管理列表
App.page('goodsControlList', function(){
	this.init = function() {
		$('#goodsControlList_section').on('pageshow', function() {
			var par = J.Cache.get("editGoodListPar").data;
			setTimeout(function() {
				getPDAGoodList_control(par);
			}, 100);
			if(par.menuId) {
				$('#goodsControlList_section .border_bottom .right').css('display','block');
			} else {
				$('#goodsControlList_section .border_bottom .right').css('display','none');
			}
		}).on('pagehide', function() {
			J.Cache.save('historyHas',false);
		});
	};
});
// goodsControlSearch_section
// 商品管理搜索
App.page('goodsControlSearch', function(){
	this.init = function() {
		$('#goodsControlSearch_section').on('pageshow', function() {
			getPDAPrepareSearch_control()
		}).on('pagehide', function() {
			$("#goodsControlSearch_section .shopSearch").val('')
			$('#PDASearchList_div').hide();
		});
	};
});
// 发票
App.page('invoice', function(){
	this.init = function() {
		$('#invoice_section').on('pageshow', function() {
			$("#invoice_section iframe").attr("src","./invoice.html");
		})
	};
});
//余额提现
App.page('getWithdraw',function(){
	this.init = function(){
		$("#getWithdraw_section").on('pageshow', function() {
			if(J.Cache.get('canWithdrawBalance')){
				$('#getWithdraw_article div.canWithdraw span').text(J.Cache.get('canWithdrawBalance').data);
			}
		})
	};
});

// 批量管理商品页面
App.page('goodControlPage', function(){
	this.init = function() {
		$('#goodControlPage_section').on('pageshow', function() {
			getServiceEventByMenuId_control();
		}).on('pagehide', function() {
			$('#goodControlPage_section i.cancel').removeClass('active');
			$('#goodControlPage_section .button-list .batch-sold').addClass('none');
		});
	};
});

//注销账号
App.page('cancelUserInfo', function(){
	this.init = function() {
		$('#cancelUserInfo_section').on('pageshow', function() {
			var tel = J.Cache.get('login').data.phone;
			$('#cancelUserTel').text(tel);
		});
	};
});

//会员中心
App.page('memberCenter', function(){
	this.init = function() {
		$('#memberCenter_section').on('pageshow', function() {
			if(J.Cache.get('login')){
                var level = J.Cache.get('login').data.level;
				if(level == 0){
					if(J.Cache.get('community') && J.Cache.get('community').data.canBuyVip){
						console.log('进入会员中心')
						enterVipCenter_control();
					}else{
						J.showToast('会员充值活动暂未开始');
						setTimeout(function(){
							goIndexPage();
						},300)
					}
				}else if(level == 1){
					if(J.Cache.get('canBuyVip').data){
						console.log('进入会员中心')
						enterVipCenter_control();
					}else{
						J.Router.goTo('#meMemberCenter_section');
					}
				}else{
					J.showToast('会员充值活动暂未开始');
					setTimeout(function(){
						goIndexPage();
					},300)
				}
            }else{
                J.showToast('请先登录');
                J.Router.goTo('#login_section');
            }
		});
	};
});

//我的专享会员
App.page('meMemberCenter', function(){
	this.init = function() {
		$('#meMemberCenter_section').on('pageshow', function() {
			if(J.Cache.get('login')){
                var level = J.Cache.get('login').data.level;
				if(level == 0){
					if(J.Cache.get('community') && J.Cache.get('community').data.canBuyVip){
						J.Router.goTo('#memberCenter_section');
					}else{
						J.showToast('会员充值活动暂未开始');
						setTimeout(function(){
							goIndexPage();
						},300)
					}
				}else if(level == 1){
					console.log('进入我的专享会员');
					enterMyVip_control();
				}else{
					J.showToast('会员充值活动暂未开始');
					setTimeout(function(){
						goIndexPage();
					},300)
				}
            }else{
                J.showToast('请先登录');
                J.Router.goTo('#login_section');
            }
		});
	};
});

// 选择收货地址
App.page('map', function(){
	this.init = function() {
		$('#map_section').on('pageshow', function() {
			$('#map_section .searchAddressResult').hide();
			$('#map_section input.searchbox').css('width','100%');
			$('#map_section .hideResult').css('display','none');
			$('#tipinput').val('');
			// initAMapUI(); //这里调用initAMapUI初始化
			// 初始化地图
			newInstantiationMap();
			if(map) map.setCenter(J.Cache.get("presentLnglat").data);
		});
	};
});

// // 会员专享商品
// App.page('baiMingDan', function(){
// 	this.init = function() {
// 		$('#baiMingDan_section').on('pageshow', function() {
// 			// $('#sortBaiMingDanProducts_ul li[value="2"]').addClass('active').siblings().removeClass('active');
// 			// $('#sortBaiMingDanProducts_ul li i').addClass('to').removeClass('bo');
// 		});
// 	};
// });

// 银行卡支付
App.page('unionpayPay', function(){
	this.init = function() {
		$('#unionpayPay_section').on('pageshow', function() {
			$("#unionpayPay_section iframe").attr("src","./iframe-page/pagePay.html");
		})
	};
});


// 订单已取消页面
App.page('cancelOrderComplete', function(){
	this.init = function() {
		$('#cancelOrderComplete_section').on('pageshow', function() {
			getExtensionAdvert();
			getTop20ServiceEvent('cancelOrderComplete_div');
			$('#cancelOrderComplete_section article').scrollTop(0);
		})
	};
});