// 商品详情
App.page('productDetail',function(){
    this.init = function(){
        $("#productDetail_section").on('pageshow',function(){
            getProductDetailDiv();
            $('#productDetail_article').unbind().scroll(function() {
                scrollTarget();
                getProductDetailDiv();
            });
            // page.currencyId = $("#currencyId").data().currency;
            $('#productDetail_article').scroll(function(){
                if(document.getElementById('productDetail_article').scrollTop > 500){
                    $('#productDetail_section .returnTop').css('display','inline-block');
                }else{
                    $('#productDetail_section .returnTop').css('display','none');
                }
            });
            // openId
            if(isWechatClient()) {
            	if (!J.Cache.get('openId')) {
                    // getOpenId();
                }
            }

            var windowUrl = window.location.href;

            if (windowUrl.indexOf('?') >= 0) {
                var eventId = getQueryStr('serviceEventId');
                var perfId = getQueryStr('perfId');
                if (eventId != undefined) {
                    getServiceEventDetailsData(eventId, true, perfId);
                }
            } else if (J.Cache.get("productPar")){
                cartNum_service('productDetail_section');
                getServiceEventDetailsData(J.Cache.get("productPar").data.serviceEventId, true, '', '', J.Cache.get("productPar").data.communityId);
            } else {
            	if(J.Cache.get("productDetail")) {   
                    cartNum_service('productDetail_section');         		
            		var data = J.Cache.get("productDetail").data;
            		renderProductDetailPage(data);
            	}
            }
            
            if(J.Cache.get('vipBaseInfo')){
                $('.vipTitle>span').text(J.Cache.get('vipBaseInfo').data.vipRechargeMoeny);
            }
        });
        $("#productDetail_section").on('pagehide',function(){
            unShowMaxCarouse(0);
            getProductDetailDiv();
            J.Cache.empty('productPar');
            $('#productDetail_section .invalidProduct').addClass('active');            
        })
    }
});
// 团购商品详情
App.page('productGroupon',function(){
    this.init = function(){
        $("#productGroupon_section").on('pageshow',function(){
            $('#productGroupon_article').scroll(function(){
                if(document.getElementById('productGroupon_article').scrollTop > 500){
                    $('#productGroupon_section .returnTop').css('display','inline-block');
                }else{
                    $('#productGroupon_section .returnTop').css('display','none');
                }
            });
            var windowUrl = window.location.href;
            if (windowUrl.indexOf('productGroupon_section?') >= 0) {
                if (isWechatClient()) {
                    if (!J.Cache.get('openId')) {
                        // getOpenId();
                    }
                }
                var eventId = windowUrl.split('productGroupon_section?')[1].split('serviceEventId=')[1].split('&userId=')[0];
                var code = windowUrl.split('productGroupon_section?')[1].split('groupOrderCode=')[1].split('&serviceEventId=')[0];
                var userId = windowUrl.split('productGroupon_section?')[1].split('&userId=')[1];
                if(code != null && code != null){
                    J.Cache.save('groupOrderCode',code);
                }
                if(userId != null && userId != null){
                    J.Cache.save('groupOrderUserId',userId);
                }
                if (eventId != undefined) {
                    getServiceEventDetails_service(eventId, {sName: '', sIndex: 0}, true,'',1);
                }
            }else {
                if(J.Cache.get("grouponProductDetail")) {
                    var data = J.Cache.get("grouponProductDetail").data;
                    renderGrouponProductDetail(data);
                }
            }
            if (isWechatClient()) {
                if(J.Cache.get('community').data.type == 0){
                    getJSSDKConfigParams_service();
                    wx.ready(function(){
                        // shareCircleOfFriends_control();
                        onMenuShareFri_control();
                    });
                }
            }
        });
        $("#productGroupon_section").on('pagehide',function(){
            unShowMaxCarouse(2);
        });
    };
});
// 金豆商品详情
App.page('yiBeansProductDetail',function(){
    this.init = function(){
        $("#yiBeansProductDetail_section").on('pageshow',function(){
            $('#YiBeansProductDetail_article').scroll(function(){
                if(document.getElementById('YiBeansProductDetail_article').scrollTop > 500){
                    $('#yiBeansProductDetail_section .returnTop').css('display','inline-block');
                }else{
                    $('#yiBeansProductDetail_section .returnTop').css('display','none');
                }
            });
        });
        $("#yiBeansProductDetail_section").on('pagehide',function(){
            unShowMaxCarouse(1);
        });
    };
});
App.page('commentDetail',function(){
    this.init = function(){
        $("#commentDetail_section").on('pageshow',function(){
            var data = J.Cache.get('commentInfo').data.commentInfos[0];
            if(data.type == 2){
                $('#commentDetail_section i.out_gray').css('display','none');
            }
            else {
                $('#commentDetail_section i.out_gray').css('display','inline-block');
            }
            var windowUrl = window.location.href;
            if(windowUrl.indexOf('?') >= 0){
                if (isWechatClient()) {
                    if (!J.Cache.get('openId')) {
                        // getOpenId();
                    }else{
                        commentDetail_service(J.Cache.get('commentItem').data);
                    }
                } else {
                    commentDetail_service(J.Cache.get('commentItem').data);
                }
            }
            setTimeout(function () {
                if (isWechatClient()) {
                    if(J.Cache.get('community').data.type == 0){
                        getJSSDKConfigParams_service();
                        wx.ready(function(){
                            // onMenuShareTimeline_control();
                            onMenuShareAppMessage_control();
                            onMenuShareQQ_control();
                            onMenuShareWeibo_control();
                            onMenuShareQZone_control();
                        });
                    }
                }
            },500);
            //serviceEventShare_control(J.Cache.get('professionalComment').data.type);
        });
        $("#commentDetail_section").on('pagehide',function(){
             //J.Cache.empty('professionalComment');
        })
    }
});

// 服务详情
App.page('serviceDetail',function(){
	this.init = function(){
		$("#serviceDetail_section").on('pageshow',function(){
			var windowUrl = window.location.href;
			if(windowUrl.indexOf('?') >= 0){
				if (isWechatClient()) {
					var len = windowUrl.split('?').length - 1 ;
					if (len == 2) {
						var eventId = windowUrl.split('?')[2].split('=')[1];
					} else {
						var eventId = windowUrl.split('?')[1].split('=')[1];
					}
					getServiceEventDetails_service(eventId, {sName: '', sIndex: 0}, true);
				} else {
					var eventId = windowUrl.split('serviceEventId')[1].split('=')[1];
					getServiceEventDetails_service(eventId, {sName: '', sIndex: 0}, true);
				}
			}
			// if(isWechatClient()) {
			// 	getJSSDKConfigParams_service();
			// }
		});
		$("#serviceDetail_section").on('pagehide',function(){
			// J.Cache.empty('share');
		})
	}
});

// 服务预约时间
App.page('serviceReservation',function(){
	this.init = function(){
		$("#serviceReservation_section").on('pageshow',function(){
			J.Cache.save('reservation',JSON.stringify([]));
			$('#serviceDetail_article [data-name="reservationTime"]').text('可预约时间').siblings('[data-name="time"]').remove();
		})
	}
});