App.page('payMethod',function() {
	this.init = function(){
        $("#payMethod_section").on('pageshow',function(){
		}).on('pagehide',function(){
			$("#payMethod_article .payment-list").removeClass('active');
			$("#integrationVal,#activityIntegrationVal,#blanceVal,#groupBlanceVal").val(0);
		});
	};
});
App.page('refundPayMethod',function() {
	this.init = function(){
		$("#refundPayMethod_section").on('pagehide',function(){
			$("#refundPayMethod_article .payment-list").removeClass('active');
			$("#refundIntegrationVal,#refundBlanceVal").val(0);
		});
	};
});

// 购物车结算页面
App.page('payLists',function() {
	this.init = function(){
		$("#payLists_section").on('pageshow',function(){
			// 如果在去支付页面开通会员则刷新支付页面
			if (J.Cache.get('isVipPage')) {
				if (J.Cache.get('isVipPage').data) {
					if (pay.isOrder) {
						getOrderMainsByOrderTop_service(pay.par.orderTopId);
					} else {
						console.log("开通会员后")
						pay.clearAccount(pay.handleType, pay.param.merchantId);
					}
					// history.go(-1);
					J.Cache.empty('isVipPage');
				}
			}
			
			if(!J.Cache.get('address')) return;
			if(!J.Cache.get('address').data) return;
			var addressInfo = J.Cache.get('address').data;
			$('#payLists_section .addressName').text(addressInfo.name);
			$('#payLists_section .addressContact').text(addressInfo.contact);
			if(!J.Cache.get('distributInformationList') || J.Cache.get('distributInformationList').data == null || J.Cache.get('distributInformationList').data.psDistributInformationList == null){
                //	获取配送提示信息
                getDistributeInfoList();
            }
            if(!J.Cache.get('disTypeRule') || J.Cache.get('disTypeRule').data == null){
                //	获取自提门槛
                acquireCarriage();
			}
			if(J.Cache.get('vipBaseInfo')){
                $('.vipTitle>span').text(J.Cache.get('vipBaseInfo').data.vipRechargeMoeny);
			}
			if (J.Cache.get('community') && J.Cache.get('community').data.canBuyVip) {
				if (J.Cache.get('login')){
					// 判断黑名单、已开通会员---- 不显示会员开通
					if (J.Cache.get('login').data.level == 0) {
						$('#payLists_section .goVip').show();
						$('#payLists_article').css('bottom','102px');
					}else{
						$('#payLists_section .goVip').hide();
						$('#payLists_article').css('bottom','51px');
					}
				}
			}else{
				$('#payLists_section .goVip').hide();
				$('#payLists_article').css('bottom','51px');
			}
		}).on('pagehide',function(){
			$('.groupNot').hide();
			$('.selectBox').hide();
		});;
	};
});
//投诉页面
App.page('complain',function(){
	this.init = function(){
		$('#complain_section').on('pageshow',function(){
			if(J.Cache.get('login').data.type == 1){
                $('#customerComplaint select').val('020489');
			}else{
                $('#merchantsComplaints select').val('020481');
			}
            $('#complain_section textarea').css('display','none');
		});
	};
});
//三方订单查询
App.page('orderTrackingResult',function(){
	this.init = function(){
		$('#orderTrackingResult_section').on('pageshow',function(){
			$('#orderTrackingSF').html('');
		}).on('pagehide',function(){
			clearInterval(orderTracking);
		});
	};
});
// 闭店
App.page('close', function () {
	this.init = function(){
		$('#close_section').on('pageshow',function(){
			$('#close_section article').css('background',J.Cache.get('community').data.closeBgColor);
			if(J.Cache.get('community').data.closeTimeSlot){
				setTimeout(function(){
					$('#closeShop button').attr('onclick','mapCurrentLocation()');
					// $('#closeShopContent span').html('<span style="color:red;">' +J.Cache.get('community').data.name.replace('附近','门店') + '</span>' + 
					// J.Cache.get('community').data.closeTimeSlot + '期间' + J.Cache.get('community').data.closeShopRemark);
					$('#closeShopContent').html('<h2 class="store-name">' +J.Cache.get('community').data.name.replace('附近','门店') + '</h2><div>'
				 	+  J.Cache.get('community').data.closeShopRemark) + '</div>';
				},300);
			}
		});
	};
});
//选择优惠券
App.page('choseAvailableCoupon', function () {
	this.init = function(){
		$('#choseAvailableCoupon_section').on('pageshow',function(){
			$('#choseAvailableCoupon_article .tishi span').text(pay.couponRule);
			$('.noCloseCoupon i').removeClass('active');
			$('.ptimalChoice i').removeClass('active');
		});
	};
});
// 退换货
App.page('applyRefund',function() {
	this.init = function(){
        $("#applyRefund_section").on('pageshow',function(){
			$('#applyRefund_section h1.title').text(orderRefundState);
			$('.refund-details .refund-button').css('pointer-events', 'auto');
		}).on('pagehide',function(){
			
		});
	};
});
