// 获取我的信息
function getMyInfo() {
    $("#classification_article").children('header').attr('value',true); //分类是否刷新显示
    var loginform = J.Cache.get('loginForm');
    if (loginform) {
        userAutoLogin_control();
    }else{
        $('#me_article i.logo').css('display','none');
        J.Template.render("#userInfo_login", "userInfo_template", {}, "replace");
        if(J.Cache.get('community') && J.Cache.get('community').data.canBuyVip){
            $('.bg_me').removeClass('vipHide');
            $('#open_vip>div').show();
        }else{
            $('.bg_me').addClass('vipHide');
            $('#open_vip>div').hide();
        }
        resetAccountMoney();
    }
}

// 重置账户信息
function resetAccountMoney() {
    $(".account-money i.integral").text(0);
    $(".account-money i.discount").text(0);
    $(".account-money i.balance").text(0);
    $(".account-money i.yiBeans").text(0);
    $(".account-money i.groupBalance").text(0);
}

// 设置账户信息
function setAccountMoney(data) {
    console.log(data);
    $(".account-money i.integral").text(data.integration || 0);
    $(".account-money i.discount").text(data.couponCount || 0);
    $(".account-money i.balance").text(data.accountBalance || 0);
    $(".account-money i.yiBeans").text(data.yiBeans || 0);
    $(".account-money i.groupBalance").text(data.groupBalance || 0);
}
// 编辑我的昵称
function editUserName(ele){
    var name = $(ele).data().name;
    $('#inputName').val(name);
    $('#customInfoPopup').show();
}
// 展示注册card
function showRegisterCard() {
    var html = '<div class="header"><span class="close" data-fun="close">关闭</span><span class="title">注册</span></div><form class="register-form register_form"><div class="register-text"><label>账号</label><input type="tel" maxlength="11" name="phone" placeholder="请输入手机号"></input><div class="register-code" id="registerCode" onclick="getCode(this)">获取验证码</div></div><div class="register-text"><label>验证码</label><input type="number" name="phonecode"  placeholder="请输入验证码"></input></div><div class="register-text"><label>密码</label><input type="password" name="passwd"  placeholder="请输入密码"></input></div><p class="register-word">注: 未注册过的手机将自动创建苏鲜生活账户</p><p class="register-explain"><input type="checkbox" name="agreement" onclick="toggleClassActive()"><a onclick="showAgreement(`login_article`)">《用户协议》</a><a onclick="showPrivacyPolicy(`login_article`)">《隐私协议》</a></p><div id="signInButton" class="register-btn" onclick="register_control(this)">立即注册</div></form>';
    J.Popup.showCard("#login_article", html);
    if (isAndroidIosApp()) {
        if (isIOS()) {
            document.querySelector('#jingle_popup .header').style.height = '64px';
            document.querySelector('#jingle_popup .header').style.paddingTop = '20px';
        }
    }
}
// 苏鲜生活注册协议
function showAgreement(el) {
    var html = '';
    if(el == 'login_article'){
        // 目前已无注册页面 未注册的手机号自动创建账户 已废弃 先保留代码
        html = '<div class="header"><span class="close" onclick = "showRegisterCard()">关闭</span><span class="title"></span></div>';
    }else{
        html = '<div class="header"><span class="close" data-fun="close"">关闭</span><span class="title"></span></div>';
    }
    var urlStr = 'https://file-test.vipxiaoqu.com/thumb/1/userAgreement.htm';
    // pc本地调试用（用链接会有跨域问题）
    if(!isAndroidIosApp() && !isWechatClient()){
        urlStr = './iframe-page/userAgreement.html';
    }
    html += '<iframe src="' + urlStr + '" frameborder="0" style="width: 100%; height: calc(100% - 44px);"></iframe>';
    J.Popup.showCard("#"+el, html);
    if (isAndroidIosApp()) {
        if (isIOS()) {
            document.querySelector('#jingle_popup .header').style.height = '64px';
            document.querySelector('#jingle_popup .header').style.paddingTop = '20px';
        }
    }
}
// 注册按钮是否可以点击
function toggleClassActive() {
	var agreement = $("input[name='agreement']")[0].checked;
	if(agreement) {
		$('#signInButton').addClass('active');
	} else {
		$('#signInButton').removeClass('active');
	}

}
function toggleAgreement(ele){
    var isActive = $(ele).hasClass('active');
    if(!isActive){
        $(ele).addClass('active');
        $("input[name='agreement']")[0].checked = true;
    }else{
        $(ele).removeClass('active');
        $("input[name='agreement']")[0].checked = false;
    }
}
// 获取注册验证码
function getCode(elements,id) {
    var phone = $(elements).parents().find('input[name=phone]').val();
    if (verifyPhone(phone)) {
        var par = {
            phone: phone
        };
        if(id != null && id != undefined){
            par.couponId = id;
        }
        var url = serverUrl + 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_sendCaptcha.sy';
        $.getJSON(url, par, function(data) {
            if (data.success) {
                $(elements).removeAttr('onclick');
                count(elements);
            } else {
            	J.showToast(data.message);
                $(elements).parent().find('input[name=phone]').val('');
            }
        })
    }
}
// 获取登录验证码 isForgetPwd: 0 登录页 1 修改密码页
function getLoginCode(elements,isForgetPwd) {
    var phone = $(elements).parents().find('input[name=phone]').val();
    $(elements).css({'pointer-events': 'none'});
    setTimeout(function() {
        $(elements).css({'pointer-events': 'initial'});
    }, 5000);
    if (verifyPhone(phone)) {
        var par = {
            phone: phone,
            isForgetPwd: isForgetPwd
        };
        var url = serverUrl + 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_sendCaptchaForQuickLogin.sy';
        $.getJSON(url, par, function(data) {
            if (data.success) {
                $(elements).removeAttr('onclick');
                J.Cache.save('loginCount',true);
                count(elements,isForgetPwd);
            } else {
            	J.showToast(data.message);
                $(elements).parents().find('input[name=phone]').val('');
            }
        })
    }
}
//扫码购未登录获取验证码
function getSweepCode(elements){
    var phone = $("#sweepRegister_form input[name=phone]").val();
    if (verifyPhone(phone)) {
        $(elements).removeAttr('onclick');
        var par = {
            phone: phone
        };
        var url = serverUrl + 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_sendCaptchaForScanCoupon.sy';
        $.getJSON(url, par, function(data) {
            if (data.success) {
                count(elements);
            } else {
                J.showToast(data.message);
                $(elements).text('获取验证码').removeClass('ban').attr('onclick', 'getCode(this)');
            }
        })
    }
}
// 忘记密码
function forgetPwd() {
    var phone = $("#forgetPassword_form input[name=phone]").val();
    var code = $("#forgetPassword_form input[name=forgetCode]").val();
    var password = $("#forgetPassword_form input[name=password]").val();
    var url = serverUrl + 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_forgetPwdByCode.sy';
    var par = {
        phone: phone,
        code: code,
        password: password
    }
    // if (verifyPhone(phone)) {
        // var par = {
        //     phone: phone
        // }
        // var url = serverUrl + 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_forgetPwd.sy';
        // $.getJSON(url, par, function(data) {
        //     if (data.success) {
        //         J.showToast('新密码已短信发送');
        //         history.go(-1);
        //         $("#forgetPassword_form input[name=phone]").val('');
        //         J.Cache.empty('login');
        //         J.Cache.empty('loginForm');
        //     } else {
        //         if(data.message == '' || data.message == null){
        //             J.showToast('此号码无效');
        //         }else{
        //             J.showToast(data.message);
        //         }
        //     }
        // })
    // }
    if (verifyPhone(par.phone)) {
        if(isNullString(par.code)){
            J.showToast('请输入验证码');
            return;
        }
        if(isNullString(par.password)){
            J.showToast('请输入新密码');
            return;
        }
        $.getJSON(url, par, function(data) {
            if (data.success) {
                J.showToast('密码修改成功，请重新登录！');
                J.Router.goTo('#index_section');
                $($('#index_footer').children()[4]).addClass('active').siblings().removeClass('active');
                $('#me_article').addClass('active').siblings().removeClass('active');
                $("#forgetPassword_form input[name=phone],#forgetPassword_form input[name=forgetCode],#forgetPassword_form input[name=password]").val('');
                s=0;//
                J.Cache.empty('login');
                J.Cache.empty('loginForm');
            } else {
                if(data.message == '' || data.message == null){
                    J.showToast('此号码无效');
                }else{
                    J.showToast(data.message);
                }
            }
        })
    }

}

// 登录页面按钮是否只返回一次
function isOnlyBack(el){
    var isBack = $(el).attr('data-back');
    if(isBack){
    	$(el).removeAttr('data-back');
        goMePage();
    }else{
        history.go(-1);
    }
}

// 注册
function register_control(ele) {
    $('#userInfo_div').attr('data-refresh',true);
    var phone = $(ele).parent().find('input[name=phone]').val();
    var phonecode = $(ele).parent().find('input[name=phonecode]').val();
    var passwd = $(ele).parent().find('input[name=password]').val();
    var agreement =  $(ele).parent().find("input[name='agreement']")[0].checked;
    var par = {
        phone: phone,
        code: phonecode,
        passwd : passwd
    }
    if (verifyPhone(par.phone)) {
        if (!isNullString(par.code)) {
            if(!isNullString(par.passwd)){
            	if(agreement) {
	                if (isWechatClient()) {
	                    if (!J.Cache.get('openId')) {
	                        J.showToast('请稍后重试');
	                        // getOpenId();
	                    } else {
	                        par.openId = J.Cache.get('openId').data;
	                        register_service(par);
	                    }
	                } else {
	                    register_service(par);
	                }
                }
            }else{
                J.showToast('请输入注册密码');
            }
        } else {
            J.showToast('请输入验证码');
        }
    }
}

// 密码登录 type 0：验证码登录 1：密码登录
function login_control(type){
    var ele = event.target;
    $(ele).css({'pointer-events': 'none'});
    setTimeout(function() {
        $(ele).css({'pointer-events': 'initial'});
    }, 3000);

    // 因为验证码/密码登录接口已经渲染了用户信息 不需要切回‘我的’时 立即自动登录刷新一次了  先注释掉 审核通过没问题就去掉
    // $('#userInfo_div').attr('data-refresh',true);
    var phone,
        code,
        par,
        agreement = $("#loginAgreement")[0].checked;
    if(type == 0){
        phone = $("#codeLogin_form input[name=phone]").val();
        code = $("#codeLogin_form input[name=loginCode]").val();
        
        par = {
            phone : phone,
            code : code
        };
    }else{
        phone = $("#login_form input[name=phone]").val();
        password = $("#login_form input[name=password]").val();
        par = {
            phone : phone,
            userPwd : password
        };
    }
    if (verifyPhone(par.phone)) {
        if(type == 0){
            if(isNullString(par.code)){
                J.showToast('请输入验证码');
                return;
            }
        }
        if(!agreement){
            J.showToast('请阅读并同意用户协议！');
            return;
        }
        if (isWechatClient()) {
            if (!J.Cache.get('openId')) {
                J.showToast('请稍后重试');
                // getOpenId();
            }else{
                par.openId = J.Cache.get('openId').data;
                clickLogin_service(par,type);
            }
        }else{
            clickLogin_service(par,type);
        }
    }
    forTheFirstTimeIntoTheAPP = true;
}
//退出登录
function logout_control() {
	J.Cache.empty('login');
	J.Cache.empty('address');
	J.Cache.empty('loginForm');
	logout_service();
    J.Template.render("#userInfo_login", "userInfo_template", {}, "replace");
    if(J.Cache.get('community') && J.Cache.get('community').data.canBuyVip){
        $('.bg_me').removeClass('vipHide');
        $('#open_vip>div').show();
    }else{
        $('.bg_me').addClass('vipHide');
        $('#open_vip>div').hide();
    }
    // 重置账户
    resetAccountMoney();
	history.go(-1)
}

// 自动登录
function userAutoLogin_control(){
    var userLoginPhone = J.Cache.get('loginForm').data.phone;
    var userLoginPwd = J.Cache.get('loginForm').data.userPwd;
    var par = {
        phone : userLoginPhone,
        userPwd : userLoginPwd
    };
    login_service(par);
}

// 设置
function setInfo_control(){
    var myInfo = J.Cache.get('login');
    J.Router.goTo("#setList_section");
    var par ={
        versionMsg: '20170807',
        WeChatName: '苏鲜生活',
        isLogin: false
    };
    if(window.AppVersion) {
        par.versionMsg = AppVersion.version;
    } else {
        par.versionMsg = serviceVersion;
    }
    if(myInfo) par.isLogin = true;
    contactUs(function(data){
        par.WeChatName = data.WeChatName;
        J.Template.render("#setList_article>div","setList_template",par,"replace");
    },function(){
        J.Template.render("#setList_article>div","setList_template",par,"replace");
    }); 
}
//修改用户信息
function alterInfo_control(){
    var myInfo = J.Cache.get('login');
    if(myInfo){
        J.Router.goTo("#setUserInfo_section");
    }else{
        J.showToast("请先登录后尝试");
        setTimeout(function(){
            J.Router.goTo('#login_section');
        },200)
    }
}
/**
 * [setUserFace_control 修改用户头像]
 */
function setUserFace_control(){
    if(isWechatClient()){
        wx.chooseImage({
            count: 1,
            success: function(res) {
                console.log('chooseImageRes', res);
                var fileUrl = res.localIds[0];
                uploadImageOfWechat_control(fileUrl);
            }
        });
    }else{
        // myself_actionsheet();
        $('#customFacePopup').show();
    }
}

/**
 * [uploadImageOfWechat_control description]
 * @param  {[type]} fileUrl [description]
 * @return {[type]}         [description]
 */
function uploadImageOfWechat_control(fileUrl){
    wx.uploadImage({
        localId: fileUrl,
        success: function(res) {
            var serverId = res.serverId;
            saveHeadPhotoForWechat_service(serverId, fileUrl);
        },
        fail: function(res) {
            J.showToast('上传失败');
        }
    });
}
// 当用户有收货地址时
function userHasAddress_control(mock){
    mock.map(function(item){
        // item.address = item.address.substr(0,14);
        if(item.userFamilyLabel != null){
            item.userFamilyLabel.domcolor = 0;//红底红边
            if(item.userFamilyLabel.labelName.indexOf('公司') > -1 ){
                item.userFamilyLabel.domcolor = 1;//蓝底蓝边
            }
            if(item.userFamilyLabel.labelName.indexOf('学校') > -1 ){
                item.userFamilyLabel.domcolor = 2;//黄底黄边
            }
        }
    })
    getCommunityList_service(3);//更新所有门店信息
    setTimeout(function(){
        J.Template.render('#myAddress_ul', 'myAddress_template', mock, "replace");
        slideDelete(1);
    },300)
}
/**
 * [addressHandle_control 收货地址操作]
 * @param  {String}  handleType [操作类型 'add'新增地址 'edit'编辑地址]
 * @param  {String}  comeWay [上一页面是否需要刷新]
 * @param  {Boolean} hasAddress [是否需要加载地址]
 */
function addressHandle_control(handleType,comeWay,hasAddress,id,labelId){
    J.Router.goTo("#newAddress_section");
    $('#receiverAddress').attr('onclick','mapCurrentLocation()');
    $('#receiverAddress').removeAttr('disabled');
    $('#newAddress_section span').removeClass('active');
    J.Cache.empty('labelId');
    J.Cache.save('newOrEditAddress',handleType);
    //亲情购添加地址/我的地址新增地址
    setTimeout(function(){
        if(handleType == 'add'){
            $('#newAddress_section h1.title').text('新增收货地址');
            $('#receiverAddress_form input').val('');
            if(labelId == undefined){
                $('#receiverAddress_form .none-border').show()
            }else{
                $('#receiverAddress_form .none-border').hide();
                J.Cache.save('labelId',labelId)
            }
        }else{
            $('#receiverAddress_form').attr('data-id',id);
            $('#receiverAddress_form').attr('data-change','');
            //提交订单页面/拼团付尾款更改地址
            $('#newAddress_section h1.title').text('编辑收货地址');
            if(comeWay == 'payLists' || comeWay == 'groupPay'){
                if(J.Cache.get('address') && J.Cache.get('address').data != ''){   //如果有地址，加载已有地址
                    var address = J.Cache.get('address').data;
                    $('#receiverAddress').attr('onclick','');
                    $('#receiverAddress').attr('disabled','disabled');
                    if(address.id != ''){
                        if(labelId !=undefined){
                            J.Cache.save('labelId',labelId);  
                        }else{
                            if(address.userFamilyLabel != null){
                                J.Cache.save('labelId',address.userFamilyLabel.id);
                            }
                        }
                        $('#receiverAddress').val(address.residence);
                        $('#houseNum').val(address.street);
                        $('#contactsName').val(address.name);
                        $('#contactsNum').val(address.contact);
                    }else {
                        $('#receiverAddress').val(address.address);   //加载手动选择地址
                        $('#houseNum').val('');
                        $('#contactsName').val('');
                        $('#contactsNum').val('');
                    }
                }
            }else{
                //亲情购编辑地址/我的地址编辑地址
                var addresses = J.Cache.get('userAddresses').data;
                var addressInfo = '',removeObj={};
                for(var i = 0; i < addresses.length; i++) {
                    if(addresses[i].id == id) {
                        addressInfo = addresses[i];
                    }
                }
                if(addressInfo == ''){
                    history.go(-1);
                    J.showToast('该地址已经不存在');
                    if(labelId != undefined){
                        deleteFamilyLabel(labelId);
                    }
                }else{
                    if(labelId !=undefined){
                        J.Cache.save('labelId',labelId);  
                    }else{
                        $('#receiverAddress_form .none-border').show();
                        if(addressInfo.userFamilyLabel != null){
                            console.log('labelId',addressInfo.userFamilyLabel.id);
                            J.Cache.save('labelId',addressInfo.userFamilyLabel.id);
                        }
                    }
                    J.Cache.save('address',addressInfo);
                    removeObj = {
                        id: addressInfo.id,
                        isDefault: addressInfo.isDefault
                    }
                    $('#removeMyAddress').data(removeObj);
                    $('#receiverAddress').val(addressInfo.residence);
                    $('#houseNum').val(addressInfo.street);
                    $('#contactsName').val(addressInfo.name);
                    $('#contactsNum').val(addressInfo.contact);
                }
            }
        }
    },500)

}

var submitChange = false;
// 提交订单页面切换地址
function submitChangeFunc(){
    submitChange = true;
    J.Router.goTo('#myAddress_section');
}
// 选择退货地址
function editRefundAddress(comeWay){
    J.Router.goTo("#newAddress_section");
    $('#newAddress_section h1.title').text('编辑收货地址');
    J.Cache.save('newOrEditAddress',comeWay);
    setTimeout(function () {
        $('#receiverAddress').attr('onclick','');
        $('#receiverAddress').css('background-color','#fff');
        $('#receiverAddress').attr('disabled','disabled');
        var address = J.Cache.get('refundOrderId').data.orderDetails[0].orderMain.wtyAddress;
        if(address){
            $('#receiverAddress').val(address.residence);
            $('#houseNum').val(address.street);
            $('#contactsName').val(address.name);
            $('#contactsNum').val(address.contact);
            $('#newAddress_section span').removeClass('active');
        }
    },200)
    // J.Router.goTo("#myAddress_section");
    // setTimeout(function () {
    //     $('#myAddress_section h1.title').text('选择退货地址');
    //     J.Cache.save('handleSec',2);
    //     // var address = J.Cache.get('refundOrderId').data.orderDetails[0].orderMain.wtyAddress;
    // },200)
}

/**
 *保存定位地址
 * */
function saveAddress(ele) {
    // 刷新首页
    homeRefresh = true;
    var addressPosition = $(ele).find('span.searchAddressName').text();
    var lng;
    var lat;
    var address;
    if($(ele)[0].id.indexOf('four') >= 0){//选择地址页面推荐4个附近地址
        J.Cache.save('select','false');
        var i = Number($(ele)[0].id.split('four')[1]);
        if(i == '00'){
            lng = J.Cache.get('formattedAddress').data.position[0];
            lat = J.Cache.get('formattedAddress').data.position[1];
        }else{
            lng = J.Cache.get('fourPoints').data[i].location.lng;
            lat = J.Cache.get('fourPoints').data[i].location.lat;
        }
        address = {
            addressPosition : addressPosition,
            lngLat : [lng,lat]
        };
        //判断骑行距离
        // geocoding(address,ele);
        getNewDistance(1,[lng,lat],function(res){
            //判断骑行距离
            communityModalCallback(res,address);
        });
    }else if($(ele)[0].id.indexOf('search') >= 0){//搜索框搜索附近
        var i = Number($(ele)[0].id.split('search')[1]);
        lng = J.Cache.get('searchPoints').data[i].location.lng;
        lat = J.Cache.get('searchPoints').data[i].location.lat;
        address = {
            addressPosition : addressPosition,
            lngLat : [lng,lat]
        };
        J.showMask();
        //找出最近门店
        getNewDistance(1,[lng,lat],function(res){
            //判断骑行距离
            communityModalCallback(res,address);
        });
        
    }else if($(ele)[0].id.indexOf('mapPoints') >= 0){//地图页面附近地点
        var i = Number($(ele)[0].id.split('mapPoints')[1]);
        if(i == '00'){
            lng = J.Cache.get('positionResult').data.position.lng;
            lat = J.Cache.get('positionResult').data.position.lat;
        }else{
            lng = J.Cache.get('mapPoints').data[i].location.lng;
            lat = J.Cache.get('mapPoints').data[i].location.lat;
        }
        address = {
            addressPosition : addressPosition,
            lngLat : [lng,lat]
        };
        J.showMask();
        // 找出最近门店
        getNewDistance(1,[lng,lat],function(res){
            //判断骑行距离
            communityModalCallback(res,address);
        });
    }
}
function mapCurrentLocation(ele){
    if(ele){
        J.Cache.save('select','true');
    }else {
        J.Cache.save('select','false');
    }
    J.Router.goTo('#map_section');
    // setTimeout(function () {
    //     $('#map_section .searchAddressResult').hide();
    //     $('#map_section input.searchbox').css('width','100%');
    //     $('#map_section .hideResult').css('display','none');
    //     $('#tipinput').val('');
    //     // initAMapUI(); //这里调用initAMapUI初始化
    //     // 初始化地图
    //     newInstantiationMap();
    //     if(map) map.setCenter(J.Cache.get("presentLnglat").data);
    // },100);
}
//点击搜索框显示遮罩层
function showSearch(section,idName){
    console.log(section)
    $('#' + section + ' input.searchbox').css('width','85%');
    $('#' + section + ' .hideResult').css('display','inline-block');
    $('#' + section + " .searchAddressResult").css("width", $(document).width());
    $('#' + idName).empty();
    $('#' + section + ' .searchAddressResult').css('opacity','0.3');
    $('#' + section + " .searchAddressResult").show();
}
//点击取消搜索
function hideSearch(section){
    setTimeout(function () {
        $('#' + section + ' input.searchbox').val('');
        $('#' + section + ' .searchAddressResult').hide();
        $('#' + section + ' input.searchbox').css('width','100%');
        $('#' + section + ' .hideResult').css('display','none');
    },100)
}
//城市列表弹框
function selectCity(ele){
    event.stopPropagation();
    var name = $('#'+ele+' .cityName').text();
    $('.toggleCityBox .city-name').each(function(){
        $(this).removeClass('active');
        if($(this).text() == name){
            $(this).addClass('active');
        }
    })
    $('.toggleCityBox').addClass('active');
    if (isAndroidIosApp()) {
        if (isIOS()) {
            if (window.screen.height >= 812) {
                document.querySelector('.toggleCityBox').style.top = '40px';
            } else {
                document.querySelector('.toggleCityBox').style.top = '20px';
            }
        }
    }
    $('.toggleCityBox .city-name').unbind().click(function(){
        var val = $(this).text();
        $('#'+ ele +' .cityName').text(val);
        $('.toggleCityBox').removeClass('active');
    })
}
//关键字搜索
var searchTimeOut;
function searchNearAddress(keyword,idName){
    clearTimeout(searchTimeOut);
    var ele = 'selectAddress_section';
    if(idName == 'keywordSearchResult'){
        ele = 'map_section';
    }
    var cityName = $('#'+ele+' .cityName').text();
    if(cityName == '全国'){
        cityName = '';
    };
    searchTimeOut = setTimeout(function(){
        var placeSearch = new AMap.PlaceSearch({
            // city 指定搜索所在城市，支持传入格式有：城市名、citycode和adcode
            // city: 025,
            pageSize:20,
            citylimit: true,  //是否强制限制在设置的城市内搜索
        });
        if($.trim(keyword).length == 0){
            return;
        }
        keyword = cityName + keyword;
        console.log(keyword);
        placeSearch.search(keyword, function (status, result) {
            console.log(status)
            console.log(result)
            J.Cache.save('searchPoints',result.poiList.pois);
            // 查询成功时，result即对应匹配的POI信息
            if(status == 'complete'){
                $('.searchAddressResult').css('opacity','1');
            }
            var nearPoints = [];
            var nearPoint = {};
            if(result.poiList.pois.length > 0){
                var length;
                if(result.poiList.pois.length >20){
                    length = 20;
                }else{
                    length = result.poiList.pois.length;
                }
                document.getElementById(idName).innerHTML = '';
                for(var i=0;i<length;i++){
                    document.getElementById(idName).innerHTML += '<p id="search' + i + '" onclick="saveAddress(this);"><span class="searchAddressName">' + result.poiList.pois[i].name + '</span><br><a>' + result.poiList.pois[i].address + '</a></p>';
                    nearPoint.point = [result.poiList.pois[i].location.lng,result.poiList.pois[i].location.lat];
                    nearPoint.name = result.poiList.pois[i].name;
                    nearPoints.push(nearPoint);
                    nearPoint = {};
                }
            }
        })
    },1000)
}

//保存收货地址校验
function saveReceiverAddress(){
    var mockList = $('#receiverAddress_form').serializeArray();
    var errorMessge = "请输入";
    var correct = mockList.length;
    $.each(mockList, function(i, field) {
        if (isNullString($.trim(field.value))) {
            J.showToast(errorMessge + field.name);
            return false;
        } else {
            if(field.name == '联系方式') {
                if(!verifyPhone(field.value)) {
                    J.showToast('请输入正确的手机号')
                    return false;
                }
            }
            correct--;
        }
    });
    var addressInfo = '';
    
    var id = $('#receiverAddress_form').attr('data-id');
    var type = J.Cache.get('newOrEditAddress').data;
    if(correct == 0 && type == 'add'){
        if(submitChange){
            J.Popup.confirm4('提示','新增地址需返回购物车重新确认商品','取消','确定', function() {       
                saveUserAddress_service(mockList, true); //保存新地址
            },function(){
                return;
            })
        }else{
            saveUserAddress_service(mockList, true); //保存新地址
        }
    }
    if(correct == 0 && type == 'edit'){
        var addresses = J.Cache.get('userAddresses').data;
        for(var i = 0; i < addresses.length; i++) {
            if(addresses[i].id == id) {
                addressInfo = addresses[i];
            }
        }
        if(submitChange){
            J.Popup.confirm4('提示','编辑地址需返回购物车重新确认商品','取消','确定', function() {       
                editMyAddress_service(mockList, true,addressInfo); //更改地址
            },function(){
                return;
            })
        }else{
            editMyAddress_service(mockList, true,addressInfo); //更改地址
        }
    }
    if(correct == 0 && type == 'refundEdit'){
        editMyAddressNotAdd(); //更改地址
    }
}

/*我的订单*/
var timeRem; // 待支付订单倒计时；
var timeCancle; //待支付取消订单倒计时--列表页；
var timeCancleDetail; //待支付取消订单倒计时--详情页
var orders = {
	mock : [] ,

    //0.全部 1.待付款 2.待接单 3.送货中 5.收货待确认 6.售后订单 8.待评价 12.待补货
    goMyOrders: function(type,ele) {
        var that = this ;
        if(!J.Cache.get('login')){
            J.showToast('要先登录哟~');
            J.Router.goTo('#login_section');
            return;
        }
        if(type != 6){
            J.Router.goTo("#myOrders_section");
            setTimeout(function(){
                $('#orderCordDiv').data().type = type;
                J.Cache.save('getOrderType',type);
                if(ele != undefined){
                    $(ele).addClass('active').siblings().removeClass('active')
                }
                if(type == 1){
                    getOrderTopList_service({type: type,startIndex: 1,pageSize:20});
                } else if (type == 4) {
                    getCancelOrders_service({type: type,startIndex: 1,pageSize:20})
                }else {
                    getOrders_service({type:type,startIndex: 1,pageSize:20});
                }
            },300)
        }else{
            J.Router.goTo("#saledOrders_section");
            getSaledOrdersList_service({type: type,startIndex: 1,pageSize:20})
        }

    },
    // 列表tpl
	getOrderState : function(ordersArray,par){
		var type = par.type;
		var tplWay = par.startIndex > 1 ? 'add' : 'replace' ;
        var userType = J.Cache.get('login').data.type;
        // userType 1用户 2商户员工 3配送员 4快递员 5配送快递员
		if(par.startIndex == 1) {
			J.Refresh('#myOrders_article').destroy();
		}
	    if(ordersArray.length != 0 || par.startIndex == 1 || tplWay == 'replace') {
            ordersArray.map(function(item) {
                // 订单总费用
                item.totalFee = Math.formatFloat(item.total + item.freight + item.packingPrice);
            });
			if(ordersArray.length || tplWay == 'replace') {
                //1.待支付   6.售后订单
				if(type == 1){
                    // 关闭计时
                    clearInterval(timeCancle);
                    var showRemindArry = [];
                    ordersArray.map(function(item) {
                        item.serviceEvents.map(function(list) {
                            list.pic = picNetworkPrefix(list.pic);
                        })
                        if(!item.remindTime > 0){
                            showRemindArry.push(item.orderTopId);
                        }
                    });
                    J.Template.render("#myOrders_ul","unpaidOrders_template",ordersArray,tplWay,"您还没有相关订单");

                    cancelTime_control(showRemindArry,1);

                }else if(type == 6){
                    ordersArray.map(function(item) {
                        item.saledOrders.map(function(list) {
                            list.picture = picNetworkPrefix(list.picture);
                        })
                    });
                    J.Template.render("#myOrders_ul","saledOrders_template",ordersArray,tplWay,"您没有相关售后订单");
		        }else{
                    if(userType == 1){
                        // 关闭计时
                        clearInterval(timeCancle);
                        var showRemindArry = [];
                        ordersArray.map(function(item) {
                            if(!item.remindTime > 0 && item.orderState == 1){
                                showRemindArry.push(item.orderTopId);
                            }
                            item.orderProductNum = 0;
                            item.orderDetails.map(function(list) {
                                item.orderProductNum += list.odNum;
                                list.sePicture = picNetworkPrefix(list.sePicture);
                            })
                        });
                        J.Template.render("#myOrders_ul","myOrders_template",ordersArray,tplWay,"您还没有相关订单");

                        cancelTime_control(showRemindArry,1);
                    }
		            if(userType == 2) J.Template.render("#myOrders_ul","deliverAndSellerOrders_template",ordersArray,tplWay,"您还没有相关订单");
		            if(userType == 3 ) J.Template.render("#myOrders_ul","sellerOrders_template",ordersArray,tplWay,"您还没有相关订单");
		            if(userType == 4 ) J.Template.render("#myOrders_ul","delivererOrders_template",ordersArray,tplWay,"您还没有相关订单");
		            if(userType == 5 ) J.Template.render("#myOrders_ul","deliverAndSellerOrders_template",ordersArray,tplWay,"您还没有相关订单");
		            $("#myOrders_ul").attr('value',type);
                }
                // if(par.startIndex == 1 && ordersArray.length == 0){
                //     $('#myOrders_article').css('background-color','#f4f4f4');
                // }else{
                //     $('#myOrders_article').css('background-color','#FFFFFF');
                // }
		   }
        }
        if(ordersArray.length == 0 && par.startIndex == 1){
            $('.goToIndex').show();
        }else{
            $('.goToIndex').hide();
        }
	    if(userType != 1 && userType != 2){
            $('#myOrders_ul .contactNum').hide();
        }
	    //添加滚动条
	    J.Scroll("#myOrders_article", {});

		//上拉
		if(ordersArray.length >= 20) {
			if(par.type == 1) {
				J.Refresh('#myOrders_article', 'pullUp', function() {
	                var scroll = this;
	                setTimeout(function() {
	                    $('#baiMingDan_section header').attr('data-clearScroll',true); //商品列表页hide时不清滚动条
	                    par.startIndex = par.startIndex + 1;
	                    getOrderTopList_service(par);
	                    scroll.refresh();
	                }, 10);
	            })
			}else if(par.type == 6) {
				J.Refresh('#myOrders_article', 'pullUp', function() {
	                var scroll = this;
	                setTimeout(function() {
	                    $('#baiMingDan_section header').attr('data-clearScroll',true); //商品列表页hide时不清滚动条
	                    par.startIndex = par.startIndex + 1;
                        getSaledOrdersList_service(par);
	                    scroll.refresh();
	                }, 10);
	            })
			} else {
				J.Refresh('#myOrders_article', 'pullUp', function() {
	                var scroll = this;
	                setTimeout(function() {
	                    $('#baiMingDan_section header').attr('data-clearScroll',true); //商品列表页hide时不清滚动条
	                    par.startIndex = par.startIndex + 1;
	                    if(par.type == 4) {
	                    	 getCancelOrders_service(par)
	                    } else {
	                    	getOrders_service(par);
	                    }
	                    scroll.refresh();
	                }, 10);
	            })
			}
		} else {
			J.Refresh('#myOrders_article').destroy();
            if(par.startIndex > 1 || ordersArray.length > 0) $('#myOrders_ul').append('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
            J.Scroll("#myOrders_article", {});
            var heigth = $('#myOrders_ul')[0].clientHeight - $('#myOrders_article')[0].clientHeight;
            if(par.startIndex > 1){
                $('#myOrders_section .scrollWrapper')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
            }
		}
    } ,
    //售后订单
    getSaledOrderState : function(ordersArray,par){
		var tplWay = par.startIndex > 1 ? 'add' : 'replace' ;

		if(par.startIndex == 1) {
			J.Refresh('#saledOrders_article').destroy();
		}
	    if(ordersArray.length != 0 || par.startIndex == 1 || tplWay == 'replace') {
			if(ordersArray.length || tplWay == 'replace') {
                ordersArray.map(function(item) {
                    item.saledOrders.map(function(list) {
                        list.picture = picNetworkPrefix(list.picture);
                    })
                });
                J.Template.render("#saledOrders_ul","saledOrders_template",ordersArray,tplWay,"您没有相关售后订单");
		   }
        }
        
	    //添加滚动条
        J.Scroll("#saledOrders_article", {});
        
        if(ordersArray.length == 0 && par.startIndex == 1){
            $('.goToIndex').show();
        }else{
            $('.goToIndex').hide();
        }
		//上拉
		if(ordersArray.length >= 20) {
            J.Refresh('#saledOrders_article', 'pullUp', function() {
                var scroll = this;
                setTimeout(function() {
                    par.startIndex = par.startIndex + 1;
                    getSaledOrdersList_service(par);
                    scroll.refresh();
                }, 10);
            })
		} else {
			J.Refresh('#saledOrders_article').destroy();
            if(par.startIndex > 1 || ordersArray.length > 0) $('#saledOrders_ul').append('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
            J.Scroll("#saledOrders_article", {});
            var heigth = $('#saledOrders_ul')[0].clientHeight - $('#saledOrders_article')[0].clientHeight;
            if(par.startIndex > 1){
                $('#saledOrders_section .scrollWrapper')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
            }
		}
    } ,
    getSerchOrderState : function(ordersArray,par){
		var tplWay = par.startIndex > 1 ? 'add' : 'replace' ;

		if(par.startIndex == 1) {
			J.Refresh('#serchOrderList_article').destroy();
		}
	    if(ordersArray.length != 0 || par.startIndex == 1 || tplWay == 'replace') {
			if(ordersArray.length || tplWay == 'replace') {
                ordersArray.map(function(item) {
                    item.orderProductNum = 0;
                    item.orderDetails.map(function(list) {
                        item.orderProductNum += list.odNum;
                        list.sePicture = picNetworkPrefix(list.sePicture);
                    })
                });
                J.Template.render("#serchOrderList_ul","serchOrderList_template",ordersArray,tplWay,"您还没有相关订单");
		   }
        }
        if(ordersArray.length == 0 && par.startIndex == 1 ){
            $('.goToIndex').show();
        }else{
            $('.goToIndex').hide();
        }
	    //添加滚动条
	    J.Scroll("#serchOrderList_article", {});

		//上拉
		if(ordersArray.length >= 20) {
            J.Refresh('#serchOrderList_article', 'pullUp', function() {
                var scroll = this;
                setTimeout(function() {
                    par.startIndex = par.startIndex + 1;
                    serchOrderList_service(0,par.startIndex,20,par.orderCode);
                    console.log(par);
                    scroll.refresh();
                }, 10);
            })
		} else {
			J.Refresh('#serchOrderList_article').destroy();
            if(par.startIndex > 1 || ordersArray.length > 0) $('#serchOrderList_ul').append('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
            J.Scroll("#serchOrderList_article", {});
            var heigth = $('#serchOrderList_ul')[0].clientHeight - $('#serchOrderList_article')[0].clientHeight;
            if(par.startIndex > 1){
                $('#serchOrderList_section .scrollWrapper')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
            }
		}
    } ,
    // 获取订单详情
	getOrderDetail : function(id,state){
        J.Router.goTo("#orderDetail_section");
        setTimeout(function(){
            getOrderDetail_service(id);
        },200)
	},
    // 获取详情tpl
    getOrderDetail_tpl :function(mock){
	    console.log('mock',mock);
        var userType = J.Cache.get('login').data.type ;
        // userType 1用户 2商户员工 3配送员 4快递员 5配送快递员
        if(userType == 1) {
            clearInterval(timeCancleDetail);
            var showRemindArry = [];
            if(mock.orderMain.orderState == 1){
                if(!mock.orderMain.remindTime > 0){
                    showRemindArry.push(mock.orderMain.orderTopId);
                }
            }
            J.Template.render("#orderDetail_div","orderDetail_template",mock,"replace")
            cancelTime_control(showRemindArry,2);
        };
        if(userType == 2) J.Template.render("#orderDetail_div","deliverAndSellerOrderDetail_template",mock,"replace");
        if(userType == 3) J.Template.render("#orderDetail_div","sellerOrderDetail_template",mock,"replace");
        if(userType == 4) J.Template.render("#orderDetail_div","delivererOrderDetail_template",mock,"replace");
        if(userType == 5) J.Template.render("#orderDetail_div","deliverAndSellerOrderDetail_template",mock,"replace");


        // 倒计时
        if (mock.orderMainState == 1) {
            // 关闭计时
            clearInterval(timeRem);
            // 结束时间
            var time = new Date(mock.orderMain.createTime.replace(/-/g,'/')).getTime();
            console.log(mock.orderMain.createTime, time);
            // 剩余时间
            var timeRemaining = Math.floor((time + 30 * 60 * 1000 - new Date().getTime()) / 1000);
            
            console.log('timeRemaining', timeRemaining)

            // 初始化时间；
            if (timeRemaining <= 0) {
                $('.timeRemaining').text('00:00');
                return;
            }
            var m = Math.floor(timeRemaining / 60);
            var s = timeRemaining % 60;
            var str = (m < 10 ? '0' + m : m) + ':' + (s < 10 ? '0' + s : s);
            $('.timeRemaining').text(str);

            // 时间倒计时
            timeRem = setInterval(function() {
                timeRemaining--;
                if (timeRemaining <= 0) {
                    $('.timeRemaining').text('00:00');
                    clearInterval(timeRem);
                    return;
                }
                var m = Math.floor(timeRemaining / 60);
                var s = timeRemaining % 60;
                var str = (m < 10 ? '0' + m : m) + ':' + (s < 10 ? '0' + s : s);
                $('.timeRemaining').text(str);
            }, 1000);
        }
    },
    // 获取扫码购详情tpl
    getBarCodeOrderDetail_tpl :function(mock){
        // userType 1用户 2商户员工 3配送员 4快递员 5配送快递员
        var userType = J.Cache.get('login').data.type ;
        if(mock){
            if(userType == 3) J.Template.render("#barCodeOrderDetail_div","sellerBarCodeOD_template",mock,"replace");
            if(userType == 5) J.Template.render("#barCodeOrderDetail_div","deliverAndSellerBarCodeOD_template",mock,"replace");
            $('.payScanOrderFooter').data().orderCode = mock.serviceEvent[0].orderCode;
        }else{
            if(userType == 3) J.Template.render("#barCodeOrderDetail_div","sellerBarCodeOD_template",[],"replace");
            if(userType == 5) J.Template.render("#barCodeOrderDetail_div","deliverAndSellerBarCodeOD_template",[],"replace");
        }
    }
};
// 待支付取消按钮倒计时
function cancelTime_control(showRemindArry,type){
    if(showRemindArry.length>0){
        var timeing = 10;
        // 时间倒计时
        if(type == 1){
            timeCancle = setInterval(function() {
                timeing--;
                console.log(timeing);
                if (timeing <= 0) {
                    clearInterval(timeCancle);
                    $('.my-order-list .order-button span.btn-none').each(function(){
                        var _this = this;
                        showRemindArry.map(function(item){
                            if ($(_this).data().id == item) {
                                $(_this).removeClass('btn-none');
                            }
                        })
    
                    })
                    return;
                }
            }, 1000);
        } else {
            timeCancleDetail = setInterval(function() {
                timeing--;
                console.log(timeing);
                if (timeing <= 0) {
                    clearInterval(timeCancleDetail);
                    $('.stateTop .operateButtons > .execute.btn-none').removeClass('btn-none');
                    return;
                }
            }, 1000);
        }

    }
}
function searchOrder(orderCode) {
    $('#orderCordDiv input').blur();
	if(type == 1){
        getOrderTopList_service({type: type, orderCode: orderCode});
    } else if (type == 4) {
        getCancelOrders_service({type: type,startIndex: 1,pageSize:20, orderCode:orderCode});
    } else if(type == 6) {
        getSaledOrdersList_service({type: type,startIndex: 1,pageSize:20, orderCode:orderCode});
    }else{
        getOrders_service({type:type,startIndex: 1,pageSize:10, orderCode:orderCode});
    }
}

//去评价
function goToEvaluate(orderMainId) {
	if(isWechatClient()) getJSSDKConfigParams_service();//微信congif配置
	J.Router.goTo('#comment_section');
	setTimeout(function(){
		getReviewsOrderDetail_service(orderMainId);
    },200)
}

/**
 * [cancelOrRefundOrder_control 已付款 - 取消订单-退货]
 * @param  {Number} orderMainId [订单id]
 * @param  {String} way         [路径 'cancelOrder'取消订单 'applyForRefund'退货(已废弃)]
 */
function cancelOrRefundOrder_control(orderMainId, way ,pageNum){
    J.Router.goTo("#"+ way +"_section");
    var fn = {
        cancelOrder : function(orderMainId,pageNum,remark){
            if(remark == '' || remark == null){
                J.showToast('请填写原因');
                return;
            }else{
                setTimeout(function(){
                    $("#"+ way +"_article #textarea").css('display','none');
                    $("#"+ way +"_article [data-name='reason'] li").removeClass('active');
                    $("#"+ way +"_article [data-name='reason'] li:first-child").addClass('active');
                },2000)
                cancelOrderMainInPay_service(orderMainId,pageNum,remark);
                $("#cancelOrder_button").css('pointer-events','none');
            }
        }
    };
    setTimeout(function(){
        $("#cancelOrder_button").css('pointer-events','auto');
        $("#"+ way +"_button").off('click').on('click',function(){
            var remark = '';
            $("#"+ way +"_article [data-name='reason']").children('li').map(function(index,item){
                if($(this).hasClass('active')) {
                    if($.trim($(item).text()) == '其他原因'){
                        remark = $.trim($("#"+ way +"_article #textarea").val());
                        $("#"+ way +"_article #textarea").val('');
                    }else{
                        remark = $.trim($(item).text());
                    }
                }
            });
            fn[way](orderMainId,pageNum,remark);
        })
    },200)
}
/*
拼团取消已付款订单并退款
way    取消订单   或者  退货
pageNum   0订单列表    1订单详情
 */
function groupCancelOrder_control(orderMainId,way,pageNum){
    J.Router.goTo("#"+ way +"_section");
    setTimeout(function(){
        $("#"+ way +"_button").off('click').on('click',function(){
            var remark = '';
            $("#"+ way +"_article [data-name='reason']").children('li').map(function(index,item){
                if($(this).hasClass('active')) {
                    if($.trim($(item).text()) == '其他原因'){
                        remark = $.trim($("#"+ way +"_article #textarea").val());
                        $("#"+ way +"_article #textarea").val('');
                    }else{
                        remark = $.trim($(item).text());
                    }
                }
            });
            if(remark == '' || remark == null){
                J.showToast('请填写原因');
                return;
            }else{
                setTimeout(function(){
                    $("#"+ way +"_article #textarea").css('display','none');
                    $("#"+ way +"_article [data-name='reason'] li").removeClass('active');
                    $("#"+ way +"_article [data-name='reason'] li:first-child").addClass('active');
                },2000);
                cancelCollageOrderInPay_service(orderMainId, pageNum, remark);
            }
        })
    },200)
}
//退货页面计算退货数量
function countTotalRefund_control(orderMainId,type) {
    if(type){
        var totalNum = 0;
        var orderDetailIds = [];
        var orderDetailNums = [];
        var orderEventIds = [];
        for(var i = 0; i<$('#refundGoods_section .orderDetail-content').length;i++){
            var id = J.Cache.get('mock').data.serviceEvent[i].eachOrderMainId;
            var num = parseInt($("#refundGoods_section .numConfig input[type=number]")[i].value);
            if(num){
                if(num > J.Cache.get('mock').data.serviceEvent[i].leftNum){
                    num = J.Cache.get('mock').data.serviceEvent[i].leftNum;
                }
                totalNum += num;
                if(num != 0){
                    orderEventIds.push(i);
                    orderDetailIds.push(id);
                    orderDetailNums.push(num);
                }
            }
        }
        var refund =[orderEventIds,orderMainId,orderDetailIds,orderDetailNums];
        J.Cache.save('refund',refund);
        $("#refundGoods_section #totalNum").text(totalNum);
    }else{
        var totalNum = 0;
        var orderDetailIds = [];
        var orderDetailNums = [];
        var orderEventIds = [];
        for(var i = 0; i<$('#refundGoods_section .orderDetail-content').length;i++){
            var id = J.Cache.get('mock').data.serviceEvent[i].eachOrderMainId;
            var num = parseInt($("#refundGoods_section .numConfig input[type=number]")[i].value);
            totalNum += num;
            if(num != 0){
                orderEventIds.push(i);
                orderDetailIds.push(id);
                orderDetailNums.push(num);
            }
        }
        var refund =[orderEventIds,orderMainId,orderDetailIds,orderDetailNums];
        J.Cache.save('refund',refund);
        $("#refundGoods_section #totalNum").text(totalNum);
    }

}
 //退货页面确定按钮
 function totalRefund(type) {
     $('#refundGoods_section nav.right a').css('display','inline-block');
     $('#refundGoods_section .refundNum').css('display','inline-block');
     $('#refundGoods_section .firstConfirm').css('display','none');
     if(type == 1){
         $('#refundGoods_section .orderConfirmRefund').css('display','inline-block');
     }else{
         $('#refundGoods_section .confirmRefund').css('display','inline-block');
     }
     $('#refundGoods_section .numConfig').css('display','none');
     if(J.Cache.get('refund')){
         for(var i = 0; i<J.Cache.get('refund').data[0].length;i++){
             //j是退货商品在订单里的index序号
             var j = J.Cache.get('refund').data[0][i];
             var num = J.Cache.get('refund').data[3][i];
             if(num != 0 && num != null && num != ''){
                 $("#refundGoods_section #refundNum")[j].innerHTML = '退货 ×' +  num;
             }
         }
     }
}
//退货页面编辑按钮
function editRefund_control(){
    $('#refundGoods_section nav.right a').css('display','none');
    $('#refundGoods_section .refundNum').css('display','none');
    $('#refundGoods_section .firstConfirm').css('display','inline-block');
    $('#refundGoods_section .confirmRefund').css('display','none');
    $('#refundGoods_section .orderConfirmRefund').css('display','none');
    $('#refundGoods_section .numConfig').css('display','inline-block');
    //点击编辑按钮清空退货标签
   if(J.Cache.get('refund')){
       for(var i = 0; i<J.Cache.get('refund').data[0].length;i++){
           //j是退货商品在订单里的index序号
           var j = J.Cache.get('refund').data[0][i];
           var num = J.Cache.get('refund').data[3][i];
           if(num != 0){
               $("#refundGoods_section #refundNum")[j].innerHTML = '';
           }
       }
   }
}
/**
 * [stockoutCancelOrder_control 缺货 - 取消订单]
 * @param  {Number} orderMainId [订单id]
 */
function stockoutCancelOrder_control(orderMainId,pageNum){
    var length = $("#orderDetail_article").find('.have-button').length ;
    // 如果没有缺货商品 则进入已付款-取消订单，否则是缺货-取消订单
    length != 0 ? cancelOrderMainOutOfStock_service(orderMainId,pageNum) : cancelOrderMainInPay_service(orderMainId);
}

/**
 * [confirmStockout_control 缺货确定]
 * @param  {Number} orderMainId [订单id]
 */
function confirmStockout_control(orderMainId,pageNum, ele){
    var orderDetailIds = [];
    var orderDetailNums = [];
    $("#orderDetail_article").find('label[data-name="radio"]').map(function(index,item){
        if($(item).hasClass('active')) {
			if(parseInt($(item).parent().find('.lackNum').val())) {
	        	orderDetailIds.push(parseInt($(item).attr('data-id')));
	        	orderDetailNums.push(parseInt($(item).parent().find('.lackNum').val()));
			}
        }
    });
    if(orderDetailIds.length == 0) {
    	J.showToast('您没有选缺货商品!');
    	return;
    } else {
        $('#maskLayer').css('display','block');
        $('#shortageOfNote').css('display','block');
        $('#shortageOfReason').css('display','none');
        $('#replenishmentTime').css('display','none');
        $('#closeCouponsSelect').css('display','none');
        $('#shortageOfNote input').val('');
        $('#chooseItem ul li:first-child').addClass('active').siblings().removeClass('active');
        $('#chooseItem li').off().on('click',function () {
            var text = $(this).find('span').text();
            var ind = $(this).data().val;
            $(this).addClass('active').siblings().removeClass('active');
            $(this).parent().parent().css('display','none');
            $($('#shortageOfNote input')[ind]).val(text);
        });
        $('#shortageOfNote button').off().on('click',function () {
            var shortageMessage = [];
            for (var i=0;i<$('#shortageOfNote input').length;i++){
                if($.trim($($('#shortageOfNote input')[i]).val()).length == 0 || $($('#shortageOfNote input')[i]).val().indexOf('请选择') >= 0){
                    J.showToast($($('#shortageOfNote input')[i]).attr('placeholder'));
                    return;
                }else {
                    shortageMessage.push($($('#shortageOfNote input')[i]).val());
                }
            }
            console.log(shortageMessage)
            if(shortageMessage.length >= 3){
                $('#maskLayer').css('display','none');
                $('#shortageOfNote').hide();
                distributeDoneOutOfStock_service(orderMainId,orderDetailIds, orderDetailNums,pageNum,shortageMessage);
            }
        });
    }
}
/*补货确定
 */
function confirmRestock_control(orderMainId,pageNum, ele){
    $(ele).css('display','none');
    var orderDetailIds = [];
    var orderDetailNums = [];
    $("#orderDetail_article").find('label[data-name="radio"]').map(function(index,item){
        if($(item).hasClass('active')) {
            if(parseInt($(item).parent().find('.lackNum').val())) {
                orderDetailIds.push(parseInt($(item).attr('data-id')));
                orderDetailNums.push(parseInt($(item).parent().find('.lackNum').val()));
            }
        }
    }, function() {
        $(ele).css('display','');
    });
    if(orderDetailIds.length == 0) {
        J.showToast('您没有选补货商品!');
        $(ele).css('display','');
    } else {
        confirmRestock_service(orderMainId,orderDetailIds, orderDetailNums,pageNum);
    }
}

/**
 * [isStockout_control 缺货 - 送货]
 * @param  {Number} orderMainId [订单id]
 */
function isStockout_control(orderMainId,pageNum){
    var orderDetailIds = [];
    $("#orderDetail_article").find('.have-button').map(function(index,item){
        orderDetailIds.push(parseInt($(item).closest('orderDetail-content').attr('data-id')));
    })
    orderDetailIds.length == 0 ? deliverGoodsDone_service(orderMainId,pageNum) : deliverGoodsDoneOutOfStock_service(orderMainId,orderDetailIds,pageNum);
}
// 各状态更改后刷新页面
function refreshPage_control(orderMainId,pageNum, showWords,hasCancel) {
    var state = $("#myOrders_ul").attr('value');
    if (pageNum == 0) {
    	if(state == 5) {
    		history.go(-1) ;
    	}
    	if(state == 4) {
            getCancelOrders_service({type:state, startIndex: 1,pageSize:20});
        } else {
            getOrders_service({type:state, startIndex: 1,pageSize:10});
        }
    } else {
        if(hasCancel){
            history.go(-1) ;
            getOrders_service({type:state, startIndex:1,pageSize:10});
        }else{
            getOrderDetail_service(orderMainId);
        }
    }
    if(showWords) J.showToast(showWords);
}

/**
 * [getSuguoOrderList_control 获取苏果充值订单]
 * @param  {Object} mock [订单数据]
 */
function getSuguoOrderList_control(mock) {
    var userType = J.Cache.get('login').data.type;
    // userType 1用户 2商户员工 3配送员 4快递员 5配送快递员
    if (userType == 1){
        J.Template.render("#suguoRechargeOrders_ul", "mySuguoRechargeOrders_template", mock, "replace", "您还没有相关订单");
    }else{
        J.Template.render("#suguoRechargeOrders_ul", "sellerSuguoRechargeOrders_template", mock, "replace", "您还没有相关订单");
    }
    $('#suguoRechargeOrders_article').css('background-color','#F4F4F4');
    // if(mock.length == 0){
    //     $('#suguoRechargeOrders_article').css('background-color','#FFF');
    // }else{
    //     $('#suguoRechargeOrders_article').css('background-color','#ECF0F1');
    // }
}

// 取消苏果卡充值订单
function suguoCardCancelOrder_control(orderId){
    J.Router.goTo("#cancelSuguoCardOrder_section");
    setTimeout(function() {
        $("#suguoCardCancelOrder_button").off('click').on('click',function(){
            console.log('确认确认')
            var remark = '';
            $("#cancelSuguoCardOrder_article [data-name='reason']").children('li').map(function(index,item){
                if($(this).hasClass('active')) {
                    if($.trim($(item).text()) == '其他'){
                        remark = $.trim($("#cancelSuguoCardOrder_article .textarea").val());
                        $("#cancelSuguoCardOrder_article .textarea").val('');
                    }else{
                        remark = $.trim($(item).text());
                    }
                }
            });

            if(remark == '' || remark == null){
                J.showToast('请填写原因');
                return;
            }else{
                setTimeout(function(){
                    $("#cancelSuguoCardOrder_article .textarea").css('display','none');
                    $("#cancelSuguoCardOrder_article [data-name='reason'] li").removeClass('active');
                    $("#cancelSuguoCardOrder_article [data-name='reason'] li:first-child").addClass('active');
                },2000);

                console.log(orderId, remark);
                changeSuguoOrderState_service(orderId, 5, remark);
            }
        })
    }, 200)
}

function starGrade(ele, type, gradeClass) {
	var starAll = ele.parentElement.querySelectorAll('i');
	var num = ele.dataset.num;
	for(var i = 0; i < starAll.length; i++) {
		$(starAll[i]).removeClass('active');
		if(i < num) {
			$(starAll[i]).addClass('active');
		}
	}
	if(type == 0) {
		orderComment.order[gradeClass] = num;
	}else if(type == 1) {
		orderComment.commodity[gradeClass].quality = num;
	}
}
function gradeMessage(ele, type, contentId) {
	if(type == 0) {
		orderComment.order.evaluateContent = ele.value;
	}else if(type == 1) {
		orderComment.commodity[contentId].evaluateContent = ele.value;
	}
}

function uploadCommentImage(ele,type,contentId) {
	var parameter = {
		wechatURL: 'ws/commentAction' + versionMessage.version + '!saveCommentPicForWechat.sy',
		appURL: serverUrl + 'AppUploadCommentServlet'
	};
    var str1 = false;
    var str2;
    if((type == 3 || type == 4) && ele.innerHTML){
        str1 = true;//更换图片
        var img = $(ele).find('img').attr('src');//已上传的要替换掉的图片
        var imgs = $(ele).parent().find('li img');//所有已上传图片
        for(var i=0;i<imgs.length;i++){
            //找到当前要换的图片是第几张
            if(imgs[i].src == img){
                str2 = i;
            }
        }
    }
	newUploadImage(parameter, function(url, base64Data) {
        // ele.style.backgroundImage = 'url(' + fileServerUrl + url + ')';
		if(type == 0) {
            ele.innerHTML = '<img src="' + base64Data + '"/>';
            // ele.style.backgroundImage = 'url(' + base64Data + ')';
			orderComment.order.picture = orderComment.order.picture ? orderComment.order.picture + ',' + url : url;
		}else if(type == 1) {
            ele.innerHTML = '<img src="' + base64Data + '"/>';
			orderComment.commodity[contentId].picture = orderComment.commodity[contentId].picture ? orderComment.commodity[contentId].picture + ',' + url : url;
        }else if(type == 3) {//退货图片
            if(ele.innerHTML == '' && $(ele).parent().find('li').length < 3){//最多上传3张  等于三张不再新增
                var html = ele.outerHTML;
                $(ele).parent().append(html);
            }
            ele.innerHTML = '<img src="' + base64Data + '"/>';
            if(str1){
                orderRefund.image = orderRefund.image.split(",");
                orderRefund.image.splice(str2,1,url);
                orderRefund.image = orderRefund.image.join(',');
            }else {
                orderRefund.image = orderRefund.image ? orderRefund.image + ',' + url : url;
            }
            console.log(orderRefund.image)
        }else if(type == 4) {//苏果卡图片
            var img = pay.suguoCardTimeList.uploadImg.image;
            if(ele.innerHTML == '' && $(ele).parent().find('li').length < 3){//最多上传3张  等于三张不再新增
                var html = ele.outerHTML;
                $(ele).parent().append(html);
            }
            ele.innerHTML = '<img src="' + base64Data + '"/>';
            if(str1){//更换图片
                img = img.split(",");
                img.splice(str2,1,url);
                pay.suguoCardTimeList.uploadImg.image = img.join(',');
            }else {//上传图片
                pay.suguoCardTimeList.uploadImg.image = img ? img + ',' + url : url;
            }
            console.log(pay.suguoCardTimeList.uploadImg.image);
		}
	}, function(error) {
        console.log(error);
	})
}
var orderRefund = {
    image:''
};
var orderComment = {
	order:'',
	commodity:{
	}
}
//退货原因 是否展示填写框
function refundItem(val) {
    var refundData = J.Cache.get('refundOrderId').data;
    refundData.value = val;
    J.Cache.save('refundOrderId',refundData);
    if(val == 4){
        $('#refundReason').addClass('active');
        if(pay.refund.otherReason && pay.refund.otherReason != ''){
            $('#refundReason textarea').val(pay.refund.otherReason);
        }else{
            $('#refundReason textarea').val('');
        }
    }else {
        $('#refundReason textarea').removeClass('active');
    }
}
//保存用户填写的退货原因
function saveReason(){
    var text = $('#refundReason textarea').val();
    if($.trim(text).length == 0){
        J.showToast('请填写退货原因');
        return;
    }
    pay.refund.otherReason = $.trim(text);
    $('#refundReasonBox').css('display','none');
    $('#applyRefund_section .groupNot').hide();
}
//多个商品退货时确定数量
function confirmRefundNum(type){
    orderRefund.products = [];
    var lis = $("#refundProducts li");
    for (var i = 0;i<lis.length;i++){
        var arr = [];
        if($(lis[i]).find('label').hasClass('active') && $(lis[i]).find('input').val() > 0){
            var numData = parseInt($(lis[i]).find('input').val());
            arr.push($(lis[i]).data().id);
            arr.push(numData);
            orderRefund.products.push(arr);
        }
    }
    if(orderRefund.products.length == 0){
        pay.refund.totalNum = 0;
        pay.refund.canRefundMoney = 0;
        $("#totalRefundNum").text(pay.refund.totalNum);
        $("#refund-money").text('￥' + pay.refund.canRefundMoney);
        J.showToast('您还没有选择需要退货的商品!');
        return;
    }else{
        if(type){
            history.go(-1);
        }
    }
}
//整理退货数据
function refundData(){
    $('#userRefund').css('pointer-events', 'none');
    setTimeout(function() {
        $('#userRefund').css('pointer-events', 'unset');
    }, 2000);
    if($('#refund-cause .refund-right').text() == '请选择'){
        J.showToast('请选择退货原因');
        return;
    }else if($('#refund-cause .refund-right').text() == '其他原因'){
        if($.trim( $('#refundReason textarea').val()).length == 0){
            J.showToast('请填写退货原因');
            choseRefundReason()
            return;
        }else{
            orderRefund.remark = pay.refund.otherReason;
        }
    }else{
        orderRefund.remark = pay.refund.ressonName;
    }
    if($('#refund-cause .refund-right').attr('data-choose') == 1){
        orderRefund.inDoorTime = '';
    }else{
        if($('#refund-time .refund-right').text() == '请选择'){
            J.showToast('请选择取件时间');
            return;
        }else{
            orderRefund.inDoorTime = pay.refund.deliveryTime;
        }
    }
    if($('#totalRefundNum').text() == 0){
        J.showToast('您还没有选择需要退货商品数量!');
        return;
    }
    if(pay.refund.serviceEvent.length == 1){
        orderRefund.products = [];
        $('#categoriesRefund li').each(function (i,item) {
            var arr = [];
            arr.push($(item).data().id);
            arr.push(parseInt($(item).find('input').val()));
            orderRefund.products.push(arr);
        });
    }
    if(orderRefund.products.length == 0){
        J.showToast('您还没有选择需要退货的商品!');
        return;
    }
    J.showMask();
    if(typeof(orderRefund.products) != 'string'){
        orderRefund.products = JSON.stringify(orderRefund.products);
    }
    orderRefund.orderMainId = J.Cache.get('refundOrderId').data.orderDetails[0].orderMain.id;
    orderRefund.address = JSON.stringify(J.Cache.get('refundOrderId').data.orderDetails[0].orderMain.wtyAddress);
    refundConfirm(orderRefund);
}
// 点击放大查看退货图片
function ShowMaxRefundPic(index) {
    var refundPic = pay.refund.userPictures;
    $('#maxRefundPic img').attr('src',refundPic[index]);
    document.querySelector('#maxRefundCarousel').style.display = 'block';
    $('#maxRefundPic ul li').width(document.body.clientWidth);
}
// 跳转到首页
function goIndexPage() {
    J.Router.goTo('#index_section');
    $($('#index_footer').children()[0]).addClass('active').siblings().removeClass('active');
    $('#home_article').addClass('active').siblings().removeClass('active');
    if(mobilePay) mobilePay = false;
}
// 跳转到我的页面
function goMePage() {
    J.Router.goTo('#index_section');
    $($('#index_footer').children()[4]).addClass('active').siblings().removeClass('active');
    $('#me_article').addClass('active').siblings().removeClass('active');
    $('#userInfo_div').attr('data-refresh',true);
}

// 跳转到分类页面
function goClassificationPage() {
	$('#search_section input').val('');
	if(J.Cache.get('searchType').data == 1) {
		J.Router.goTo('#index_section');
	} else if(J.Cache.get('searchType').data == 2) {
		J.Router.goTo('#index_section');
		$($('#index_footer').children()[1]).addClass('active').siblings().removeClass('active');
    	$('#classification_article').addClass('active').siblings().removeClass('active');
	}
}
// 关闭
function xMark(ele) {
    $(ele).parent().removeClass('active');
}
// 显示数量设置
function showNumConfig(ele,orderState) {
    if(orderState == 12){
        if($(ele).parent().find('span.have-button').hasClass('none')){
            $(ele).parent().find('span.have-button').css('display','inline-block');
            $(ele).parent().find('span.have-button').removeClass('none');
        }else{
            $(ele).parent().find('span.have-button').css('display','none');
            $(ele).parent().find('span.have-button').addClass('none');
        }
    }
	$(ele).toggleActive();
	$(ele).parent().find('.numConfig').toggleActive();
}

// 加减数量
function numConfig(type, ele, maxNum) {
	var num = $(ele).siblings('input').val() * 1;
	var input = $(ele).siblings('input')[0];
	if(type == 'addnum') {
		if(num < maxNum) {
			input.value = num + 1;

		}
	} else if(type == 'subtract') {
		if(num > 0) {
			input.value = num - 1;

		}
	}
}
// 修改数量
function revampNumber(ele, maxNum) {
	var num = ele.value ? ele.value : 0;
	ele.value = num * 1;
	if(num < 0) {
		ele.value = 0;
	}
	if(num > maxNum) {
		ele.value = maxNum;
	}
}

// 扫码选择配货门店
function selectCommunityName(ele) {
	var communityCode =  $(ele).find('i').data().code + '';
	var communityName =  $(ele).find('span').text();
	$(ele).siblings().find('i').removeClass('active');
	$(ele).find('i').addClass('active');
	J.Cache.save('sweepSelectCommunity', {communityCode: communityCode, communityName: communityName});
}

// 扫码配货
function sweepBarcode(orderCode) {
	scanQRCode(function(res) {
		if(res.resultType == 'EAN_8' || res.resultType == 'EAN_13') {
			var par = {
				communityCode:J.Cache.get('sweepSelectCommunity').data.communityCode,
				orderCode: orderCode,
				bar_code: res.resultText
			}
			findServiceEventByBarCode(par, function(err) {
				J.Popup.confirm2('抱歉','没有找到该商品','手输条码','再扫一次',function(){
					// 再扫一次
					sweepBarcode(orderCode);
				},function(){
					// 手输条码
					barCodeScanner(orderCode);
				})
			});
		}
	});


//	// 注释
//	var par = {
//		communityCode:J.Cache.get('sweepSelectCommunity').data.communityCode,
//		orderCode: orderCode,
////		bar_code: '6901668200631'
//		bar_code: '6901668200631'
//	}
//	findServiceEventByBarCode(par, function(err) {
//		J.Popup.confirm2('抱歉','没有找到该商品','手输条码','再扫一次',function(){
//			console.log('再扫一次')
//		},function(){
//			console.log('手输条码')
//			barCodeScanner(orderCode);
//		})
//	});
}
// 扫码获取商品信息
function sweepGetPro(data, orderCode) {
	var par = {
	    communityCode: J.Cache.get('sweepSelectCommunity').data.communityCode,
	    communityName: J.Cache.get('sweepSelectCommunity').data.communityName,
	    orderCode: orderCode,
		barCode: data.serviceEventBean.serviceEventCode,
	    name: data.serviceEventBean.serviceEventName,
	    price: data.serviceEventBean.serviceEventPrice,
	    num: ""
	};
	console.log(data);
	var html = '<div id="productInformation">' +
				'<div class="name">' + data.serviceEventBean.serviceEventName + '</div> '  +
				'<div><p><span>商品编码：</span><span>' + data.serviceEventBean.serviceEventSku + '</span></p>' +
				'<p><span>商品条码：</span><span>' + data.serviceEventBean.serviceEventCode + '</span></p>' +
				'<p class="price"><span>￥' + data.serviceEventBean.serviceEventPrice + '</span></p><p>购买数量:</p></div> ' +
				'<div class="number"><i class="sweepSub">.</i>' +
				'<input class="sweepNum" value="1"><i class="sweepAdd">.</i></div> ' +
				'<div class="operation"><span class="sweepFinish" style="background-color:#87DAD1">结算</span>' +
				'<span class="sweepConfirm" style="background-color:#bd9d62">保存</span>' +
				'<span class="sweepOff" style="background-color:#cccccc">取消</span></div></div>'
	J.popup({html: html,
		pos: 'center',
    	showCloseBtn: false,
    	clickMask2Close : false,
	});
	var ele = document.querySelector('#productInformation .number i');
	$('#productInformation .sweepSub').bind('click', function() {
		numConfig('subtract', ele, 1000);
	});
	$('#productInformation .sweepAdd').bind('click', function() {
		numConfig('addnum', ele, 1000);
	});

	// 点击完成
	$('#productInformation .sweepFinish').bind('click', function() {
		var num = $('#productInformation .sweepNum').val();
        if(num > 0){
            par.num = num;
        }else{
            J.showToast('购买商品数量不能小于一件哦');
            return;
        }
		if(!data.isHave) {
			J.confirm('提示','当前物品不在此配货订单中，请确定是否加入', function() {
				getBarCodeOrderDetail_service(par);
			}, function() {})
		} else {
			getBarCodeOrderDetail_service(par);
		}
		console.log('结算');
	});
	$('#productInformation .sweepConfirm').bind('click', function() {
		var num = $('#productInformation .sweepNum').val();
        if(num > 0){
            par.num = num;
        }else{
            J.showToast('购买商品数量不能小于一件哦');
            return;
        }
		if(!data.isHave) {
			J.confirm('提示','当前物品不在此配货订单中，请确定是否加入', function() {
				saveScanOrder(par, function(err) {
					J.showToast(err.message)
				});
			}, function() {})
		} else {
			saveScanOrder(par, function(err) {
				J.showToast(err.message)
			});
		}
		console.log('保存');
	});
	$('#productInformation .sweepOff').bind('click', function() {
		J.Popup.close();
	})
}


// 生成条形码
(function() {
    if (!exports)
        var exports = window;
    var BARS = [ 212222, 222122, 222221, 121223, 121322, 131222, 122213,
            122312, 132212, 221213, 221312, 231212, 112232, 122132, 122231,
            113222, 123122, 123221, 223211, 221132, 221231, 213212, 223112,
            312131, 311222, 321122, 321221, 312212, 322112, 322211, 212123,
            212321, 232121, 111323, 131123, 131321, 112313, 132113, 132311,
            211313, 231113, 231311, 112133, 112331, 132131, 113123, 113321,
            133121, 313121, 211331, 231131, 213113, 213311, 213131, 311123,
            311321, 331121, 312113, 312311, 332111, 314111, 221411, 431111,
            111224, 111422, 121124, 121421, 141122, 141221, 112214, 112412,
            122114, 122411, 142112, 142211, 241211, 221114, 413111, 241112,
            134111, 111242, 121142, 121241, 114212, 124112, 124211, 411212,
            421112, 421211, 212141, 214121, 412121, 111143, 111341, 131141,
            114113, 114311, 411113, 411311, 113141, 114131, 311141, 411131,
            211412, 211214, 211232, 23311120 ], START_BASE = 38, STOP = 106;
    function code128(code, barcodeType) {
        if (arguments.length < 2)
            barcodeType = code128Detect(code);
        if (barcodeType == 'C' && code.length % 2 == 1)
            code = '0' + code;
        var a = parseBarcode(code, barcodeType);
        return bar2html(a.join('')) + '<label>' + code + '</label>';
    }

    function bar2html(s) {
        for (var pos = 0, sb = []; pos < s.length; pos += 2) {
            sb.push('<div class="bar' + s.charAt(pos) + ' space' + s.charAt(pos + 1) + '"></div>');
        }
        return sb.join('');
    }

    function code128Detect(code) {
        if (/^[0-9]+$/.test(code))
            return 'C';
        if (/[a-z]/.test(code))
            return 'B';
        return 'A';
    }

    function parseBarcode(barcode, barcodeType) {
        var bars = [];
        bars.add = function(nr) {
            var nrCode = BARS[nr];
            this.check = this.length == 0 ? nr : this.check + nr * this.length;
            this.push(nrCode || ("UNDEFINED: " + nr + "->" + nrCode));
        };
        bars.add(START_BASE + barcodeType.charCodeAt(0));
        for (var i = 0; i < barcode.length; i++) {
            var code = barcodeType == 'C' ? +barcode.substr(i++, 2) : barcode
                    .charCodeAt(i);
            converted = fromType[barcodeType](code);
            if (isNaN(converted) || converted < 0 || converted > 106)
                throw new Error("Unrecognized character (" + code
                        + ") at position " + i + " in code '" + barcode + "'.");
            bars.add(converted);
        }
        bars.push(BARS[bars.check % 103], BARS[STOP]);
        return bars;
    }
    var fromType = {
        A : function(charCode) {
            if (charCode >= 0 && charCode < 32)
                return charCode + 64;
            if (charCode >= 32 && charCode < 96)
                return charCode - 32;
            return charCode;
        },
        B : function(charCode) {
            if (charCode >= 32 && charCode < 128)
                return charCode - 32;
            return charCode;
        },
        C : function(charCode) {
            return charCode;
        }
    };

    // --| Export
    exports.code128 = code128;
})();

function barCodeScanner(code){
    J.Router.goTo('#enterBarcode_section');
    setTimeout(function(){
        $('#barCodeDiv').data().codeid = code;
    },100)
}

//手输条码页面
function enterCode(BarCode){
    if(BarCode == 'remove'){
        $('#barCode')[0].innerText = $('#barCode')[0].innerText.substring(-1,$('#barCode')[0].innerText.length - 1);
    }else if(BarCode == 'find'){
        var par = {
            communityCode:J.Cache.get('sweepSelectCommunity').data.communityCode,
            orderCode:$('#barCodeDiv').data().codeid,
            bar_code: $('#barCode')[0].innerText
        };
        findServiceEventByBarCode(par, function(err) {
            J.confirm('提示','找不到该商品，是否新增？',function(){
                J.Router.goTo("#newBarCode_section");
                setTimeout(function(){
                    $('#newBarCode_section p.newBarCode')[0].innerText = '';
                    $('#newBarCode_section .code-text input[type=text]').val('');
                    $('#newBarCode_section .code-text input[type=number]').val('');
                    $('#newBarCode_section .newBarCodeNum input[type=number]').val('1');
                    $('.newBarCode')[0].innerText = $('#barCode')[0].innerText;
                    $('#code-form').data().codeid = $('#barCodeDiv').data().codeid;
                },200)
            },function(){
                sweepBarcode($('#barCodeDiv').data().codeid);
            });
        });
    }else{
        $('#barCode')[0].innerText = $('#barCode')[0].innerText + BarCode;
    }
}
//扫码购新增商品请求接口
function newBarCode_control(code){
    var par = {
        communityCode: J.Cache.get('sweepSelectCommunity').data.communityCode,
        communityName: J.Cache.get('sweepSelectCommunity').data.communityName,
        orderCode : code,
        barCode : $('#newBarCode_section p.newBarCode')[0].innerText,
        name : $.trim($('#newBarCode_section .code-text input[type=text]').val()),
        price : $.trim($('#newBarCode_section .code-text input[type=number]').val()),
        num : $('#newBarCode_section .newBarCodeNum input[type=number]').val()
    };

    if(par.orderCode == '' || par.orderCode == null || par.orderCode == undefined){
        J.showToast('订单信息错误，请重新进入');
        return;
    }else if(par.barCode == '' || par.barCode == null || par.barCode == undefined){
        J.showToast('商品条码不能为空，请返回重新添加');
        return;
    }else if(par.name == '' || par.name == null || par.name == undefined){
        J.showToast('请输入商品名称');
        return;
    }else if(par.price == '' || par.price == null || par.price == undefined){
        J.showToast('请输入商品单价');
        return;
    }else if(par.num < 1){
        J.showToast('购买商品数量不能小于一件哦');
        return;
    }
    J.Popup.confirm2('提示','确定新增商品？','新增','新增并结算',function(){
            console.log('新增并结算');
            getBarCodeOrderDetail_service(par);
		},function(){
        console.log('继续扫码');
        console.log(par);
        saveScanOrder(par,function(err){
            J.showToast(err.message);
        });
    })
}
//扫码购支付弹框
function payScanOrder(){
    $('#barCodeOrderDetail_section .payScanOrder').css("height", $(document).height());
    $('#barCodeOrderDetail_section .payScanOrder').css("width", $(document).width());
    $('#barCodeOrderDetail_section .payScanOrder').show();
    $('#barCodeOrderDetail_section .payScanOrderFooter').css('display','block');
    $('#ScanOrderPrice')[0].innerText = $('#barCodeOrderDetail_section .orderDetail-titlePrice .red-price')[0].innerText;
}
// 生成条形码出店
function generateBarcode(barcode) {
	var html = '';
	html = '<div class="generateBarcode"><div class="barcode">'
			+ code128(barcode, 'C')
			+ '</div><div class="codeMessage">凭此码至收银台扫码出店</div></div>'
	J.popup({
    	html: html,
        pos: 'center',
        showCloseBtn: false
    });
}

// 更改完收货地址之后跳转页面
function addressBack(ele) {
	var type = $(ele).data().type;
	if(type == true) {
		$(ele).data().type = false;
		window.history.go(-1);
		setTimeout(function() {
			window.history.go(-1);
		}, 10)
	} else {
		window.history.go(-1);
	}
}
// ***************************************上下架***************************************
/**
 * goodObj 修改的商品列表
 */
var goodObj = {};
// 设置库存
function editRepertory(type, ele) {
    $(ele).css('color','#f24400');
    var fn = {
        addNum: function() {
            ele.value = ele.value * 1 + 1;
        },
        mulNum: function() {
            if(ele.value * 1) {
                ele.value = ele.value * 1 - 1;
            } else {
                ele.value = 0;
            }
        }
    }
    if(type) {
        fn[type]();
    } else {
        if (ele.value.length == 1) {
            ele.value = ele.value.replace(/[^0-9]/g, '1');
        } else {
            ele.value = ele.value.replace(/\D/g, '');
        }
    }
    $(ele).parents('#goodsControlList_ul > li').data('stocknum',Number(ele.value));
    var item = $(ele).parents('#goodsControlList_ul > li').data();
    goodObj[item.priceid]=item;
}

// 设置价格
function editGoodPrice(ele) {
    $(ele).css('color','#f24400');
    var priceValue = Math.floor(Math.formatFloat(ele.value * 100)) / 100;
    if(priceValue <= 0)  {
        ele.dataset.price = 0;
        ele.value = priceValue;
    } else {
        ele.dataset.pice = priceValue;
        ele.value = priceValue;
    }

    $(ele).parents('#goodsControlList_ul > li').data('price', priceValue);
    var item = $(ele).parents('#goodsControlList_ul > li').data();
    console.log('item', item);
    goodObj[item.priceid]=item;
}
// 设置上下架
function getSoldIn(ele){
    var hasActive = $(ele).parent().parent().hasClass('active');
    var item = $(ele).parents('#goodsControlList_ul > li').data();

    if(!hasActive){
        $(ele).parent().parent().addClass('active');
        $(ele).addClass('active');
        item.sale = true;
    }else{
        $(ele).parent().parent().removeClass('active');
        $(ele).removeClass('active');
        item.sale = false;
    }
    goodObj[item.priceid]=item
}

// 渲染片区
function selectCommunity_control() {
    // getCommList_service({}, function(data) {
    //     data.reverse();
    //     J.Template.render("#communitySelectOption_select", "communitySelectOption_template", data, "replace");
    //     setTimeout(function() {
    //         if(J.Cache.get('community')) {
    //             $('#communitySelectOption_select').val(J.Cache.get('community').data.id)
    //         }
    //         goodsListSelectCommunity_control()
    //     }, 100);
    // })
    getCommList_service({}, function(data) {
        data.reverse();
        var arr = J.Cache.get('login').data.workCommunityIds.split(',');
        var validData = [];
        for (var i = 0; i < data.length; i++) {
            if(arr.indexOf(data[i].id.toString()) >= 0) {
                validData.push(data[i]);
            }
        }
        J.Template.render("#communitySelectOption_select", "communitySelectOption_template", validData, "replace");
        setTimeout(function() {
            if(J.Cache.get('community')) {
                // $('#communitySelectOption_select').val(J.Cache.get('community').data.id)
                document.getElementById("communitySelectOption_select").options[0].selected = true
            }
            goodsListSelectCommunity_control()
        }, 100);
    })
}
// 商品管理切换片区
function goodsListSelectCommunity_control() {
    // 保存所选的片区
    var data = {
        id: $('#communitySelectOption_select').val(),
        name: $('#communitySelectOption_select option:selected').text()
    }
    J.Cache.save('PDACommunity', data);
    //
    menuList_control();
}

// 渲染菜单
function menuList_control() {
    var par = {
        communityId: J.Cache.get('PDACommunity').data.id
    }
    getPDAMenu_service(par, function(data) {
        J.Template.render("#goodsMenu_div", "goodsMenu_template", data, "replace");
        setTimeout(function() {
            $("#goodsMenu_div>ul>li").first().trigger('click');
        }, 100);
    })
}
// 渲染二级菜单
function secondaryMenuList_control(id) {
    var par = {
        parentId: id,
        communityId: J.Cache.get('PDACommunity').data.id,
        isPDA: true
    }
    getPDAMenu_service(par, function(data) {
        data.map(function(item){
			if(!isNullString(item.picture)){
				item.picture = picNetworkPrefix(item.picture);
			} else {
				item.picture = 'img/rice.jpg';
			}
		});
        J.Template.render("#pdaSecondLevelMenu_ul", "pdaSecondLevelMenu_template",{data: data}, "replace");
        // $("#goodsMenu_div>ul>li").first().trigger('click');
            // 图片懒加载
        $('#secondLevelMenu_ul img').LazyLoad({
            container: 'article',
            effect: 'show',
            effectArgs: 'slow',
            load: null,
            offset: 0
        });
    })
}

// 获取商品列表
function getGoodList_control(menuId) {
    J.Router.goTo("#goodsControlList_section");
    var par = {
        menuId: menuId,
        communityId: J.Cache.get('PDACommunity').data.id,
        startIndex: 1,
        pageSize: 10,
        sort: 1
    }
    J.Cache.save("editMenuId", menuId);
    J.Cache.save("editGoodListPar", par);
}
// 商品上下架的搜索
function getPDASearchList_control(name) {
    if(!isNullString($.trim(name))){
        J.Router.goTo("#goodsControlList_section");
        var par = {
            serviceName: name,
            communityId: J.Cache.get('PDACommunity').data.id,
            startIndex: 1,
            pageSize: 10,
            record: 1
        }
        J.Cache.save("editGoodListPar", par);
    }else{
        J.showToast('请输入内容');
    }
}

// 获取商品列表
function getPDAGoodList_control(par) {
    J.showMask();
    getGoodList_service(par, function(data, param) {
        //根据不同情况对页面进行判断是否清除滚动条 false时清除，true时不清除
        // var clearScroll = $('#goodsControlList_ul').attr('data-clearScroll');
        // if (clearScroll == undefined || clearScroll == 'false') {
        //     J.Refresh('#goodsList_article').destroy();
        // }
        J.hideMask();
        var tplWay = param.startIndex > 1 ? 'add' : 'replace';
        if(param.startIndex == 1) {
            J.Refresh('#goodsList_article').destroy();
        }
        data.map(function(item){
            if(!isNullString(item.picture)){
                item.picture = picNetworkPrefix(item.picture);
            } else {
                item.picture = 'img/rice.jpg';
            }
        });

        if(data.length != 0 || param.startIndex == 1) {
            J.Template.render('#goodsControlList_ul', 'goodsControlList_template', data, tplWay);
        }
        //添加滚动条
        J.Scroll("#goodsList_article", {});
        //上拉
        if(data.length >= 10) {
            J.Refresh('#goodsList_article', 'pullUp', function() {
                var scroll = this;
                setTimeout(function() {
                    $('#goodsControlList_ul').attr('data-clearScroll',true); //商品列表页hide时不清滚动条
                    param.startIndex = param.startIndex + 1;
                    getPDAGoodList_control(param);
                    scroll.refresh();
                }, 10);
            })
        } else {
            if(!(data.length == 0 && param.startIndex == 1)){
                J.Refresh('#goodsList_article').destroy();
                $('#goodsControlList_ul').append('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
                J.Scroll("#goodsList_article", {});
                var heigth = $('#goodsControlList_ul')[0].clientHeight - $('#goodsList_article')[0].clientHeight;
                if(param.startIndex > 1){
                    $('#goodsList_div')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
                }
            }
        }
    })
}

// 渲染历史搜索
function getPDAPrepareSearch_control() {
    $('#PDASearchList_div').hide();
    getPDAPrepareSearch_service({}, function(data) {
        J.Template.render('#PDAPrepareSearch_div', 'PDAPrepareSearch_template', data, "replace");
    })
}

// PDASeekTimer 搜索延迟；
var PDASeekTimer;
function PDASearchName_control(ele) {
	var name = $.trim(filterEmoji(ele.value));
    if(!isNullString(name)){
        clearTimeout(PDASeekTimer);
        PDASeekTimer = setTimeout(function() {
            var param = {
                serviceName : name,
            };
            getPDAServiceEvent_service(param, function(data) {
                if(data.serviceEventList.length == 0){
                    J.showToast('没有找到相关商品');
                    return;
                }
                $('#PDASearchList_div').show();
                J.Template.render('#PDASearchList_ul', 'PDASearchList_template', data, "replace");
                $('#PDASearchList_div').click(function() {
                    $('#PDASearchList_div').hide();
                });
            })
        }, 1000);
    }
}


var erudaN = 0;
// 调试工具开关
function erudaClick() {
    erudaN++
    console.log(erudaN);
    if(erudaN == 10) {
        eruda.init();
        $("#erudaOff").addClass('active');
        // J.Cache.save("erudaN", 0)
    }
}


// ***************************************// ***************************************页面跳转******************************************************************************
// 跳转到我的收货地址
function goMyAddress() {
    submitChange = false;
	J.Router.goTo('#myAddress_section');
}
//获取全部余额
function inputAllBalance() {
    var accountBalance;
    if(J.Cache.get('balance')){
        accountBalance = J.Cache.get('balance').data;
    }
    $('#inputAmount').val(accountBalance);
};

//设置金额
function editWithdraw(ele) {
    var priceValue = Math.floor(Math.formatFloat(ele.value * 100)) / 100;
    if(priceValue <= 0)  {
        ele.dataset.price = 0;
        ele.value = priceValue;
    } else {
        ele.dataset.pice = priceValue;
        ele.value = priceValue;
    }
}
//提交取现申请
function postWithdraw () {
    var balance,canWithdrawBalance,userId;//可提现余额、用户Id
    var applyMoney = $('#inputAmount').val();//提现金额
    if(J.Cache.get('balance')){
        balance = J.Cache.get('balance').data;
    }
    if(J.Cache.get('canWithdrawBalance')){
        canWithdrawBalance = J.Cache.get('canWithdrawBalance').data;
    }
    if(J.Cache.get('login')){
        userId = J.Cache.get('login').data.id;
    }
    if(applyMoney != ''){
        if (applyMoney > 0 && applyMoney <= canWithdrawBalance) {
            postWithdraw_service(applyMoney,balance,userId);
        }else{
            J.showToast('您输入的金额小于等于0或大于可提现余额，请重新输入！');
        }
        $('#inputAmount').val('');
    }else{
        J.showToast('请输您的金额！');
    }
};


// ***************************************商品管理***************************************
//商品管理密码弹出框
function getControlPassword_control() {
    J.Cache.save('historyHas', true);
    var html = '<div class="header"><span class="close" data-fun="close">关闭</span><span class="title">管理密码</span></div><div><input type="text" id="inputPwd" value=""><div id="dialKeyBoard"><button value="1" onclick="getNumEvent(this.value)">1</button><button value="2" onclick="getNumEvent(this.value)">2</button><button value="3" onclick="getNumEvent(this.value)">3</button><button value="4" onclick="getNumEvent(this.value)">4</button><button value="5" onclick="getNumEvent(this.value)">5</button><button value="6" onclick="getNumEvent(this.value)">6</button><button value="7" onclick="getNumEvent(this.value)">7</button><button value="8" onclick="getNumEvent(this.value)">8</button><button value="9" onclick="getNumEvent(this.value)">9</button><button value="清除" onclick="clearNumEvent()">清除</button><button value="0" onclick="getNumEvent(this.value)">0</button><button value="后退" onclick="escNumEvent()">后退</button></div></div>';
    J.Popup.showCard("#index_section", html);
    if(isAndroidIosApp()) {
        if (isIOS()){
            $('#jingle_popup .header').addClass('popupHeader');
        }
    }
}
//输入密码
function getNumEvent(val) {
    var pwd = $('#inputPwd').val();
    if(pwd.length <6){
        pwd += val;
        $('#inputPwd').val(pwd);
    }
    if(pwd.length == 6){
        getPassword();
    }
}

//清除密码
function clearNumEvent() {
    $('#inputPwd').val('');
}

//后退一步
function escNumEvent() {
    var val = $('#inputPwd').val();
    val = val.substring(0, val.length - 1);
    $('#inputPwd').val(val);
}

//确认密码
function getPassword() {
    var par, passWord, id;
    if(J.Cache.get('login')){
        passWord = $('#inputPwd').val();
        id = J.Cache.get('login').data.workCommunityIds;
        par = {
            communityId: id,
            passWord: passWord
        };
        getPassword_service(par, function(data) {
            J.Router.goTo("#goodsControl_section");
            J.closePopup();
        }, function () {
            J.showToast('您的密码不正确，请重新输入！');
        });
    }
    $('#inputPwd').val('');
}

//批量保存商品修改
function updateServiceEventBatch_control() {
    if(J.Cache.get('login').data.serviceEventManagePower != 1) {
        J.showToast('您没有管理权限');
        return;
    };
    if(!isEmptyObject(goodObj)){
        var goods = [],par;
        for( var i in goodObj){
            goodObj[i].stocknum = Number(goodObj[i].stocknum);
            goodObj[i].price = Number(goodObj[i].price);
            goods.push(goodObj[i]);
        }
        par = {
            goods: JSON.stringify(goods)
        };
        updateServiceEvent_service(par, function(data) {
            J.showToast('保存成功');
            goodObj = {};
        });
    }else{
        J.showToast('您没有需要修改保存的商品');
    }
}

// 批量修改库存页面
function getServiceEventByMenuId_control () {
    var par = {
        menuId: J.Cache.get("editMenuId").data,
        communityId: J.Cache.get('PDACommunity').data.id
    }
    getServiceEventByMenuId_service(par, function(data) {
        if(data.isSoldOutGoods){
            if(data.serviceInfo.length){
                $('#goodControlPage_section .button-list .batch-sold').removeClass('none');
            }
        };
        J.Template.render('#goodControlPage_ul', 'goodControlPage_template', data.serviceInfo, "replace");
    })

}

// 修改库存、上架
function batchUpdateSeStock_control() {
    var arr = [];
    var num = $("#batchNum").val()*1;
    var activeLi = $("#goodControlPage_ul li.active");
    var repertoryOrSold = repertorOrSold_control();
    if(activeLi.length <= 0) return;
    activeLi.each(function(i, item) {
        arr.push(item.dataset.priceid)
    });
    var par = {
        ids: arr,
        num: num,
        communityId: J.Cache.get('PDACommunity').data.id,
        repertoryOrSold: repertoryOrSold
    }

    batchUpdateSeStock_service(JSON.stringify(par), function(data) {
        J.showToast(JSON.parse(data).message);
    });
}

/*
repertoryOrSold 判断是修改库存还是上架
1 同时修改库存和上架；
2 只修改库存；
3 只修改上架；
 */
function repertorOrSold_control(){
    var isRepertor = $('#goodControlPage_section .batch-repertory i').hasClass('active'),
        isSold = $('#goodControlPage_section .batch-sold i').hasClass('active'),
        repertoryOrSold;
    if(isRepertor){
        if(isSold){
            return repertoryOrSold = 1;
        }else{
            return repertoryOrSold = 2
        }
    }else {
        if (isSold) {
            return repertoryOrSold = 3;
        } else {
            return repertoryOrSold = 2;
        }
    }
}
//用户注销协议
function showCancelAgreement() {
    var html = '<div class="header"><span class="close" data-fun="close">关闭</span><span class="title">用户注销协议</span></div>'
        + '<div id="wtyAgreement">'
        + '<p>&nbsp;&nbsp;&nbsp;&nbsp;在您注销您的账户之前，请充分阅读、理解并同意下列事项：' +
        ' 下列事项：</p>'
        + '<p></p>'
        + '<p>&nbsp;&nbsp;&nbsp;&nbsp;在此善意地提醒您，您注销苏鲜生活账户的行为，将导致我们终止对您提供本服务，也会给您的售后维权带来诸多不便。注销成功后，我们将删除您的个人信息，使其保持不可被检索、访问的状态，或对其进行匿名化处理。您知晓并理解，根据相关法律规定相关交易记录须在苏鲜生活保存1年甚至更长的时间。</p>'
        + '<p></p>'
        + '<p style="font-weight: 600">1.如果您仍执意注销账户，您的账户需同时满足以下条件：</p>'
        + '<p>(1) 账户在苏鲜生活系统中无资产、无欠款；</p>'
        + '<p>(2) 账户内无未完成的订单、已提供服务但未支付的订单/服务；</p>'
        + '<p>(3) 账户无任何纠纷，包括投诉举报或被投诉举报；</p>'
        + '<p>(4) 账户为正常使用中的账户且无任何账户被限制的记录；</p>'
        + '<p>(5) 账户对应的苏鲜生活支付账户已注销，且已妥善处理了苏鲜生活支付账户下的所有问题；</p>'
        + '<p></p>'
        + '<p style="font-weight: 600">2.在苏鲜生活账户注销期间，如果您的苏鲜生活账户涉及争议纠纷，包括但不限于投诉、举报、诉讼、仲裁、国家有权机关调查等，苏鲜生活有权自行终止本苏鲜生活账户的注销而无需另行得到您的同意。</p>'
        + '<p></p>'
        + '<p style="font-weight: 600">3.请您在提交注销申请前，务必解绑其他相关账户，具 体可与我们的客服联系。</p>'
        + '<p></p>'
        + '<p style="font-weight: 600">4.苏鲜生活账户一旦被注销将不可恢复，请您在操作之前自行备份账户相关的所有信息和数据。注销苏鲜生活账户，您将无法再使用本苏鲜生活账户，也将无法找回 您苏鲜生活账户中及与账户相关的任何内容或信息(即使您使用相同的手机号码再次注册并使用苏鲜生活)，包括但不限于：</p>'
        + '<p>(1) 您将无法登录、使用苏鲜生活账户；</p>'
        + '<p>(2) 苏鲜生活账户的个人资料和历史信息(包括但不限于用户名、昵称、头像、预定/团购记录等)都将无法找回；</p>'
        + '<p></p>'
        + '<p style="font-weight: 600">5. 注销本苏鲜生活账户并不代表本苏鲜生活账户注销前的账户行为和相关责任得到豁免或减轻。</p>'
        + '<p></p>'
        + '</div>';
    J.Popup.showCard("#cancelUserInfo_article", html);
    if (isAndroidIosApp()) {
        if (isIOS()) {
            document.querySelector('#jingle_popup .header').style.height = '64px';
            document.querySelector('#jingle_popup .header').style.paddingTop = '20px';
        }
    }
}

//隐私政策
function showPrivacyPolicy(el) {
    var html = '';
    if(el == 'login_article'){
        // 目前已无注册页面 未注册的手机号自动创建账户 已废弃 先保留代码
        html = '<div class="header"><span class="close" onclick = "showRegisterCard()">关闭</span><span class="title"></span></div>';
    }else{
        html = '<div class="header"><span class="close" data-fun="close"">关闭</span><span class="title"></span></div>';
    }
    var urlStr = 'https://file-test.vipxiaoqu.com/thumb/1/privacyPolicy.htm';
    // pc本地调试用（用链接会有跨域问题）
    if(!isAndroidIosApp() && !isWechatClient()){
        urlStr = './iframe-page/privacyPolicy.html';
    }
    html += '<iframe src="' + urlStr + '" frameborder="0" style="width: 100%; height: calc(100% - 44px);"></iframe>';
    
    J.Popup.showCard("#"+el, html);
    if (isAndroidIosApp()) {
        if (isIOS()) {
            document.querySelector('#jingle_popup .header').style.height = '64px';
            document.querySelector('#jingle_popup .header').style.paddingTop = '20px';
        }
    }
}
// 投诉联系方式
function complaints(phone){
    var phoneArry = [];
    if(phone.indexOf(',') > -1){
        phoneArry = phone.split(',');
    }else{
        phoneArry.push(phone);
    }

    var html = '<div id="lianxi_div"><ul><li class="lianxi-top">添加客服微信</li>';
    phoneArry.map(function(item,index){
        var i = index+1;
        html += '<li>微信:'+ item+'<span class="wx-copy" data-clipboard-text="'+ item +'">复制</span></li>';
    });
    html += '</ul><div><span onclick="J.closePopup();">取消</span><span onclick="J.closePopup();">确定</span></div></div>';                                                                                                               
    J.popup({
    html: html,
    pos: 'center'
    });
    document.querySelector('#jingle_popup').style.top = '52.7%';
    document.querySelector('#jingle_popup').style.left = '12%';
    document.querySelector('#jingle_popup').style.right = '12%';
}

//复制微信号到剪切板
var clipboard = new ClipboardJS('.wx-copy');
clipboard.on('success', function(e) {
    J.showToast('复制成功');
    e.clearSelection();
});

clipboard.on('error', function(e) {
    J.showToast('复制失败');
});

//我的优惠券
function myCouponTap_control(ele,type){
    $(ele).addClass('active').siblings().removeClass('active');
    if(type ==1){
        $('#myCoupon_div').show();
        $('#myCoupon_used').hide();
    }else{
        $('#myCoupon_div').hide();
        $('#myCoupon_used').show();
    }
}

// 密码可见/隐藏
function toggleType(ele){
    var hasActive = $(ele).hasClass('active');
    var input = $(ele).parent().find('input');
    var type = input.attr("type");
    if(hasActive){
        $(ele).removeClass('active');
        $(ele).parent().find('input').attr("type","password")
    }else{
        $(ele).addClass('active');
        $(ele).parent().find('input').attr("type","text")
    }
}


// 会员中心
function enterVipCenter_control() {
    enterVipCenter_service({}, function(data) {
        console.log(data);
        data.couponGift = picNetworkPrefix(data.couponGift);
        data.customerService = picNetworkPrefix(data.customerService);
        data.freight = picNetworkPrefix(data.freight);
        data.topPic = picNetworkPrefix(data.topPic); 
        pay.memberDeductCoupon.memberCoupons = data.couponUsersByVip;
        pay.memberDeductCoupon.couponSelect = 0;
        if(data.couponUsersByVip && Object.keys(data.couponUsersByVip).length > 0){
            $('.balance_f').addClass('active');
            $('#memberCenter_section article').addClass('has-coupon');
            var len = Object.keys(data.couponUsersByVip).length;
            $('#memberCoupon').text(len + '张可用');
        }else{
            $('.balance_f').removeClass('active');
            $('#memberCenter_section article').removeClass('has-coupon');
        }
        
        data.rightAssociation.map(function(item) {
            item.picUrl = picNetworkPrefix(item.picUrl);
        })
        data.vipGoods.map(function(item) {
            item.picture = picNetworkPrefix(item.picture);
            item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
        })
        data.level = 0;
        if (J.Cache.get('login')) {
            data.level = J.Cache.get('login').data.level
        }

        // 会员活动说明
        J.Cache.save('sharePosterText',data.vipCentreActivityRemark);

        $("#memberCenter_section .renew").data({price: data.vipRechargeMoeny});
        $("#memberCenter_section .renew").data({realPrice: data.vipRechargeMoeny});
        $("#memberCenter_section .renew button .price").text(data.vipRechargeMoeny);

        J.Template.render('#enterVipCenter_div', 'enterVipCenter_template', data, "replace");
    }, function() {

    });
}
//购买会员选择可用抵扣券
function memberDeductCoupon_control() {
	$('#memberCenter_section .groupNot').css("height", $(document).height());
    $('#memberCenter_section .groupNot').css("width", $(document).width());
    $('#memberCenter_section .groupNot').show();
    var couponSelect = pay.memberDeductCoupon.couponSelect;
    var memberCoupons = pay.memberDeductCoupon.memberCoupons;
    var html = '<h1 class="box-title">优惠券</h1><div class="tishi"><i></i><span>会员抵扣券不可与商品券叠加使用</span></div>' +
    '<div class="change-use-coupon"><span class="not-use-coupon"><i></i><b>不使用优惠券</b></span><img src="./img/couponBtn.png" alt="" onclick="confirmCouponsSelect()"></div><div class="coupon-list"><ul class="couponList_ul"><li class="title">会员抵扣券</li>'; 
    for(var k in memberCoupons){
        if(k == couponSelect){
            html += '<li class="coupon-item coupon-bg active" data-key="' + k + '" data-id="' + memberCoupons[k].couponId + '" data-price="'+ memberCoupons[k].price2 +'"><div class="coupon_left"><p class="price"><b>￥</b>'+ memberCoupons[k].price2 + '</p><p class="name">'+ memberCoupons[k].couponName +'</p></div><div class="coupon_right"><h1>'
            + memberCoupons[k].couponName +'</h1><p>'+ memberCoupons[k].timeRange +'</p><i class="close-i"></i></div><div class="clear"></div></li>';
        }else{
            html += '<li class="coupon-item coupon-bg" data-key="' + k + '" data-id="' + memberCoupons[k].couponId + '" data-price="'+ memberCoupons[k].price2 +'"><div class="coupon_left"><p class="price"><b>￥</b>'+ memberCoupons[k].price2 + '</p><p class="name">'+ memberCoupons[k].couponName +'</p></div><div class="coupon_right"><h1>'
            + memberCoupons[k].couponName +'</h1><p>'+ memberCoupons[k].timeRange +'</p><i class="close-i"></i></div><div class="clear"></div></li>';
        }
    }
    html += '</ul></div>';
    document.getElementById('chooseMemberCoupon').innerHTML = html;
    $('#chooseMemberCoupon').css('display','block');
    var height = $(window).height()*0.5 - ($('.box-title').height() + $('.tishi').height() + $('.change-use-coupon').height());
	$('#chooseMemberCoupon .coupon-list').css('height',height+'px');
    $('.not-use-coupon').off().on('click',function(){
        $('.not-use-coupon i').toggleClass('active');
        if($('.not-use-coupon i').hasClass('active')){
            $('.coupon-item').removeClass('active');
            pay.memberDeductCoupon.couponSelect = 0;
            $("#memberCenter_section .renew").data().realPrice = $("#memberCenter_section .renew").data().price;
        }
    })
    $('.coupon-item').off().on('click',function(){
        $(this).addClass('active').siblings('.coupon-item').removeClass('active');
        $('.not-use-coupon i').removeClass('active');
        pay.memberDeductCoupon.couponSelect = $(this).data().key;
        var price = $(this).data().price;
        var realPrice = parseFloat($("#memberCenter_section .renew").data().price*1 - price);
        $("#memberCenter_section .renew").data().realPrice = realPrice;
    })
};
// 确认优惠券
function confirmCouponsSelect(){
    var txt = '';
    if($('.coupon-item.active').length > 0){
        txt = '已减'+ $('.coupon-item.active').data().price + '元';
    }else{
        pay.memberDeductCoupon.couponSelect = 0;
        $("#memberCenter_section .renew").data().realPrice = $("#memberCenter_section .renew").data().price;
        txt = Object.keys(pay.memberDeductCoupon.memberCoupons).length + '张可用';
    }
    var price = $("#memberCenter_section .renew").data().realPrice;
    $("#memberCenter_section .renew .price").text(price);
    $('#memberCoupon').text(txt);

    $('#memberCenter_section .groupNot').hide();
    $('.selectBox').hide();
}
// 点击购买
function clickBuyVIP() {
    var checked = $("#memberCenter_section [name=agreement]").attr('checked');
    if(!checked) {
        J.showToast("请阅读并同意会员开通和续费协议");
        return;
    }
    if(!J.Cache.get('login')){
        quickLogin();
        return;
    }

    // var price = $("#memberCenter_section .renew").data().price*1 || 9.9;
    // realPrice 去掉抵扣券金额后的实付金额
    var price = $("#memberCenter_section .renew").data().realPrice*1 || 9.9;
    console.log(price);

    J.Router.goTo("#payMethod_section");
    
    calculateAvailableIntegrationAndBalance_service(price, 2);
}

// 进入会员页面
function goToBuyVIP_control(){
    J.Cache.empty('canBuyVip');
    if(!J.Cache.get('login')) {
    	J.Router.goTo('#login_section');
        J.showToast('您尚未登录，请登录后重新尝试');
        return;
    }else{
        var level = J.Cache.get('login').data.level;
        if(level == 0){
            J.Router.goTo('#memberCenter_section');
        } else if(level == 1){
            J.Router.goTo('#meMemberCenter_section')
        } else {
            J.showToast('暂时无法购买');
        }
    }
}

// 我的专享会员
function  enterMyVip_control() {
    enterMyVip_service({}, function(data) {
        console.log("数据", data);
        data.userInfo.face = picNetworkPrefix(data.userInfo.face);
        data.rightInfo.customServiceInfo = picNetworkPrefix(data.rightInfo.customServiceInfo);

        data.vipGoods.map(function(item) {
            item.picture = picNetworkPrefix(item.picture);
            item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
            // serviceEventMarkPic
        })

        data.level = 0;
        if (J.Cache.get('login')) {
            data.level = J.Cache.get('login').data.level
        }
        // $("#memberCenter_section .renew").data({price: data.vipRechargeMoeny})
        J.Cache.save('canBuyVip',data.topInfo.canBuyVip);
        J.Template.render('#meEnterVipCenter_div', 'meEnterVipCenter_template', data, "replace");
    }, function() {

    });
}
// enterMyVip_service()


// 我的优惠券切换tabBar；
function toggleCouponList(type) {
    console.log(type);
    $("#myCoupon_article").scrollTop(0)
    if (type == 0) {
        $(".couponList-toggle .coupon").addClass('active').siblings().removeClass('active');
        $("#myCoupon_div .normalCoupon").addClass('active').siblings().removeClass('active');
    } else if (type == 1) {
        $(".couponList-toggle .storeCoupon").addClass('active').siblings().removeClass('active');
        $("#myCoupon_div .storeCoupon").addClass('active').siblings().removeClass('active');
    } else if (type == 2)  {
        $(".couponList-toggle .vipCoupon").addClass('active').siblings().removeClass('active');
        $("#myCoupon_div .vipCoupon").addClass('active').siblings().removeClass('active');
    } else if (type == 3) {
        $(".couponList-toggle .sgCoupon").addClass('active').siblings().removeClass('active');
        $("#couponList_div .sgCoupon").addClass('active').siblings().removeClass('active');
    } else if (type == 4) {
        $(".couponList-toggle .wcCoupon").addClass('active').siblings().removeClass('active');
        $("#couponList_div .wcCoupon").addClass('active').siblings().removeClass('active');
    } else if (type == 5) {
        $(".couponList-toggle .sgCouponMore").addClass('active').siblings().removeClass('active');
        $("#couponListMore_div .sgCouponMore").addClass('active').siblings().removeClass('active');
    } else if (type == 6) {
        $(".couponList-toggle .wcCouponMore").addClass('active').siblings().removeClass('active');
        $("#couponListMore_div .wcCouponMore").addClass('active').siblings().removeClass('active');
    } else if (type == 7) {
        $(".couponList-toggle .sgIntegralCoupon").addClass('active').siblings().removeClass('active');
        $("#integralCouponList_div .sgIntegralCoupon").addClass('active').siblings().removeClass('active');
    } else if (type == 8) {
        $(".couponList-toggle .wcIntegralCoupon").addClass('active').siblings().removeClass('active');
        $("#integralCouponList_div .wcIntegralCoupon").addClass('active').siblings().removeClass('active');
    }
}

// 优惠券切换 type: tab类型 0--苏果券,1--外采券,2--会员券 htmlType： 页面类型 0--优惠券列表 1--更多优惠券列表 2--我的优惠券

function autoToggleCouponList(ele,type,htmlType){
    $(ele).addClass('active').siblings().removeClass('active');
    if (type == 0) {
        if(htmlType == 0){
            $("#couponList_div .sgCoupon").addClass('active').siblings().removeClass('active');
        } else if (htmlType == 1) {
            $("#couponListMore_div .sgCouponMore").addClass('active').siblings().removeClass('active');
        } else {
            $("#myCoupon_div .myCouponListForSuguo").addClass('active').siblings().removeClass('active');
        }
    } else if (type == 1) {
        if(htmlType == 0){
            $("#couponList_div .wcCoupon").addClass('active').siblings().removeClass('active');
        } else if (htmlType == 1) {
            $("#couponListMore_div .wcCouponMore").addClass('active').siblings().removeClass('active');
        } else {
            $("#myCoupon_div .myCouponListForWC").addClass('active').siblings().removeClass('active');
        }
    } else {
        if(htmlType == 2){
            $("#myCoupon_div .vipCoupon").addClass('active').siblings().removeClass('active');
        }
    }
}

// 会员协议
function vipAgreement() {
    var html = '<div class="header"><span class="close" data-fun="close">关闭</span><span class="title">会员服务协议</span></div>'
        + '<div id="wtyAgreement">'

        + '<p>&nbsp;&nbsp;&nbsp;&nbsp;欢迎您开通“苏鲜生活”会员。在您开通前，您须仔细阅读、理解《苏鲜生活会员服务协议》（以下简称“本协议”）内容。一经您选择接受该协议或使用会员服务，即视为您已经阅读、理解协议内容，并同意与运营方南京微珂创易网络科技有限公司（以下简称“微珂创易”）缔结合约。您在享受会员服务期间，应严格遵守本协议相应约定。本协议将由微珂创易视具体运营情况在尽量保障不降低您使用体验和服务内容的前提下作不定时补充和修改。如果您未满18周岁，请在法定监护人的陪同下阅读本协议。</p>'
        + '<p></p>'
        + '<p>一、定义与解释</p>'
        + '<p></p>'
        + '<p>1、 苏鲜生活专享会员：即专享会员，是指同意并接受本协议并根据苏鲜生活平台（以下简称“平台”）公布的收费标准，通过线上支付费用获得特定权益的苏鲜生活用户（又称“您”）。专享会员资格取得后不可取消、不可转让。</p>'
        + '<p></p>'
        + '<p>2、 专享会员权益：指用户基于专享会员资格所享有的特殊权益，包括特定商品的优惠权益和特定服务权益等。具体权益内容将通过平台“专享会员”或其他相关页面展示并不定期更新。</p>'
        + '<p></p>'
        + '<p>3、  续费服务：指用户根据实际需求，延长专享会员资格。基于权益调整、市场与业务的发展，专享会员可能会调整会员开通所需会员服务费用，会员服务费用调整自公布之日起生效，您于生效前已开通的专享会员服务不受影响，但该专享会员服务到期后若需续费开通，则需按照调整后已生效的费用标准支付。</p>'
        + '<p></p>'
        + '<p>二、专享会员权益的使用</p>'
        + '<p></p>'
        + '<p>1、月度专享会员有效期30日；专享会员有效期自付费成功当日起计算，不因任何事件中止。如您未及时续费专享会员，则当次专享会员资格有效期届满后，不再享有专享会员权益。</p>'
        + '<p></p>'
        + '<p>2、您知悉并确认，平台会针对不同门店为专享会员提供多样化的服务、权益、功能、界面等，不同门店之间的专享会员权益以及收费标准可能存在差异，具体内容以“专享会员”或其他相关页面展示为准。</p>'
        + '<p></p>'
        + '<p>3、平台有权在保证权益水平基本不变的情况下，根据实际情况对专享会员种类和权益进行调整，实际权益可能会出现增加或减少的可能，具体内容以“专享会员”或其他相关页面展示为准。        三、服务有效范围</p>'
        + '<p></p>'
        + '<p>三、服务有效范围</p>'
        + '<p></p>'
        + '<p>专享会员资格开通后，将由微珂创易为您提供相关商品的服务，关于平台及本服务的覆盖范围，您可通过苏鲜生活APP【我的】-【收货地址】设置收货地址来查看是否属于微珂创易的服务范围。商品服务的范围将会随微珂创易的发展进行扩大，您可随时关注。</p>'
        + '<p></p>'
        + '<p>四、重要事项</p>'
        + '<p></p>'
        + '<p>1、您理解并同意，平台基于运营需要，不同时期对专享会员资格的取得将设定不同标准，平台有权进行单方调整。调整将以平台通知、公告、短信等适当的方式通知用户，如您的专享会员续期开通发生在调整政策生效后，则适用新的专享会员资格取得标准。调整前已取得专享会员资格的，专享会员有效期内不受政策调整影响。</p>'
        + '<p></p>'
        + '<p>2、您理解并同意，平台基于实际情况及运营需要，会对具体商品的种类、售价做出调整，相应地，专享会员权益所涉商品具体优惠幅度、具体优惠商品种类可能发生变化，平台对此不承担任何责任。</p>'
        + '<p></p>'
        + '<p>3、为保证您的账户安全和专享会员权益，专享会员服务仅限本人使用。</p>'
        + '<p></p>'
        + '<p>4、平台收到您开通专享会员资格的申请后将会尽快审核，如未能通过，平台可以告知您原因但不承担未审核通过的责任。</p>'
        + '<p></p>'
        + '<p>5、平台有关专享会员活动及政策、规则的告知，无需特别声明即自动构成本协议补充内容，相关政策、规则有期间限制的，期间经过后即终止，本协议效力不受影响。</p>'
        + '<p></p>'
        + '<p>6、如您存在以下行为的，平台有权随时暂停、终止您的专享会员资格，不退还已支付的会员服务费用，亦不进行任何赔偿或补偿。如给平台方或其他方造成损失的，您应当承担全部责任。从公平合理的角度，您应当清楚并知晓，所有通过该账户实现的操作产生的全部后果均由您自行承担。</p>'
        + '<p></p>'
        + '<p>a)利用专享会员资格从事营利活动或非法获利；</p>'
        + '<p></p>'
        + '<p>b)以任何形式转让或转移专享会员资格或权益；</p>'
        + '<p></p>'
        + '<p>c)将专享会员资格或权益借给他人使用、代他人下单；</p>'
        + '<p></p>'
        + '<p>d)通过任何不正当手段或以违反诚实信用原则的方式开通专享会员资格，如恶意绕开正常开通流程；</p>'
        + '<p></p>'
        + '<p>e)使用专享会员资格获取的商品或服务并非用于您本人的消费或使用；</p>'
        + '<p></p>'
        + '<p>f)同一用户注册、持有、使用或控制多个会员账号。其中，同一用户是指苏鲜生活账户、手机号码、支付账号、身份证号码、设备号、注册信息、网络操作日志、交易订单信息等与用户身份和行为相关的信息，其中任意一项或数项存在相同、相似，亦或通过特定标记批量信息进行分析，其数项存在相同、相似的；</p>'
        + '<p></p>'
        + '<p>g)您在使用专享会员资格时，存在利用秒杀器等工具下单、套取优惠利差、虚假下单交易、提供虚假交易信息等扰乱交易秩序、违反交易规则的行为；</p>'
        + '<p></p>'
        + '<p>h)经平台判断，您的行为不符合公平原则或诚实信用原则的其他情形。</p>'
        + '<p></p>'
        + '<p>7、如平台基于《苏鲜生活服务协议》停止对您提供服务，亦将同时终止您的专享会员资格，服务停止及专享会员资格终止前您已获得的各项优惠券、积分等权益将无法使用。</p>'
        + '<p></p>'
        + '<p>五、其他说明</p>'
        + '<p></p>'
        + '<p>1、根据国家法律法规变化及平台运营需要，我们有权不定期地指定、修改本协议及/或相关服务规则，暂停、取消和修改本协议条款，修改后的协议一旦在平台公示并更新即生效，并代替原有协议。您应当及时关注不时发布的各项服务规则及本协议的变更，如继续使用本平台服务，则视为您同意更新后的内容。</p>'
        + '<p></p>'
        + '<p>2、本协议内容或平台公布的相关规则，如您不同意，您有权于变更事项确定的生效日前联系平台客服反馈意见。如意见得以采纳，平台将酌情调整变更事项。如未能采纳，您可以在专享会员到期后，停止使用专享会员服务。</p>'
        + '<p></p>'
        + '<p>3、如遇不可抗力或其他苏鲜生活无法控制的客观原因使专享会员权益无法按时实现，平台将与您联系处理相关善后事宜。</p>'
        + '<p></p>'
        + '<p>4、您作为苏鲜生活专享会员期间，当然享有一般用户权利义务，具体以《苏鲜生活服务协议》为准。</p>'
        + '<p></p>'
        + '</div>';
    J.Popup.showCard("#cancelUserInfo_article", html);
    if (isAndroidIosApp()) {
        if (isIOS()) {
            document.querySelector('#jingle_popup .header').style.height = '64px';
            document.querySelector('#jingle_popup .header').style.paddingTop = '20px';
        }
    }
}

// 查看订单跟踪
function getOrderTracking_control(){
    var data = {},orderTrack;
    if(J.Cache.get('orderTrack') && J.Cache.get('orderTrack').data != null){
        orderTrack = J.Cache.get('orderTrack').data;
    }
    data = {
        orderTrack: orderTrack
    }
    console.log(data)
    $('#TrackingPopup_div').show();
    J.Template.render("#TrackingPopup_div ul", "TrackingPopup_template", data, "replace");
    var height = $('.order-box ul').height() / 2;
    $('.order-box').css('margin-top','-'+height+'px');
}

// 跳转订单搜索页
function goSerchOrderList(){
    J.Router.goTo('#serchOrderList_section');
    setTimeout(function(){
        $('.order-button span').css('pointer-events','auto');
        $('#serchOrderInput').val('');
        J.Template.render("#serchOrderList_ul","serchOrderList_template",[],"replace","您还没有相关订单");
        $('.goToIndex').show();
        $('#serchOrderList_article .refresh-container').hide();
    },200)

}

// 登录页面tab切换
function getLoginTab(type,ele){
    var val = '';
    $(ele).addClass('active').siblings().removeClass('active');
    if(type == '1'){
        $('#codeLogin_form').removeClass('none');
        $('#login_form').addClass('none');
        val = $("#login_form input[name=phone]").val();
        $("#codeLogin_form input[name=phone]").val(val);
    }else{
        $('#login_form').removeClass('none');
        $('#codeLogin_form').addClass('none');
        val = $("#codeLogin_form input[name=phone]").val();
        $("#login_form input[name=phone]").val(val);
    }
}

// var btn = document.getElementById('launch-btn');
// btn.addEventListener('launch', function (e) {
//   console.log('success');
// });
// btn.addEventListener('error', function (e) {
//   console.log('fail', e.detail);
// });

function getHistoryCouponList_control (data,par) {
	J.hideMask();
	var tplWay = par.page > 1 ? 'add' : 'replace' ;
	if(data.length != 0 || par.page == 1) {
		J.Template.render("#historyCoupon_div", "historyCoupon_template", data, tplWay);
	}
	J.Scroll("#historyCoupon_article", {});
    	//上拉
	if (data.length >= 20) {
		J.Refresh('#historyCoupon_article', 'pullUp', function() {
			var scroll = this;
			setTimeout(function() {
				par.page = par.page + 1;
				getHistoryCouponList_service(par)
				scroll.refresh();
			}, 10);
		});
	}else{
		J.Refresh("#historyCoupon_article").destroy();
		if(par.page > 1 || data.length > 0) $("#historyCoupon_div").after('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
		J.Scroll("#historyCoupon_article", {});
		var heigth = $("#historyCoupon_div")[0].clientHeight - $("#historyCoupon_article")[0].clientHeight;
        if(par.page > 1){
            $('#historyCoupon_section .scrollWrapper')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
        }
	}
}