/**
 * [getProductDetail_control 获取商品详情]
 * @param  {Object} data [所需数据]
 * @param  {Object} isRendering [不需要跳页面]
 */
function getProductDetail_control(data,isRendering) {
	if(isRendering) {
		J.Cache.save("productDetail", data);
		renderProductDetailPage(data);
	} else {
        J.Cache.save("productDetail", data);
		J.Router.goTo("#productDetail_section");
		// cartNum_service('productDetail_section');
	}
}
// 渲染商品详情页面
function renderProductDetailPage(data) {
	$('#productDetail_section .invalidProduct').removeClass('active');
	var num = 1;
	num = J.Cache.get('beginBuyNum').data.beginBuyNum ? J.Cache.get('beginBuyNum').data.beginBuyNum : 1;
	$('#productDetail_section [data-name=specification][data-id="2"]').html('立即购买');
	var html = createPopupHtml(data, 'productInfo'); // 弹出框fn
	// 购买数量html元素
	html += '<li class="info" data-key="num">';
	if(data.limitNumber){
		html += '<p class="title">购买数量(限购'+data.limitNumber+'件)：</p>';
	}else{
		html += '<p class="title">购买数量：</p>';
	}
	// html += '<label class="miuns_label" onclick="eidtNum(' + "'addNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val() , this,' + data.canBuyNumber +',' + data.stockNum + ',' + data.beginBuyNum + ')"><b class="add"></b></label>' +
	// 	'<input type="text" value="' + num + '" class="num" onkeyup="replaceCode_control(this, ' + data.canBuyNumber + ')" onafterpaste="replaceCode_control(this' + data.canBuyNumber + ')" name="number"/>' +
	// 	'<label class="miuns_label" onclick="eidtNum(' + "'mulNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val(),this,' + data.canBuyNumber + ',' + data.stockNum + ',' + data.beginBuyNum + ')"><b class="minus"></b></label>' +
	// 	'</li></ul>';

	html += '<div class="num"><label class="left_label" onclick="eidtNum(' + "'mulNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val() , this,' + data.canBuyNumber +',' + data.stockNum + ',' + data.beginBuyNum + ')">-</label>'+
	'<input type="text" value="' + num + '" onchange="replaceCode_control(this, ' + data.canBuyNumber + ')" name="number"/>'+
	'<label class="right_label" onclick="eidtNum(' + "'addNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val(),this,' + data.canBuyNumber + ',' + data.stockNum + ',' + data.beginBuyNum + ')">+</label></div></li></ul>';
	data.buyVipParam = J.Cache.get('community').data.canBuyVip;
	J.Template.render("#productDetail_product", "productDetail_product_template", data, "replace");
	J.Template.render("#productDetail_Detail", "productDetail_Detail_template", data, "replace");
	$('#productDetail_article').scrollTop(0); //令详情页进入时置顶，主要针对于点击下侧推送商品时的页面状态
//	if(data.offlineMul == 1 ) $("#productDetail_article").attr('data-offlineMul',1); //服务预约时该字段为1则可购买多个
	
	$('#productDetailAdvert_div ul li').width(document.body.clientWidth);
	var box = '#productDetailAdvert_div [data-name="productDetailAdvert"'+'] ul';
	var par = {
		loop: true, //循环切换
		auto: true, //自动切换
		callback: function(ind) { //这里传过来的是索引值
			$('#productDetailAdvert_div [data-name="productDetailPage"'+'] ol li').eq(ind).addClass('active').siblings().removeClass('active');
		}
	}
	// if($(box).children().length <= 1) par.auto = false;
	if(data.carouselPicture.length > 1){
		var scrollImg = Viwepager(box, par);
	}
	if(data.commentInfo.expertBetterComment == null && data.commentInfo.userBetterComment == null){
		$('#headerReputation').css('display','none');
	}
	$("#detailLimitNum").text(data.merchant.name);
	$("#detailLimitNum").data("merchantid", data.merchant.id)
	$("#detailLimitNum").off().on('click', function() {
		getMerchantList(data.merchant.id);
	});
	// ‘选择规格’ 、‘加入购物车’、‘立即购买’弹框
	$('#productDetail_section [data-name="specification"]').off().on('click',function() {
        event.preventDefault();
        event.stopPropagation();
        var handleType = $(this).attr('data-id');
        chooseSpecificationMethod_control(handleType,data.id,data.priceInUse,html,data.goodsScope,'productDetail_section'); //选择规格方式fn
   });
}
//详情页监听页面滚动
function scrollTarget(){
    var scrollingHeight = $('#productDetailAdvert_div').height();
    var scrollTop = $('#productDetail_article').scrollTop();
	var n_styleHeight = $('#productDetail_section header').height();
	var headerHeight = $('#productDetail_section header').height();
    if(scrollingHeight - scrollTop < n_styleHeight) {
		// $('#productDetail_section header').css('background', '#ff4d40');
		$('#productDetail_section header').css('background', '#fff');
    }else{
		// $('#productDetail_section header').css('background', '#ff4d40');
        $('#productDetail_section header').css('background', 'rgba(255,255,255,.1)');
    }
    if(scrollTop < $('#productDetailRelate_div')[0].offsetTop - headerHeight-10){
		$($('#productDetail_section header span')[0]).addClass('active').siblings().removeClass('active');
    }else if(scrollTop >= $('#productDetailRelate_div')[0].offsetTop - headerHeight-10 && scrollTop < $('#productDetail_Detail')[0].offsetTop - headerHeight-10){
        $($('#productDetail_section header span')[1]).addClass('active').siblings().removeClass('active');
    }else if(scrollTop >= $('#productDetail_Detail')[0].offsetTop - headerHeight-10){
        $($('#productDetail_section header span')[2]).addClass('active').siblings().removeClass('active');
        $('#headerDetail span:first-child').addClass('active').siblings().removeClass('active');
    }
}
//详情页页面导航
function detailClick(ele) {
    var id = $(ele).data('name');
	$('#productDetail_article')[0].scrollTop = $('#' + id)[0].offsetTop - $('#productDetail_section header').height();
	setTimeout(function(){
		$(ele).addClass('active').siblings().removeClass('active');
	},100)
}
//详情页切换评价
function changeComment(ele,id) {
	$(ele).addClass('active').parent().siblings().children().removeClass('active');
	var claName = $(ele).data('name');
    $('.' + claName).siblings().css('display','none');
	$('.' + claName).css('display','block');
	if(claName == 'professionalReputation'){
		$('.seeAllReviews').attr('onclick','getCommentList('+id+',1)');
	}else{
		$('.seeAllReviews').attr('onclick','getCommentList('+id+',2)');
	}
}
// 点击放大轮播图
function ShowMaxCarouse(id,type) {
	var url = 'ws/serviceAction!getServiceEventDetails.sy';
    var par = {
        serviceEventId: id
    };
	service.get(url, par, function(data) {
		var carouselList = [];
        data.carouselPicture = data.carouselPicture.split(',');
        data.carouselPicture.map(function(item,index){
            var data = {
                url : picNetworkPrefix(item)
            };
            carouselList.push(data);
        })
        carouselList[0].hasActive = true ;
        data.carouselPicture = carouselList;
		var datas = {
			id: data.id,
			list: data.carouselPicture
		}
		if(type == 0){
            J.Template.render("#maxCarouselList", "maxProductDetailAdvert_template", datas, "replace");
            document.querySelector('#maxCarousel').style.display = 'block'
            $('#maxCarouselList ul li').width(document.body.clientWidth);
            var par = {
                loop: true, //循环切换
                auto: true, //自动切换
                callback: function(ind) { //这里传过来的是索引值
                    $('#maxCarouselList [data-name="productDetailPage"] ol li').eq(ind).addClass('active').siblings().removeClass('active');
                }
            }
            if($('#maxCarouselList ul').children().length > 1) {
				if(scrollImg) delete scrollImg;
				var scrollImg = Viwepager('#maxCarouselList ul', par);
			};
		}else if(type == 1){
            J.Template.render("#productGrouponMaxCarouselList", "maxProductGrouponAdvert_template", datas, "replace");
            document.querySelector('#productGrouponMaxCarousel').style.display = 'block';
            $('#productGrouponMaxCarouselList ul li').width(document.body.clientWidth);
            var par = {
                loop: true, //循环切换
                auto: true, //自动切换
                callback: function(ind) { //这里传过来的是索引值
                    $('#productGrouponMaxCarouselList [data-name="productDetailPage"] ol li').eq(ind).addClass('active').siblings().removeClass('active');
                }
            };
            if($('#productGrouponMaxCarouselList ul').children().length > 1) {
				if(scrollImg) delete scrollImg;
				var scrollImg = Viwepager('#productGrouponMaxCarouselList ul', par);	
			}
		}else if(type == 2){
            J.Template.render("#maxYiBeansCarouselList", "maxYiBeansProductDetailAdvert_template", datas, "replace");
            document.querySelector('#maxYiBeansCarousel').style.display = 'block';
            $('#maxYiBeansCarouselList ul li').width(document.body.clientWidth);
            var par = {
                loop: true, //循环切换
                auto: true //自动切换
            };
            if($('#maxYiBeansCarouselList ul').children().length > 1) {
				if(scrollImg) delete scrollImg;
                var scrollImg = Viwepager('#maxYiBeansCarouselList ul', par);
			};

		}
	});
}


var yiBeansImg = '';
/**
 * 金豆商品详情页
 * @param data
 */
function getYiBeansProductDetail_control(data){
	var par = {
		name:data.name,
        price :data.price,
        id:data.id,
		num : 1,
        stockNum : data.stockNum
	};
	J.Cache.save('yiBeansProductDetail',par);
	setTimeout(function(){
        J.Template.render("#yiBeansProductDetail_div","yiBeansProductDetail_template", data, "replace");
       setTimeout(function(){
           $('#YiBeansProductDetail_article').scrollTop(0); //令详情页进入时置顶，主要针对于点击下侧推送商品时的页面状态
           // 轮播
           if(data.carouselPicture.length != 0){
               var datas = {
                   id: data.id,
                   list: data.carouselPicture
               };
               J.Template.render("#yiBeansProductDetailAdvert_div","yiBeansProductDetailAdvert_template", datas, "replace");
               $('#yiBeansProductDetailAdvert_div ul li').width(document.body.clientWidth);
               var box = '#yiBeansProductDetailAdvert_div [data-name="yiBeansProductDetailAdvert"] ul';
               var par = {
                   loop: true, //循环切换
                   auto: true, //自动切换
                   callback: function(ind) { //这里传过来的是索引值
                       $('#yiBeansProductDetailAdvert_div [data-name="yiBeansProductDetailPage"'+'] ol li').eq(ind).addClass('active').siblings().removeClass('active');
                   }
               };
               if($(box).children().length > 1) {
				    if(yiBeansImg.scroll) delete yiBeansImg.scroll.box;
                	yiBeansImg = Viwepager(box, par);
			   };

           }
	   },50);
	},100);
}

// 金豆列表页面退出提示
function backConfirm(){
	if(J.Cache.get('yiBeansCart')&& J.Cache.get('yiBeansCart').data.length > 0){
        J.Popup.confirm4('提示','退出页面将清空购物车商品，确定退出吗？','退出','再看看',function(){
            // 再看看
        },function(){
            // 退出
            history.go(-1);
        });
	}else{
        history.go(-1);
	}
}
/*
*团购商品详情
 */
var grouponScrollImg = '';
function getGrouponProductDetail_control(data,isRendering) {
    if(isRendering) {
        renderGrouponProductDetail(data);
    }else {
        J.Cache.save('grouponProductDetail',data);
        J.Router.goTo("#productGroupon_section");
	}
}
//渲染拼团商品
function renderGrouponProductDetail(data) {
    var num = 1;
    num = J.Cache.get('beginBuyNum').data.beginBuyNum ? J.Cache.get('beginBuyNum').data.beginBuyNum : 1;
    if(data.joinIn){
        if(J.Cache.get('login') && J.Cache.get('login').data.id == J.Cache.get('groupOrderUserId').data){
            $('#productGroupon_section .sponsor .GroupDiscount').css('display','block');
        }else{
            $('#productGroupon_section .sponsor').css('display','none');
            $('#productGroupon_section .joinIn').css('display','inline-block');
            $('#productGroupon_section .joinIn .GroupDiscount').css('display','block');
            $('#productGroupon_section [data-name=specification][data-id="3"] .GroupDiscount').text('低至' + data.discount + '折');
        }
    }else{
        $('#productGroupon_section .sponsor .GroupDiscount').css('display','block');
    }
    $('#productGroupon_section [data-name=specification][data-id="2"] .GroupDiscount').text(data.priceInUse);
    $('#productGroupon_section [data-name=specification][data-id="1"] .GroupDiscount').text('低至' + data.discount + '折');
    var html = createPopupHtml(data, 'productInfo'); // 弹出框fn
    // 购买数量html元素
    html += '<li class="info" data-key="num">';
    if(data.limitNumber){
        html += '<p class="title">购买数量(限购'+data.limitNumber+'件)：</p>';
    }else{
        html += '<p class="title">购买数量：</p>';
    }
    html += '<label class="miuns_label" onclick="eidtNum(' + "'addNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val() , this,' + data.canBuyNumber +',' + data.stockNum + ',' + data.beginBuyNum + ')"><b class="add"></b></label>' +
        '<input type="text" value="' + num + '" class="num" onkeyup="replaceCode_control(this, ' + data.canBuyNumber + ')" onafterpaste="replaceCode_control(this' + data.canBuyNumber + ')" name="number"/>' +
        '<label class="miuns_label" onclick="eidtNum(' + "'mulNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val(),this,' + data.canBuyNumber + ',' + data.stockNum + ',' + data.beginBuyNum + ')"><b class="minus"></b></label>' +
        '</li></ul>';
    J.Template.render("#productGroupon_div","productGroupon_template", data, "replace");
    $('.collageDeposit').text(Math.formatFloat(data.collageDeposit * 100));
    $('.endDay').text(Math.formatFloat(data.endDay));
    $('.leftPayDay').text(Math.formatFloat(data.leftPayDay));
    $('#productGroupon_article').scrollTop(0); //令详情页进入时置顶，主要针对于点击下侧推送商品时的页面状态
    // 轮播
    if(data.carouselPicture.length != 0){
        $('#productGrouponAdvert_div ul li').width(document.body.clientWidth);
        var box = '#productGrouponAdvert_div [data-name="productGrouponAdvert"'+'] ul';
        var par = {
            loop: true, //循环切换
            auto: true, //自动切换
            callback: function(ind) { //这里传过来的是索引值
                $('#productGrouponAdvert_div [data-name="productGrouponPage"'+'] ol li').eq(ind).addClass('active').siblings().removeClass('active');
            }
        };
        if($(box).children().length > 1) {
			if(grouponScrollImg.scroll) delete grouponScrollImg.scroll.box;
			grouponScrollImg = Viwepager(box, par);
		}
    }
    $("#merchantGroupon").text(data.merchant.name);
    $("#merchantGroupon").off().on('click', function() {
        getMerchantList(data.merchant.id);
    });
    // ‘选择规格’弹框
    $('#productGroupon_section [data-name="specification"]').off().on('click',function() {
        event.preventDefault();
        event.stopPropagation();
        var handleType = $(this).attr('data-id');
        if(handleType == 2){//单独购买
            chooseSpecificationMethod_control(handleType,data.id,data.priceInUse,html,data.goodsScope); //选择规格方式fn
        }else if(handleType == 1){//发起拼单
            groupPurchase_service(data.id);
        }else if(handleType == 3){//参团
            groupPurchase_service(data.id,1);//1参团
        }
    });
}

//快捷登录
function quickLogin_control(ele){
    var phone = $(ele).parent().find('input[name=phone]').val();
    var phonecode = $(ele).parent().find('input[name=phonecode]').val();
    var par = {
        phone: phone,
        code: phonecode
    };
    if (verifyPhone(par.phone)) {
        if (!isNullString(par.code)) {
            if (isWechatClient()) {
                if (!J.Cache.get('openId')) {
                    J.showToast('请稍后重试');
                    // getOpenId();
                } else {
                    par.openId = J.Cache.get('openId').data;
                    quickLogin_service(par);
                }
            } else {
                quickLogin_service(par);
            }
        } else {
            J.showToast('请输入验证码');
        }
    }
}
/*
 *商品详情页面轮播图大图点击收起
 * @param   type  0.普通商品 1.金豆 2.团购 3.退货
  */
function unShowMaxCarouse(type) {
	if(type == 0){
        document.querySelector('#maxCarousel').style.display = 'none';
	}else if(type == 1){
        document.querySelector('#maxYiBeansCarousel').style.display = 'none';
	}else if(type == 2){
        document.querySelector('#productGrouponMaxCarousel').style.display = 'none';
	}else if(type == 3){
        document.querySelector('#maxRefundCarousel').style.display = 'none';
	}
}
// 正则校验只允许正整数字
function replaceCode_control(self, canBuyNumber){
	if (self.value.length == 1) {
		self.value = self.value.replace(/[^1-9]/g, '1');
	} else {
		self.value = self.value.replace(/\D/g, '');
	}
	
	if(self.value > canBuyNumber && canBuyNumber != -1) {
		if(canBuyNumber >=　0) {
			self.value = canBuyNumber;
		} else {
			self.value = 1;
		}
	}
}

/**
 * [chooseSpecificationMethod_control 选择规格方式]
 * @param  {Number} handleType [操作类型 0.选择规格 1.加入购物车 2.立即购买]
 * @param  {String} html       [页面元素]
 */
function chooseSpecificationMethod_control(handleType,eventId,price,html,goodsScope,sec) {
	var buttons = [];
	if (handleType == 0) {
		buttons = [{
			text: '加入购物车',
			class: 'bluehues',
			handler: function () {
				specificationPopup_control(eventId,price, 'productInfo', 0,'',sec);
			}
		}, {
			text: '立即购买',
			class: 'wheat',
			handler: function () {
				specificationPopup_control(eventId,price, 'productInfo', 1);
			}
		}];
	}else if(handleType == 1) {
		buttons = [{
			text: '确定',
			class: 'brick-red',
			handler: function () {
				specificationPopup_control(eventId,price, 'productInfo', 0, goodsScope,sec);
				if(window.location.href.indexOf('productDetail_section') >= 0){
                    floorCreateFly('productDetail_section');
				}else if(window.location.href.indexOf('productList_section') >= 0){
                    floorCreateFly('productList_section');
				}
			}
		}];
	}else if(handleType == 2){
			buttons = [{
				text: '确定',
				class : 'brick-red',
				handler: function() {
					specificationPopup_control(eventId,price,'productInfo', 1,goodsScope);
				}
			}];
	}
	J.Popup.bottomsheet({
		html: html,
		buttons: buttons
	});
}
/**
 * [specificationPopup_control 规格弹出框]
 * @param  {Number} id         [商品id]
 * @param  {String} idName     [elements元素Id]
 * @param  {Number} handleType [操作类型 0.加入购物车  1.立即购买]
 */
function specificationPopup_control(id,price, idName, handleType,goodsScope,sec) {
	if(handleType == 1 && !J.Cache.get('login')){
		quickLogin();
		return;
	}
	if ($("#" + idName).find("li.info").length >= 1) {
		var color = '',
			size = '',
			num = 0,
			colorTitle = '' ,
			sizeTitle = '' ,
			hasColor = false,
			hasSize = false ,
			hasNum = false ;
		$("#" + idName).find("li.info").map(function(index, item) {
			var el = $(item).attr('data-key');
			// 判断是否为数量
			if (el != 'num') {
				$(item).children('span').map(function(index, ele) {
					if (el == 'colorName'){
						hasColor = true ;
						colorTitle = $(item).attr('data-title');
					} 
					if (el == 'sizeName'){
						hasSize = true ;
						sizeTitle = $(item).attr('data-title');
					} 
					if ($(ele).hasClass('active')) {
						if (el == 'colorName'){
							color = $(ele).attr('data-val');
						} 
						if (el == 'sizeName'){
							size = $(ele).attr('data-val');
						} 
					}
				})
			} else {
				$(item).find('input').map(function(index, ele) {
					num = $(ele).val();
					hasNum = true;
				})
			}
		})
		// 不同elementsid对应不同方法
		var fn = {
			shopCarEventInfo: function() {
				editSpecification_control(id, size, color); //购物车编辑规格fn
			},
			productInfo: function() {
				var mock = {
					type : 0,
					color : color,
					size : size
				};
				if(num < 0) {
					num = num * -1;
				}				
				addShoppingCar_service(mock, handleType, num,id,price, {sName: 'productDetail_section', sIndex: 0},sec); //加入购物车fn
			}
		}
		// 是否有数量 前提下是否选中color及size
		var userCommunityId = 1;
		if(J.Cache.get('login')){
		   userCommunityId = J.Cache.get('login').data.communityId;
		} 
		var gpsCommunityId = J.Cache.get('community').data.id;
		var gpsCommunityName = J.Cache.get('community').data.name;
		if(hasNum){
			var judgeFn = function(){
				if($("#" + idName).find("li.info").length > 1){
					if($("#" + idName).find("li.info").length <= 2){
						if (hasColor) {
							color == '' ? J.showToast('请选择' + colorTitle) : fn[idName]();
						}
						if (hasSize) {
							size == '' ? J.showToast('请选择' + sizeTitle) : fn[idName]()
						}
					}else{
						color == '' || size == '' ? J.showToast('请选择'+ colorTitle +'或' + sizeTitle) : fn[idName]() ;
					}
				}else{
					fn[idName]();
				}
			};

			if(isNullString(userCommunityId)){
				J.dialogbox('是否送到'+gpsCommunityName+'?',function(){
					saveCommunity_service(gpsCommunityId,judgeFn);
				},function(){
					goMyAddress();
				});
			}else{
				judgeFn();
				$('#jingle_popup_mask,#jingle_popup').hide();
			}
		}else{
			if($("#" + idName).find("li.info").length >= 1){
				if($("#" + idName).find("li.info").length == 1){
					if (hasColor) {
						color == '' ? J.showToast('请选择' + colorTitle) : fn[idName]();
					}
					if (hasSize) {
						size == '' ? J.showToast('请选择' + sizeTitle) : fn[idName]()
					}
				}else{
					color == '' || size == '' ? J.showToast('请选择'+ colorTitle +'或' + sizeTitle) : fn[idName]() ;
				}
			}else{
				fn[idName]();
			}	
			$('#jingle_popup_mask,#jingle_popup').hide();
		}
	}
}
//是否有规格
function isHaveSpecification_control(data,sec){
	if(data.specification.length != 0){
		setTimeout(function() {
			var html = createPopupHtml(data, 'productInfo'); // 弹出框fn
			// 购买数量html元素
			html += '<li class="info" data-key="num">';
			if(data.limitNumber){
				html += '<p class="title">购买数量(限购'+data.limitNumber+'件)：</p>';
			}else{
				html += '<p class="title">购买数量：</p>';
			}
			html += '<label class="miuns_label" onclick="eidtNum(' + "'addNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val() , this,' + data.canBuyNumber +  ',' + data.stockNum + ',' + data.beginBuyNum + ')"><b class="add"></b></label>' +
				'<input type="text" value="1" class="num" onkeyup="replaceCode_control(this)" onafterpaste="replaceCode_control(this)" name="number"/>' +
				'<label class="miuns_label" onclick="eidtNum(' + "'mulNum'" + ',$(this).siblings(' + "'input[name=number]'" + ').val(),this,' + data.canBuyNumber +  ',' + data.stockNum + ',' + data.beginBuyNum + ')"><b class="minus"></b></label>' +
				'</li></ul>';
			// ‘选择规格’弹框
			chooseSpecificationMethod_control(1,data.id,data.priceInUse,html,'',sec); //handleType:1 加入购物车 选择规格方式fn
		}, 200);
		J.Cache.empty('listIndex');
	}else{
		var mock = {
				type : 0,
				color : '',
				size : ''
			};
		addShoppingCar_service(mock, 0, 1,data.id,data.priceInUse,  {sName: 'productDetail_section', sIndex: 0},sec); //加入购物车fn
		J.Cache.empty('listIndex');
	}
}
// 获取评论,type,1,专家意见,2,用户意见
function getCommentList(eventId,type){
    J.Cache.save('commentEventId',eventId);
	J.Router.goTo("#commentList_section");
    commentList_service(eventId,type);
}
//切换专家评价和普通用户评价
function togg(ele) {
    if (!$(ele).hasClass('active')) {
        $('.combot').toggleClass('active');
    }
    if ($('.user').hasClass('active')) {
        $('#professor').hide();
    } else {
        $('#professor').show();
    }
}
//遮罩层
function showMask() {
    $("#mask").css("height", $(document).height());
    $("#mask").css("width", $(document).width());
    $("#mask").show();
}

/**
 * [getReservation_control 获取服务预约]
 * @param  {Number} eventId      [服务id]
 * @param  {Number} continueTime [持续时间 以半个小时为单位]
 * @param  {Number} years        [选择的年]
 * @param  {Number} months       [选择的月]
 * @param  {Number} days         [选择的日]
 */
//第一次进入时间选择页面
function getReservations_control(eventId, continueTime, years, months, days){
	J.Router.goTo('#serviceReservation_section');
    setTimeout(function() {
        var date = getFiveDate() ;
        var times = (date[0].years + '-' + date[0].months + '-' + date[0].days);
        getReservation_service(eventId,times, continueTime,years); //获取服务service
    }, 200);
}
//在时间选择页面切换每一天
function getReservation_control(eventId, continueTime, years, months, days) {
	$("#serviceDetail_article").attr('data-eventId',eventId);
	if(months < 10) {
		months = '0' + months;
	}
	if(days < 10) {
		days = '0' + days;
	}
	setTimeout(function() {
		var times = (years + '-' + months + '-' + days);
		getReservation_service(eventId,times, continueTime,years); //获取服务service
	}, 200);
}
// 服务预约tpl模板
function getReservation_tpl_control(data,years){
	// 判断是否为初始数据
	if(!years){
		J.Template.render("#reservationTime_div","reservationTime_template" , data ,"replace"); //日期tpl
		$("#serviceReservation_article .group>li").first().addClass('active');
	} 
	J.Template.render("#serviceReservation_div","serviceReservation_template" , data ,"replace"); //预约时间tpl
	var reserveList = [];
	var choosedList = [];	
	// 点击未约满
	$("#serviceReservation_div li").not('.full').off('tap').on('tap',function(){
		reserveList = [];
		choosedList = [];
		var startIndex = 0;
		var nextSelectorId = $(this).next().attr('data-id');

		// 获取下一个兄弟节点的位置
		$(this).siblings('li').map(function(index,el){
			if($(el).attr('data-id') == nextSelectorId) startIndex = index;
		});
		$(this).toggleClass('active').siblings('li').removeClass('active');
		if(!isNullString(nextSelectorId)){
			var siblingsEl = $(this).siblings('li').slice(startIndex,startIndex+data.continueTime);
			$(this).hasClass('active') ? siblingsEl.addClass('active') : siblingsEl.removeClass('active');
		}

		// 获取预约时间
		$("#serviceReservation_div li.flex").map(function(index,ele){
			if($(ele).hasClass('active')){
				reserveList.push($(ele).attr('data-id'));
				choosedList.push($(ele).attr('data-val'));
			}
		});
	});

	// 确认选择点击方法
	$("#serviceReservation_footer a").off('tap').on('tap',function(){
		if(reserveList.length != 0){
			history.go(-1);
			var chooseLength = choosedList.length;
			J.Cache.save('reservation',JSON.stringify(reserveList)); //保存预约时间

			$('#serviceDetail_article [data-name="reservationTime"]').text('已选择服务预约时间').after('<div data-name="time">'+choosedList[0]+'</div>');
		}else{
			J.showToast('请选择预约时间');
		}
	});
}

// 预约数量弹出框
function reservePopup_control() {
	var offlineMul = $("#serviceDetail_article").attr('data-offlineMul');
	if(offlineMul == 1){
		var html = '<ul class="list" id="serviceProductInfo"><li><p class="title">请选择预约数量:</p>'
		html += '<label class="miuns_label" onclick="eidtNum(' + "'addNum'" + ',$(this).siblings(' + "'input[type=text]'" + ').val() , this)"><b class="add"></b></label>' +
			'<input type="text" value="1" class="num"/>' +
			'<label class="miuns_label" onclick="eidtNum(' + "'mulNum'" + ',$(this).siblings(' + "'input[type=text]'" + ').val(),this)"><b class="minus"></b></label>' +
			'</li></ul>';
		J.Popup.bottomsheet({
			html: html,
			buttons: [{
				text: '确定',
				class: 'brick-red',
				handler: function() {
					var num = $('#serviceProductInfo').find('input').val();
					isAbleReserve_control(num);
				}
			}]
		});
	}else{
		isAbleReserve_control(1);
	}
}

// 判断是否能预约时间
function isAbleReserve_control(num){
	var serviceEventId = parseInt($("#serviceDetail_article .info").attr('data-eventId'));
	if(J.Cache.get('reservation') && JSON.parse(J.Cache.get('reservation').data).length != 0){
		var reserveList = JSON.parse(J.Cache.get('reservation').data);
		isAbleReserve_service(serviceEventId,reserveList.join(','),num);
	}else{
		J.showToast('您未选择预约时间!');
		$('.bar-tow').click();
		J.Popup.close();
	}
}
// 获取五天内时间
function getFiveDate(){
	var week = {0: '周日' , 1 : '周一', 2 : '周二', 3 : '周三', 4 : '周四', 5 : '周五', 6 : '周六'} ;
	var day = new Date().getDate();
	var month = new Date().getMonth() + 1;
	var year = new Date().getFullYear();
	var weekday = new Date().getDay() ;
	var dateList = [];
	var nowDate = {
		days : (day < 10 ? '0' + day : day),
		months : (month < 10 ? '0' + month : month) ,
		years : year,	
		weekdays : '今天'	
	};
	// 未来五天
	for(var i = 1 ; i <= 5 ; i++){
		var date = {
			days : day + i ,
			months : month ,
			years : year,
			weekdays : weekday + i 
		};
		// 判断是否超过一周
		if (date.weekdays == 7 || date.weekdays == 8 || date.weekdays == 9 || date.weekdays == 10) {
			if (date.weekdays == 7) date.weekdays = 0;
			if (date.weekdays == 8) date.weekdays = 1;
			if (date.weekdays == 9) date.weekdays = 2;
			if (date.weekdays == 10) date.weekdays = 3;
		}
		// 判断当前月有多少天
		if (month == 1 || month == 3 || month == 5 || month == 7 || month == 8 || month == 10 || month == 12) {
			// 判断是否是月末五天
			if (date.days == 32 || date.days == 33 || date.days == 34 || date.days == 35 || date.days == 36) {
				if (date.days == 32) date.days = 1;
				if (date.days == 33) date.days = 2;
				if (date.days == 34) date.days = 3;
				if (date.days == 35) date.days = 4;
				if (date.days == 36) date.days = 5;
				date.months = month + 1;
				// 判断是否是12月
				if (date.months == 13) {
					date.months = 1;
					date.years = year + 1;
				}
			}
		} else {
			if (date.days == 31 || date.days == 32 || date.days == 33 || date.days == 34 || date.days == 35) {
				if (date.days == 31) date.days = 1;
				if (date.days == 32) date.days = 2;
				if (date.days == 33) date.days = 3;
				if (date.days == 34) date.days = 4;
				if (date.days == 35) date.days = 5;
				date.months = month + 1;
				if (date.months == 13) {
					date.months = 1;
					date.years = year + 1;
				}
			}
		}
		date.days = date.days < 10 ? '0' + date.days : date.days ;
		date.months = date.months < 10 ? '0' + date.months : date.months ;
		date.weekdays = i == 1 ? '明天' : week[date.weekdays];
		dateList.push(date);
	}
	return dateList;
}

function shareMask(section){
	if(isWechatClient()){
		if(J.Cache.get('community').data.type == 0){
			J.showToast('点击右上角进行分享');
		}else{
			J.showToast('暂不支持分享');
		}
	}else{
		$('#' + section + " .Share").css("height", $(document).height());
		$('#' + section + " .Share").css("width", $(document).width());
		$('#' + section + " .Share").show();
		$('#' + section + ' .shareFooter').css('display','block');
	}
}

// 微信分享朋友圈
function onMenuShareTimeline_control(showWords){
	var url = window.location.href ;
	var shareData = J.Cache.get('share').data;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
    if(shareUrl.indexOf('#commentDetail_section')>=0 && J.Cache.get('professionalComment')){
		if(J.Cache.get('professionalComment').data.job){
			shareUrl = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			wx.onMenuShareTimeline({
				title:J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您', // 分享标题
				link: urlAppendParams(shareUrl , "saleId", "222"), // 分享链接
				//imgUrl: J.Cache.get('professionalComment').data.photo,
				imgUrl:shareData.imgUrl,// 分享图标
				success: function() {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function() {
					// 用户取消分享后执行的回调函数
				}
			});
		}
    }else if(shareUrl.indexOf('#productDetail_section')>=0){
		console.log('shareUrl',shareUrl);
        wx.onMenuShareTimeline({
            title: shareData.title + ' ¥' + shareData.price4Show, // 分享标题
            link: urlAppendParams(shareUrl , "saleId", "222"), // 分享链接
            imgUrl: shareData.imgUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
                var msg = showWords ? showWords : '分享成功' ;
                J.showToast(msg);
                shareContent_service();
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
    }
}

// 微信分享给朋友
function onMenuShareAppMessage_control() {
	var url = window.location.href;
	var shareData = J.Cache.get('share').data;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
	console.log('product')
	console.log(shareUrl)
    if(shareUrl.indexOf('#commentDetail_section')>=0 && J.Cache.get('professionalComment')){
		if(J.Cache.get('professionalComment').data.job.length != 0){
			shareUrl = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			wx.onMenuShareAppMessage({
				title:J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您', // 分享标题
				desc: '点击详情', // 分享描述
				link: urlAppendParams(shareUrl , "saleId", "111"), // 分享链接
				//imgUrl: J.Cache.get('professionalComment').data.photo, // 分享图标
				imgUrl:shareData.imgUrl,// 分享图标
				type: '', // 分享类型,music、video或link，不填默认为link
				dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
				success: function() {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function() {
					// 用户取消分享后执行的回调函数
				}
			});
		}
    }else if(shareUrl.indexOf('#productDetail_section')>=0){
			wx.onMenuShareAppMessage({
				title: shareData.title + ' ¥' + shareData.price4Show, // 分享标题
				desc: '爆款特价 1小时达', // 分享描述
				link: urlAppendParams(shareUrl , "saleId", "111"), // 分享链接
				imgUrl: shareData.imgUrl, // 分享图标
				type: '', // 分享类型,music、video或link，不填默认为link
				dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
				success: function () {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
                    console.log('分享成功****');
                    console.log(shareUrl);
					shareContent_service();
				},
				cancel: function () {
					// 用户取消分享后执行的回调函数

				}
			});
		}
}
// 微信分享给朋友测试代码
function onMenuShareAppMessage1_control() {
	console.log('onMenuShareAppMessage1****');
	var url = window.location.href;
	var shareData = J.Cache.get('share').data;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
	console.log('product');
	console.log(shareUrl);
    if(shareUrl.indexOf('#productDetail_section')>=0){
		if(wx.updateAppMessageShareData){
            console.log(shareData);
            console.log('updateAppMessageShareData*************');
            console.log(shareUrl);
            wx.updateAppMessageShareData({
                title: shareData.title + ' ¥' + shareData.price4Show, // 分享标题
                desc: '分享行不行啊!', // 分享描述
                link: shareUrl, // 分享链接
                imgUrl: shareData.imgUrl, // 分享图标
                success: function () {
                    //设置成功
                    J.showToast('设置成功');
                    console.log('分享成功****');
                    console.log(shareUrl);
                }
            });
		}else {
			console.log(shareData);
			console.log('onMenuShareAppMessage*************');
            console.log(shareUrl);
            wx.onMenuShareAppMessage({
                title: shareData.title + ' ¥' + shareData.price4Show, // 分享标题
                desc: '爆款特价 1小时达', // 分享描述
                link: shareUrl, // 分享链接
                imgUrl: shareData.imgUrl, // 分享图标
                // type: '', // 分享类型,music、video或link，不填默认为link
                // dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
                success: function () {
                    // 用户确认分享后执行的回调函数
                    J.showToast('分享成功');
                    console.log('分享成功****');
                    console.log(shareUrl);
                },
                cancel: function () {
                    // 用户取消分享后执行的回调函数

                }
            });
		}

		}
}
// 微信分享给QQ
function onMenuShareQQ_control() {
	var shareData = J.Cache.get('share').data;
	var url = window.location.href ;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
    if(shareUrl.indexOf('#commentDetail_section')>=0 && J.Cache.get('professionalComment')){
		if(J.Cache.get('professionalComment').data.job){
			shareUrl = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			wx.onMenuShareQQ({
				title:J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您', // 分享标题
				desc: '点击详情', // 分享描述
				link: shareUrl, // 分享链接
				//imgUrl: J.Cache.get('professionalComment').data.photo, // 分享图标
				imgUrl:shareData.imgUrl,// 分享图标
				success: function() {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function() {
					// 用户取消分享后执行的回调函数
				}
			});
		}
    }else if(shareUrl.indexOf('#productDetail_section')>=0){
        wx.onMenuShareQQ({
            title: shareData.title + ' ¥' + shareData.price4Show, // 分享标题
            desc: '爆款特价 1小时达', // 分享描述
            link: shareUrl, // 分享链接
            imgUrl: shareData.imgUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
                J.showToast('分享成功');
                shareContent_service();
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
    }
}

// 微信分享到微博
function onMenuShareWeibo_control() {
	var shareData = J.Cache.get('share').data;
	var url = window.location.href ;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
    if(shareUrl.indexOf('#commentDetail_section')>=0 && J.Cache.get('professionalComment')){
		if(J.Cache.get('professionalComment').data.job){
			shareUrl = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			wx.onMenuShareWeibo({
				title:J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您', // 分享标题
				desc: '点击详情', // 分享描述
				link: shareUrl, // 分享链接
				//imgUrl: J.Cache.get('professionalComment').data.photo, // 分享图标
				imgUrl:shareData.imgUrl,// 分享图标
				success: function() {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function() {
					// 用户取消分享后执行的回调函数
				}
			});
		}
    }else if(shareUrl.indexOf('#productDetail_section')>=0){
        wx.onMenuShareWeibo({
            title: shareData.title + ' ¥' + shareData.price4Show, // 分享标题
            desc: '爆款特价 1小时达', // 分享描述
            link: shareUrl, // 分享链接
            imgUrl: shareData.imgUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
                J.showToast('分享成功');
                shareContent_service();
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
    }
}

// 微信分享到QQ空间
function onMenuShareQZone_control() {
	var shareData = J.Cache.get('share').data;
	var url = window.location.href ;
	if(url.split('?').length > 2 ){
		if(url.indexOf('serviceEventId')>=0){
			var shareUrl = url ;
		}
	}else{
		var shareUrl = window.location.href + '?serviceEventId=' + shareData.eventId ;
	}
    if(shareUrl.indexOf('#commentDetail_section')>=0 && J.Cache.get('professionalComment')){
		if(J.Cache.get('professionalComment').data.job){
			shareUrl = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			wx.onMenuShareQZone({
				title:J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您', // 分享标题
				desc: '点击详情', // 分享描述
				link: shareUrl, // 分享链接
				//imgUrl: J.Cache.get('professionalComment').data.photo, // 分享图标
				imgUrl:shareData.imgUrl,// 分享图标
				success: function() {
					// 用户确认分享后执行的回调函数
					J.showToast('分享成功');
					shareContent_service();
				},
				cancel: function() {
					// 用户取消分享后执行的回调函数
				}
			});
		}
    }else if(shareUrl.indexOf('#productDetail_section')>=0) {
        wx.onMenuShareQZone({
            title: shareData.title + ' ¥' + shareData.price4Show, // 分享标题
            desc: '爆款特价 1小时达', // 分享描述
            link: shareUrl, // 分享链接
            imgUrl: shareData.imgUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
                J.showToast('分享成功');
                shareContent_service();
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
    }
}
// 点击购物车图标回到购物车
function goToShopCar_control(el){
	J.Router.goTo('#index_section');
	$('#home_article.active').trigger('articlehide');
	$('#shoppingCart_article').addClass('active').siblings('article').removeClass('active');
	$('#index_footer').children('a').map(function(index,item){
		if($(item).attr('href')=='#shoppingCart_article'){
			$(item).addClass('active').siblings('a').removeClass('active');
		}
	})
}
function clickShareGroupOrders(section){
    if (isWechatClient()) {
        if(J.Cache.get('community').data.type == 0){
            getJSSDKConfigParams_service();
            wx.ready(function(){
                // shareCircleOfFriends_control();
                onMenuShareFri_control();
            });
        }
    }
    shareMask(section);
}

//拼团分享到朋友圈
function shareCircleOfFriends_control(){
    var shareData = J.Cache.get('groupShare').data;
    var shareUrl = wechatUrl + '#productGroupon_section?groupOrderCode=' + J.Cache.get('groupShare').data.orderTopCode + '&serviceEventId=' + J.Cache.get('groupShare').data.eventId + '&userId=' + J.Cache.get('login').data.id;
    if(shareUrl.indexOf('#productGroupon_section')>=0){
        wx.onMenuShareTimeline({
            title: '【仅差一人】' + shareData.title, // 分享标题
            link: urlAppendParams(shareUrl, "saleId", "222"), // 分享链接
            imgUrl: shareData.imgUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
                var msg = showWords ? showWords : '分享成功' ;
                J.showToast(msg);
                shareContent_service();
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
    }
}
// 拼团分享给朋友
function onMenuShareFri_control(){
    var shareData = J.Cache.get('groupShare').data;
    var shareUrl = wechatUrl + '#productGroupon_section?groupOrderCode=' + J.Cache.get('groupShare').data.orderTopCode + '&serviceEventId=' + J.Cache.get('groupShare').data.eventId + '&userId=' + J.Cache.get('login').data.id;
    console.log('group----------');
    console.log(shareUrl);
    if(shareUrl.indexOf('#productGroupon_section')>=0){
        wx.onMenuShareAppMessage({
            title: '【仅差一人】' + shareData.title, // 分享标题
            desc: '2人成团，立享8折优惠【苏果拼团】国际大牌，正品保障。', // 分享描述
            link: urlAppendParams(shareUrl, "saleId", "111"), // 分享链接
            imgUrl: shareData.imgUrl, // 分享图标
            type: '', // 分享类型,music、video或link，不填默认为link
            dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
            success: function () {
                // 用户确认分享后执行的回调函数
                J.showToast('分享成功');
                shareContent_service();
            },
            cancel: function () {
                // 用户取消分享后执行的回调函数
            }
        });
    }
}

// 拼团须知
function notice() {
    $('#productGroupon_section .groupNot').css("height", $(document).height());
    $('#productGroupon_section .groupNot').css("width", $(document).width());
    $('#productGroupon_section .groupNot').show();
    $('.groupNotice').css('display','block');
}

// 分享类型  1领券分享   2抽奖分享  3商品分享   4支付完成分享    5评价订单分享
// 优惠券分享
function shareCoupon_control() {
	var sharePar = J.Cache.get('shareCouponPar').data;
	// 分享到朋友圈
	// wx.onMenuShareTimeline({
	// 	title: sharePar.title, // 分享标题
	// 	desc: sharePar.desc, // 分享描述
	// 	link: urlAppendParams(sharePar.link, "saleId", "222"), // 分享链接
	// 	imgUrl: sharePar.imgUrl,// 分享图标
	// 	success: function() {
	// 		// 用户确认分享后执行的回调函数
	// 		J.showToast('分享成功');
	// 		shareBenefit_service(1);
	// 	},
	// 	cancel: function() {
	// 		// 用户取消分享后执行的回调函数
	// 	}
	// });
	// 分享给朋友
	wx.onMenuShareAppMessage({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: urlAppendParams(sharePar.link, "saleId", "111"), // 分享链接
		imgUrl:sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			J.showToast('分享成功');
			shareBenefit_service(1);
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});

	// 分享到qq
	wx.onMenuShareQQ({
		title: '苏鲜生活了', // 分享标题
		desc: '爆款特价 1小时达', // 分享描述
		link: 'https://wei.vipxiaoqu.com/install/index.html', // 分享链接
		imgUrl: '', // 分享图标
		success: function () {
			// 用户确认分享后执行的回调函数
			shareBenefit_service(1);
		},
		cancel: function () {
		// 用户取消分享后执行的回调函数
		}
	});
	  
	// 分享到qq空间
	wx.onMenuShareQZone({
		title: '苏鲜生活了', // 分享标题
		desc: '爆款特价 1小时达', // 分享描述
		link: 'https://wei.vipxiaoqu.com/install/index.html', // 分享链接
		imgUrl: '', // 分享图标
		success: function () {
			shareBenefit_service(1);
		},
		cancel: function () {}
	});

	// 分享到腾讯微博
	wx.onMenuShareWeibo({
		title: '苏鲜生活了', // 分享标题
		desc: '爆款特价 1小时达', // 分享描述
		link: 'https://wei.vipxiaoqu.com/install/index.html', // 分享链接
		imgUrl: '', // 分享图标
		success: function () {
			// 用户确认分享后执行的回调函数
			shareBenefit_service(1);
		},
		cancel: function () {
			// 用户取消分享后执行的回调函数
		}
	});
}

// 抽奖分享
function shareLottery_control() {
	var sharePar = J.Cache.get('sharePrizePar').data;
	// 分享到朋友圈
	// wx.onMenuShareTimeline({
	// 	title: sharePar.title, // 分享标题
	// 	desc: sharePar.desc, // 分享描述
	// 	link: urlAppendParams(sharePar.link, "saleId", "222"), // 分享链接
	// 	imgUrl:sharePar.imgUrl,// 分享图标
	// 	success: function() {
	// 		// 用户确认分享后执行的回调函数
	// 		J.showToast('分享成功');
	// 		shareBenefit_service(2);
	// 	},
	// 	cancel: function() {
	// 		// 用户取消分享后执行的回调函数
	// 	}
	// });
	// 分享给朋友
	wx.onMenuShareAppMessage({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: urlAppendParams(sharePar.link, "saleId", "111"), // 分享链接
		imgUrl:sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			J.showToast('分享成功');
			shareBenefit_service(2);
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});

	// 分享到qq
	wx.onMenuShareQQ({
		title: '苏鲜生活了', // 分享标题
		desc: '爆款特价 1小时达', // 分享描述
		link: 'https://wei.vipxiaoqu.com/install/index.html', // 分享链接
		imgUrl: '', // 分享图标
		success: function () {
			// 用户确认分享后执行的回调函数
			shareBenefit_service(2);
		},
		cancel: function () {
		// 用户取消分享后执行的回调函数
		}
	});
	  
	// 分享到qq空间
	wx.onMenuShareQZone({
		title: '苏鲜生活了', // 分享标题
		desc: '爆款特价 1小时达', // 分享描述
		link: 'https://wei.vipxiaoqu.com/install/index.html', // 分享链接
		imgUrl: '', // 分享图标
		success: function () {
			shareBenefit_service(2);
		},
		cancel: function () {}
	});

	// 分享到腾讯微博
	wx.onMenuShareWeibo({
		title: '苏鲜生活了', // 分享标题
		desc: '爆款特价 1小时达', // 分享描述
		link: 'https://wei.vipxiaoqu.com/install/index.html', // 分享链接
		imgUrl: '', // 分享图标
		success: function () {
			// 用户确认分享后执行的回调函数
			shareBenefit_service(2);
		},
		cancel: function () {
		// 用户取消分享后执行的回调函数
		}
	});
}

// 平台分享
function shareWTYPay_control() {
	var sharePar = J.Cache.get('shareWTYPayPar').data;
	// 分享到朋友圈
	// wx.onMenuShareTimeline({
	// 	title: sharePar.title, // 分享标题
	// 	desc: sharePar.desc, // 分享描述
	// 	link: urlAppendParams(sharePar.link, "saleId", "222"), // 分享链接
	// 	imgUrl:sharePar.imgUrl,// 分享图标
	// 	success: function() {
	// 		// 用户确认分享后执行的回调函数
	// 		J.showToast('分享成功');
	// 		// shareBenefit_service(4);
	// 	},
	// 	cancel: function() {
	// 		// 用户取消分享后执行的回调函数
	// 	}
	// });
	// 分享给朋友
	wx.onMenuShareAppMessage({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: urlAppendParams(sharePar.link, "saleId", "111"), // 分享链接
		imgUrl: sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			// shareBenefit_service(4);
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});

	// 分享到qq
	wx.onMenuShareQQ({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: sharePar.link, // 分享链接
		imgUrl: sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			// shareBenefit_service(4);
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});
	  
	// 分享到qq空间
	wx.onMenuShareQZone({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: sharePar.link, // 分享链接
		imgUrl: sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			// shareBenefit_service(4);
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});

	// 分享到腾讯微博
	wx.onMenuShareWeibo({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: sharePar.link, // 分享链接
		imgUrl: sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			// shareBenefit_service(4);
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});
}

// 商品分享
function shareWTYProductPay_control() {
	var sharePar = J.Cache.get('shareProductPar').data;
	// 分享到朋友圈
	// wx.onMenuShareTimeline({
	// 	title: sharePar.title, // 分享标题
	// 	desc: sharePar.desc, // 分享描述
	// 	link: urlAppendParams(sharePar.link, "saleId", "222"), // 分享链接
	// 	imgUrl:sharePar.imgUrl,// 分享图标
	// 	success: function() {
	// 		// 用户确认分享后执行的回调函数
	// 		J.showToast('分享成功');
	// 		shareBenefit_service(3);
	// 	},
	// 	cancel: function() {
	// 		// 用户取消分享后执行的回调函数
	// 	}
	// });
	// 分享给朋友
	wx.onMenuShareAppMessage({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: urlAppendParams(sharePar.link, "saleId", "111"), // 分享链接
		imgUrl: sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			shareBenefit_service(3);
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});

	// 分享到qq
	wx.onMenuShareQQ({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: sharePar.link, // 分享链接
		imgUrl: sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			shareBenefit_service(3);
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});
	  
	// 分享到qq空间
	wx.onMenuShareQZone({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: sharePar.link, // 分享链接
		imgUrl: sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			shareBenefit_service(3);
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});

	// 分享到腾讯微博
	wx.onMenuShareWeibo({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: sharePar.link, // 分享链接
		imgUrl: sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			shareBenefit_service(3);
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});
}

// 邀请有礼微信分享
function sharePoster_control() {
	var sharePar = J.Cache.get('sharePoster').data;
	// 分享到朋友圈
	wx.onMenuShareTimeline({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: sharePar.link, // 分享链接
		imgUrl:sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			J.showToast('分享成功');
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});
	// 分享给朋友
	wx.onMenuShareAppMessage({
		title: sharePar.title, // 分享标题
		desc: sharePar.desc, // 分享描述
		link: sharePar.link, // 分享链接
		imgUrl: sharePar.imgUrl,// 分享图标
		success: function() {
			// 用户确认分享后执行的回调函数
			J.showToast('分享成功');
		},
		cancel: function() {
			// 用户取消分享后执行的回调函数
		}
	});
}

// ===================================新的分享插件===================================
function checkWechatIsInstalled(platType,type) {
	Wechat.isInstalled(function (installed) {
		var title, icon, wechatScene, url;
		var text = '爆款特价 1小时达';

		if(platType == 1) {
			wechatScene = Wechat.Scene.SESSION;
		} else if(platType == 2){
			wechatScene = Wechat.Scene.TIMELINE;
		}
		if(type == 1) {
    		var shareData = J.Cache.get('share').data;
			var pageName = (shareData.type == 1) ? 'serviceDetail' : 'productDetail';
			icon = shareData.imgUrl;
			title = shareData.title + ' ¥' + shareData.price4Show;
			url = wechatUrl + '#' + pageName + '_section?serviceEventId=' + shareData.eventId;	 
			if(platType == 1) {
				url =  urlAppendParams(url, 'saleId', 111);
			} else if(platType == 2){
				url =  urlAppendParams(url, 'saleId', 222);
			}
	   } else if(type == 2) {
    		var shareData = J.Cache.get('share').data;
			icon = shareData.imgUrl;
			title = J.Cache.get('professionalComment').data.job + '专家' + J.Cache.get('professionalComment').data.name +
				'评价了' +  shareData.title + '，有点用处，分享给您';
			url = serverUrl + 'ws/shareAction!shareComment.sy?commentId=' + J.Cache.get('professionalComment').data.commentEventId;
			if(platType == 1) {
				url =  urlAppendParams(url, 'saleId', 111);
			} else if(platType == 2){
				url =  urlAppendParams(url, 'saleId', 222);
			}
	    } else if(type == 3) {
	    	var shareData = J.Cache.get('groupShare').data;
		    title = '【仅差一人】' + shareData.title;
		    icon = shareData.imgUrl;
		    text = '2人成团，立享8折优惠【苏果拼团】国际大牌，正品保障。';
			url = wechatUrl + '#productGroupon_section?groupOrderCode=' + J.Cache.get('groupShare').data.orderTopCode + '&serviceEventId=' + J.Cache.get('groupShare').data.eventId + '&userId=' + J.Cache.get('login').data.id;
			if(platType == 1) {
				url =  urlAppendParams(url, 'saleId', 111);
			} else if(platType == 2){
				url =  urlAppendParams(url, 'saleId', 222);
			}
	    } else if (type == 4) {
			// 优惠券分享
			var shareData = J.Cache.get('shareCouponPar').data;
			title = shareData.title;
			text = shareData.desc;
			if(platType == 1) {
				url =  urlAppendParams(shareData.link, 'saleId', 111);
			} else if(platType == 2){
				url =  urlAppendParams(shareData.link, 'saleId', 222);
			}
			icon = shareData.imgUrl;

		} else if (type == 5) {
			// 抽奖分享
			var shareData = J.Cache.get('sharePrizePar').data;
			title = shareData.title;
			text = shareData.desc;
			if(platType == 1) {
				url =  urlAppendParams(shareData.link, 'saleId', 111);
			} else if(platType == 2){
				url =  urlAppendParams(shareData.link, 'saleId', 222);
			}
			icon = shareData.imgUrl;
		} else if (type == 6) {
			// 分享商品
			var shareData = J.Cache.get('shareProductPar').data;
			title = shareData.title;
			text = shareData.desc;
			if(platType == 1) {
				url =  urlAppendParams(shareData.link, 'saleId', 111);
			} else if(platType == 2){
				url =  urlAppendParams(shareData.link, 'saleId', 222);
			}
			icon = shareData.imgUrl;

		} else if (type == 7) {
			// 平台支付分享
			var shareData = J.Cache.get('shareWTYPayPar').data;
			title = shareData.title;
			text = shareData.desc;
			if(platType == 1) {
				url =  urlAppendParams(shareData.link, 'saleId', 111);
			} else if(platType == 2){
				url =  urlAppendParams(shareData.link, 'saleId', 222);
			}
			icon = shareData.imgUrl;

		} else if (type == 8) {
			// 平台评论分享
			var shareData = J.Cache.get('shareWTYPayPar').data;
			title = shareData.title;
			text = shareData.desc;
			if(platType == 1) {
				url =  urlAppendParams(shareData.link, 'saleId', 111);
			} else if(platType == 2){
				url =  urlAppendParams(shareData.link, 'saleId', 222);
			}
			icon = shareData.imgUrl;
		}
		console.log(title, text, url, icon);
    	Wechat.share({
		    message: {
		        title: title,
		        description: text,
		        thumb: icon,
		        mediaTagName: "TEST-TAG-001",
		        media: {
		            type: Wechat.Type.WEBPAGE,
		            webpageUrl: url
		        }
		    },
		    scene: wechatScene
		}, function () {
		    J.showToast('分享成功');
			if (type == 4) {
				shareBenefit_service(1);
				return;
			} else if (type == 5) {
				shareBenefit_service(2);
				return;
			} else if (type == 6) {
				shareBenefit_service(3);
				return;
			}

			shareContent_service();
		}, function (reason) {

		})	
	}, function (reason) {
	    J.alert('提示',"Failed: " + reason);
	});
}
/**
 * [checkWechatSharePoster  app分享海报]
 * [platType]    分享的场景 TIMELINE朋友圈 SESSION会话 FAVORITE 收藏 默认朋友圈
 * [type]  1分享链接   2分享图片
 * **/ 
function checkWechatSharePoster(platType,type) {
	$('.posterShare').hide();
	$('.posterShareFooter').hide();
	$('#canbox').removeClass('active');
	console.log(J.Cache.get('sharePoster').data);
	console.log(J.Cache.get('sharePoster').data.imgUrl);
	Wechat.isInstalled(function (installed) {
		var wechatScene;
		if(platType == 1) {
			wechatScene = Wechat.Scene.SESSION;
		} else if(platType == 2){
			wechatScene = Wechat.Scene.TIMELINE;
		}
		if(type == 1){
			var shareData = J.Cache.get('sharePoster').data;
			Wechat.share({
				message: {
					title: shareData.title,
					description: shareData.desc,
					thumb: shareData.imgUrl,
					mediaTagName: "TEST-TAG-001",
					media: {
						type: Wechat.Type.WEBPAGE,
						webpageUrl: shareData.link
					}
				},
				scene: wechatScene
			}, function () {
				J.showToast('分享成功');
			}, function (reason) {
				J.showToast("Failed: " + reason);
			})
		}else if(type == 2){
			console.log('海报----');
			console.log($('#posterPic').attr('src'));
			var base64URL = $('#posterPic').attr('src');
			Wechat.share({
				message: {
				  title: "这是分享的标题",
				  description: "这是分享的描述",
				  thumb: "www/assets/imgs/logo.png",
				  media: {
					type: Wechat.Type.IMAGE,
					image: base64URL
				  }
				},
				scene: wechatScene
			  }, function () {
				J.showToast('分享成功');
			  }, function (reason) {
				J.showToast("Failed: " + reason);
			  });
		}
	}, function (reason) {
	    J.showToast("Failed: " + reason);
	});
}
// 生成二维码
function qrcode(value){
    var qrcode = new QRCode(document.getElementById("qrcode"), {
        width : document.body.clientWidth*0.28,
        height : document.body.clientWidth*0.28,
        correctLevel : QRCode.CorrectLevel.H
    });
    qrcode.clear();
    qrcode.makeCode(value);
}
//二维码转图片  
function convertCanvasToImage(canvas) {
    var image = new Image();
    image.setAttribute("crossOrigin", 'Anonymous');
    image.src = canvas.toDataURL("image/png");
    return image;
}
// 海报
function posterCanvas(url){
	console.log(url)
	// var url = 'https://wei-test.vipxiaoqu.com/wechat/index.html?inviterId=498372#index_section';
	$('#qrcode').empty();
	var width = 750;
	var height = 1172;
    // var width = document.body.clientWidth * DPR; //宽度
	// var height = document.body.clientWidth*1.56 * DPR; // 高度
	console.log(width,height);
	if($('#posterShare_section #myCanvas')) $('#myCanvas').remove();
	if($('#posterShare_section #posterPic'))$('#posterPic').remove();
	var c = document.createElement("canvas");
	c.id = 'myCanvas';
	c.width = width;
	c.height = height;
	$('#posterShare_section').append(c);
	var ctx = c.getContext("2d");
	qrcode(url);//链接文字制作二维码
	var img = $('#canbox img.posterBg')[0];
	var codeimg = convertCanvasToImage($('#qrcode canvas')[0]);
	img.onload = function(){
		ctx.drawImage(img, 0,0, width, height); 
		ctx.fillStyle='white';
		// ctx.fillRect(width * 0.34,height*0.44,width * 0.34,width * 0.35);
		// ctx.drawImage(codeimg, width*0.608, height*0.75, width*0.28, width*0.28);
		ctx.drawImage(codeimg, width*0.64, height*0.77, width*0.28, width*0.28);
		setTimeout(function(){
			var canvas = document.getElementById('myCanvas');
			var image = convertCanvasToImage(canvas);
			image.id = 'posterPic';
			$('#canbox').append(image);
			// $('#posterShare_section').append(image);
			console.log($('#posterPic')[0].offsetWidth)
			console.log('image',image);
		},100)
	}
}
function showPoster(){
	$('.posterShare').css("height", $(document).height());
    $('.posterShare').css("width", $(document).width());
    $('.posterShare').show();
	$('.posterShareFooter').css('display','block');
	$('.shareInviteWechat').attr('onclick','checkWechatSharePoster(1,2)');
	$('.shareInviteTimeline').attr('onclick','checkWechatSharePoster(2,2)');
    $('.posterShareBlock').css('display','block');
	$('#canbox').addClass('active');
	$('.posterShare').off().on('click',function(){
		$('.posterShare').hide();
		$('#canbox').removeClass('active');
		$('.posterShareFooter').hide();
	})
	$('.posterShareFooter button').off().on('click',function(){
		$('.posterShare').hide();
		$('#canbox').removeClass('active');
		$('.posterShareFooter').hide();
	})
}
// 邀请分享链接
function inviteShare(){
	if(isWechatClient()){
		J.showToast('点击右上角进行分享');
	}else{
		$('.posterShare').css("height", $(document).height());
		$('.posterShare').css("width", $(document).width());
		$('.posterShare').show();
		$('.posterShareFooter').css('display','block');
		$('.shareInviteWechat').attr('onclick','checkWechatSharePoster(1,1)');
		$('.shareInviteTimeline').attr('onclick','checkWechatSharePoster(2,1)');
		$('.posterShareBlock').css('display','block');
		$('.posterShare').off().on('click',function(){
			$('.posterShare').hide();
			$('.posterShareFooter').hide();
		})
		$('.posterShareFooter button').off().on('click',function(){
			$('.posterShare').hide();
			$('.posterShareFooter').hide();
		})
	}
}
// 面对面扫码
function codeCanvas(){
	var url = urlAppendParams(wechatUrl + '?#index_section', 'inviterId', J.Cache.get('login').data.id);
    $('#qrcode').empty();
    $('#codeImg')[0].innerHTML = '';
    $('.posterShare').css("height", $(document).height());
    $('.posterShare').css("width", $(document).width());
    $('.posterShare').show();
    qrcode(url);//链接文字制作二维码
    var codeimg = convertCanvasToImage($('#qrcode canvas')[0]);
    $('#codeImg').append(codeimg);
    var html = '<p>让好友扫一扫上面的二维码</p><p>超值优惠券享不完</p><i></i>';
    $('#codeImg').append(html);
    $('#codeImg').css('display','block');
    $('.posterShare').off().on('click',function(){
        $('.posterShare').hide();
        $('#codeImg').hide();
    })
    $('#codeImg i').off().on('click',function(){
        $('.posterShare').hide();
        $('#codeImg').hide();
    })
}


