var pay = {
	// 支付方式
	method: {
		0: '',
		1: 'alipay',
		2: 'union',
		3: 'linePay',
		4: 'weixinJSSDK',
		5: 'weixin'
	},
	// 保存接口数据 priceInfo:汇总价格  eventsInfo:商品信息  addressInfo:地址信息  blance:余额积分
	mock: {},
	// 公用传参
	par: {},
	// 总价
	total: 0,
	// 运费
	freight: 0,
	// 包装费
	packingPrice: 0,
	// 可用最大余额
	maxGroupBalanceOff: 0,
	// 是否是待付款订单
	isOrder: false,
	// submitOrder参数
	param: {
		payMethod: 0,
		addressId: 0,
		integralOff: 0,		//积分支付
//		activityIntegralOff: 0, //活动积分
		promotionalIntegralOff: 0, //大促积分
		shoppingCarIds: [],
		total: 0,
		balanceOff: 0,		//余额支付
		groupBalanceOff: 0, //余额
		deliveryTId: '',
		deliveryTime: '',
		couponJsonStr: {},
		remark: '',
		invoiceTitle: '',
		disType: '',
		merchantId: ''		// 商户id
	},
	// 苏果卡充值取卡时间
	suguoCardTimeList: {
		timeBeanList: {},
		timeValue: 0,
		timeDay: 0,
		uploadImg: {
			image: ''
		}
	},
	// 会员抵扣优惠券
	memberDeductCoupon: {
		memberCoupons: {},
		couponSelect: 0
	},
	// 选择优惠券公用变量
	payCoupon:{
		mock: {},
		useCoupon: {},
		total: 0
	},
	//运费减免券公用变量
	freightCoupon:{
	},

	// 是否开启分商户支付
	transfer: false,
	// 已选
	getEvents: function(merchantid) {
		var events = [];
		// var shoppingCar = J.Cache.get('shoppingCarData').data;
		// $("#shoppingCar_article ul.validList  li").each(function() {
		// 	var obj = {};
		// 	if($(this).find('label[data-name=radio]').hasClass('active')) {
		// 		events.push(parseInt($(this).val()));
		// 		obj.shoppingCarId = parseInt($(this).val());
		// 	}
		// });
		if (merchantid) {
			$("#shoppingCar_article ul.validList li label[data-merchantid='" + merchantid + "'].active").each(function() {
				events.push(parseInt($(this).parent().val()));
			})
		} else {
			$("#shoppingCar_article ul.validList li label.active").each(function() {
				events.push(parseInt($(this).parent().val()));
			})
		}

		this.par.shoppingCarIds = JSON.stringify(events);
		this.par.deliveryTId = '';
		this.par.deliveryTime = '';
		this.par.deliveryTimer = '';
		this.param.deliveryTId = '';
		this.param.deliveryTime = '';
		this.param.deliveryTimer = '';
		this.param.useVipFreeFreight = 0;
		this.par.isOrder = false;
		this.par.orderTopId = '';
	},
	// 结算 handleType:0.购物车 1.立即购买
	clearAccount: function(handleType, merchantid, eventType) {
		// 关闭弹框
		$('#shoppingCartSettlement').removeClass('active');
		pay.param.disType = '';
		pay.handleType = handleType;
		var that = this;

		if(handleType == 0) this.getEvents(merchantid);
        if(handleType == 1) this.par.orderTopId = '';
		var shoppingCarLength = JSON.parse(that.par.shoppingCarIds).length;
		if(shoppingCarLength != 0) {
			if (merchantid != 2 && merchantid != 0) {
				getSelectedShoppingCarV2(that.par, eventType);
				return;
			}

			setTimeout(function() {
				// getSelectedShoppingCar_service(that.par, eventType); //获取已选购物车商品service
				// 新的
				var disType = pay.par.disType.toString();
				var usable = pay.supDeliveryType.indexOf(disType);
				// 判断自提还是配送
				if (!pay.supDeliveryType.length) {
					J.showToast('该门店不支持配送和自提');
					return;
				}
				// 判断门店是否支持自提配送
				if (pay.par.disType == 1) {
					if (usable == -1) {
						J.Popup.confirm4('提示', '亲！该门店不支持配送。到门店自提。不方便之处敬请谅解','返回购物车','确认自提',function(){
							pay.par.disType = 2;
							getSelectedShoppingCarV2(that.par, eventType); //获取已选购物车商品service
						},function(){});
					} else {
						getSelectedShoppingCarV2(that.par, eventType); //获取已选购物车商品service
					}
				} else if (pay.par.disType == 2){
					if (usable == -1) {
						J.showToast('订单超重，门店不支持自提');
					} else {
						J.Popup.confirm4('提示', '亲！超重啦，小哥拉不动。建议分拆下单或到门店自提。不方便之处敬请谅解','返回购物车','确认自提',function(){
							getSelectedShoppingCarV2(that.par, eventType); //获取已选购物车商品service
						},function(){});
					}
				}

			}, 100)
		} else {
			J.showToast('未勾选商品');
		}
	},
	settleAccounts: function() {
		// 是否开启分账功能
		var bool = this.transfer;

		console.log(bool)
		var num = $("#shoppingCar_article ul.validList li label.active").length;
		if (num > 0) {
			if (bool) {
				if (pay.selectMerchant.length > pay.limit) {
					J.showToast('商户数已达上限无法提交');
				} else {
					// 开启分账  不分商户支付 
					this.clearAccount(0, 0)
				}
			} else {
				// 不开启分账 分商户支付
				$('#shoppingCartSettlement').addClass('active');
			}
		} else {
			J.showToast('未勾选商品');
		}
	},
	//获取已选购物车商品页面信息
	getSelectedShoppingCar_tpl: function(eventType, myOrdersTopid, data) {
		var bool = true;
		if(J.Cache.get('community').data.type==1) {
			// isOrder   是否是待付款
			if(pay.isOrder) {
				bool = false;
			}
		}
		var that = this;
		that.mock.communityType = J.Cache.get('community').data.type;
		that.mock.bool = bool;
		that.mock.disType = that.par.disType;
        // //计算原价与实付价价差显示优惠金额
        // that.mock.priceInfo.promotionalOffers = Math.formatFloat(that.mock.priceInfo.totalCfalsePrice - that.mock.priceInfo.realTotalMoney);
		J.Template.render('#payLists_article', 'payLists_template', pay.payLists, "replace");
		// toggle切换
		J.Element.toggle('.toggle');

		var priceInfo = pay.payLists.priceInfo;
		// 实付
		$("#totalPrice").text(Math.formatFloat(priceInfo.realTotalMoney + parseFloat(priceInfo.realFreight) + parseFloat(priceInfo.packingPrice)));
		// 已省
		$("#discountMoney").text(Math.formatFloat(priceInfo.totalCfalsePrice - priceInfo.realTotalMoney));
		$("#totalPrice").data('totalPrice',Math.formatFloat(priceInfo.realTotalMoney + parseFloat(priceInfo.realFreight) + parseFloat(priceInfo.packingPrice)));
		$("#discountMoney").data('discountMoney',Math.formatFloat(priceInfo.totalCfalsePrice - priceInfo.realTotalMoney));

		if(myOrdersTopid) {
			$('#payLists_section [data-role="submitBtn"]').attr('data-topId', myOrdersTopid); //我的订单待支付的topid
			$('#payLists_section [data-role="submitBtn"]').attr('data-howPay', 1);
		} else {
			$('#payLists_section [data-role="submitBtn"]').removeAttr('data-topId');
			$('#payLists_section [data-role="submitBtn"]').attr('data-howPay', 0);
		}
		eventType == 1 ? $("#deliveryTime").closest('.order-time').hide() : $("#deliveryTime").closest('.order-time').show();


		//判断地址是否可配送
        var riding = new AMap.Riding({});
        var superMarket;
        var superMarketPlace;
        var distributionDistance;
        for(var i=0;i<J.Cache.get('communities').data.length;i++){
        	if(J.Cache.get('address') == null){
                J.Cache.save('needEditAddress','请先填写您的收货地址信息');
                return;
			}else{
                if(J.Cache.get('address').data.communityId == J.Cache.get('communities').data[i].id){
                	superMarketPlace = [Number(J.Cache.get('communities').data[i].place.split(',')[0]),Number(J.Cache.get('communities').data[i].place.split(',')[1])];
                	superMarket = J.Cache.get('communities').data[i].communityRealAddress;
                    distributionDistance = J.Cache.get('communities').data[i].radius;
                }
			}
        }
        var receiveAddress;
        var place;
        // var receiveAddress = J.Cache.get('address').data.address;
		if(J.Cache.get('address').data.id == ''){
            if(J.Cache.get('address').data.position == ''){
                if(J.Cache.get('address').data.residence && J.Cache.get('address').data.residence != undefined){
                    receiveAddress = '南京市' + J.Cache.get('address').data.residence;
                }else{
                    receiveAddress = '南京市' + J.Cache.get('address').data.address;
                }
                getAddressLnglat(receiveAddress,function (location) {
                    var addressData = J.Cache.get('address').data;
                    addressData.longitude = location.lng;
                    addressData.latitude = location.lat;
                    J.Cache.save('address',addressData);
                    place = [location.lng,location.lat];
                    pay.param.lng = location.lng;
                    pay.param.lat = location.lat;
                    riding.search(superMarketPlace,place,function(status,result){
                        ridingCall(status,result,distributionDistance);
                    });
                });
            }else {
                place = [Number(J.Cache.get('address').data.position[0]),Number(J.Cache.get('address').data.position[1])];
                pay.param.lng = J.Cache.get('address').data.position[0];
                pay.param.lat = J.Cache.get('address').data.position[1];
                riding.search(superMarketPlace,place,function(status,result){
                    ridingCall(status,result,distributionDistance);
                });
            }
		}else{
            //已存地址
            if(!J.Cache.get('address').data.longitude || !J.Cache.get('address').data.latitude){
                if(J.Cache.get('address').data.residence && J.Cache.get('address').data.residence != null){
                    receiveAddress = '南京市' + J.Cache.get('address').data.residence;
                }else{
                    receiveAddress = '南京市' + J.Cache.get('address').data.address;
                }
                getAddressLnglat(receiveAddress,function (location) {
                    var addressData = J.Cache.get('address').data;
                    addressData.longitude = location.lng;
                    addressData.latitude = location.lat;
                    J.Cache.save('address',addressData);
                    place = [location.lng,location.lat];
                    pay.param.lng = location.lng;
                    pay.param.lat = location.lat;
                    riding.search(superMarketPlace,place,function(status,result){
                        ridingCall(status,result,distributionDistance);
                    });
                });
            }else {
                place = [Number(J.Cache.get('address').data.longitude),Number(J.Cache.get('address').data.latitude)];
                pay.param.lng = J.Cache.get('address').data.longitude;
                pay.param.lat = J.Cache.get('address').data.latitude;
                riding.search(superMarketPlace,place,function(status,result){
                    ridingCall(status,result,distributionDistance);
                });
            }
		}
		//显示优惠券信息
		pay.payLists.data.map(function(item) {
			if (item.usedCouponJson) {
				if (item.usedCouponJson.usedCouponUserId) {
					if (item.usedCouponJson.usedCouponUserId.length) {
						$('#couponDetail').text(item.usedCouponJson.usedCoupon);
					}
				}
			}
		})

		return;

		if(that.mock.disType == 1){
			$('#pickUpGoods .deliverSelected').addClass('active').siblings().removeClass('active');
		}else if(that.mock.disType == 2){
            $('.shippingAddress').css('display','none');
            $('.pickUpAddress').css('display','block');
            $('#pickUpGoods .selfSelected').addClass('active').siblings().removeClass('active');
            for(var i=0;i<J.Cache.get('communities').data.length;i++){
                if(J.Cache.get('communities').data[i].id == J.Cache.get('community').data.id){
                    $('.pickUpAddress span.pickUpMarket').text(J.Cache.get('communities').data[i].communityAddressDetail);
                }
            }
		}

		if (that.param.merchantId != 2) {
			$('#pickUpGoods').hide();
		}

		if(pay.par.deliveryTime){
            $('.payList_button').css('display','none');
            $('.selectedDeliveryTime').text(pay.par.deliveryTimer);
		}

		$('#invoiceTitle').val(that.mock.invoiceTitle);
		$('#remark').val(that.mock.remark);
		// $("#productsNum").text(num);
		// $("#totalNumber").text(num);
		// $("#totalProducts").text(num);
		// $("#totalWeight").text(that.mock.totalWeight);
		$("#productsWeight").text(that.mock.totalWeight);
		that.total = that.mock.priceInfo.realTotalMoney;
		$("#totalPrice").text(Math.formatFloat(that.total + that.freight + that.packingPrice));//实付
        $("#discountMoney").text(Math.formatFloat(that.mock.priceInfo.totalCfalsePrice - that.total));//已省

		$("#totalPrice").data('totalPrice',Math.formatFloat(that.total + that.freight + that.packingPrice));
        $("#discountMoney").data('discountMoney',Math.formatFloat(that.mock.priceInfo.totalCfalsePrice - that.total));

		//显示优惠券信息
		showCouponInfo(data)

		
        
	},

	// 获取余额和积分
	checkBlance: function(howPay, el) {
		// 判断app是否是最新
		console.log('判断app是否是最新');
		onResumeUpdate();

		var deliveryTId = pay.par.deliveryTId;
		var bool = false;
		if(J.Cache.get('community').data.type==1) {
			if(!pay.isOrder) {
				bool = true;
			}
		} else {
			if(J.Cache.get('needEditAddress') && J.Cache.get('needEditAddress').data != null){
				if(this.mock.disType != 2){
					if(J.Cache.get('address') == null){
						J.Popup.confirm4('提示', J.Cache.get('needEditAddress').data,'取消','好的',function(){
							//好的
							J.Router.goTo("#newAddress_section");
							J.Cache.save('newOrEditAddress','add');
							setTimeout(function(){
								$('#newAddress_section h1.title').text('新增收货地址');
								$('#receiverAddress').val('');    //新增地址
								$('#houseNum').val('');
								$('#contactsName').val('');
								$('#contactsNum').val('');
								$('#newAddress_section span').removeClass('active');
							},100);
						},function(){});
					}else{
						J.alert('提示', J.Cache.get('needEditAddress').data);
					}
					return;
				}
			}

			var payListsData = pay.payLists.data;
			var merchantIdArr = [];
			for (var i = 0; i < payListsData.length; i++) {
				var item = payListsData[i];
				if (item.merchantInfo.id == 2) {
					if (!item.par.deliveryTId) {
						if (item.par.disType == 1) {
							selectTime(i);
						}
						if (item.par.disType == 2) {
							pickSelectTime(i)
						}
						return;
					}
				}
				merchantIdArr.push(item.merchantInfo.id);
			}
			pay.param.merchantId = merchantIdArr.toString();
		}
		// var deliveryTime = $("#deliveryTime").find("option:selected").text();
		var deliveryTime = pay.par.deliveryTime;
		var deliveryAddress = $("#payLists_article [data-name='addressId']").attr("data-addressId");
		var deliveryCommunity = $("#payLists_article [data-name='addressId']").attr("data-communityId");
		if($(el).attr('data-topId')) {
			var topId = $(el).attr('data-topId');
		}
		if(!pay.mock.addressInfo && pay.param.disType != 2) {
			J.alert('提示', '请添加收货地址后进行提交');
			return;
		}
		if(pay.param.disType == 2){
			for (var i = 0; i < pay.payLists.data.length; i++) {
				var item = pay.payLists.data[i];
				if (item.merchantInfo.id == 2) {
					if(J.Cache.get('disTypeRule').data > item.calculatePrice.realTotalMoney){
						J.alert('提示', '自提订单需满'+J.Cache.get('disTypeRule').data + '元');
						return;
					}
				}
			}
		}
		// if(isNullString(pay.mock.addressInfo.street) && pay.param.disType != 2) {
		// 	J.alert('提示', '请添加收货地址后进行提交');
		// } else {
//			if(deliveryCommunity != J.Cache.get('community').data.id) {
//				J.alert('提示', '您所选的商品无法送达您的送货区域，请更改收货地址或更改所在区域');
//			} else {
				// 传给param所需参数
        		this.param.addressId = parseInt(deliveryAddress);
				this.param.deliveryTId = deliveryTId;
				this.param.deliveryTime = deliveryTime;
				this.param.total = this.total;
				this.param.freight = this.freight;
				this.param.packingPrice = this.packingPrice || 0;
				this.param.shoppingCarIds = this.par.shoppingCarIds;

				var eventsInfoKey = [];
				var payLists = pay.payLists;
				for (var i = 0; i < payLists.data.length; i++) {
					var item = payLists.data[i];
					eventsInfoKey.push(item.merchantInfo.id);
				}

				var n = 1;
				var messageString = '';
				var distributInformationList;
				if(pay.par.disType == 1){ 
					distributInformationList = J.Cache.get('distributInformationList').data.psDistributInformationList
				} else if(pay.par.disType == 2) {
					distributInformationList = J.Cache.get('distributInformationList').data.ztDistributInformationList
				}

				console.log(eventsInfoKey, '123456', distributInformationList)
				for(var i = 0; i < eventsInfoKey.length; i++) {
					if(distributInformationList[eventsInfoKey[i]]) {
						messageString = messageString + n + '.' + distributInformationList[eventsInfoKey[i]] + '<br>';
						n++;
					}
				}
				console.log(messageString);

				var remarkObj = {};
				$('#payLists_article .remark').map(function() {
					var key = this.dataset.merchant
					remarkObj[key] = this.value;
				})

				// pay.param.disType = pay.par.disType;
				pay.param.remark = JSON.stringify(remarkObj);
				

				pay.total = parseFloat(pay.payLists.priceInfo.realTotalMoney);
				// pay.freight = parseFloat(pay.payLists.priceInfo.freight);
				pay.packingPrice = parseFloat(pay.payLists.priceInfo.packingPrice);
				
				var successFn = function() {
					if(bool) {
						submitAuditOrder_service()
					} else {
						J.Router.goTo("#payMethod_section");
						calculateAvailableIntegrationAndBalance_service(Math.formatFloat(pay.total + pay.freight + pay.packingPrice,4), 0, howPay, topId);
					}
				}

				if(messageString) {
					J.confirm('提示', messageString, function() {
						successFn();
					}, function() {
						return;
					})
				} else {
					successFn()
				}
//			}
// 		}
	},

	// 获取余额积分页面数据
	getBlanceAndIntegration_tpl: function(eventType, howPay, topId) {
		var that = this;
		if(eventType == 0) {
			$("#payMethod_section").find('[data-name="howPay"]').val(howPay).show().siblings().hide();
			$("#payMethod_section").find('span[data-name="eventFreight"]').show(); //运费显示
			$("#payMethod").find('li[data-name="offlinePay"]').show(); //线下支付显示
			if(topId) {
				$("#payMethod_section").find('[data-name="howPay"]').attr('data-topId', topId);
			} else {
				$("#payMethod_section").find('[data-name="howPay"]').removeAttr('data-topId');
			}
		} else if (eventType == 1) {
			$("#payMethod_section").find('span[data-name="eventFreight"]').hide(); //运费隐藏
			$("#payMethod").find('li[data-name="offlinePay"]').hide(); //线下支付隐藏
			$("#payMethod_section").find('[data-name="couponPay"]').show().siblings().hide(); //支付按钮
		} else if (eventType == 2){
			$("#payMethod_section").find('span[data-name="eventFreight"]').hide(); //运费隐藏
			$("#payMethod").find('li[data-name="offlinePay"]').hide(); //线下支付隐藏
			$("#payMethod_section").find('[data-name="vipPay"]').show().siblings().hide(); //支付按钮
		}

		// $("#payMethod_section").find('span[name=orderMoney]').text(Math.formatFloat(Math.formatFloat(that.total) + Math.formatFloat(that.freight), 4)); //订单金额
		$("#payMethod_section h3").text(Math.formatFloat(Math.formatFloat(that.total) + Math.formatFloat(that.freight) + Math.formatFloat(that.packingPrice), 4)); //订单金额
		$("#payMethod_section").find('span[name=freight]').text(that.freight); //订单运费
		$("#payMethod_section").find('span[name=integration]').text(that.mock.blance.availableIntegration); //可用积分
		$("#payMethod_section").find('span[name=activityIntegration]').text(that.mock.blance.promotionalIntegration); //可用积分
		$("#payMethod_section").find('span[name=blance]').text(that.mock.blance.accountBalance); //使用余额
		$("#payMethod_section").find('span[name=groupBalance]').text(that.mock.blance.groupBalance); //使用余额
		

		if (that.mock.blance.availableIntegration == 0) {
			$("#payMethod_section [data-name='integration']").hide()
		}
		if (that.mock.blance.accountBalance == 0) {
			$("#payMethod_section [data-name='blance']").hide()
		}
		if (that.mock.blance.groupBalance == 0) {
			$("#payMethod_section [data-name='groupBalance']").hide()
		}

		var CMBDiscount = that.mock.blance.chinaMerchantsBankDiscount;
		if(CMBDiscount && $.trim(CMBDiscount).length > 0){
			$("#payMethod_section").find('span[name=CMBPayDiscount]').text('(' + that.mock.blance.chinaMerchantsBankDiscount + ')'); //招商银行支付优惠
		}

		$("#payMethod_section").find('span[name=finalMoney]').text(Math.formatFloat(that.total + that.freight + that.packingPrice, 4)); //使用三方金额

		that.mock.blance.thirdPatMethod = Math.formatFloat(that.total + that.freight + that.packingPrice);
	},

	/**
	 * [amountActuallyPaid 自定义余额或积分后计算实付金额]
	 * @param  {[type]} price [余额或积分自定义值]
	 * @param  {[type]} type  [1 积分  0 余额  2 活动积分]
	 */
	amountActuallyPaid: function(price, type, el) {
		if(type == 0) price = parseFloat(price).toFixed(2); //余额应付
		if(type == 3) price = parseFloat(price).toFixed(2); //余额应付
		var that = this;
		var reg = new RegExp("^[0-9]+(.[0-9]{2})?$");

		var integrationVal = $("#integrationVal").val()/100;
		var activityIntegrationVal = $("#activityIntegrationVal").val()/100;
		var blanceVal = $("#blanceVal").val()*1;
		var groupBlanceVal = $("#groupBlanceVal").val()*1;

		if(!reg.test(price)) {
			J.alert('提示', "请输入数字!");
			$(el).val(0);
		} else {
			if(type == 1) {
				if(price > this.mock.blance.availableIntegration) {
					J.alert('提示', "已超出可用积分，请重新输入");
					$(el).val(0);
					return;
				}
			} else if(type == 2) {
				if(price > this.mock.blance.promotionalIntegration) {
					J.alert('提示', "已超出可用活动积分，请重新输入");
					$(el).val(0);
					return;
				}
			} else if(type == 0) {
				if(price > this.mock.blance.accountBalance) {
					J.alert('提示', "已超出可用余额，请重新输入");
					$(el).val(0);
					return;
				}
			} else if(type == 3) {
				// var availableGroupMoney = this.mock.blance.groupBalance < this.mock.priceInfo.groupTotalMoney + this.freight ? this.mock.blance.groupBalance : Math.formatFloat(this.mock.priceInfo.groupTotalMoney + this.freight);
				if(price > this.mock.blance.groupBalance) {
					J.alert('提示', "已超出可用余额，请重新输入");
					$(el).val(0);
					return;
				}
			}

		}
		var _preice = Math.formatFloat(this.total + this.freight + this.packingPrice - integrationVal - activityIntegrationVal - blanceVal - groupBlanceVal);
		if(_preice >= 0) {
			_preice = parseFloat(_preice).toFixed(2);
			pay.mock.blance.thirdPatMethod = _preice; //第三方应付
			$("#payMethod_section").find('span[name=finalMoney]').text(_preice);
			$("#payMethod_section").find('span[name=threePayPrice]').text(_preice);
		} else {
			J.alert('提示', "已超出订单总金额，请重新输入");
			$(el).val(0);
		}
	},
	// 更换第三方支付方式
	changeThreePayMethod: function(elements) {
		var _preice = pay.computeFinalMiney();
		if(_preice <= 0) {
			J.showToast("超出订单总金额, 无需第三方支付");
		} else {
			$(elements).parent().toggleClass("active");
			if($(elements).parent().hasClass("active")) {
				$(elements).parent().siblings('li').removeClass("active");
			}
			$(elements).parent().find('span[name=threePayPrice]').text(_preice);
			pay.mock.blance.thirdPatMethod = _preice;
		}
	},
/**
 * 更换系统支付方式
 * [@param] isIntegration   [1.正常积分， 2.活动积分, 0.余额, 3.余额]
 * [@param] type 表示 退货支付
 */
	changeSystemPayMethod: function(elements, isIntegration) {
		var integration = 0; 			//实际支付的积分
		var activityIntegration = 0; 	//实际支付的活动积分
		var actualBlance = 0; 			//实际支付的余额
		var groupBlance = 0; 			//实际支付的余额
		var total = 0; 					//当前应付
		var _preice = 0; 				//剩余应付

		// input标签里面的value
        var inputIntegration = 0;				// 支付的积分		 1
        var inputaActivityIntegration = 0;		// 支付的活动积分	 2
        var inputBlanceVal = 0;					// 支付的余额   	 0
        var inputgroupBlanceVal = 0;			// 支付的余额	 3

		inputBlanceVal = parseFloat($("#blanceVal").val()).toFixed(2); // 支付的余额
		inputgroupBlanceVal = parseFloat($("#groupBlanceVal").val()).toFixed(2); // 支付的余额
		inputIntegration = parseFloat($("#integrationVal").val()/100).toFixed(2); //支付的积分
		inputaActivityIntegration = parseFloat($("#activityIntegrationVal").val()/100).toFixed(2); //支付的活动积分

		$(elements).parent().toggleClass("active");
		if(!$(elements).parent().hasClass("active")) {
			$(elements).parent().find('input').val(0);

			inputBlanceVal = parseFloat($("#blanceVal").val()).toFixed(2); // 支付的余额
			inputIntegration = parseFloat($("#integrationVal").val()/100).toFixed(2); //支付的积分
			inputaActivityIntegration = parseFloat($("#activityIntegrationVal").val()/100).toFixed(2); //支付的活动积分

			if(isIntegration == 1) integration = 0;
			if(isIntegration == 2) activityIntegration = 0;
			if(isIntegration == 0) actualBlance = 0;
			if(isIntegration == 3) groupBlance = 0;

			_preice = Math.formatFloat(this.total + this.freight + this.packingPrice - inputIntegration - inputaActivityIntegration - inputBlanceVal - inputgroupBlanceVal);
			pay.mock.blance.thirdPatMethod = (_preice).toFixed(2); //第三方应付
		} else {
			if(isIntegration == 1) {
				var availableIntegration = this.mock.blance.availableIntegration/100;  //积分抵扣金额
				total = Math.formatFloat(this.total + this.freight + this.packingPrice - inputaActivityIntegration - inputBlanceVal - inputgroupBlanceVal);
				if(total <= 0) {
					integration = 0;
				} else {
					if(total <= this.mock.blance.availableIntegration/100) { //积分够

						$('#payMethod .payment-list').removeClass('active');

						integration = total;
					} else {
						integration = availableIntegration;
					}
				}
				$(elements).parent().find('input').val(Math.formatFloat(integration*100)); //可用积分

                inputIntegration = parseFloat($("#integrationVal").val()/100).toFixed(2); //支付的积分

			} else if(isIntegration == 2) {
				var promotionalIntegration = this.mock.blance.promotionalIntegration/100;  //活动积分抵扣金额
				total = Math.formatFloat(this.total + this.freight + this.packingPrice - inputBlanceVal - inputIntegration - inputgroupBlanceVal);
				if(total <= 0) {
					activityIntegration = 0;
				} else {
					if(total <= promotionalIntegration) {

                        $('#payMethod .payment-list').removeClass('active');

						activityIntegration = total;
					} else {
						activityIntegration = promotionalIntegration;
					}
				}
				$(elements).parent().find('input').val(Math.formatFloat(activityIntegration*100)); //可用的活动积分

                inputaActivityIntegration = parseFloat($("#activityIntegrationVal").val()/100).toFixed(2);

			} else if(isIntegration == 0) {
				console.log(this.total + this.freight + this.packingPrice, inputIntegration, inputaActivityIntegration, inputgroupBlanceVal);
				var availableBlance = this.mock.blance.accountBalance;
				total = Math.formatFloat(this.total + this.freight + this.packingPrice - inputIntegration - inputaActivityIntegration - inputgroupBlanceVal);
				if(total <=0) {
					actualBlance = 0;
				} else {
					if(total <= availableBlance) {

                        $('#payMethod .payment-list').removeClass('active');

						actualBlance = total;
					} else {
						actualBlance = availableBlance;
					}
				}
				$(elements).parent().find('input').val(Math.formatFloat(actualBlance)); //使用余额

                inputBlanceVal = parseFloat($("#blanceVal").val()).toFixed(2); // 支付的余额

			} else if(isIntegration == 3) {
				// 可用余额
				// var availableGgroupBalance = this.mock.blance.groupBalance;
				// var availableGroupMoney = this.mock.blance.groupBalance < this.mock.priceInfo.groupTotalMoney + this.freight ? this.mock.blance.groupBalance : Math.formatFloat(this.mock.priceInfo.groupTotalMoney + this.freight);
				var availableGroupMoney = this.mock.blance.groupBalance;
				// var availableGgroupBalance = this.mock.priceInfo.groupTotalMoney;
				// 剩余应付余额
				total = Math.formatFloat(this.total + this.freight + this.packingPrice - inputIntegration - inputaActivityIntegration - inputBlanceVal);
				if(total <=0) {
					groupBlance = 0;
				} else {
					if(total <= availableGroupMoney) {

                        $('#payMethod .payment-list').removeClass('active');

						groupBlance = total;
					} else {
						groupBlance = availableGroupMoney;
					}
				}
				$(elements).parent().find('input').val(Math.formatFloat(groupBlance)); //使用余额

                inputgroupBlanceVal = parseFloat($("#groupBlanceVal").val()).toFixed(2); // 支付的余额

			}
			_preice = Math.formatFloat(this.total + this.freight + this.packingPrice - inputIntegration - inputaActivityIntegration - inputBlanceVal - inputgroupBlanceVal);
			pay.mock.blance.thirdPatMethod = (_preice).toFixed(2); //第三方应付
		}

		var countPrice = pay.computeFinalMiney(); //应付
		var zero = 0;
		var realPrice = countPrice < 0 ? zero.toFixed(2) : countPrice;
		// if(type){
        //     $("#refundPayMethod_section").find('span[name=finalMoney]').text(realPrice);
        //     $("#refundPayMethod_section").find('span[name=threePayPrice]').text(countPrice);
		// }else{
            $("#payMethod_section").find('span[name=finalMoney]').text(realPrice);
            $("#payMethod_section").find('span[name=threePayPrice]').text(countPrice);
		// }
	},

	computeFinalMiney: function() {
        var integrationVal = 0;
        var activityIntegrationVal = 0;
        var blanceVal = 0;
        var groupBlanceVal = 0;
		// if(type){
        //     integrationVal = $("#refundIntegrationVal").val()/100;
        //     activityIntegrationVal = $("#refundActivityIntegrationVal").val()/100;
        //     blanceVal = $("#refundBlanceVal").val()*1;
		// }else{
            integrationVal = $("#integrationVal").val()/100;
            activityIntegrationVal = $("#activityIntegrationVal").val()/100;
            blanceVal = $("#blanceVal").val()*1;
            groupBlanceVal = $("#groupBlanceVal").val()*1;
		// }

		var _preice = Math.formatFloat(this.total + this.freight + this.packingPrice - integrationVal - activityIntegrationVal - blanceVal - groupBlanceVal);
		_preice = parseFloat(_preice).toFixed(2);
		return _preice;
	},

	// 支付订单
	payOrder: function() {
		var that = this;
		// var _money = $("#payMethod_section").find('span[name=finalMoney]').text();
		var _money = $("#payMethod_section h3").text();
		var howPay = $("#payMethod_section").find('[data-name="howPay"]').val(); //0购物车直接付款  1订单列表去付款   2拼团付定金   3付尾款
		var topId = $("#payMethod_section").find('[data-name="howPay"]').attr('data-topId');
		// 支付方式
		if(that.mock.blance.thirdPatMethod != 0) {
			that.param.payMethod = 0;
			$("#payMethod li").each(function() {
				if($(this).hasClass('active')) {
					that.param.payMethod = $(this).find('label').attr("value");
				}
			})
		} else {
			that.param.payMethod = 0;
		}

		that.param.integralOff = parseInt($("#integrationVal").val());
//		that.param.activityIntegralOff = parseInt($("#activityIntegrationVal").val());
		that.param.promotionalIntegralOff = parseInt($("#activityIntegrationVal").val());
		that.param.balanceOff = parseFloat($("#blanceVal").val()).toFixed(2);
		that.param.groupBalanceOff = parseFloat($("#groupBlanceVal").val()).toFixed(2);
		// that.param.remark = $("#remark").val();
		that.param.invoiceTitle = '';
		if($("#invoiceTitle").val()) {
			that.param.invoiceTitle = $("#invoiceTitle").val();
		}
		// 调用不同支付接口
		if(that.param.payMethod == 0 && that.mock.blance.thirdPatMethod > 0) {
			J.alert('提示', '还需支付' + that.mock.blance.thirdPatMethod + '元,请支付');
		} else {
			var integral = 0;
			var blance = 0;
			var totalPay = 0;

			var totalPrint = Number(parseFloat(that.param.integralOff / 100).toFixed(2)) + Number(parseFloat($("#blanceVal").val()));
			if(Math.formatFloat(totalPrint) > Math.formatFloat(that.total + that.freight + that.packingPrice)) {
				J.showToast("超出订单总金额,请重新输入");
			} else {

				var promptText = '';
				// payMethod  0余额和积分支付	1支付宝支付	 2银联支付 3线下支付 4微信支付
				if(that.param.payMethod == 3) {
					promptText = '共支付' + Math.formatFloat(that.total + that.freight + that.packingPrice, 4) + '元,需线下支付' + _money + '元'
				} else {
					// promptText = '共支付' + Math.formatFloat(that.total + that.freight, 4) + '元,需第三方平台支付' + _money + '元';
					promptText = '本次需支付' + _money + '元';
				}
				//1订单列表去付款
				if(howPay == 1) {
					if(topId) {
						that.param.orderTopId = topId;
					} else {
						delete that.param.orderTopId;
					}

					if (that.param.payMethod == 0) {
						J.Popup.confirm4('确认支付吗？',promptText,'取消','确定', function() {
							that.param.type = 0;
							submitOrderTop_service(that.param);
						},function(){
							// 取消
							that.param.type = 1;
							submitOrderTop_service(that.param);
						})
					} else {
						that.param.type = 0;
						submitOrderTop_service(that.param);
					}
				} else if(howPay == 0){ // 购物车直接付款
					if (that.param.payMethod == 0) {
						J.Popup.confirm4('确认支付吗？',promptText,'取消','确定', function() {
							that.param.type = 0;//确定按钮
							submitOrder_service(that.param);
						},function(){
							// 取消
							that.param.type = 1;
							submitOrder_service(that.param);
						})
					} else {
						that.param.type = 0;//确定按钮
						submitOrder_service(that.param);
					}
				} else if(howPay == 2){ // 拼团付定金
					delete that.param.remark;
					delete that.param.invoiceTitle;
					delete that.param.deliveryTime;
					delete that.param.deliveryTId;
					delete that.param.addressId;
					delete that.param.shoppingCarIds;
                    that.param.groupEventId = pay.groupEventId;
                    that.param.num = pay.groupEventNum;
                    that.param.name = pay.groupName;
                    that.param.picture = pay.groupPicture;
					that.param.orderCode = pay.joinGroupOrderCode;
					J.dialogbox(promptText, function() {
						that.param.type = 3; //支付
						groupSubmitOrder_service(that.param);
					}, function() {
						that.param.type = 1; //取消支付
					});
				}else if(howPay == 3){ // 拼团尾款
					delete that.param.remark;
					delete that.param.invoiceTitle;
					delete that.param.deliveryTime;
					delete that.param.deliveryTId;
					delete that.param.shoppingCarIds;
                    that.param.orderCode = pay.groupOrderCode;
                    that.param.groupEventId = pay.groupEventId;
                    that.param.num = pay.groupEventNum;
                    that.param.name = pay.groupName;
                    that.param.picture = pay.groupPicture;
					J.dialogbox(promptText, function() {
						that.param.type = 4; //尾款支付
                        groupOrderFinalMoney_service(that.param);
					}, function() {
						that.param.type = 1; //取消支付
					});
				}
			}
		}
	},
    //拼团预付定金
    GroupCheckBlance: function(howPay, el,type) {
		if(type == 1){//支付定金
            // this.param.total = this.total;
            // this.param.groupEventId = this.groupEventId;

			J.Router.goTo("#payMethod_section");
            calculateAvailableIntegrationAndBalance_service(Math.formatFloat(pay.total,4), 0, howPay);
		}else if(type == 2){//尾款
			var deliveryAddress = $("#groupPay_section [data-name='addressId']").attr("data-addressId");
            if($(el).attr('data-topId')) {
                var topId = $(el).attr('data-topId');
            }
            if(!pay.mock.addressInfo && pay.param.disType != 2) {
                J.alert('提示', '请添加收货地址后进行提交');
                return;
            }
            if(isNullString(pay.mock.addressInfo.street) && pay.param.disType != 2) {
                J.alert('提示', '请添加收货地址后进行提交');
            } else {
                // 传给param所需参数
                this.param.addressId = parseInt(deliveryAddress);
                this.param.total = this.total;
				this.param.freight = this.freight;
				// this.param.packingPrice = this.packingPrice;
                this.param.shoppingCarIds = this.par.shoppingCarIds;

				J.Router.goTo("#payMethod_section");
				calculateAvailableIntegrationAndBalance_service(Math.formatFloat(pay.total,4), 0, howPay, topId);
            }
		}
    }
};


// 获取商品券、运费减免券 信息 
function getCouponInfo(data){
    var freightCouponList=[], //可用运费减免券
		shopCouponList=[], // 可用商品优惠券
		shopCouponLen = 0, //可用商品优惠券张数
		freightCouponLen = 0; // 可用运费减免券张数

	//初始化优惠券
	pay.payCoupon = {
		mock: {},
		useCoupon: {},
		total: 0
	};
	pay.freightCoupon = {
		couponCid: '',
		freightText: '',
		basicFreight: parseFloat(pay.mock.priceInfo.freight*1 - pay.mock.priceInfo.freightAdd*1) || 0,
		freight: parseFloat(pay.freight),
		total: pay.total*1,
		totalPrice: 0,
		discountMoney: 0
	};
	
    if(data.length > 0) {
		for(var i in data){
			var item = data[i],
				type = data[i].type,
				list = data[i]['list'],
				res = {},
				r = {};
			if(list && !isEmptyObject(list)){
				for(var key in list){
					if(!r[list[key].couponId]){ //可用优惠券去重
						res[key] = list[key];
						r[list[key].couponId] = true;
					}
				}
				item['list'] = res;
				if(type != 4){
					shopCouponList.push(item);
					shopCouponLen += Object.keys(res).length;
				}else{
					freightCouponList.push(item);
					freightCouponLen += Object.keys(res).length;
				}
			}
		}
    } ;
	pay.mock.shopCouponLen = shopCouponLen;
	pay.mock.freightCouponLen = freightCouponLen;
    pay.mock.shopCouponList = shopCouponList;
    pay.mock.freightCouponList = freightCouponList;
}

// 显示商品券、运费减免券 入口
function showCouponInfo(data){
	if(!data){  //来自购物车
		if(pay.mock.shopCouponLen > 0){ // 显示商品优惠券
			$('#couponDetail').text(pay.mock.shopCouponLen + '张可用');
			$('#coupons').removeClass('none');
		}else{
			$('.order-time.active').css('border','none');
			$('#coupons').addClass('none');
		};
		if(pay.freightCoupon.basicFreight > 0 && pay.mock.freightCouponLen > 0){ //基础运费大于0，可用优惠券数量大于0
			$("#freightCoupon").text(pay.mock.freightCouponLen+'张可用');
			$(".freightCoupon_li").removeClass('none');
		}else{
			$(".freightCoupon_li").addClass('none');
		}
	}else{ // 来自待付款
		if(data.usedCouponUserId){
			var useCoupon = {
				overCouponId: data.overCouponId,
				couponCid : data.usedCouponUserId.split(','),
				couponObj : data.couponJsonObject,
				couponName : data.usedCoupon,
				totalObj: {}
			};
			for(var k in data.eventsInfo) {
				data.eventsInfo[k].map(function (item) {
					var t = (item.realPrice * item.num - item.couponOffTotal).toFixed(2)*1;
					if(item.discountRule != undefined){
						if(item.discountRule.type == 8 && t >= item.discountRule.price1){
							t -= item.discountRule.price2
						};
					} 
					useCoupon.totalObj[item.id] = t;//获取订单中每个商品金额列表
				});
			}
			$('#couponDetail').data('useCoupon',JSON.stringify(useCoupon));
			$('#couponDetail').text(data.usedCoupon.substring(0,12) + '...');
		}else{
			$('#couponDetail').text(pay.mock.shopCouponLen + '张可用');
		}
		if(data.usedFreightCouponUserId){
			pay.freightCoupon.couponCid = data.usedFreightCouponUserId
			$('#freightCoupon').text(data.usedFreightCoupon.substring(0,12) + '...');
			$('.freightCoupon_li').data('freightCoupon',JSON.stringify(pay.freightCoupon));
			
		}else{
			if(pay.freightCoupon.basicFreight > 0 && pay.mock.freightCouponLen > 0){ //基础运费大于0，可用优惠券数量大于0
				$("#freightCoupon").text(pay.mock.freightCouponLen+'张可用');
				$(".freightCoupon_li").removeClass('none');
			}else{
				$(".freightCoupon_li").addClass('none');
			}
		}
		
		if (data.calculatePrice && data.calculatePrice.couponObject) {

			$('#couponDiscountList').find("[data-name='coupon-new']").remove();

			var promotionalOffers = Math.formatFloat(data.calculatePrice.totalCfalsePrice - data.calculatePrice.realTotalMoney - data.calculatePrice.couponObject.couponOff);
			if(promotionalOffers > 0){
                $('#couponDiscountList li').eq(-2).after('<li data-name="coupon-new"><span class="" style="width: 50%;">商品优惠:</span><span class="order-money" style="color: #ff4d40;">-¥' + promotionalOffers + '</span></li>');
            }
			$('#couponDiscountList li').eq(-2).after('<li data-name="coupon-new"><span class="" style="width: 50%;">优惠券</span><span class="order-money" style="color: #ff4d40;">-¥' + data.calculatePrice.couponObject.couponOff + '</span></li>');
		}
	}
}

// 商品券、运费减免券 数据初始化
function initFreightCoupon(index){
	var thisData = pay.payLists.data[index];

	var freight = thisData.calculatePrice.freight*1;
	var freightAdd = thisData.calculatePrice.freightAdd*1;
	var freightCouponLenth = thisData.availableCoupon.freightCouponLenth;

	pay.freightCoupon = {
		couponCid: '',
		freightText: '',
		basicFreight: parseFloat(freight - freightAdd) || 0,
		freight: $('#couponDiscountList .freight').data('freight')*1,
		total: pay.total*1,
		totalPrice: 0,
		discountMoney: 0
	};
	$('.freightCoupon_li').removeData('freightCoupon');
	console.log(pay.freightCoupon.basicFreight, freightCouponLenth)
	if(pay.freightCoupon.basicFreight > 0 && freightCouponLenth > 0){ //基础运费大于0，可用优惠券数量大于0
		$("#freightCoupon").text(freightCouponLenth+'张可用');
		$(".freightCoupon_li").removeClass('none');
	}else{
		$(".freightCoupon_li").addClass('none');
	}
}

// 切换免邮特权
function clickToggle(index) {
	var tog = $(".privilege .toggle").hasClass('active');

	pay.param.useVipFreeFreight = !tog*1;
	pay.payLists.data[index].par.useVipFreeFreight = !tog*1;

	console.log(pay.payLists.data[index].par.useVipFreeFreight)
    calculatePriceWithDisType_service(index);
}


//提交订单页面判断是否超距
function ridingCall(status,result,distributionDistance){
    J.Cache.empty('needEditAddress');
    if(status == 'complete'){
        console.log(result.routes[0].distance)
        if(result.routes[0].distance > distributionDistance){
            J.Cache.save('needEditAddress','该地址超出配送范围，请重新选择');
            return;
        }else{
            if(!J.Cache.get('address').data.id || J.Cache.get('address').data.id == ''){
                J.Cache.save('needEditAddress','请完善您的收货地址信息');
                return;
            }
        }
    }else {
        J.showToast('距离计算出错，请重新编辑地址后重试');
        J.Cache.save('needEditAddress','距离计算出错，请重新编辑地址后重试');
        return;
    }
}

function checkProductsList(index){
	J.Router.goTo('#payProductsList_section');
    $('#payProductsList_article').css('bottom','0');
    $('#payProductsList_section footer').css('display','none');
    $('#payProductsList_section nav.left').removeAttr('onclick');
	var data = pay.payLists.data[index]
	setTimeout(function () {
        J.Template.render('#payProductsList_article', 'payProductsList_template', data, "replace");
        // var keyId;
        // var keyVal;
        // var couponJson;
        // if(pay.couponJsonStr){
        //     couponJson = JSON.parse(pay.couponJsonStr);
        //     for (var key in couponJson) {
        //         keyId = key;
        //         keyVal = couponJson[key];
        //     }
		// }else{
        //     keyId = NaN;
        //     keyVal = 'none';
		// }
		var couponObj = {};
		if(pay.couponJsonStr != undefined){
			couponObj = JSON.parse(pay.couponJsonStr);
		}
        var $product = $('#payProductsList_article').find("[data-name='product-list']");
        if (!isEmptyObject(couponObj)) {
            $product.map(function(index, item) {
				var itemId = parseInt($(item).attr('data-id')),//商品的shoppingCarId
					html='';
                $(item).find('[data-name="coupon-discount"],[data-role="coupon-price"]').show();
				$(item).find('[data-name="coupon-title"]').remove();
				for(var k in couponObj){
					couponObj[k].shoppingCarIds.map(function(e) {//e 优惠券绑定的shoppingCarId
						if (itemId == e) {
							$(item).find('[data-name="coupon-title"]').remove();
							$(item).find('[data-name="coupon-discount"]').hide().siblings('[data-name="coupon-title"]').remove();
							// html += '<b class="bg_yellow">券</b> <span class="discount-color">' + couponObj[k].couponName + '</span><br>';
							// $(item).children('div[data-name="child"]').append('<div data-name="coupon-title">' + html +'</div>');
							$(item).find('.promotion').removeClass('active');
						}
					})
				}
            })
        }else{
            $product.find('[data-role="coupon-price"]').show();
            // $product.find('[data-name="coupon-title"]').siblings('[data-name="coupon-discount"]').show();
            $product.find('[data-name="coupon-title"]').remove();
            $('.promotion').addClass('active');
        }
    },500);
}

//退货商品
function checkRefundProducts(way){
    J.Router.goTo('#payProductsList_section');
    setTimeout(function () {
    	if(way == 'check'){
			$('#payProductsList_section nav.left').attr('onclick','');
			$('#payProductsList_section footer').css('display','none');
			$('#payProductsList_article').css('bottom','0');
            J.Template.render('#payProductsList_article', 'checkRefundProducts_template', pay.refund, "replace");
		}else{
            $('#payProductsList_section footer').css('display','block');
            $('#payProductsList_section nav.left').attr('onclick','confirmRefundNum()');
            $('#payProductsList_article').css('bottom','15vw');
            $('#totalRefundNum').text(0);
            $('#refundProductsNum').text(0);
            J.Template.render('#payProductsList_article', 'payRefundProducts_template', pay.refund, "replace");
		}
    },500);
}

//结算页选择可用优惠券
function choseAvailableCoupon_control(index) {
	$('#payLists_section .groupNot').css("height", $(document).height());
    $('#payLists_section .groupNot').css("width", $(document).width());
    $('#payLists_section .groupNot').show();
	//useCoupon：选中优惠卷总信息表，包含couponCid、overCouponId、couponObj、couponName、totalObj
	var useCoupon = $('#couponDetail').data('useCoupon'),
		total = 0, //total：订单总额
		mock = {}, //获取所有可用优惠券信息
		// shopCouponList = pay.mock.shopCouponList;//获取所有可渲染优惠券信息
		shopCouponList = pay.payLists.data[index].availableCoupon.normalCoupon    //获取所有可渲染优惠券信息
	
	var eventsInfo = pay.payLists.data[index].eventsInfo;	// 该商户的商品
	for(var i in shopCouponList){
		var obj = shopCouponList[i]['list'];
		if(!isEmptyObject(obj)){
			for(var key in obj){
				mock[key] = obj[key];
			}
		}
	}
	pay.payCoupon.mock = mock;//获取所有可用优惠券信息
	pay.payLists.data[index].payCoupon = mock;

	if(!useCoupon){
		useCoupon = {
			overCouponId: '',//最后一次选中的优惠券携带的关联优惠券Id
			couponCid : [],//已使用的优惠券Id
			couponObj : {},//选中优惠券信息
			couponName : '',//选中优惠券名称叠加
			totalObj: {}//订单中每个商品金额列表
		};

		eventsInfo.map(function (item) {
			var t = (item.realPrice * item.num).toFixed(2)*1;
			if(item.discountRule != undefined){
				if(item.discountRule.type == 8 && t >= item.discountRule.price1){//判断是否满足满减
					t -= item.discountRule.price2
				};
			} 
			useCoupon.totalObj[item.id] = t;
			total += t;
		});



	}else{
		useCoupon = JSON.parse(useCoupon);
		for(var i in useCoupon.totalObj){
			total += useCoupon.totalObj[i];
		}
	}
	pay.payCoupon.isOrder = pay.isOrder;//isOrder：是否来自待付款
	pay.payCoupon.useCoupon = useCoupon;
	pay.payCoupon.total = total.toFixed(2)*1;
	getPayCoupon_control(pay.payCoupon, shopCouponList, index);
}

// 结算优惠券页面渲染
function getPayCoupon_control(payCoupon, shopCouponList, index){

	console.log('0.0.0.', payCoupon, shopCouponList)
	var mockArry = shopCouponList,
		useCoupon = payCoupon.useCoupon,
		couponCid = useCoupon.couponCid.toString();
	var html = '<div class="choseCouponTitle"><i class="closeChoseCoupon" onclick="closedModel(this)"></i><h1>优惠券</h1></div><div class="tishi"><i></i><span>当拥有多张券时，建议依次选择品牌券，再选择全场券</span></div><div class="noCloseCoupon"><i onclick="noCloseCoupon(this,'+index+')"></i><b>不使用优惠券</b><img src="./img/couponBtn.png" alt=""  onclick="submitCouponsSelect('+index+')"></div><div class="coupon-list" id="choseAvailableCoupon_div"><div class="ptimalChoice"><i onclick="ptimalChoice_service(this,'+index+')"></i><b>最优选</b></div>';
	for(var key in mockArry){
		var mock = {};
		if(mockArry[key]['list'] != undefined){
			mock = mockArry[key].list;
		}
		console.log('mock',mock)
		if(!isEmptyObject(mock)){
			html += '<ul class="couponList_ul"><li class="title">'+mockArry[key].name+'</li>'
			for(var k in mock){
				var money = 0;
				mock[k].couponName = mock[k].couponName.replace(/\s/g, "");
				mock[k].shoppingCarIds.map(function(item){
					if(useCoupon.totalObj[item] != undefined){
						money += useCoupon.totalObj[item];
					}
				});
				if(payCoupon.isOrder){
					mock[k].isOrder = 0;
				}else{
					mock[k].isOrder = 1;
				}
				if(!couponCid){
					mock[k].type = 1;//优惠券可用，未被选择
					html += '<li class="closeCouponList coupon-bg" data-key="'+k+'" onclick="closeUsableCoupon(this, '+index+')"><div class="t-mark"><span></span></div>'
				}else{
					if(couponCid.indexOf(k) != -1){
						mock[k].type = 2;//优惠券可用，被选择
						html += '<li class="closeCouponList coupon-bg active" data-key="'+k+'" onclick="closeUsableCoupon(this, '+index+')"><div class="t-mark"><span></span></div>'
					}else{
						if(!useCoupon.overCouponId){
							mock[k].type = 3;//优惠券不可用，原因不可叠加
							html += '<li class="closeCouponList coupon-bg gray" data-key="'+k+'" onclick="closeUsableCoupon(this, '+index+')"><div class="t-mark"><span>不可叠加使用</span></div>'
						}else{
							if(useCoupon.overCouponId.indexOf(mock[k].couponId.toString()) == -1){
								mock[k].type = 3;
								html += '<li class="closeCouponList coupon-bg gray" data-key="'+k+'" onclick="closeUsableCoupon(this, '+index+')"><div class="t-mark"><span>不可叠加使用</span></div>'
							}else{
								if(money >= mock[k].price1){
									mock[k].type = 1;
									html += '<li class="closeCouponList coupon-bg" data-key="'+k+'" onclick="closeUsableCoupon(this, '+index+')"><div class="t-mark"><span></span></div>'
								}else{
									mock[k].type = 4;//优惠券不可用，原因缺少金额
									html += '<li class="closeCouponList coupon-bg gray" data-key="'+k+'" onclick="closeUsableCoupon(this, '+index+')"><div class="t-mark"><span>再买'+(mock[k].price1 - money).toFixed(2)*1+'元可用</span></div>'
								}
							}
						}
					}
				}
				html += '<div class="coupon_left"><p class="price"><b>￥</b>'+mock[k].price2+'</p><p class="name">满'+mock[k].price1+'使用</p></div><div class="coupon_right"><h1>'+mock[k].couponName+'</h1><p>'+mock[k].startTime+'-'+mock[k].endTime+'</p><i class="close-i"></i>'
				if (mock[k].type == 4){
					html += '<span class="coupon_gathere" data-isOrder="'+mock[k].isOrder+'" onclick="goToAddOrder(this,'+mock[k].jumpType+','+mock[k].jumpId+')">去凑单</span>'
				}else{
					html += '<span class="coupon_gathere none" data-isOrder="'+mock[k].isOrder+'" onclick="goToAddOrder(this,'+mock[k].jumpType+','+mock[k].jumpId+')">去凑单</span>'
				}
				html += '</div><div class="clear"></div></li>';
			}
			html += '</ul>';
		}
	}
	html += '</div>';
	document.getElementById('choseCoupon').innerHTML = html;
	$('#choseCoupon').css('display','block');
	var height = $(window).height()*0.69-($('.choseCouponTitle').height() + $('.tishi').height() + $('.noCloseCoupon').height());
	$('#choseAvailableCoupon_div').css('height',height+'px')
}
// // 选取可用优惠券
// function closeUsableCoupon(ele, index){
// 	console.log(index);
// 	var useCoupon = pay.payCoupon.useCoupon,//当前优惠券使用信息总汇
// 		total = pay.payCoupon.total,//当前订单总额
// 		key= $(ele).attr('data-key'),//getSelectedShoppingCar端口下availableCoupon对象--key
// 		money = 0,// 该优惠券关联商品可用金额的总和
// 		sale = {},//该优惠券关联商品平摊详情
// 		name = '',//该张优惠券name
// 		val;//该张优惠券详情;
// 	if(pay.payCoupon.mock[key]){
// 		val = pay.payCoupon.mock[key];
// 		name = pay.payCoupon.mock[key].couponName;
// 	}
// 	val.shoppingCarIds.map(function(item){
// 		if(useCoupon.totalObj[item]){
// 			money += useCoupon.totalObj[item];
// 		}
// 	});
// 	// 判断该券是否可用
// 	if(money >= val.price1){
// 		useCoupon.couponObj[key] = val;
// 		if(useCoupon.couponObj[key].val){
// 			delete useCoupon.couponObj[key].val;
// 		}
//         useCoupon.couponCid.push(key);
//         useCoupon.couponName += name + ',';
//         useCoupon.overCouponId = val.overCouponId;
//         val.shoppingCarIds.map(function(item){
//             sale[item] = (useCoupon.totalObj[item]/money* val.price2).toFixed(3)*1;//平摊规则：（每个关联商品金额 / 该优惠券关联商品可用金额的总和）*该张优惠券的额度
//             useCoupon.totalObj[item] = (useCoupon.totalObj[item] - sale[item]).toFixed(2)*1;//每个关联商品减去优惠券平摊后的金额
//         });
//         total = (total- val.price2).toFixed(2)*1;
//         pay.payCoupon.useCoupon = useCoupon;
//         pay.payCoupon.total = total;
//         $(ele).addClass('active');
// 	}else{
//         $(ele).addClass('gray');
// 		var m = (val.price1-money).toFixed(2)*1;
// 		$(ele).find('.coupon_gathere').removeClass('none');
// 		$(ele).find('div.t-mark span').text('再买'+ m +'元可用');
// 		$('.noCloseCoupon i').removeClass('active');
// 		$('.ptimalChoice i').removeClass('active');
//         return;
// 	};
// 	//更改不使用优惠券状态
// 	$('.noCloseCoupon i').removeClass('active');
// 	$('.ptimalChoice i').removeClass('active');
// 	// 监控其他券是否可用，并更改其状态
// 	$('.closeCouponList').not('.active').each(function(){
// 		var k = $(this).attr('data-key'),v;
// 		$(this).removeClass('gray');
// 		$(this).find('.coupon_gathere').addClass('none');
// 		if(pay.payCoupon.mock[k]){
// 			v = pay.payCoupon.mock[k];
// 		}
// 		if(val.overCouponId == null){//当前券没有关联券
// 			$(this).addClass('gray');
// 			$(this).find('.t-mark > span').text('不可叠加使用');
// 		}else{
// 			if(val.overCouponId.indexOf(v.couponId.toString()) == -1){//不属于当前券的关联券
// 				$(this).addClass('gray');
// 				$(this).find('.t-mark > span').text('不可叠加使用');
// 			}else{
// 				if(total < v.price1) {//当前订单总额不满度此张优惠券使用条件
// 					var p = (v.price1-total).toFixed(2)*1;
// 					$(this).addClass('gray');
// 					$(this).find('.coupon_gathere').removeClass('none');
// 					$(this).find('.t-mark > span').text('再买'+ p +'元可用');
// 				}
// 			}
// 		}
//   });
// }

// 选取可用优惠券
function closeUsableCoupon(ele, index){
	console.log(index);
	// var useCoupon = pay.payLists.data[index].calculatePrice.realTotalMoney

	var useCoupon = pay.payCoupon.useCoupon; //当前优惠券使用信息总汇
	var total = pay.payLists.data[index].calculatePrice.realTotalMoney;//当前订单总额
	var key= $(ele).attr('data-key');//getSelectedShoppingCar端口下availableCoupon对象--key

	var money = 0;	// 当前价格
	var apportion = {};	// 均摊
	var couponName = pay.payCoupon.mock[key].couponName;//该张优惠券name
	var coupon = pay.payCoupon.mock[key];//该张优惠券详情;

	console.log(coupon);
	coupon.shoppingCarIds.map(function(item) {
		if(useCoupon.totalObj[item]){
			money += useCoupon.totalObj[item];
		}
	})
	console.log('money >= coupon.price1::', money , coupon.price1);
	if (money >= coupon.price1) {
		useCoupon.couponObj[key] = coupon;
		useCoupon.couponCid.push(key);

		useCoupon.couponName += couponName + ',';
		useCoupon.overCouponId = coupon.overCouponId;

		coupon.shoppingCarIds.map(function(item) {
			apportion[item] = (useCoupon.totalObj[item] / money * coupon.price2).toFixed(3)*1;//平摊规则：（每个关联商品金额 / 该优惠券关联商品可用金额的总和）*该张优惠券的额度
			useCoupon.totalObj[item] = (useCoupon.totalObj[item] - apportion[item]).toFixed(2)*1;//每个关联商品减去优惠券平摊后的金额
		})
		total = (total- coupon.price2).toFixed(2)*1;

		pay.payCoupon.useCoupon = useCoupon;
        pay.payCoupon.total = total;

		$(ele).addClass('active');
	} else {
		$(ele).addClass('gray');
		var m = (coupon.price1-money).toFixed(2)*1;
		$(ele).find('.coupon_gathere').removeClass('none');
		$(ele).find('div.t-mark span').text('再买'+ m +'元可用');
		$('.noCloseCoupon i').removeClass('active');
		$('.ptimalChoice i').removeClass('active');
        return;
	}


	//更改不使用优惠券状态
	$('.noCloseCoupon i').removeClass('active');
	$('.ptimalChoice i').removeClass('active');
	// 监控其他券是否可用，并更改其状态
	$('.closeCouponList').not('.active').each(function(){
		var k = $(this).attr('data-key'),v;
		$(this).removeClass('gray');
		$(this).find('.coupon_gathere').addClass('none');
		if(pay.payCoupon.mock[k]){
			v = pay.payCoupon.mock[k];
		}
		if(coupon.overCouponId == null){//当前券没有关联券
			$(this).addClass('gray');
			$(this).find('.t-mark > span').text('不可叠加使用');
		}else{
			console.log('mnmnmnmnmn', coupon.overCouponId, v.couponId)
			if(coupon.overCouponId.indexOf(v.couponId.toString()) == -1){//不属于当前券的关联券
				$(this).addClass('gray');
				$(this).find('.t-mark > span').text('不可叠加使用');
			}else{
				if(total < v.price1) {//当前订单总额不满度此张优惠券使用条件
					var p = (v.price1-total).toFixed(2)*1;
					$(this).addClass('gray');
					$(this).find('.coupon_gathere').removeClass('none');
					$(this).find('.t-mark > span').text('再买'+ p +'元可用');
				}
			}
		}
  	});
}




// 不使用优惠券
function noCloseCoupon(ele, index){
	var total = 0;
	$(ele).toggleClass('active');
	$('.ptimalChoice i').removeClass('active');
	$('#choseAvailableCoupon_div li').removeClass('active gray');
	$('#choseAvailableCoupon_div .coupon_gathere').addClass('none');

	if(pay.isOrder){//如果是来自待付款，不能去凑单
		$('#choseAvailableCoupon_div .coupon_gathere').attr('data-isOrder','0').attr('data-type',4);
	}
    pay.payCoupon.useCoupon = {
		overCouponId: '',
		couponCid : [],
		couponObj : {},
		couponName : '',
		totalObj: {}
	};
	
	var eventsInfo = pay.payLists.data[index].eventsInfo;	// 该商户的商品
	eventsInfo.map(function (item) {
		var t = (item.realPrice * item.num).toFixed(2)*1;
		if(item.discountRule != undefined){
			if(item.discountRule.type == 8 && t >= item.discountRule.price1){//判断是否满足满减
				t -= item.discountRule.price2
			};
		} 
		pay.payCoupon.useCoupon.totalObj[item.id] = t;
		total += t;
	});

	pay.payCoupon.total = total.toFixed(2)*1;
}
// 关闭优惠券弹框
function closedModel(ele){
	$(ele).hide();
	$('.selectBox').hide();
}
// 确认使用优惠券
function submitCouponsSelect(index){
	pay.payLists.data[index].par.couponJsonStr = JSON.stringify(pay.payCoupon.useCoupon.couponObj);
	pay.param.couponCombination = JSON.stringify(pay.payCoupon.useCoupon.couponCid);
	event.stopPropagation();
    // calculatePriceInSubmitPage_service(pay.payCoupon.useCoupon.couponObj);
	calculatePriceWithDisType_service(index)
	$('.groupNot').hide();
	$('.selectBox').hide();
}
//去凑单
function goToAddOrder(ele,type,id){
	var isOrder = $(ele).attr('data-isOrder')
	if(isOrder == 0){
		J.showToast('订单来自待付款，请先取消订单，再使用凑单功能！');
		return;
	}else{
		clickAdvert_control(type,id);
	}
}

function orderTracking() {
    $('#orderTracking_article').find('input').val('');
}

//选择运费减免券
function choseFreightCoupon_control(index){
	var freightCoupon = $('.freightCoupon_li').data('freightCoupon');
	if(freightCoupon){
		pay.freightCoupon = JSON.parse(freightCoupon);
	}else{
		pay.freightCoupon.couponCid = '';
		pay.freightCoupon.freightText = '';
		pay.freightCoupon.total = pay.total;
		pay.freightCoupon.freight = parseFloat(pay.freight);
		pay.freightCoupon.totalPrice = $('#totalPrice').data('totalPrice');
		pay.freightCoupon.discountMoney =  $('#discountMoney').data('discountMoney');
	}	
	$('#payLists_section .groupNot').css("height", $(document).height());
	$('#payLists_section .groupNot').css("width", $(document).width());
	$('#payLists_section .groupNot').show();

	getFreightCoupon_control(pay.freightCoupon, index);
}

// 运费减免券页面渲染
function getFreightCoupon_control(freightCoupon, index){
	var mockArry = pay.payLists.data[index].availableCoupon.freightCoupon,
		total = freightCoupon.total,
		couponCid = freightCoupon.couponCid;

	var html = '<div id="couponTitle" class="choseCouponTitle"><i class="closeChoseCoupon" onclick="closedFreightCouponModel(this)"></i><h1>运费减免券</h1></div><div id="noCoupon" class="noCloseCoupon"><i onclick="noFreightCoupon(this)"></i><b>不使用优惠券</b><img src="./img/couponBtn.png" alt=""  onclick="submitFreightCoupon('+index+')"></div><div class="coupon-list" id="choseFreightCoupon_div"><ul class="couponList_ul">';
	for(var key in mockArry){
		var mock = {};
		if(mockArry[key]['list']){
			mock = mockArry[key].list;
		}
		if(!isEmptyObject(mock)){
			for(var k in mock){
				mock[k].couponName = mock[k].couponName.replace(/\s/g, "");
				if(pay.isOrder){
					mock[k].isOrder = 0;
				}else{
					mock[k].isOrder = 1;
				}
				if(!couponCid){
					mock[k].type = 1;//优惠券可用，未被选择
					html += '<li style="pointer-events:auto" class="closeCouponList coupon-bg" data-key="'+k+'" data-price="'+mock[k].price2+'" onclick="closeFreightCoupon_li(this, '+index+')"><div class="t-mark"><span></span></div>'
				}else{
					if(couponCid.indexOf(k) != -1){
						mock[k].type = 2;//优惠券可用，被选择
						html += '<li style="pointer-events:auto" class="closeCouponList coupon-bg active" data-key="'+k+'" data-price="'+mock[k].price2+'" onclick="closeFreightCoupon_li(this, '+index+')"><div class="t-mark"><span></span></div>'
					}else{
						if(total >= mock[k].price1){
							mock[k].type = 1;
							html += '<li style="pointer-events:auto" class="closeCouponList coupon-bg" data-key="'+k+'" data-price="'+mock[k].price2+'" onclick="closeFreightCoupon_li(this, '+index+')"><div class="t-mark"><span></span></div>'
						}else{
							mock[k].type = 4;//优惠券不可用，原因缺少金额
							html += '<li style="pointer-events:auto" class="closeCouponList coupon-bg gray" data-key="'+k+'" data-price="'+mock[k].price2+'" onclick="closeFreightCoupon_li(this, '+index+')"><div class="t-mark"><span>再买'+(mock[k].price1 - total).toFixed(2)*1+'元可用</span></div>'
						}
					}
				}
				html += '<div class="coupon_left"><p class="price"><b>￥</b>'+mock[k].price2+'</p><p class="name">满'+mock[k].price1+'使用</p></div><div class="coupon_right"><h1>'+mock[k].couponName+'</h1><p>'+mock[k].startTime+'-'+mock[k].endTime+'</p><i class="close-i"></i>'
				if (mock[k].type == 4){
					html += '<span class="coupon_gathere" data-isOrder="'+mock[k].isOrder+'" onclick="goToAddOrder(this,'+mock[k].jumpType+','+mock[k].jumpId+')">去凑单</span>'
				}else{
					html += '<span class="coupon_gathere none" data-isOrder="'+mock[k].isOrder+'" onclick="goToAddOrder(this,'+mock[k].jumpType+','+mock[k].jumpId+')">去凑单</span>'
				}
				html += '</div><div class="clear"></div></li>';
			}
			html += '</ul>';
		}
	}
	html += '</div>';
	document.getElementById('choseFreightCoupon').innerHTML = html;
	$('#choseFreightCoupon').css('display','block');
	var height = $(window).height()*0.69-($('#couponTitle').height() + $('#noCoupon').height());
	$('#choseFreightCoupon_div').css('height',height+'px')
}

//选择可用运费减免券
function closeFreightCoupon_li(ele, index){
	var mockArry  = pay.payLists.data[index].availableCoupon.freightCoupon,
		total = pay.payLists.data[index].calculatePrice.realTotalMoney, //商品实付总金额; realTotalMoney
		basicFreight = pay.payLists.data[index].calculatePrice.basicFreight, //基础运费
		freight = pay.payLists.data[index].calculatePrice.freight, //实际运费
		totalPrice = $('#totalPrice').data('totalPrice')*1, //实付
		discountMoney =  $('#discountMoney').data('discountMoney')*1,//已优惠
		freightText ='', //优惠券名称
		couponCid = '', //优惠券id
		key= $(ele).attr('data-key'),
		val;

	mockArry.map(function(item){
		if(item.list[key]){
			val = item.list[key];
		}
	})
	//更改不使用优惠券状态
	$('.noCloseCoupon i').removeClass('active');

	// 判断该券是否可用
	if(total >= val.price1){
		var f = 0; //减免券--只减免基础运费
		if(basicFreight < val.price2*1){
			f = basicFreight;
		}else{
			f = val.price2*1;
		}
		freight = Math.formatFloat(freight - f); 
		totalPrice = Math.formatFloat(totalPrice - f);
		discountMoney = Math.formatFloat(discountMoney + f);
		couponCid = key;
		freightText = val.couponName;
		$(ele).addClass('active').siblings().removeClass('active');
	}else{
		var m = (val.price1-total).toFixed(2)*1;
		$(ele).addClass('gray');
		$(ele).find('.coupon_gathere').removeClass('none');
		$(ele).find('div.t-mark span').text('再买'+ m +'元可用');
		return;
	};

	pay.freightCoupon.couponCid = couponCid;
	pay.freightCoupon.freightText = freightText;
	pay.freightCoupon.freight = freight;
	pay.freightCoupon.discountMoney = discountMoney;
	pay.freightCoupon.totalPrice = totalPrice;
}

//不使用运费减免券
function noFreightCoupon(ele){
	$(ele).toggleClass('active');
	$('#choseFreightCoupon_div li').removeClass('active gray');
	$('#choseFreightCoupon_div .coupon_gathere').addClass('none');
	pay.freightCoupon.couponCid = '';
	pay.freightCoupon.freightText = '';
	pay.freightCoupon.total = pay.total;
	pay.freightCoupon.freight = $('#couponDiscountList .freight').data('freight');
	pay.freightCoupon.totalPrice = $('#totalPrice').data('totalPrice');
	pay.freightCoupon.discountMoney =  $('#discountMoney').data('discountMoney');
}

//确定运费减免券
function submitFreightCoupon(index){
	var thisData = pay.payLists.data[index];
	var freight = pay.freightCoupon.freight || 0;
	var freightCouponLenth = thisData.availableCoupon.freightCouponLenth;


	var freightText = pay.freightCoupon.freightText;
	var discountMoney = pay.freightCoupon.discountMoney;
	var totalPrice = pay.freightCoupon.totalPrice;

	if(freightText == ''){
		$("#freightCoupon").text(freightCouponLenth+'张可用');
		$('.freightCoupon_li').removeData('freightCoupon');
	}else{
		$("#freightCoupon").text(freightText)
		$('.freightCoupon_li').data('freightCoupon', JSON.stringify(pay.freightCoupon));
	}
	pay.freight = freight;
	console.log('pay.freight',freight, pay.freight)
	$('#couponDiscountList .freight').text('￥' + freight);
	$("#discountMoney").text(discountMoney);
	$("#totalPrice").text(totalPrice);
	$('.groupNot').hide();
	$('.selectBox').hide();
}


//拼团选择数量
function groupEidtNum(elements,price,collageDeposit,handleType,num,stockNum) {
	if(handleType == 'mulNum'){
		if (parseInt(num) > 1){
			$(elements).siblings('input').val(parseInt(num) - 1);
		}else{
			J.showToast('不能少于1件哦~~');
		}
	}else if(handleType == 'addNum'){
		if(stockNum > 0){
            if(num < stockNum) {
                $(elements).siblings('input').val(parseInt(num) + 1);
            } else {
                J.showToast('超出可购买数量了哦,亲~~');
            }
		}else{
            J.showToast('抱歉，库存不足');
		}
	}else{
		if($(elements).val().length == 1){
            $(elements).val($(elements).val().replace(/[^1-9]/g, '1'));
		}else{
            $(elements).val($(elements).val().replace(/\D/g, ''));
		}
	}
    $('#groupPayProductsNum').text($('#groupPay_section input').val());
    var groupOrderNum = $('#groupPay_section input').val();
    var groupOrderTotalMoney = price * groupOrderNum;
    var groupPayTotalPrice = groupOrderTotalMoney * collageDeposit;
    // $('.collageDeposit').text(Math.formatFloat(collageDeposit * 100));
    // $('.endDay').text(Math.formatFloat(endDay));
    // $('.leftPayDay').text(Math.formatFloat(leftPayDay));
    $('#groupOrderTotalMoney').text(Math.formatFloat(groupOrderTotalMoney));
    $('#groupPayTotalPrice').text(Math.formatFloat(groupPayTotalPrice));
    pay.total = Math.formatFloat(groupPayTotalPrice);
    pay.groupEventNum = Math.formatFloat(groupOrderNum);
}