function myself_data_Success(imageData) {
	var base64Image = 'data:image/jpeg;base64,' + imageData;
	myself_UploadImg(base64Image);
}

function myself_URI_Success(imageURI) {
	var base64Image = 'data:image/jpeg;base64,' + imageURI;
	myself_UploadImg(base64Image);
}
//	使用设备上的摄像头拍照，并获得Base64编码字符串格式的图像
function myself_capturePhoto() {
	var destinationType = navigator.camera.DestinationType;
	// Take picture using device camera and retrieve image as base64-encoded string
	navigator.camera.getPicture(myself_data_Success, myself_onFail, {
		quality: 50,
		destinationType: destinationType.DATA_URL
	});
}
//	使用设备上的摄像头拍照，并获得Base64编码字符串格式的可编辑图像  
function myself_capturePhotoEdit() {
	var destinationType = navigator.camera.DestinationType;
	// Take picture using device camera, allow edit, and retrieve image as base64-encoded string
	navigator.camera.getPicture(myself_data_Success, myself_onFail, {
		quality: 20,
		allowEdit: true,
		destinationType: destinationType.DATA_URL
	});
}
// 从图片库选取照片
function myself_getPhoto(source) {
	$('#customFacePopup').hide();
	var destinationType = navigator.camera.DestinationType;
	// Retrieve image file location from specified source
	navigator.camera.getPicture(myself_URI_Success, myself_onFail, {
		quality: 20,
		allowEdit: true,
		destinationType: destinationType.DATA_URL,
		sourceType: source
	});
}

function myself_onFail(message) {

	J.showToast("上传图片失败");
}

function myself_UploadImg(base64Data) {
	// 获取到base64;
	console.log('图片:', base64Data);
	$.ajax({
		type: "post",
		url: serverUrl + "/B64Upload?fileFolder=headPhoto",
		data: {"imageData": base64Data},
		dataType:"json",
		success: function(data) {
			// var res = JSON.parse(data);
			console.log('上传返回res:', data);
			if (data.success) {
				saveHeadPhoto_service(data.fileUrl, base64Data);
			} else {
				J.showToast("上传失败");
			}
		},
		error: function() {
			J.showToast("上传失败");
		}
	});


	// var blob = dataURLtoBlob(base64Data);
	// console.log('blob:', blob);
	// var fd = new FormData();
	// fd.append("file", blob);
	// console.log('fd:', fd)

	// $.ajax({
	// 	type: "post",
	// 	url: serverUrl + "/plupload?fileFolder=/headPhoto",
	// 	data: fd,
	// 	dataType:"json",
	// 	processData: false,
	// 	contentType: false,
	// 	success: function(data) {
	// 		console.log('上传返回res:', data);
	// 		if (data.success) {
	// 			saveHeadPhoto_service(data.fileUrl);
	// 		} else {
	// 			J.showToast("上传失败");
	// 		}
	// 	},
	// 	error: function() {
	// 		J.showToast("上传失败");
	// 	}
	// });

	// var options = new FileUploadOptions();
	// options.fileKey = "fileAddPic";
	// options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
	// options.mimeType = "text/plain";

	// var ft = new FileTransfer();

	// var serverPhotoUrl = serverUrl + 'AppUpload'


	// ft.upload(fileURL, encodeURI(serverPhotoUrl), win, fail, options);

}

//将base64转换为blob
function dataURLtoBlob (dataurl) { 
	var arr = dataurl.split(','),
		mime = arr[0].match(/:(.*?);/)[1],
		bstr = atob(arr[1]),
		n = bstr.length,
		u8arr = new Uint8Array(n);
	while (n--) {
		u8arr[n] = bstr.charCodeAt(n);
	}
	return new Blob([u8arr], { type: mime });
}
//将blob转换为file
function blobToFile (theBlob, fileName){
   theBlob.lastModifiedDate = new Date();
   theBlob.name = fileName;
   return theBlob;
}

function myself_actionsheet() {
	pictureSource = navigator.camera.PictureSourceType;
	$('#customFacePopup').show();
	J.Popup.actionsheet([{
			text: '拍照',
			handler: function() {
				if(isIOS()) {
					myself_capturePhotoEdit()
				} else {
					myself_capturePhoto()
				}
			}
		},
		{
			text: '从照片中选择',
			handler: function() {
				myself_getPhoto(pictureSource.PHOTOLIBRARY)
			}
		}
	]);
}
function capturePhoto(){
	$('#customFacePopup').hide();
	if(isIOS()) {
		myself_capturePhotoEdit()
	} else {
		myself_capturePhoto()
	}
}