// 保存用户片区id
function saveCommunity_service(communityId,judgeFn){
    var url = 'ws/userAction' + versionMessage.version + '!saveCommunity.sy';
    var par = {
        communityId : communityId
    }
    service.get(url,par,function(data){
        J.Cache.save('login',data);
        if(judgeFn){
            judgeFn();
        }
    })
}

// 注册
function register_service(mock){
    var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_smartRegister.sy';
    var par = mock ;
    if(J.Cache.get('inviteParam') && J.Cache.get('inviteParam').data){
        par.inviter = J.Cache.get('inviteParam').data;
    }
    service.get(url,par,function(data){
        var loginForm = {
            phone : data.userInfo.phone,
            userPwd : data.userInfo.password
        }
        if(data.isSuccess == 1) {
	        J.Cache.save('login', data.userInfo);
	        J.Cache.save('loginForm', loginForm);
	        J.showToast('登录成功');
            J.Router.goTo('#index_section');
            $($('#index_footer').children()[4]).addClass('active').siblings().removeClass('active');
            $('#me_article').addClass('active').siblings().removeClass('active');
			$("#register_form input[name=phone],#register_form input[name=phonecode],#register_form input[name=password]").val('');
			$("#register_form input[name='agreement']")[0].checked = false
            J.Template.render("#userInfo_login", "userInfo_template", data.userInfo, "replace");
            setAccountMoney(data.userInfo);
	        if(!isWechatClient()) bindJpushAcInfo();
        } else {
        	J.showToast(data.msg);
        }
        // 绑定用户设备信息
    	// getVersionMessage_service();
    	// 注册成功后绑定离线购物车
    	bindShoppingCarWithUserId_service();
    })
}

// 登录(自动登录)
function login_service(mock) {
    var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_login.sy';
    var par = mock;
    if(J.Cache.get('address') && J.Cache.get('address').data != null){
        par.communityId = J.Cache.get('address').data.communityId;
    }
    service.get(url, par, function(data) {
        J.Cache.save('autoLoginTime', new Date().getTime());
        J.Cache.save('login', data);
        J.Cache.save('loginForm', mock);
        J.Cache.save('xToken',data.redisUserSessionKey);
        if(!J.Cache.get('address') || !J.Cache.get('address').data){
            J.Cache.save('address', data.userAddress);
            if(J.Cache.get('communities') && J.Cache.get('communities').data){
                // 保存默认地址的片区
                saveLocalArea(data.communityId);
            }else{
                //获取所有片区保存当前片区
                getCommunityList_service(5,data.communityId);
            }
        }
        // if(localStorage.isGetVersion != 'false') {
        // 	getVersionMessage_service();
        // 	localStorage.isGetVersion = false;
        // }
        data.face = fileServerUrl + data.face;
        J.Template.render("#userInfo_login", "userInfo_template", data, "replace");
        // level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级 4：黑名单C级 5：黑名单D级 6：黑名单E级
        if(data.level == 0){
            if(J.Cache.get('community') && J.Cache.get('community').data.canBuyVip){
                $('.bg_me').removeClass('vipHide');
                $('#open_vip>div').show();
            }else{
                $('.bg_me').addClass('vipHide');
                $('#open_vip>div').hide();
            }
        }else if(data.level == 1){
            $('.bg_me').removeClass('vipHide');
            $('#open_vip>div').show();
        }else{
            $('.bg_me').addClass('vipHide');
            $('#open_vip>div').hide();
        }
        setAccountMoney(data);
    }, function(data) {
        console.log($.ajax.arguments);
        if (data.success == false) {
            J.Cache.empty('login');
            J.Cache.empty('loginForm');
            // J.showToast(data.message);
            J.showToast('请先登录~');
            J.Router.goTo('#login_section');
        }
    });
}

// 点击密码登录 type 0：验证码登录 1：密码登录
function clickLogin_service(mock,type) {
    var url, par = mock,login_mock={};
    if(type == 0){
        if(J.Cache.get('inviteParam') && J.Cache.get('inviteParam').data){
            par.inviter = J.Cache.get('inviteParam').data;
        }
        url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_quickLoginAndRegister.sy';
    }else{
        url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_goLogin.sy';
    }
    service.get(url, par, function(data) {
        J.Cache.save('autoLoginTime', new Date().getTime());
        // 绑定手机号
        _dataStatistics.phone = data.phone;
        login_mock.phone = data.phone;
        login_mock.userPwd = data.password;
        J.Cache.save('xToken',data.redisUserSessionKey);
        J.Cache.save('login', data);
        J.Cache.save('loginForm', login_mock);
        if(data.userAddress && data.userAddress != '' && data.userAddress != null){
            J.Cache.save('address', data.userAddress);
            if(J.Cache.get('communities') && J.Cache.get('communities').data){
                // 保存片区
                saveLocalArea(data.userAddress.communityId);
            }else{
                //获取所有片区保存片区
                getCommunityList_service(5,data.userAddress.communityId);
            }
        }
        // 登录成功后绑定离线购物车
        bindShoppingCarWithUserId_service();
        // getVersionMessage_service();
        J.showToast('登录成功');
        homeRefresh = true;
        history.go(-1);
        $("#codeLogin_form input[name=phone],#codeLogin_form input[name=loginCode]").val('');
        s=0;//清除验证码倒计时
        setTimeout(function() {
            s = 60;
        }, 2000)
        $($('#index_footer').children()[0]).addClass('active').siblings().removeClass('active');
        $('#home_article').addClass('active').siblings().removeClass('active');
        cartNum_service();
        setTimeout(function () {
            if(window.location.hash == '#myFamily_section'){
                familyList();
            }
        },500);
        data.face = fileServerUrl + data.face;
        setTimeout(function() {
            J.Template.render("#userInfo_login", "userInfo_template", data, "replace");
            // level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级 4：黑名单C级 5：黑名单D级 6：黑名单E级
            if(data.level == 0){
                if(J.Cache.get('community') && J.Cache.get('community').data.canBuyVip){
                    $('.bg_me').removeClass('vipHide');
                    $('#open_vip>div').show();
                }else{
                    $('.bg_me').addClass('vipHide');
                    $('#open_vip>div').hide();
                }
            }else if(data.level == 1){
                $('.bg_me').removeClass('vipHide');
                $('#open_vip>div').show();
            }else{
                $('.bg_me').addClass('vipHide');
                $('#open_vip>div').hide();
            }
            setAccountMoney(data);
        }, 200);
        if (!isWechatClient()) bindJpushAcInfo();
    }, function(data) {
        console.log(data);
        if (data.success == false) {
            J.Cache.empty('login');
            J.Cache.empty('loginForm');
            J.showToast(data.message);
        }
    });
}

//我的--会员入口
function getVipInfo_service(){
    var url = 'ws/vipCenterAction20170807!vipBaseInfo.sy';
    service.get(url, {}, function(data){
        data.level = 0;
        if(J.Cache.get('login')){
            data.level = J.Cache.get('login').data.level;
        }
        J.Cache.save('vipBaseInfo',data);
        J.Template.render("#open_vip>div", "open_vip_template", data, "replace");
	},function(data) {
        $('.bg_me').addClass('vipHide');
        $('#open_vip>div').hide();
	})
}
// 登出
function logout_service() {
	var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_logOut.sy';
	service.get(url, {}, function(data){
        // if (isWechatClient()) {
        //     if (!J.Cache.get('openId')) {
        //         getOpenId();
        //     }
        // }
        $('#me_article i.logo').css('display','none');
        $('#cartAmount').css('display','none');
        homeRefresh = true;
		// saveSommunity_control('1','奥体','0');
	},function(data) {
	})
}
// wechat保存头像
function saveHeadPhotoForWechat_service(serverId, fileUrl) {
    var url = 'ws/userAction' + versionMessage.version + '!saveHeadPhotoForWechat.sy';
    var par = {
        openId : J.Cache.get('openId').data,
        mediaId : serverId
    };
    console.log('1111111',serverId, fileUrl)
    service.get(url,par,function(data){
        if(!isNullString(data)){
            J.showToast("上传图片成功");
            $("#userFace").attr('src', fileUrl);
            
            var userLogin = J.Cache.get('login').data;
            userLogin.face = data;
            J.Cache.save('login',userLogin);
        }else{
            J.showToast("上传失败");
        }
    })
}

// app保存头像
function saveHeadPhoto_service(fileUrl, base64Data) {
    var url = 'ws/userAction' + versionMessage.version + '!saveHeadPhoto.sy';
    fileUrl = fileUrl.substr(fileUrl.indexOf('thumb') - fileUrl.length);
    var par = {
        headPhoto: fileUrl
    };
    service.get(url, par, function(data) {
        J.showToast("上传图片成功");
        $("#userFace").attr('src', base64Data);
    });
}

// 设置用户信息
function editUserInfo_service() {
    var name = $('#inputName').val();
    var par ={
        name : name
    }
    var url = 'ws/userAction' + versionMessage.version + '!editUserInfo.sy';
    service.get(url, par, function(data) {
        $('#customInfoPopup').hide();
        J.showToast('修改成功');
        $('#userInfo_div').attr('data-refresh','true'); //设置用户信息后更新用户昵称或头像
        J.Cache.save('login', data);
        $("#userInfoName").text(data.name);
        $('#editUserName').data('name',data.name);
    })
}

// 修改密码
function modifyPassword_service(){
    var oldPsw = $("#setUserPsw_form input[name=oldPsw]").val();
    var newPsw = $("#setUserPsw_form input[name=newPsw]").val();
    if(!newPsw){
        J.showToast('请填写新密码');
        return;
    }else if(newPsw == oldPsw){
        J.showToast('新密码不能和原密码一样');
        return;
    }else {
        var url = 'ws/userAction' + versionMessage.version + '!modifyPassword.sy';
        var par = {
            oldPassword: oldPsw,
            newPassword: newPsw
        };
        service.get(url, par, function (data) {
            var loginForm = J.Cache.get('loginForm').data;
            loginForm.userPwd = data.password;
            J.Cache.save('loginForm', loginForm);
            J.Cache.save('login', data);
            J.showToast('修改成功');
            $("#setUserPsw_form input[name=oldPsw]").val('');
            $("#setUserPsw_form input[name=newPsw]").val('');
            history.go(-1);
        }, function (data) {
            J.showToast(data.message);
        })
    }
}
//修改批销商密码
function modifyCustomerPwd_service(){
    var oldPsw = $("#editAlliancePwd_form input[name=oldPsw]").val();
    var newPsw = $("#editAlliancePwd_form input[name=newPsw]").val();
    if(!newPsw){
        J.showToast('请填写新密码');
        return;
    }else if(newPsw == oldPsw){
        J.showToast('新密码不能和原密码一样');
        return;
    }else {
        var url = 'ws/suguoAction' + versionMessage.version + '!suguoWholesaleUserModifyPwd.sy';
        var par = {
            customerId:J.Cache.get('login').data.id,
            customerPwd: oldPsw,
            customerNewPwd: newPsw
        };
        service.get(url, par, function (data) {
            J.showToast('修改成功');
            $("#editAlliancePwd_form input[name=oldPsw]").val('');
            $("#editAlliancePwd_form input[name=newPsw]").val('');
            history.go(-1);
        }, function (data) {
            if(data.data){
                J.showToast(data.message);
            }else{
                J.showToast('请稍后重试');
            }
        })
    }
}

// 获取片区 type=1首页， =2个人设置， type=3修改地址的时候 4 扫码购更改片区 5切换地址后保存片区
function getCommunityList_service(type,id) {
    var url = 'ws/communityAction' + versionMessage.version + '!getCommunityList.sy';
    var par = {};
    if(type == 3) {
	    par.communityType = J.Cache.get('community').data.type
    }
    service.get(url, par, function(data) {
        J.Cache.empty('communities');
        //切换地址、片区需要刷新“我的”页面用户的账户信息（例如优惠券<优惠券按片区加载>）
        $('#userInfo_div').attr('data-refresh','true');
        var arry = [];
        for (var i=0;i<data.length;i++){
            arry.push(data[i].place);
            if(type == 1 && (data[i].id == J.Cache.get('community').data.id)){
                //更新缓存里的当前片区信息（闭店信息或配送距离 或经纬度等）
                J.Cache.save('community', data[i]);
            }
            if(type == 5 && (data[i].id == id)){
                //切换地址后 保存片区
                J.Cache.save('community', data[i]);
            }
        }
        J.Cache.save('communities',data);
        J.Cache.save('communitiesArry',arry);
        if(type == 4){
            weepCodeCommunity(data);
        }
    });
}

//我的---页面显示待付款/待接单/已接单/送货中/待补货/已取消/售后订单
function getAllInfo(){
    if(!J.Cache.get('login')){
        $('#me_article i.logo').css('display','none');
        return;
    }
    var url = 'ws/integralAction' + versionMessage.version + '!getAllInfo.sy';
    var par ={};
    service.get(url,par,function(data){
        if(!data) return;
        if(data.face){
            if (data.face.indexOf('http') < 0 ) {
                data.face = picNetworkPrefix(data.face);
                if(ON_OFF == 2){
                    data.face = data.face.replace('file','file-test');
                }
            }
            $('#userInfo_login .favicon img').attr('src',data.face);
        }
		if(data.waitingForPayAmount != null){ //待付款
 			$(document.getElementById('unpaid')).css('display','inline-block');
            document.getElementById('unpaid').innerText = data.waitingForPayAmount;
        }else{
            $(document.getElementById('unpaid')).css('display','none');
        }
        if(data.distributionAmount != null){ //待接单
 			$(document.getElementById('distributionLogo')).css('display','inline-block');
            document.getElementById('distributionLogo').innerText = data.distributionAmount;
        }else{
            $(document.getElementById('distributionLogo')).css('display','none');
        }
        if(data.deliveryAmount != null){ //送货中
			$(document.getElementById('deliveryLogo')).css('display','inline-block');
            document.getElementById('deliveryLogo').innerText = data.deliveryAmount;
		}else{
            $(document.getElementById('deliveryLogo')).css('display','none');
        }
        if(data.afterSaleAmount != null){//售后订单
			$(document.getElementById('afterSaleLogo')).css('display','inline-block');
            document.getElementById('afterSaleLogo').innerText = data.afterSaleAmount;
		}else {
            $(document.getElementById('afterSaleLogo')).css('display','none');
        }
    });
}
var scrollAdvert;
// 我的余额
function getBalance_service() {
    J.showMask();
    var url = 'ws/userAction' + versionMessage.version + '!getBalance.sy';
    var par = {};
    //balance：当前余额;hasApplying：是否有提现申请 0没有申请 1：有正在申请;canWithdrawBalance：可提现金额
    var balance,hasApplying,canWithdrawBalance;
    service.get(url, par, function(data) {
        J.hideMask();
        J.Template.render("#myBalance_ul", "myBalance_template", data.recharge, "replace","您没有相关余额消费记录");
        if (data.balance != null && data.hasOrNotApplyingBalanceRecord != null) {
            balance = data.balance;
            canWithdraw = data.canWithdraw;
            canWithdrawBalance = data.canWithdrawBalance;
            hasApplying = data.hasOrNotApplyingBalanceRecord;
            $("#balance").text('¥'+balance);
            if(canWithdraw == 1){
                if(hasApplying == 0 && canWithdrawBalance >= 0) {
                    $("#withdraw").css('background', '#ff4d40');
                    J.Cache.save('balance', balance);
                    J.Cache.save('canWithdrawBalance', canWithdrawBalance);
                    $("#withdraw").removeClass('pointer-events');
                    $("#withdraw").on('click', function () {
                        J.Router.goTo('#getWithdraw_section');
                        $("#withdraw").css('background','#C8C8C8');
                    });
                }
                if(hasApplying == 1) {
                    $("#withdraw").addClass('pointer-events');
                    J.showToast('您的申请已提交，请耐心等待1-3个工作日提现至您的原支付账户');
                }
            }else{
                $("#withdraw").addClass('none');
            }

        }
    });
}
// 余额
function getGroupBalance_service() {
    J.showMask();
    var url = 'ws/userAction' + versionMessage.version + '!getGroupBalance.sy';
    var par = {};
    service.get(url, par, function(data) {
        J.hideMask();
        J.Template.render("#myGroupBalance_ul", "myGroupBalance_template", data.recharge, "replace","您没有相关余额消费记录");
        if(data.balance != null) $("#groupBalance").text(data.balance);
    });
}
// 提交提现表单
function postWithdraw_service(applyMoney,balance,userId){
    var url = 'ws/userAction' + versionMessage.version + '!withdrawDeposit.sy';
    var par = {
        applyMoney: applyMoney,
        accountBalance: balance,
        userId: userId
    };
    service.get(url,par,function(){
        J.Router.goTo('#myBalance_section');
        J.Cache.empty('balance');
    },function(){
        J.showToast('提交申请失败，请重新登录！');
        J.Cache.empty('login');
        J.Cache.empty('address');
        J.Cache.empty('loginForm');
        logout_service();
        J.Router.goTo('#login_section');
    })
}
// 我的积分
function getMyIntegral_service() {
//  J.showMask();
    var url = 'ws/integralAction' + versionMessage.version + '!getMyIntegral.sy';
    var par = {};
    service.get(url, par, function(data) {
//      J.hideMask();
        J.Template.render('#myIntegral_ul', 'myIntegral_template', data.myIntegration, "replace","没有相关记录");
        if(data.integration != null) $("#integration").text(data.integration);
    });
}
// 活动积分
function getActIntegral_service() {
    var url = 'ws/integralAction' + versionMessage.version + '!getMyPromotionalIntegration.sy';
    var par = {};
    service.get(url, par, function(data) {
        J.Template.render('#activityIntegral_ul', 'activityIntegral_template', data.myPromotionalIntegration, "replace","没有相关记录");
        if(data.promotionalIntegration != null) $("#activityIntegration").text(data.promotionalIntegration);
    });
}
// 我的金豆
function yiBeansDetailInfo_service() {
    var url = 'ws/userAction' + versionMessage.version + '!getMyYiBeans.sy';
    var par = {};
    service.get(url, par, function(data) {
        J.Template.render('#yiBeansDetailInfo_ul', 'yiBeansDetailInfo_template', data.records, "replace","没有相关记录");
        if(data.yiBeans != null) $("#yiBeansInfo").text(data.yiBeans);
    });
}
// 我的常购清单--购物车
function myOftenBuyList_service() {
    // if(!J.Cache.get('login')){
    //     J.showToast('没有登录哦');
    //     return;
    // }
    // childrenAticleToggleActive('myOftenBuyList_article', 'addClass');
    // $($('#index_footer').children()[2]).addClass('active').siblings().removeClass('active');
    // $('#myOftenBuyList_article').addClass('active').siblings().removeClass('active');
    var url = 'ws/userAction' + versionMessage.version + '!getRegularPurchaseList.sy';
    var par = {};
    service.get(url, par, function(data) {
        if(data == null || data.length == 0){
            $('#oftenBuyDiv').css('display','none');
            $('#oftenBuyPic').css('display','block');
        }else{
            $('#oftenBuyDiv').css('display','block');
            $('#oftenBuyPic').css('display','none');
            var data1 = [];
            data.map(function(i){
                i.picture = picNetworkPrefix(i.picture);
                i.priceInUse = i.priceInUse.split('¥')[1];
                if(i.priceNotInUse) i.priceNotInUse = '¥'+ i.priceNotInUse.split('¥')[1];
                var obj = {
                    id: i.id,
                    color: i.color,
                    size: i.size,
                    canBuyNumber: i.canBuyNumber
                };
                data1.push(obj);
            });
            J.Cache.save('oftenBuy',data1);
            J.Template.render('#oftenBuyDiv', 'oftenBuy_template', data, "replace");
            createFly('index_section');
        }
    },function(err){
        // J.showToast(err.message);
        $('#oftenBuyDiv').css('display','none');
        $('#oftenBuyPic').css('display','block');
    });
}
//我的常购清单
function myOftenBuyList() {
    cartNum_service('oftenBuyList_section');
    var url = 'ws/userAction' + versionMessage.version + '!getRegularPurchaseList.sy';
    var par = {};
    service.get(url, par, function(data) {
        if(data == null || data.length == 0){
            $('#oftenBuyDiv1').css('display','none');
            $('#oftenBuyPic1').css('display','block');
        }else{
            $('#oftenBuyDiv1').css('display','block');
            $('#oftenBuyPic1').css('display','none');
            var data1 = [];
            data.map(function(i){
                i.picture = picNetworkPrefix(i.picture);
                i.priceInUse = i.priceInUse.split('¥')[1];
                if(i.priceNotInUse) i.priceNotInUse = '¥'+ i.priceNotInUse.split('¥')[1];
                var obj = {
                    id: i.id,
                    color: i.color,
                    size: i.size,
                    canBuyNumber: i.canBuyNumber
                };
                data1.push(obj);
            });
            J.Cache.save('oftenBuy',data1);
            J.Template.render('#oftenBuyDiv1', 'oftenBuy1_template', data, "replace");
            createFly('oftenBuyList_section');
        }
    },function(err){
        $('#oftenBuyDiv1').css('display','none');
        $('#oftenBuyPic1').css('display','block');
    });
}
//  购物车数量
function cartNum_service(section) {
    var url = 'ws/shoppingAction' + versionMessage.version + '!getServiceEventAmountInCar.sy';
    var par = {
        communityId: J.Cache.get('community') ? J.Cache.get('community').data.id : 1
    };
    if(!J.Cache.get('login')){
        par.unloginId = getUnloginId();
    }
    service.get(url, par, function(data) {
        if(data.amount > 0){
            $('#index_footer .logo').css('display','inline-block');
            $('#index_footer .logo')[0].innerText = data.amount;
        }else{
            $('#index_footer .logo').css('display','none');
        }
        if(section){
            section == 'newActivePage_section' ? section = section +' header' : section = section +' footer';
            if($('#' + section +' .logo')[0] && data.amount > 0){
                $('#' + section + ' .logo').css('display','inline-block');
                $('#' + section + ' .logo')[0].innerText = data.amount;
            }else{
                $('#' + section + ' .logo').css('display','none');
            }
        }else{
            if(data.amount > 0){
                $('#cartAmount').css('display','inline-block');
                $('#cartAmount').text(data.amount);
            }else {
                $('#cartAmount').css('display','none');
            }
        }
    });
}

// 我的优惠券 type 0.储蓄卡 1.优惠券
function getMyCouponList_service(type) {
    var url = 'ws/couponAction' + versionMessage.version + '!getMyCouponList.sy';
    var par = {};
    service.get(url, par, function(data) {
        var nowTime = new Date().getTime(),
            year = new Date().getFullYear(),
            month = new Date().getMonth() + 1,
            day = new Date().getDate();
            count = 0;
        data.myCouponListName = data.myCouponListName.split(',');
        // data['vipCoupon'] = data['myCouponListForSuguo'];
        // data['myCouponListForSuguo'] = [];
        // data['myCouponListForWC'] = [];
        // data['vipCoupon'] = [];
        if(!isEmptyObject(data)){
            for(var i in data){
                if( i != 'myCouponListName' && i != 'normalCoupon'){
                    if( i != 'vipCoupon'){
                        data[i].map(function(item){
                            item.list.map(function(item2){
                                //有效期前一天
                                var date = item2.coupon.endTime ? item2.coupon.endTime : '2099-12-31 23:59:59',
                                previousTime = 0,
                                defaultMark = 0,
                                startTime = item2.coupon.startTime.substring(0,10).replace(/-/g,'/'),
                                endTime = item2.coupon.endTime.substring(0,10).replace(/-/g,'/');
                                date = date.substring(0,19);    
                                date = date.replace(/-/g,'/');
                                previousTime= new Date(date).getTime() - 24*60*60*1000;
                                if(nowTime >= previousTime && endTime != startTime){//排除只有一天有效期的优惠券
                                    defaultMark = 1;//显示最后一天标签；
                                }
                                item2.coupon.defaultMark = defaultMark;
                                // 有效期限处理
                                // item2.coupon.startTime = item2.coupon.startTime ? item2.coupon.startTime.split(' ')[0] : year + '.' + month + '.' + day;
                                // item2.coupon.endTime = item2.coupon.endTime ? item2.coupon.endTime.split(' ')[0] : '2099.12.31';
                                // 是否有效
                                item2.cantUse = (item2.coupon.numLimit - item2.usedCount) == 0 ? false : true;
                                if(!isNullString(item2.coupon.cornerMarkPic)){
                                    item2.coupon.cornerMarkPic = picNetworkPrefix(item2.coupon.cornerMarkPic);
                                }
                            })
                        })
                    }else{
                        data[i].map(function(item){
                            item.list.map(function(item2){
                                // 有效期限处理
                                // item2.coupon.startTime = item2.coupon.startTime ? item2.coupon.startTime.split(' ')[0] : year + '.' + month + '.' + day;
                                // item2.coupon.endTime = item2.coupon.endTime ? item2.coupon.endTime.split(' ')[0] : '2099.12.1';
                                // 是否有效
                                item2.cantUse = (item2.coupon.numLimit - item2.usedCount) == 0 ? false : true;
                            })
                        })
                    }
                    if(data[i].length == 0){
                        count += 1;
                    }
                }
            }
        }
        data.level = J.Cache.get('login').data.level;
        if(data['myCouponListName'].length>0){
            J.Template.render("#myCoupon_toggle_div", "myCoupon_toggle_template", data['myCouponListName'], "replace");
        };
        J.Template.render("#myCoupon_div", "myCoupon_template", data, "replace");
        var tabType = 0
        if(data['myCouponListForSuguo'].length == 0){
            tabType = 1;
            $('#myCoupon_toggle_div div:first-child').css('display','none');
        };
        if(data['myCouponListForWC'].length == 0){
            tabType = 0;
            $('#myCoupon_toggle_div div:nth-child(2)').css('display','none');
        };
        if(data['vipCoupon'].length == 0){
            $('#myCoupon_toggle_div div:last-child').css('display','none');
        }else{
            if(data.level == 1){
                tabType = 2;
            }
        };
        autoToggleCouponList($('#myCoupon_toggle_div div')[tabType],tabType,2);
        if(count == 3){
            J.Template.render("#myCoupon_div", "myCoupon_template", [], "replace",'当前没有可使用的优惠券');
        };
    });
}
/// 历史优惠券
function getHistoryCouponList_service(par) {
    var url = 'ws/couponAction' + versionMessage.version + '!getMyHistoryCouponList.sy';
    service.get(url, par, function(data) {
        var time = new Date().getTime();
        var endTime;
        data.map(function(item) {
            // 有效期限处理
            item.coupon.endTime = item.coupon.endTime ? item.coupon.endTime : '2099-12-31 23:59:59';
            endTime = getTimeDate(item.coupon.endTime).getTime();
            if(endTime > time){
                item['couponType'] = 0;//已使用
            }else{
                item['couponType'] = 1;//已过期
            }
        })
        getHistoryCouponList_control (data,par)
    });
}
function getTimeDate(strDate){
    var date = eval('new Date(' + strDate.replace(/\d+(?=-[^-]+$)/, 
     function (a) { return parseInt(a, 10) - 1; }).match(/\d+/g) + ')');
    return date;
  }
/**
 * [getMyCouponDetails_service 获取储值卡详情]
 * @param  {Number} couponUserId [我的储值卡id]
 */
function getMyCouponDetails_service(couponUserId){
    J.Router.goTo('#depositCardDetail_section');
    var url = 'ws/couponAction' + versionMessage.version + '!getMyCouponDetails.sy';
    var par = {
        couponUserId : couponUserId
    };
    service.get(url,par,function(data){
        setTimeout(function(){
            J.Template.render('#depositCardDetail_ul', 'depositCardDetail_template', data.details, "replace","您没有相关储值卡消费记录");
        },200)
        if(data.couponLeftValue != null) $("#depositCardBalance").text(data.couponLeftValue);
    });
}
// 获取苏果卡充值相关数据
function getRechargeCondition(){
    if(!J.Cache.get('login')){
        J.Router.goTo('#login_section');
        J.showToast('您还没有登录');
        return;
    }
    var url = 'ws/suguoAction' + versionMessage.version + '!enterSuguoCard.sy';
    service.get(url,{},function(data){
        if(data.isExpress){
            $('#expressTime').addClass('active');
            pay.suguoCardTimeList.timeBeanList = data.timeBeanList;
            var datas = {
                isExpress: data.isExpress
            }
            J.Template.render('#expressTime','expressTime_template', datas,'replace');
            if(pay.suguoCardTimeList.timer){
                $('#selectedExpressTime').text(pay.suguoCardTimeList.timer);
                $('.expressTimeTip').removeClass('active');
            }
        }else{
            $('#expressTime').removeClass('active');
        }
      
        var mock = {
            image: []
        }
        if(pay.suguoCardTimeList.uploadImg.image.length > 0){//更改地址后不清除之前上传的图片
            var imgArry = pay.suguoCardTimeList.uploadImg.image.split(',');
            var urlPics = [];
            imgArry.map(function (item) {
                urlPics.push(picNetworkPrefix(item));
            });
            mock.image = urlPics;
        }
        J.Template.render('#suguoCardPic','suguoCardPic_template', mock,'replace');
        
        data.suguocardMark = data.suguocardMark.split('\n');
        J.Template.render('#suguoWords','suguoWords_template', data,'replace');
        J.Cache.save('suguocardConfirm',data.suguocardConfirm);
        if(data.suguocardTips){
            $('.recharge_tip ').addClass('active');
            $('#suguocardTips').text(data.suguocardTips);
        }else{
            $('.recharge_tip ').removeClass('active');
        }
        $('#minSuguoVal').text(data.suguocardMinMoney);
        $('.isExpressTime').off().on('click',function(){
            getCardTime();
        })
    });
}
// 上门取卡时间
function getCardTime (){
    $('#rechargeOfSuguo_section .groupNot').css("height", $(document).height());
    $('#rechargeOfSuguo_section .groupNot').css("width", $(document).width());
    $('#rechargeOfSuguo_section .groupNot').show();
    var timeList = pay.suguoCardTimeList.timeBeanList;
    var timeValue = pay.suguoCardTimeList.timeValue;
    var timeDay = pay.suguoCardTimeList.timeDay;
    document.getElementById('expressTimes').innerHTML = '';
    var html = '<div class="timeTitle"><i class="closeSelectTime"></i><h1>选择取卡时间</h1></div><div class="chooseContent"><div class="timeContent"><div class="timeLeft">';    
    if(timeList.firstDay.timeBeanList && timeList.firstDay.timeBeanList.length > 0){
        html += '<div class="timeWeek active">' + timeList.firstDay.week + '</div><div class="timeWeek">' + timeList.secondDay.week
             + '</div></div><div id="firstDayList" class="timeRight active"><ul>';
        for(var i = 0; i < timeList.firstDay.timeBeanList.length; i++) {
            if(timeList.firstDay.timeBeanList[i].sequence == timeValue){
                html += '<li class="active" data-sequence="' + timeList.firstDay.timeBeanList[i].sequence + '"><span style="display: inline-block;width: 50vw;">'
                     + timeList.firstDay.timeBeanList[i].timeText + '</span><i></i></li>'
            }else {
                html += '<li data-sequence="' + timeList.firstDay.timeBeanList[i].sequence + '"><span style="display: inline-block;width: 50vw;">'
                     + timeList.firstDay.timeBeanList[i].timeText + '</span><i></i></li>'
            }
            if(i == timeList.firstDay.timeBeanList.length - 1){
                html += '</ul></div><div id="secondDayList" class="timeRight"><ul>';
            }
        }
        for(var i = 0; i < timeList.secondDay.timeBeanList.length; i++) {
            if(timeList.secondDay.timeBeanList[i].sequence == timeValue){
                html += '<li class="active" data-sequence="' + timeList.secondDay.timeBeanList[i].sequence + '"><span style="display: inline-block;width: 50vw;">'
                     + timeList.secondDay.timeBeanList[i].timeText + '</span><i></i></li>'
            }else {
                html += '<li data-sequence="' + timeList.secondDay.timeBeanList[i].sequence + '"><span style="display: inline-block;width: 50vw;">'
                     + timeList.secondDay.timeBeanList[i].timeText + '</span><i></i></li>'
            }
            if(i == timeList.secondDay.timeBeanList.length - 1){
                html += '</ul></div></div></div>';
                document.getElementById('expressTimes').innerHTML = html;
            }
        }

    }else{
        html += '<div class="timeWeek active">' + timeList.secondDay.week +'</div></div><div class="timeRight"><ul>';
        for(var i = 0; i < timeList.secondDay.timeBeanList.length; i++) {
            if(timeList.secondDay.timeBeanList[i].sequence == timeValue){
                html += '<li class="active" data-sequence="' + timeList.secondDay.timeBeanList[i].sequence + '"><span style="display: inline-block;width: 40vw;">' 
                + timeList.secondDay.timeBeanList[i].timeText + '</span><i></i></li>'
            }else {
                html += '<li data-sequence="' + timeList.secondDay.timeBeanList[i].sequence + '"><span style="display: inline-block;width: 40vw;">' 
                + timeList.secondDay.timeBeanList[i].timeText + '</span><i></i></li>'
            }
            if(i == timeList.secondDay.timeBeanList.length - 1){
                html += '</ul></div></div></div>';
                document.getElementById('expressTimes').innerHTML = html;
            }
        }
    }
    var seleDay = $('#expressTimes .timeWeek')[timeDay];
    var seleTime =  $('.timeRight')[timeDay];
    $(seleDay).addClass('active').siblings().removeClass('active');
    $(seleTime).addClass('active').siblings().removeClass('active');
    $('#expressTimes').css('display','block');
    $('#expressTimes .timeWeek').bind('click', function(){
        $(this).addClass('active').siblings().removeClass('active');
        var i = $(this).index();
        var ele = $('#expressTimes .timeRight')[i];
        $(ele).addClass('active').siblings().removeClass('active');
    });
    $('#expressTimes li').bind('click', function(){
        $(this).addClass('active').siblings().removeClass('active');
        var value = $(this).data().sequence;
        pay.suguoCardTimeList.timeValue = value;
        var timer = $('.timeWeek.active').text() + $(this).text();//展示的时间
        var time = $(this).text();//传给后台的时间
        $('#selectedExpressTime').text(timer);
        $('.expressTimeTip').removeClass('active');
        pay.suguoCardTimeList.timer = timer;
        pay.suguoCardTimeList.time = time;
        pay.suguoCardTimeList.timeDay = $('.timeWeek.active').index();
        $('#expressTimes').css('display','none');
        $('#rechargeOfSuguo_section .groupNot').hide();
    });
}
// 获取我的收货地址v2；
function addressList_service(isMy) {
    var time = new Date().getTime();
    var url = 'ws/userAction' + versionMessage.version + '!addressList.sy';
    service.get(url, {time:time}, function(data) {
    	J.Cache.save('userAddresses', data.userAddresses);
        J.Cache.empty('labelId');
        if (data.length != 0) {
            data.userAddresses.map(function(item) {
                if (item.isDefault == 1) {
                    J.Cache.save('address', item);
                    if(J.Cache.get('communities') && J.Cache.get('communities').data){
                        // 保存默认地址的片区
                        saveLocalArea(item.communityId);
                    }else{
                        //获取所有片区保存当前片区
                        getCommunityList_service(5,item.communityId);
                    }
                    homeRefresh = true;
                    cartNum_service();
                }
                if(submitChange){
                    item.submitChange = submitChange;
                }
            })
        }else{
            J.Cache.save('address', {});
        }

        if (isMy == 'me') {
            userHasAddress_control(data.userAddresses);
        }else{
            getAddressForRecharge_control(); //苏果充值获取地址
        }

    });
}
// 新增收货地址
function saveUserAddress_service(mock,isBack, hasRefresh) {
	console.log('新增收货地址')
    var url = 'ws/userAction' + versionMessage.version + '!saveUserAddress.sy';
    var labelId = '',par={};
    if($('#newAddress_p span.active').length > 0){
        labelId = $('#newAddress_p span.active').data().id
    }else{
        if(J.Cache.get('labelId') && J.Cache.get('labelId').data){
            labelId = J.Cache.get('labelId').data;
        }
    }
    var street = $('#houseNum').val();
    var pattern = /^[\u4e00-\u9fa5a-zA-Z0-9]+$/;
    if(!pattern.test(street)){
        J.showToast('您的门牌号包含特殊字符，请核对后提交');
        return;
    }
    par = {
        community:J.Cache.get('community').data.name,
        communityId:J.Cache.get('community').data.id,
        communityType: J.Cache.get('community').data.type,
        residence: $('#receiverAddress').val(),
        street: street,
        name: $('#contactsName').val(),
        contact: $('#contactsNum').val(),
        longitude: J.Cache.get('address').data.position[0],
        latitude: J.Cache.get('address').data.position[1],
        labelId: labelId
    };
    par.address = par.residence + par.street;
    if(par.address.indexOf('undefined') >= 0){
        J.showToast('您的地址不规范，请核对后提交');
        return;
    }
    J.Cache.empty('address');
    // 如果地址没有经纬度去获取经纬度
    if(!par.longitude || !par.latitude){
        J.showToast('保存出错,请稍后重试');
        getAddressLnglat(par.residence,function (location) {
            var address = J.Cache.get('address').data;
            address.position = [location.lng,location.lat];
            J.Cache.save('address',address);
        });
        return;
    }
    service.get(url, par, function(data) {
        J.Cache.empty('labelId');
        J.showToast("添加地址成功");
        var time = new Date().getTime();
        var url = 'ws/userAction' + versionMessage.version + '!addressList.sy';
        service.get(url, {time:time}, function(data) {
            if (data.length != 0) {
                data.userAddresses.map(function(item) {
                    if (item.isDefault == 1) {
                        J.Cache.save('address', item);
                        var loginData = J.Cache.get('login').data;
                        loginData.userAddressId = item.communityId;
                        loginData.userAddressName = item.community;
                        loginData.residenceName = item.residence;
                        loginData.communityId = item.communityId;
                        loginData.communityName = item.community;
                        loginData.communityType = item.communityType;
                        loginData.userAddress = item;
                        J.Cache.save('login', loginData);
                        homeRefresh = true;
                    }
                });
            }
            if(isBack) history.go(-1);
        });
        // 提交订单 新增地址之后返回购物车
        if(submitChange){
            history.go(-1);
            setTimeout(function(){
                history.go(-1);
                submitChange = false;
            },10);
        }
        setTimeout(function(){
            if(window.location.href.indexOf('#groupPay_section') >= 0){
                getGroupOrderByOrderTop_service(J.Cache.get('groupShare').data.orderTopCode);
            }else if(window.location.href.indexOf('#payLists_section') >= 0){
                getSelectedShoppingCar_service(pay.params.mock,pay.params.eventType);
            }else if(window.location.href.indexOf('#myFamily_section') >= 0){
                changeIndexPage(data.id);
                J.Cache.empty('labelId');
            }else if(window.location.href.indexOf('#selectAddress_section') >= 0){
                J.Router.goTo('#index_section');
                $($('#index_footer').children()[0]).addClass('active').siblings().removeClass('active');
                $('#home_article').addClass('active').siblings().removeClass('active');
            }
        },500);
    });
}


// 切换收货地址
function homeSwitchMyAddress_servic(ele, id,secType) {
    if(secType) J.Cache.save('handleSec', secType);
    //判断要切换的地址是否可配送
    var addresses = J.Cache.get('userAddresses').data;
    var switchAddress = J.Cache.get('communities').data;
    var addressInfo = '';
    var switchCommunity = '';
    event.stopPropagation();
    for(var i = 0; i < addresses.length; i++) {
        if(addresses[i].id == id) {
            // 要切换的地址
            addressInfo = addresses[i];
        }
    }
    for(var j = 0; j < switchAddress.length; j++) {
        if(switchAddress[j].id == addressInfo.communityId) {
            // 要切换地址的片区
            switchCommunity = switchAddress[j];
        }
    }
    if(ele && $(ele).data().isDefault == 1) return;
    var riding = new AMap.Riding({});
    if(switchCommunity !=''){
        if(addressInfo.longitude && addressInfo.latitude){
            if(addressInfo.longitude == 0 || addressInfo.latitude == 0){
                riding.search([
                    {keyword: switchCommunity.communityRealAddress,city:'南京'},
                    {keyword: addressInfo.residence,city:'南京'}
                ],function(status,result){
                    switchAddressCall2(status,result,ele,id,switchCommunity);
                });
            }else{
                var place = [Number(addressInfo.longitude),Number(addressInfo.latitude)];
                var switchCommunityPlace = [Number(switchCommunity.place.split(',')[0]),Number(switchCommunity.place.split(',')[1])];
                riding.search(switchCommunityPlace,place,function(status,result){
                    switchAddressCall2(status,result,ele,id,switchCommunity);
                });
            }
        }else {
            riding.search([
                {keyword: switchCommunity.communityRealAddress,city:'南京'},
                {keyword: addressInfo.residence,city:'南京'}
            ],function(status,result){
                switchAddressCall2(status,result,ele,id,switchCommunity);
            });
        }
    }else{
        J.showToast('当前地址无法配送！');
        return;
    }
}

//切换地址回调判断是否超距是否有效
function switchAddressCall2(status,result,ele,id,switchCommunity){
    var par = {
        id: id
    };
    if(status == 'complete'){
        console.log(result)
        if(result.routes[0].distance > switchCommunity.radius){
            J.showToast('该地址已无法配送');
        }else{
            if(result.destinationName){
                par.longitude = result.destination.lng;
                par.latitude = result.destination.lat;
            }
            // 提交订单 更换地址时提示返回购物车
            if(submitChange){
                switch (pay.handleType){
                    case 0:
                        // 购物车去结算
                        J.Popup.confirm4('提示','更换地址需返回购物车重新确认商品','取消','确定', function() {    
                            switchAddress_service(par,function(data,message){
                                history.go(-1);
                                setTimeout(function(){
                                    history.go(-1);
                                    submitChange = false;
                                },10);
                            })
                        },function(){
                            return;
                        })
                        break;
                    case 1:
                        J.Popup.confirm4('提示','更换地址需返回重新确认商品','取消','确定', function() {    
                            switchAddress_service(par,function(data,message){
                                history.go(-1);
                                // getServiceEventDetails_service(J.Cache.get("productDetail").data.id);
                                setTimeout(function(){
                                    history.go(-1);
                                    submitChange = false;
                                    console.log(location.hash)
                                    setTimeout(function(){
                                        console.log(location.hash)
                                        getServiceEventDetails_service(J.Cache.get("productDetail").data.id, {sName: '', sIndex: 0});
                                    },30)
                                },10);
                            })
                        },function(){
                            return;
                        })
                        break;
                }
            }else{
                switchAddress_service(par, function(data,message) {
                    var addressTxt = J.Cache.get('address').data.address;
                    $('#selectedAddress').text(addressTxt);
                    $(ele).attr('data-isdefault',1).data('isdefault',1).find('.address').addClass('active');
                    $(ele).siblings().attr('data-isdefault',0).data('isdefault',0).find('.address').removeClass('active');
                    if(J.Cache.get('handleSec')){
                        logicalHandle(message);
                    }
                }, function() {
                    J.showToast("切换地址出错");
                })
            }
        }
    }else{
        J.showToast("此地址数据异常，无法切换");
    }
}

/**
 * [logicalHandle 切换地址后处理跳转页面加载]
 * [handleSec]  1.首页selectAddress_section  
 *              2.售后applyRefund_section   
 *              3.金豆列表yiBeansCartAddress
 * */
function logicalHandle(message){
    var handleSec = Number(J.Cache.get('handleSec').data);
    switch (handleSec) {
        case 1:
            if(window.location.href.indexOf('#selectAddress_section') >= 0){
                J.showToast(message);
                history.go(-1);
            }
            break;
        case 2:
            // 售后暂时还是编辑地址 不允许切换  下面这段暂时保留
            J.showToast('更改成功！');
            history.go(-1);

            var refundOrderMsg = J.Cache.get('refundOrderId').data;
            var orderMainId = J.Cache.get('refundOrderId').data.orderDetails[0].orderMain.id;
            for(var i = 0; i < data.userAddresses.length; i++) {
                if(data.userAddresses[i].isDefault){
                    refundOrderMsg.orderDetails[0].orderMain.wtyAddress = data.userAddresses[i];
                    J.Cache.save('refundOrderId',refundOrderMsg);
                }
            }
            afterSaleOrder_service(orderMainId,false);
            break;
        case 3:
            $('#yiBeansCartAddress').text(J.Cache.get('address').data.address);
            break;
    
        default:
            break;
    }
    J.Cache.empty('handleSec');
}
// 切换地址
function switchAddress_service (par, success, err) {
    var url = 'ws/userAction' + versionMessage.version + '!alterDefaultAddress.sy';
    service.get(url, par, function(data,message) {
        // 刷新首页
        homeRefresh = true;
        J.Cache.save('userAddresses', data.userAddresses);
        for(var i = 0; i < data.userAddresses.length; i++) {
            if(data.userAddresses[i].isDefault) {
                if(J.Cache.get('communities') && J.Cache.get('communities').data){
                    // 保存默认地址的片区
                    saveLocalArea(data.userAddresses[i].communityId);
                }else{
                    //获取所有片区保存当前片区
                    getCommunityList_service(5,data.userAddresses[i].communityId);
                }
                J.Cache.save('address', data.userAddresses[i]);
                J.Cache.save('login', data.userInfo);
                cartNum_service();
            }
        }
        success(data,message);
    }, err);
}

// 删除地址
function removeMyAddress_service(ele) {
    var id = $(ele).data().id;
    var isdefault = $(ele).parent().data().isdefault;
	var url = 'ws/userAction' + versionMessage.version + '!deleteAddress.sy';
	var par = {
		id: id
    }
    event.stopPropagation();
    if(isdefault == '1'){
        J.showToast('默认地址不能删除！')
        restSlide();
        return;
    }
	service.get(url, par, function(data) {
		$('.myAdressList[data-id="' + id + '"]').remove();
        // J.Template.render('#myAddress_ul', 'myAddress_template', mock, "replace");
        // history.go(-1);
        J.showToast('删除成功');
	})
}
// 编辑收货地址
function editMyAddress_service(mock,isBack, addressInfo) {
    var url = 'ws/userAction' + versionMessage.version + '!editMyAddress.sy';
    var labelId = '',par={};
    if($('#newAddress_p span.active').length > 0){
        labelId = $('#newAddress_p span.active').data().id
    }
    var street = $('#houseNum').val();
    var pattern = /^[\u4e00-\u9fa5a-zA-Z0-9]+$/;
    if(!pattern.test(street)){
        J.showToast('您的门牌号包含特殊字符，请核对后提交');
        return;
    }
    par = {
        addressId: addressInfo.id,
        community: addressInfo.community,
        communityId: addressInfo.communityId,
        communityType: addressInfo.communityType,
        residence: $('#receiverAddress').val(),
        street: street,
        name: $('#contactsName').val(),
        contact: $('#contactsNum').val(),
        longitude: '',
        latitude: '',
        labelId: labelId
    };
    var communityId = $('#receiverAddress_form').attr('data-change');
    // 地址编辑时更改片区 保存
    if(communityId == 'isChange'){
        // 编辑地址地图选址时候新生成一条地址信息，没有addressId  没有地图选址（只改了门牌号姓名电话的），在原有地址更改带addressId
        par.addressId = J.Cache.get('address').data.id;
        par.community = J.Cache.get('community').data.name;
        par.communityId = J.Cache.get('community').data.id;
        par.communityType = J.Cache.get('community').data.type;
    }
    if(J.Cache.get('address').data.id == ''){
        par.longitude = J.Cache.get('address').data.position[0];
        par.latitude = J.Cache.get('address').data.position[1];
    }else{
        if(J.Cache.get('address').data.longitude && J.Cache.get('address').data.latitude){
            par.longitude = J.Cache.get('address').data.longitude;
            par.latitude = J.Cache.get('address').data.latitude;
        }
    }
    // if(J.Cache.get('labelId') && J.Cache.get('labelId').data){
    //     par.labelId = J.Cache.get('labelId').data;
    // }else{
    //     par.labelId = '';
    // }
    par.address = par.residence + par.street;
    if(par.address.indexOf('undefined') >= 0){
        J.showToast('您的地址不规范，请核对后提交');
        return;
    }
    // 如果地址没有经纬度去获取经纬度
    if(!par.longitude || !par.latitude){
        J.showToast('保存出错,请稍后重试');
        getAddressLnglat(par.residence,function (location) {
            var address = J.Cache.get('address').data;
            address.position = [location.lng,location.lat];
            J.Cache.save('address',address);
        });
        return;
    }
    service.get(url, par, function(data) {
        // J.Cache.empty('labelId');
        var time = new Date().getTime();
	    var url = 'ws/userAction' + versionMessage.version + '!addressList.sy';
	    service.get(url, {time:time}, function(data) {
	    	if (data.length != 0) {
	            data.userAddresses.map(function(item) {
	                if (item.isDefault == 1) {
	                    J.Cache.save('address', item);
                        var loginData = J.Cache.get('login').data;
                        J.Cache.empty('login');
                        loginData.userAddressId = item.communityId;
                        loginData.userAddressName = item.community;
                        loginData.residenceName = item.residence;
                        loginData.address = item.address;
                        loginData.communityId = item.communityId;
                        loginData.communityName = item.community;
                        loginData.communityType = item.communityType;
                        loginData.userAddress = item;
                        J.Cache.save('login', loginData);
                        homeRefresh = true;
                    }
	            });
	        }
            J.showToast('更改成功!');
            $('#newAddress_p span').removeClass('active');
            if(isBack) history.go(-1);
            setTimeout(function(){
                if(window.location.href.indexOf('#groupPay_section') >= 0){
                    getGroupOrderByOrderTop_service(J.Cache.get('groupShare').data.orderTopCode);
                }else if(window.location.href.indexOf('#payLists_section') >= 0){
                    getSelectedShoppingCar_service(pay.params.mock,pay.params.eventType);
                }else if(window.location.href.indexOf('#myFamily_section') >= 0){
                    changeIndexPage(data.id);
                    J.Cache.empty('labelId');
                }else if(window.location.href.indexOf('#selectAddress_section') >= 0){
                    J.Router.goTo('#index_section');
                    $($('#index_footer').children()[0]).addClass('active').siblings().removeClass('active');
                    $('#home_article').addClass('active').siblings().removeClass('active');
                }
            },500);
	    });
    },function(data){
        J.showToast(data.message);
    });
}
// 编辑退货地址
function editMyAddressNotAdd() {
    var url = 'ws/userAction' + versionMessage.version + '!editMyAddressNotAdd.sy';
    var address = J.Cache.get('refundOrderId').data.orderDetails[0].orderMain.wtyAddress;
    var street = $('#houseNum').val();
    var pattern = /^[\u4e00-\u9fa5a-zA-Z0-9]+$/;
    if(!pattern.test(street)){
        J.showToast('您的门牌号包含特殊字符，请核对后提交');
        return;
    }
    var par = {
        community:address.community,
        communityId : address.communityId,
        communityType: address.communityType,
        residence: $('#receiverAddress').val(),
        street: street,
        name: $('#contactsName').val(),
        contact: $('#contactsNum').val()
    };
    if(!par.longitude || par.longitude == null || !par.latitude || par.latitude == null){
        par.longitude = J.Cache.get('refundOrderId').data.orderDetails[0].orderMain.wtyAddress.longitude;
        par.latitude = J.Cache.get('refundOrderId').data.orderDetails[0].orderMain.wtyAddress.latitude;
    }
    par.address = par.residence + par.street;
    if(par.address.indexOf('undefined') >= 0){
        J.showToast('您的地址不规范，请核对后提交');
        return;
    }
    service.get(url, par, function(data) {
        orderRefund.newAddressId = data.id;
        var time = new Date().getTime();
	    var url = 'ws/userAction' + versionMessage.version + '!addressList.sy';
	    service.get(url, {time:time}, function(data) {
	    	if (data.length != 0) {
	            data.userAddresses.map(function(item) {
	                if (item.isDefault == 1) {
	                    J.Cache.save('address', item);
                        var loginData = J.Cache.get('login').data;
                        J.Cache.empty('login');
                        loginData.userAddress = item;
                        J.Cache.save('login', loginData);
                        homeRefresh = true;
                    }
	            });
	        }
            J.showToast('更改成功!');
            history.go(-1);
           setTimeout(function () {
               if(window.location.href.indexOf('#applyRefund_section') >= 0){
                   var address = J.Cache.get('refundOrderId').data;
                   var orderMainId = J.Cache.get('refundOrderId').data.orderDetails[0].orderMain.id;
                   for(var i = 0; i < data.userAddresses.length; i++) {
                       if(data.userAddresses[i].id == orderRefund.newAddressId) {
                           address.orderDetails[0].orderMain.wtyAddress = data.userAddresses[i];
                           J.Cache.save('refundOrderId',address);
                       }
                   }
                   afterSaleOrder_service(orderMainId,false);
               }
           },100);
	    });
    },function(data){
        J.showToast(data.message);
    });
}

// 更改用户区域 清空购物车
function changeCommunity_service(communityId) {
    var url = 'ws/userAction' + versionMessage.version + '!changeCommunity.sy';
    var par = {
        communityId: communityId
    };
    service.get(url, par, function(data) {

    });
}

// 我的订单列表 - par.type  1.待支付
function getOrderTopList_service(par) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!getOrderTopList.sy';
    service.get(url, par, function(data) {
        var ordersArray = [];
        if(data != null){
            if(data.length != 0){
                ordersArray = data;
                $('#myOrders_section .kefu-logo').attr('onclick','J.Router.goTo("#notescontact_section")');
            }
        }

        // if (ordersArray.length != 0) ordersArray.reverse();
        J.hideMask();
        orders.getOrderState(ordersArray, par); //获取订单列表tpl
    });
}
// 售后订单列表 - par.type  6.售后订单
function getSaledOrdersList_service(par) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!getSaledOrders.sy';
    service.get(url, par, function(data) {
        var ordersArray = [];
        if(data != null){
            if(data.length != 0){
                data.map(function(item){
                    if(item.shopNameAddress != null && item.shopNameAddress.length > 12){
                        item.shopNameAddress = item.shopNameAddress.substring(0,12) + '...';
                    }
                })
                ordersArray = data;
                $('#saledOrders_section .kefu-logo').attr('onclick','J.Router.goTo("#notescontact_section")');
            }
        }
        J.hideMask();
        console.log(ordersArray);
        orders.getSaledOrderState(ordersArray, par); //获取订单列表tpl
    });
}
// 我的订单列表 - 已取消的订单
function getCancelOrders_service(par) {
    J.showMask();
    if(par.type >= 2){
//      delete par.pageSize;
    }
    var url = 'ws/orderAction' + versionMessage.version + '!getCancelOrders.sy';
    var par = par;
    service.get(url, par, function(data) {
        var ordersArray = [];
        if(data != null){
            ordersArray = data;
        }
        J.hideMask();
        orders.getOrderState(ordersArray, par); //获取订单列表tpl
    });
}
// 我的订单
function getOrders_service(par) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!getOrders.sy';
    if(par.type >= 2){
//      delete par.pageSize;
    }
    service.get(url, par, function(data) {
        var ordersArray = [];
        if(data != null){
            if(data.length != 0){
                if (par.type != 0) {
                    var state = [];
                    if(par.type.indexOf(',') > -1){
                        state = par.type.split(',');
                    }else{
                        state.push(par.type);
                    }
                    data.map(function(item) {
                        state.map(function(item1){
                            if (item.orderState == item1 || item.orderState == 13) ordersArray.push(item);
                        })
                    })
                } else {
                    ordersArray = data;
                }
                $('#myOrders_section .kefu-logo').attr('onclick','J.Router.goTo("#notescontact_section")');
            }else{
                ordersArray = data;
            }
        }
        J.hideMask();
        orders.getOrderState(ordersArray, par); //获取订单列表tpl
    });
}
// 搜索订单列表
function serchOrderList_service(type,startIndex,pageSize,val) {
    J.showMask();
    var par = {
        type: type,
        startIndex: startIndex,
        pageSize: pageSize, 
        orderCode: ''
    };
    if(val==undefined){
        par.orderCode = '';
    }else{
        par.orderCode = val
    }
    var url = 'ws/orderAction' + versionMessage.version + '!getOrders.sy';
    service.get(url, par, function(data) {
        var ordersArray = [];
        if(data != null){
            ordersArray = data;
        }
        J.hideMask();
        orders.getSerchOrderState(ordersArray, par); //获取订单列表tpl
    });
}
// 获取已付款订单
function getReviewsOrderDetail_service(orderMainId) {
	J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!getOrderDetail.sy';
    var par = {
        orderMainId: orderMainId
    };
    orderComment.order = {
		id: '',
		code: '',
		evaluateContent: '',
		picture: '',
		deliverySpeed: '5',
		deliveryServer: '5'
	}
    orderComment.commodity = {}
    service.get(url, par, function(data) {
        var data = data.orderDetails;
    	data.map(function(item) {
    		item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture)
    	})
    	var mock = {
	        orderMain: data[0].orderMain, //拆弹前ordermain信息
	        data: data
	    };
	    for(var i = 0; i < data.length; i++) {
	    	orderComment.commodity[data[i].serviceEvent.id] = {
				evaluateContent: '好评',
				picture: '',
				quality: '5',
			}
	    }
    	J.hideMask();
    	orderComment.order.id = mock.orderMain.id;
    	orderComment.order.code = mock.orderMain.code;


    	J.Template.render("#comment_div","comment_template",mock,"replace");
    })
}
// 提交评论信息
function submitComment() {
	var url = serverUrl + 'ws/commentAction' + versionMessage.version + '!submitComment.sy';
	var par = {
		data: JSON.stringify(orderComment)
	}
	J.showMask();
	$.post(url, par, function(data) {
        var data = JSON.parse(data);

	    if(data.success){
            J.hideMask();
            J.showToast(data.message);
            J.Router.goTo('#commentCompleted_section');

            // 订单生成分享
            var shareUrl = wechatUrl + '?specialStr=' + orderComment.order.code + '&type=5' + '#index_section'
            var sharePar = {
                title: data.data.order_assess_title,
                desc: data.data.order_assess_text,
                link: shareUrl,
                imgUrl: picNetworkPrefix(data.data.order_assess_pic)
            }
            J.Cache.save("shareWTYPayPar", sharePar);
            // 设置分享参数
            if (isWechatClient()) {
                getJSSDKConfigParams_service();
                wx.ready(function(){
                    shareWTYPay_control();
                });
            }

        }else{
            J.hideMask();
            J.showToast(data.message);
        }
	},function() {
		J.hideMask();
		J.showToast('评价失败');
	});
}
//发票
function issueInvoice(orderMainId){
    var url = 'ws/orderAction' + versionMessage.version + '!getElectroInvoiceParam.sy?';
    var par = {};
    par.orderId = orderMainId;
    service.get(url, par, function(data) {
        J.Cache.save("invoice",data);
        J.Router.goTo('#invoice_section');
    });
}

// 订单详情
function getOrderDetail_service(orderMainId,isGroup) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!getOrderDetail.sy';
    var par = {};
    if(isGroup){
        J.Router.goTo("#orderDetail_section");
        par.orderMainCollageId = orderMainId;
    }else if(isGroup == undefined){
        par.orderMainId = orderMainId;
    }
    $('#maskLayer').hide();
    $('#shortageOfNote').hide();
    J.Cache.empty('orderTrack');
    service.get(url, par, function(data) {
        var data0 = data.orderDetails[0];
        J.Cache.save('orderTrack',data.orderTrack);
        if(data0.serviceEvent != null){
            getRelateServiceEvent_service(data0.serviceEvent.id,data,0, orderMainId); //获取关联商品
        }else{
            $('#orderDetailRelate_div').empty();
        }
        if(isGroup){
            var mock = {
                serviceEvent: [], //商品列表
                couponList: [], //优惠券列表
                orderMain: data0.orderMainCollage, //拆弹前ordermain信息
                orderMainState: data0.orderMainCollage.orderState,
                collageState: data0.orderMainCollage.collageState,
                orderMainId: data0.orderMainCollage.id, //
                zhuxiaoRemark:data0.orderMainCollage.zhuxiaoRemark,
                meiTuanOrder: data0.orderMainCollage.meiTuanOrder
            };
            if(data0.orderMainCollage.wtyAddress != null){
                mock.address = data0.orderMainCollage.wtyAddress
            }else{
                mock.address = null;
            }
        }else{
            var mock = {
                address: data0.orderMain.wtyAddress, //收货地址
                deliverTime: data0.orderMain.deliverTime, //发货时间
                serviceEvent: [], //商品列表
                couponList: [], //优惠券列表
                orderMain: data0.orderMain, //拆弹前ordermain信息
                orderMainState: data0.orderMain.orderState,
                orderMainId: data0.orderMain.id, //
                zhuxiaoRemark:data0.orderMain.zhuxiaoRemark,
                meiTuanOrder: data0.orderMain.meiTuanOrder,
                merchantId: data0.orderMain.merchant.id
            };
            // 1购买优惠券  25 购买会员   不处理地址和电话
            if(data0.orderMain.merchant.id != 1 && data0.orderMain.merchant.id != 25 ){
                if(data.shopPhone != null && data.shopPhone != ''){
                    mock.address.shopPhone = data.shopPhone;
                }
                if(data0.orderMain.wtyAddress.userFamilyLabel != null){
                    data0.orderMain.wtyAddress.userFamilyLabel.domcolor = 0;//红底红边
                    if(data0.orderMain.wtyAddress.userFamilyLabel.labelName.indexOf('公司') > -1 ){
                        data0.orderMain.wtyAddress.userFamilyLabel.domcolor = 1;//蓝底蓝边
                    }
                    if(data0.orderMain.wtyAddress.userFamilyLabel.labelName.indexOf('学校') > -1 ){
                        data0.orderMain.wtyAddress.userFamilyLabel.domcolor = 2;//黄底黄边
                    }
                    mock.address = data0.orderMain.wtyAddress;
                }
            }
            if (data0.reservationTime != null) {//预约时间
                var reservationTime = data0.reservationTime.split(',');
                reservationTime.map(function(item, index) {
                    var itemLast = item.slice(item.length - 1, item.length) == 1 ? '00' : '30';
                    if (item.length > 10) {
                        reservationTime[index] = item.slice(0, 4) + '-' + item.slice(4, 6) + '-' + item.slice(6, 8) + ' ' + item.slice(8, 10) + ':' + itemLast;
                    } else {
                        reservationTime[index] = item.slice(0, 4) + '-' + item.slice(4, 6) + '-' + item.slice(6, 8) + ' ' + item.slice(8, 9) + ':' + itemLast;
                    }
                })
                //TODO 如果不会出现else的情况，就把后面的代码删了吧
                if (reservationTime.length == 1)
                    mock.reservationTime = reservationTime[0];
                else
                    mock.reservationTime = reservationTime[0] + '~' + reservationTime[reservationTime.length - 1];
            }
        }
        mock.orderMain.eventNum = 0;
        data.orderDetails.map(function(item) {
            if (!isEmptyObject(item.serviceEvent)) {
                if (!isNullString(item.serviceEvent.picture)) item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
                item.serviceEvent.hadColor = item.color;
                item.serviceEvent.hadSize = item.size;
                item.serviceEvent.orderDetailState = item.orderState;
                item.serviceEvent.eachOrderMainId = item.id;
                item.serviceEvent.payNum = item.num;
                item.serviceEvent.usedCouponUser = item.couponUser;
                item.serviceEvent.couponUserId = item.couponUserId
                if(!isNullString(item.activity)){
                    item.serviceEvent.activity = item.activity
                }
                item.serviceEvent.usedDiscountRule = item.discountRule;
                // item.serviceEvent.costCouponOff = item.couponOff;    //总优惠金额（优惠券和折扣/降价）
                item.serviceEvent.costCouponOff = item.couponOffCoupon;   //优惠券优惠金额
                item.serviceEvent.price = item.realityPayTotal;//实付单价
                item.serviceEvent.delPrice = item.suguoPrice;
                item.serviceEvent.leftNum = item.leftNum;
                item.serviceEvent.returnNum = item.returnNum;
                item.serviceEvent.quehuoNum = item.quehuoNum;
                item.serviceEvent.restockNum = item.restockNum;
                item.serviceEvent.tuihuoNum = item.tuihuoNum;
                mock.serviceEvent.push(item.serviceEvent);
                if(item.serviceEvent.serviceEventMarkPic){
                    item.serviceEvent.serviceEventMarkPic = picNetworkPrefix(item.serviceEvent.serviceEventMarkPic);
                }
            }
            if(isGroup == undefined || !isGroup){
                if (!isEmptyObject(item.coupon)) {
                    item.coupon.orderDetailState = item.orderState;
                    item.coupon.eachOrderMainId = item.id;
                    if (!isNullString(item.coupon.picture)) item.coupon.picture = picNetworkPrefix(item.coupon.picture);
                    mock.couponList.push(item.coupon);
                }
            }
            mock.orderMain.eventNum += item.num;
        });
        if(mock.orderMain.orderMainInvoice) {
        	mock.orderMain.orderMainInvoice = mock.orderMain.orderMainInvoice.split(',');
        }else{
        	mock.orderMain.orderMainInvoice = [];
        };
        J.hideMask();
        if(isGroup){
            mock.orderMain.deposit = true;
            mock.orderMain.balanceOff = Math.formatFloat(mock.orderMain.balanceOff);
            mock.orderMain.integrationOff = Math.formatFloat(mock.orderMain.integrationOff);
            mock.orderMain.promotionalIntegrationOff = Math.formatFloat(mock.orderMain.promotionalIntegralOff);
            mock.orderMain.thirdPayTotal = Math.formatFloat(mock.orderMain.thirdPayTotal)
        }else{
            // 余额
            mock.orderMain.newBalanceOff = Math.formatFloat(mock.orderMain.balanceOff + mock.orderMain.balanceFreight + mock.orderMain.balancePacking);
            // 积分
            mock.orderMain.newIntegrationOff = Math.formatFloat(mock.orderMain.integrationOff + mock.orderMain.integralFreight + mock.orderMain.integralPacking);
            // 活动积分
            mock.orderMain.promotionalIntegrationOff = Math.formatFloat(mock.orderMain.promotionalIntegrationOff + mock.orderMain.promotionalIntegralFreight);
            // 三方支付
            mock.orderMain.newThirdPayTotal = Math.formatFloat(mock.orderMain.thirdPayTotal + mock.orderMain.thirdPayFreight + mock.orderMain.thirdPayPacking);
            // 余额
            mock.orderMain.newGroupBalanceOff = Math.formatFloat(mock.orderMain.groupBalanceOff + mock.orderMain.groupBalanceFreight + mock.orderMain.groupBalancePacking);
            
        }
        mock.orderMain.total = Math.formatFloat(mock.orderMain.total + mock.orderMain.freight + mock.orderMain.packingPrice);
        orders.getOrderDetail_tpl(mock);
        // issueInvoice(orderMainId);
    })
}
//扫码购订单详情
function getBarCodeOrderDetail_service(par) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!diffComparision.sy';
    service.get(url, par, function(data) {
        J.closePopup();
        J.Router.goTo('#barCodeOrderDetail_section');
        J.Cache.save('BarCodeOrderDetail',data.differenceComparisons);
        var mock = {};
        mock.total = data.total;
        mock.isPay = data.isPay;
        mock.serviceEvent = []; //商品列表
        data.differenceComparisons.map(function(item) {
            if (!isEmptyObject(item)) {
                if (!isNullString(item.pic)) item.pic = picNetworkPrefix(item.pic);
                mock.serviceEvent.push(item);
            }
        });
        J.hideMask();
        orders.getBarCodeOrderDetail_tpl(mock);
    })
}

// 添加小票
function submitInvoiceNum_service(id, ele) {
//	pointer-events: none;
	var invoiceNum  = $(ele).prev().val();
	var shopCode  = $(ele).prev().prev().prev().val();
	invoiceNum = invoiceNum.replace(/ /g,'');
	if(!shopCode){
		$(ele).prev().prev().prev().val('')
		J.showToast('店铺编码不能为空');
		return;
	}
	if(!invoiceNum){
		$(ele).prev().val('')
		J.showToast('小票不能为空');
		return;
	}
	$(ele).css('pointer-events', 'none');
	var par = {
		orderMainId: id,
		shopCode:shopCode,
		invoiceNum: invoiceNum
	};
	var InvoiceNumListObj = {};
	for(var i = 0; i < $('#InvoiceNumList p').length; i++) {
		if($($('#InvoiceNumList p')[i]).data().value) {
			InvoiceNumListObj[$($('#InvoiceNumList p')[i]).data().value] = true;
		}
	}
	if(InvoiceNumListObj[invoiceNum]) {
		J.showToast('该小票已存在')
		return;
	};
	var url = 'ws/orderAction' + versionMessage.version + '!saveInvoiceInfo.sy';
	service.get(url, par, function(data) {
        if(data.resultCode == 0) {
            J.showToast(data.resultMessage);
            var str = '<p data-value="' + par.invoiceNum + '">' + par.invoiceNum + '<span class="finish-button orderDetail-button" onclick="removeInvoiceNum_service(\'' + par.orderMainId + '\', \'' + par.invoiceNum + '\', this)">删除</span></p>';
            $('#InvoiceNumList').prepend(str);
            $(ele).prev().val('');
        }else {
            J.showToast(data.resultMessage);
        }

        $(ele).css('pointer-events', 'auto');
	}, function(data) {
		J.showToast(data.message);
		$(ele).css('pointer-events', 'auto');
	})
}
// 删除小票
function removeInvoiceNum_service(id, invoiceNum, ele) {
	var par = {
		orderMainId: id,
		invoiceNum: invoiceNum
	}
	var url = 'ws/orderAction' + versionMessage.version + '!deleteInvoiceInfo.sy';
	service.get(url, par, function(data, message) {
		$(ele).parent().remove();
		J.showToast(message);
	});
}
// 订单详情添加备注
function submitRemark_service(id, ele) {
    var remark  = $(ele).prev().val();
    if(!remark){
        $(ele).prev().val('');
        J.showToast('提交信息不能为空');
        return;
    }
    var par = {
        orderMainId: id,
        remark: remark
    };
    var url = 'ws/orderAction' + versionMessage.version + '!saveRemark.sy';
    service.get(url, par, function(data) {
        J.showToast('备注成功');
    }, function(data) {
        J.showToast('请重试');
    })
}

// 去付款详情
function getOrderMainsByOrderTop_service(topId){
    J.Popup.confirm4("温馨提示", "支付状态可能会有延迟，请确认支付状态，勿重复支付", "重新支付", "已支付", function() {
        console.log('111')
    }, function() {
        console.log('重新支付');

        J.showMask();
        // var url = 'ws/orderAction' + versionMessage.version + '!getOrderMainsByOrderTop.sy';
        var url = 'ws/orderAction' + versionMessage.version + '!getOrderMainsByOrderTopV2.sy';
        var par = {
            orderTopId: topId
        };
        service.get(url, par, function(data) {
            if (data != null) {
                J.Router.goTo('#payLists_section');
                if(data.distributInformationMap){
                    J.Cache.save('distributInformationList', data.distributInformationMap);
                }
                
                //初始化优惠券
                pay.payCoupon = {
                    mock: {},
                    useCoupon: {},
                    total: 0
                };

                // 暂时默认配送
                pay.param.disType = 1;
                var priceInfo = {
                    // 商品总金额
                    totalCfalsePrice: 0,
                    // 总运费运费
                    freight: 0,
                    // 包装费
                    packingPrice: 0,
        
                    // 真实总金额
                    realTotalMoney: 0,
                    // 真实运费
                    realFreight: 0,
                    // 优惠金额
                    promotionalOffers: 0,
        
                    // 优惠券减免
                    couponOff: 0
                }
                var totalShoppingCarIds = [];
                data.data.map(function(item) {
                    var num = 0;
                    item.eventsInfo.map(function(i) {
                        i.serviceEvent.picture = picNetworkPrefix(i.serviceEvent.picture);
                        if(i.serviceEvent.serviceEventMarkPic){
                            i.serviceEvent.serviceEventMarkPic = picNetworkPrefix(i.serviceEvent.serviceEventMarkPic);
                        }
                        num += i.num
                    })
                    item.num = num;
                    item.weightText = (item.totalWeight/1000).toFixed(2)
        
                    priceInfo.totalCfalsePrice = Math.formatFloat(priceInfo.totalCfalsePrice + item.calculatePrice.totalCfalsePrice);
                    priceInfo.freight = Math.formatFloat(priceInfo.freight + (item.calculatePrice.freight || 0));
                    priceInfo.packingPrice = Math.formatFloat(priceInfo.packingPrice + item.calculatePrice.packingPrice);
                    priceInfo.realTotalMoney = Math.formatFloat(priceInfo.realTotalMoney + item.calculatePrice.realTotalMoney);
                    priceInfo.realFreight = Math.formatFloat(priceInfo.realFreight + (item.calculatePrice.realFreight || 0));
        
        
                    console.log('item.calculatePrice.realFreight', item.calculatePrice.realFreight)
                    // 优惠券
                    var shopCouponLength = 0;
                    console.log('优惠券',item.availableCoupon.normalCoupon)
                    if (item.availableCoupon.normalCoupon) {
                        item.availableCoupon.normalCoupon.map(function(i) {
                            if (i.list) {
                                shopCouponLength += Object.keys(i.list).length;
                            }
                        })
                    }
                    item.availableCoupon.shopCouponLength = shopCouponLength;
                    // 运费减免券
                    var freightCouponLenth = 0;
                    if (item.availableCoupon.freightCoupon) {
                        item.availableCoupon.freightCoupon.map(function(i) {
                            if (i.list) {
                                freightCouponLenth += Object.keys(i.list).length;
                            }
                        })
                    }
                    item.availableCoupon.freightCouponLenth = freightCouponLenth;
        
        
                    var shoppingCarIds = [];
                    // 商品
                    item.eventsInfo.map(function(i) {
                        shoppingCarIds.push(i.id);
                        totalShoppingCarIds.push(i.id);
                    })
                    // 计算的参数
                    var par = {
                        shoppingCarIds: JSON.stringify(shoppingCarIds),
                        deliveryTId: null,
                        deliveryTime: '',
                        disType: item.deliveryTimeInfo.disType,
                        useVipFreeFreight: 0,
                        communityId: J.Cache.get('address').data.communityId,
                        merchantId: item.merchantInfo.id,
                        couponJsonStr: {}
                    }
        
                    if (item.usedCouponJson) {
                        // 添加优惠券参数
                        par.couponJsonStr = JSON.stringify(item.usedCouponJson.couponJsonObject);
                        //显示优惠券信息
                        if (item.usedCouponJson.usedCouponUserId) {
                            pay.param.couponJsonStr = JSON.stringify(item.usedCouponJson.couponJsonObject);
                            pay.param.couponCombination = item.usedCouponJson.usedCouponUserId;

                            // 优惠券的信息
                            pay.payCoupon.useCoupon.couponCid = item.usedCouponJson.usedCouponUserId;
                            pay.payCoupon.useCoupon.couponObj = item.usedCouponJson.couponJsonObject;
                            pay.payCoupon.useCoupon.couponName = item.usedCouponJson.usedCoupon;

                            console.log('pay.payCoupon.useCoupon',pay.payCoupon.useCoupon)
                        }
                    }

                    if (item.merchantInfo.id == 2) {
                        pay.par.disType = item.deliveryTimeInfo.disType;
                        pay.param.disType = item.deliveryTimeInfo.disType;
                    }
                    item.par = par;
                })
                pay.par.shoppingCarIds = JSON.stringify(totalShoppingCarIds);

                priceInfo.promotionalOffers = Math.formatFloat(priceInfo.totalCfalsePrice - priceInfo.realTotalMoney - priceInfo.couponOff);

                data.addressInfo = J.Cache.get('address').data; 
                data.priceInfo = priceInfo;
        
                pay.mock.addressInfo = J.Cache.get('address').data;
                
                setTimeout(function(){
                    pay.getSelectedShoppingCar_tpl(0, topId); //获取已选购物车商品页面信息
                    J.hideMask();
                },300);
        
        
        
        
        
                pay.payLists = data;







                // var myKey = Object.keys(data.eventsInfo)[0];
                // shopCarCommodityid = data.eventsInfo[myKey][0].serviceEvent.id;
                // var num = 0, shoppingCarIds = [];
                // var events = [];
                // var eventsAmount = 0;
                // for (var k in data.eventsInfo) {
                //     data.eventsInfo[k].map(function(item) {
                //         shoppingCarIds.push(item.id) ;
                //         if (item.serviceEvent) {
                //             if (!isNullString(item.serviceEvent.picture)) {
                //                 item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
                //             }
                //             // if(events.length < 2){
                //                 events.push(item);
                //             // }
                //             eventsAmount += 1;
                //             num += item.num;
                //             if (item.discountRuleType == 3) {
                //                 item.discount = item.discountPercent * 10;
                //             }
                //             if(item.serviceEvent.serviceEventMarkPic){
                //                 item.serviceEvent.serviceEventMarkPic = picNetworkPrefix(item.serviceEvent.serviceEventMarkPic);
                //             }
                //         }
                //     })
                // }
                // if (isEmptyObject(data.calculatePrice.discountRuleObject)) data.calculatePrice.discountRuleObject = null;
                // if (isEmptyObject(data.calculatePrice.couponObject)) data.calculatePrice.couponObject = null;
                
                // data.calculatePrice.packingPrice = data.calculatePrice.packingPrice || 0;
                // pay.isOrder = true; // 是未付款订单
                // // pay.mock.deliveryTimeSelect = data.deliveryTime;
                // pay.mock.deliveryTimeSelect = '';
                // pay.par.deliveryTime = '';
                // pay.par.deliveryTimer = '';
                // pay.param.deliveryTime = '';
                // pay.param.deliveryTimer = '';
                // pay.param.deliveryTId = '';
                // pay.par.deliveryTId = '';
                // pay.mock.deliveryTime = data.deliveryTimeInfo.canDeliveryTime;
                // pay.par.shoppingCarIds = JSON.stringify(shoppingCarIds) ;
                // pay.mock.priceInfo = data.calculatePrice;
                // pay.mock.eventsInfo = data.eventsInfo;
                // pay.mock.events = events;
                // // pay.mock.couponUse = false;//去掉优惠券时去掉优惠券是否可用
                // pay.mock.eventsAmount = eventsAmount;
                // pay.mock.merchantInfo = data.merchantInfo;
                // pay.param.disType = data.disType;
                // pay.param.merchantId = data.merchantInfo.id;
                // pay.mock.disType = data.disType;
                // pay.par.disType = data.disType;
                // pay.mock.deliveryTimeInfo = data.deliveryTimeInfo;
                // pay.par.isOrder = true;
                // pay.par.orderTopId = topId;
                // if(data.invoiceTitle != '' && data.invoiceTitle != null){
                //     pay.mock.invoiceTitle = data.invoiceTitle;
                // }else{
                //     pay.mock.invoiceTitle = '';
                // }
                // if(data.remark != '' && data.remark != null){
                //     pay.mock.remark = data.remark;
                // }else{
                //     pay.mock.remark = '';
                // }
                // if (data.addressInfo.length != 0) pay.mock.addressInfo = data.addressInfo[0];
                // J.Cache.save('address', data.addressInfo[0]);
                // pay.freight = parseFloat(data.calculatePrice.freight || 0);
                // pay.packingPrice = parseFloat(data.calculatePrice.packingPrice);
                
                // pay.param.useVipFreeFreight = 0;
                // if(data.calculatePrice.useVipFreeFreight){
                //     pay.param.useVipFreeFreight = 1;
                // }
                // delete pay.couponJsonStr;
                // delete pay.param.couponJsonStr;
                // if(data.couponJsonObject && !isEmptyObject(data.couponJsonObject)){
                //     pay.couponJsonStr = JSON.stringify(data.couponJsonObject);
                //     pay.param.couponJsonStr = JSON.stringify(data.couponJsonObject);
                // };
                // // 获取优惠券信息
                // getCouponInfo(data.availableCoupon);
    
                // J.Router.goTo('#payLists_section');
                // setTimeout(function(){
                //     $('.title-money').show();
                //     pay.getSelectedShoppingCar_tpl(num, topId, data); //获取已选购物车商品页面信息
                // },200)
                // J.hideMask();
            }
        })
    })
    
}
//发起分享/付尾款
function getGroupOrderByOrderTop_service(orderTopCode){
    J.showMask();
    var url = 'ws/shoppingAction' + versionMessage.version + '!getSelectedCollage.sy';
    var par = {
        orderTopCode: orderTopCode
    };
    service.get(url, par, function(data) {
        if(window.location.href.indexOf('#groupPay_section') < 0){
            J.Router.goTo('#groupPay_section');
        }
        data.collageInfos.map(function(i){
            if(i.name.length >= 10){
                i.name = i.name.substr(0,3) + '****' + i.name.substr(i.name.length-4,i.name.length-1);
            }else if(i.name.length > 1 && i.name.length < 10){
                i.name = i.name.substr(0,1) + '****' + i.name.substr(i.name.length-1,i.name.length-1);
            }
            if(i.userId == J.Cache.get('login').data.id){
                data.userNum = i.num;
            }
        });
        if (!isNullString(data.eventsInfo.picture)) data.eventsInfo.picture = picNetworkPrefix(data.eventsInfo.picture);
        var shareData = {
            orderTopCode: orderTopCode,
            title: data.eventsInfo.name,
            imgUrl: data.eventsInfo.picture,
            eventId: data.eventsInfo.id,
            type: data.eventsInfo.type
        };
        J.Cache.save('groupShare', shareData);
        if (data.eventsInfo) {
            if (!isNullString(data.eventsInfo.picture)) {
                data.eventsInfo.picture = picNetworkPrefix(data.eventsInfo.picture);
            }
        }
        pay.freight = 0;
        pay.total = data.calculatePrice;
        pay.groupEventId = data.eventsInfo.id;
        pay.groupName = data.eventsInfo.name;
        pay.groupPicture = data.eventsInfo.picture;
        pay.groupOrderCode = orderTopCode;
        if(J.Cache.get('address') && J.Cache.get('address').data){
            data.addressInfo = [];
            data.addressInfo.push(J.Cache.get('address').data);
        }
        setTimeout(function () {
            J.Template.render('#groupPay_article', 'groupPay_template', data, "replace");
            pay.mock.addressInfo = data.addressInfo[0];
            J.Cache.save('address', data.addressInfo[0]);
            var groupOrderTotalMoney = data.eventsInfo.price4Show * data.userNum;
            var discountGroupOrderTotalMoney = Math.formatFloat(data.deposit) + Math.formatFloat(data.calculatePrice);
            $('#groupOrderTotalMoney').text(Math.formatFloat(groupOrderTotalMoney));
            if(data.currentState == 0){//拼团中
                $('#groupPay_section h1.title').text('发起分享');
                $('#groupInSpelling').css('display','block');
                $('#groupInSpelled').css('display','none');
                $('.groupShare').css('display','block');
                $('footer div.groupFinalMoney').css('display','none');
                $('#discountGroupOrderTotalMoney').parent().parent().css('display','none');
                if (isWechatClient()) {
                    if(J.Cache.get('community').data.type == 0){
                        getJSSDKConfigParams_service();
                        wx.ready(function(){
                            // shareCircleOfFriends_control();
                            onMenuShareFri_control();
                        });
                    }
                }
            }else if(data.currentState == 1){//支付尾款
                $('#groupPay_section h1.title').text('支付尾款');
                $('#groupInSpelling').css('display','none');
                $('#groupInSpelled').css('display','block');
                $('footer div.groupFinalMoney').css('display','block');
                $('#discountGroupOrderTotalMoney').parent().parent().css('display','block');
                $('#discountGroupOrderTotalMoney').text(Math.formatFloat(discountGroupOrderTotalMoney));
                $('#groupPay_section [data-role="submitBtn"]').attr('data-howPay', 3);//  2拼团预付定金    3 付尾款
                pay.groupEventNum = Math.formatFloat($('#groupUserNum').text());
            }
            $('.collageDeposit').text(Math.formatFloat(data.collageDeposit * 100));
            $('.endDay').text(Math.formatFloat(data.eventsInfo.endDay));
            $('.leftPayDay').text(Math.formatFloat(data.eventsInfo.leftPayDay));
            $('#groupCollageInfo').css('display','none');
            $('.groupDeposit').css('display','none');
            $('span.groupFinalMoney').css('display','block');
            $('#groupPayProductsNum').text(data.userNum);
            $('#groupOrderEarnest').text(data.deposit);
            $('#groupBalancePayment').text(data.calculatePrice);
        },200);
        J.hideMask();
    })
}

/**
 * [confirmOrderState_service 更改订单状态]
 * @param  {Number} orderMainId [订单id]
 * @param  {Number} nextState   [订单下一状态]
 *  @param  {Number} pageNum   [刷新哪个页面 0.列表 1.详情]
 * @param  {String} showWords   [提示语]
 */
function confirmOrderState_service(orderMainId, nextState, pageNum, showWords, hasCancel) {
    var url = 'ws/orderAction' + versionMessage.version + '!confirmOrderState.sy';
    var par = {
        orderMainId: orderMainId,
        orderState: nextState
    }
    service.get(url, par, function(data) {
        if (pageNum == 0) {
            var state = $("#myOrders_ul").attr('value');
            getOrders_service({type:state, startIndex:1,pageSize:10});
        } else {
            if (!hasCancel) {
                getOrderDetail_service(orderMainId);
            } else {
                history.go(-1);
            }
        }
        if (showWords) J.showToast(showWords);
    })
}
orderRefundState = '';
//申请退货    type  true:点击退货按钮    false：切换地址后重新加载
function afterSaleOrder_service(orderId,type){
    orderRefundState = '申请退款';
    afterSale = false;
    if(isWechatClient()) getJSSDKConfigParams_service();//微信congif配置  上传图片
    if(type) J.Router.goTo('#applyRefund_section');
    $('#applyRefund_section .groupNot').hide();
    $('#refundReasonBox').css('display','none');
    $('#refundTimes').css('display','none');
    $('#refundButton').css('display','none');
    $('#userRefundBtn').css('display','none');
    $('#refundMoney').css('display','none');
    if(type) orderRefund.products = [];
    var url = 'ws/orderAction' + versionMessage.version + '!getOrderDetails.sy';
    var par = {
        orderMainId : orderId
    };
    service.get(url,par,function(data){
        J.Cache.save('sharePosterText',data.afterSalesInstructions);
        var data0 = data.orderDetails[0];
        var mock = {
            address: data0.orderMain.wtyAddress, //收货地址
            serviceEvent: [], //商品列表
            orderMain: data0.orderMain, //拆弹前ordermain信息
            orderMainState: data0.orderMain.orderState,
            orderMainId: data0.orderMain.id
        };
        if(type){
            J.Cache.save('refundOrderId',data);
        }else {
            mock.address = J.Cache.get('refundOrderId').data.orderDetails[0].orderMain.wtyAddress;
        }
        mock.weight = data.weight;
        mock.orderMain.eventNum = 0;
        data.orderDetails.map(function(item) {
            if (!isEmptyObject(item.serviceEvent)) {
                if (!isNullString(item.serviceEvent.picture)) item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
                item.serviceEvent.canNotReturnWC = item.canNotReturnWC;
                item.serviceEvent.hadColor = item.color;
                item.serviceEvent.hadSize = item.size;
                item.serviceEvent.orderDetailState = item.orderState;
                item.serviceEvent.eachOrderMainId = item.id;
                item.serviceEvent.payNum = item.num;
                item.serviceEvent.usedCouponUser = item.couponUser;
                item.serviceEvent.couponUserId = item.couponUserId;
                item.serviceEvent.usedDiscountRule = item.discountRule;
                item.serviceEvent.price = item.serviceEventPrice;
                item.serviceEvent.realityPayTotal = item.realityPayTotal;
                item.serviceEvent.leftNum = item.leftNum;
                item.serviceEvent.returnNum = item.returnNum;
                item.serviceEvent.quehuoNum = item.quehuoNum;
                item.serviceEvent.restockNum = item.restockNum;
                item.serviceEvent.tuihuoNum = item.tuihuoNum;
                item.serviceEvent.activity = item.activity;
                if(item.quehuoNum && item.quehuoNum > 0){
                    item.serviceEvent.canRefundNum = item.num - item.quehuoNum;
                }else{
                    item.serviceEvent.canRefundNum = item.num;
                }
                item.serviceEvent.eventId = item.id;
                mock.serviceEvent.push(item.serviceEvent);
                if(item.serviceEvent.serviceEventMarkPic){
                    item.serviceEvent.serviceEventMarkPic = picNetworkPrefix(item.serviceEvent.serviceEventMarkPic);
                }
            }
            mock.orderMain.eventNum += item.num;
        });
        J.hideMask();
        mock.orderMain.balanceOff = Math.formatFloat(mock.orderMain.balanceOff + mock.orderMain.balanceFreight);
        mock.orderMain.integrationOff = Math.formatFloat(mock.orderMain.integrationOff + mock.orderMain.integralFreight);
        mock.orderMain.promotionalIntegrationOff = Math.formatFloat(mock.orderMain.promotionalIntegrationOff + mock.orderMain.promotionalIntegralFreight);
        mock.orderMain.thirdPayTotal = Math.formatFloat(mock.orderMain.thirdPayTotal + mock.orderMain.thirdPayFreight);
        mock.orderMain.total = Math.formatFloat(mock.orderMain.total + mock.orderMain.freight);
        mock.inDoorTime = data.inDoorTime;
        if(type) {
            orderRefund.image = '';
        }else {
            mock.ressonName = pay.refund.ressonName;
            mock.ressonValue = pay.refund.ressonValue;
            mock.otherReason = pay.refund.otherReason;
            if(orderRefund && orderRefund.image != ''){
                var pic = orderRefund.image.split(",");
                var pics = [];
                pic.map(function (i) {
                   pics.push(fileServerUrl + i);
                });
                mock.image = pics;
            }
        }
        if(mock.address.userFamilyLabel != null){
            mock.address.userFamilyLabel.domcolor = 0;//红底红边
            if(mock.address.userFamilyLabel.labelName.indexOf('公司') > -1 ){
                mock.address.userFamilyLabel.domcolor = 1;//蓝底蓝边
            }
            if(mock.address.userFamilyLabel.labelName.indexOf('学校') > -1 ){
                mock.address.userFamilyLabel.domcolor = 2;//黄底黄边
            }
        }
        if(!type) {
            mock.totalNum =  pay.refund.totalNum || 0;
            mock.canRefundMoney =  pay.refund.canRefundMoney || 0;
            if(mock.serviceEvent.length == 1) mock.selectId = pay.refund.selectId;
        }
        pay.refund = mock;
        var userType = J.Cache.get('login').data.type ;
        console.log(mock);
        // userType 1用户 2商户员工 3配送员 4快递员 5配送快递员
        if(userType == 1) {
            J.Template.render("#applyRefund_article","applyRefund_template",mock,"replace");
            if(type){
                $('#applyRefund_section footer').css('display','block');
                $('#userRefundButton').css('display','block');
                $("#totalRefundNum").text(0);
            }else{
                if(mock.serviceEvent.length == 1){
                    if(mock.selectId = mock.serviceEvent[0].eventId){
                        $('#categoriesRefund li .left').addClass('active');
                        $('#categoriesRefund li input').val(mock.totalNum);
                    }
                }
                $("#totalRefundNum").text(mock.totalNum);
                $("#refund-money").text('￥' + mock.canRefundMoney);
                $('#refund-cause .refund-right').text(pay.refund.ressonName || '请选择').attr('data-choose', pay.refund.ressonValue);
                // refundItem(pay.refund.ressonValue);
                if(pay.refund.ressonValue == 1){
                    $('#refund-time').css('display','none');
                }else{
                    $('#refund-time').css('display','block');
                }
            }
            $("#totalCanRefund").text(mock.orderMain.eventNum);
        }
    })
}
//退货确定
function refundConfirm(orderRefund){
    var url = 'ws/orderAction' + versionMessage.version + '!returnOrComplaint.sy';
    var par = orderRefund;
    service.get(url, par, function(data) {
        J.hideMask();
        afterSale = true;
        $('#returnTips').addClass('active');
        $('#returnTipsContent').text('退货申请已提交，稍后会有工作人员与您联系，请保持电话畅通！');
    },function(data,message) {
        J.hideMask();
        message ? J.showToast(message) : J.showToast('申请提交失败');
    });
}
//查看售后订单
function checkAfterSalesOrders(orderMainId,totalMoney){
    var url = 'ws/orderAction' + versionMessage.version + '!getOrderDetails.sy';
    var par = {
        orderMainId : orderMainId,
        checkAfterSales:true,
        totalMoney:totalMoney
    };
    orderRefundState = '售后详情';
    J.Router.goTo('#applyRefund_section');
    J.showMask();
    service.get(url,par,function(data){
        if(!data.orderRefnd || data.orderRefnd == 'undefund' || data.orderRefnd == null){
            J.hideMask();
            J.showToast('此单异常');
            history.go(-1);
            return;
        }
        J.Cache.save('sharePosterText',data.afterSalesInstructions);
        data.eventNum = 0;
        data.orderDetails.map(function(item) {
            if (!isEmptyObject(item.serviceEvent)) {
                if (!isNullString(item.serviceEvent.picture)) item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
            }
            data.eventNum += item.tuihuoNum;
        });
        data.userPictures = [];
        if(data.orderRefnd.image && data.orderRefnd.image != '') {
            data.userPictures = data.orderRefnd.image.split(',');
            for(var i = 0; i < data.userPictures.length; i++) {
                data.userPictures[i] = fileServerUrl + data.userPictures[i];
            }
        }
        pay.refund = data;
        J.hideMask();
        var userType = J.Cache.get('login').data.type ;
        if(userType == 1) {//用户
            $('#applyRefund_article').css('bottom','0');
            // $('#applyRefund_article').css('bottom','15vw');
            $('#refundButton').css('display','none');
            $('#userRefundButton').css('display','none');
            $('#refundMoney').css('display','none');
            $('#applyRefund_section footer').css('display','none');
            // if(data.totalMoney == '') {
            //     $('#userRefundBtn').css('display', 'none');
            //     $('#applyRefund_section footer').css('display','none');
            // }else {
            //     $('#applyRefund_section footer').css('display','block');
            //     $('#userRefundBtn').css('display', 'block');
            // }
            // setTimeout(function(){
                // $("#refund-moneytext").text('¥' + data.totalMoney);//退货金额
            // },200);
            $("#userRefundNum").text(data.eventNum);//退货总数量
        }else{
            $('#applyRefund_article').css('bottom','28vw');
            if(data.totalMoney == ''){
                $('#refundButton').css('display','none');
                $('#refundMoney').css('display','none');
                $('#applyRefund_section footer').css('display','none');
            }else{
                $('#refundButton').css('display','inline-block');
                if(data.refusedOrderMainCode == null){//生成反向订单
                    $('#refundButton span:first-child').text('上门取件').attr('onclick','inDoorTakeGoods()');
                    $('#refundButton span:nth-child(2)').attr('onclick','refundOrderFinish(2)');//拒绝退款
                    $('#refundButton span:last-child').attr('onclick','refundOrderFinish(1)');//同意退款
                }else{//查看反向订单信息
                    $('#refundButton span:first-child').text('查看取件信息').attr('onclick','orderTrackingAssemble(' + JSON.stringify(data.refusedOrderMainCode[0].code) + ',' + data.refusedOrderMainCode[0].sfFlag + ')');
                    $('#refundButton span:nth-child(2)').attr('onclick','returnOrderConfirm(' + data.orderDetails[0].orderMain.id + ',2)');//拒绝退款
                    $('#refundButton span:last-child').attr('onclick','returnOrderConfirm(' + data.orderDetails[0].orderMain.id + ',1)');//同意退款
                }
                $('#refundMoney').css('display','block');
                $('#refundMoneyData').text('¥' + data.totalMoney);
            }
            $('#userRefundButton').css('display','none');
            // $('#userRefundBtn').css('display','none');
        }
        J.Template.render("#applyRefund_article","sellerRefund_template",data,"replace");
        $("#totalRefunded").text(data.eventNum);
    })
}

//上门取件生成反向订单
function inDoorTakeGoods(){
    $('.refund-details .refund-button').css('pointer-events', 'none');
    J.showMask();
    setTimeout(function() {
        $('.refund-details .refund-button').css('pointer-events', 'auto');
    }, 2000);
    var url = 'ws/orderAction' + versionMessage.version + '!returnOrder.sy';
    var par = {
        orderMainId: pay.refund.orderRefnd.orderMainId
    };
    service.get(url, par, function() {
        J.hideMask();
        $('#returnTips').addClass('active');
        $('#returnTipsContent').text('已安排上门取件！');
    });
}

/***
 * [returnOrderConfirm  生成反向订单后点击同意或拒绝退款]
 * @param  {Number}  id   [售后订单id]
 * @param2  type 1 同意退款   2 拒绝退款
 */
function returnOrderConfirm(id,type){
    var url = 'ws/orderAction' + versionMessage.version + '!confirmRturnMoneyOrNot.sy';
    var par = {
        orderMainId: id
    };
    service.get(url,par,function(data){
        if(data.info == null){//没有生成物流信息或者物流未接单时，点击同意退款/拒绝退款
            J.Popup.confirm4('提示', '没有生成物流信息或者物流未接单，确认是否继续？','取消','确认',function(){
                //1 同意退款   2 拒绝退款订单结束取消点我达
                refundOrderFinish(type);
            },function () {

            });
        }else {//已生成三方订单时点击同意/拒绝退款   后台取消点我达订单
            J.Popup.confirm4('提示', data.info,'取消','确认',function(){
                //1 同意退款   2 拒绝退款订单结束取消点我达
                refundOrderFinish(type);
            },function () {

            });
        }
    })
}
/**
 * [refundOrderFinish   同意/拒绝退款 ]
 * @param  {Number} type [1.确认退款   2.拒绝退款]
 */
function refundOrderFinish(type){
    if(type == 1){
        var url = 'ws/orderAction' + versionMessage.version + '!confirmReturnGood.sy';
        var par = {
            orderMainId: pay.refund.orderRefnd.orderMainId
        };
        setTimeout(function(){
            J.Popup.confirm4('提示', '退款金额为' + pay.refund.totalMoney + ',退款将退回用户原支付方式，请确认是否进行退款','取消','确认',function(){
                //同意退款
                J.showMask();
                $('.refund-details .refund-button').css('pointer-events', 'none');
                setTimeout(function() {
                    $('.refund-details .refund-button').css('pointer-events', 'auto');
                }, 2000);
                service.get(url, par, function() {
                    J.hideMask();
                    $('#returnTips').addClass('active');
                    $('#returnTipsContent').text('退款成功！');
                });
            },function () {
                J.showToast('已取消退款操作');
            });
        },300)
    }else if(type == 2){
        J.showMask();
        var url = 'ws/orderAction' + versionMessage.version + '!refuseReturnMoney.sy';
        var par = {
            orderMainId: pay.refund.orderRefnd.orderMainId
        };
        $('.refund-details .refund-button').css('pointer-events', 'none');
        setTimeout(function() {
            $('.refund-details .refund-button').css('pointer-events', 'auto');
        }, 2000);
        service.get(url, par, function() {
            J.hideMask();
            $('#returnTips').addClass('active');
            $('#returnTipsContent').text('已拒绝退款，订单结束！');
        });
    }
}

// 待付款 - 取消订单
function cancelOrderDaiFuKuan_service(topId){
    J.showMask();
    var par = {
        orderTopId : topId
    };
    cancelOrderDaiFuKuan(par, function() {
        J.hideMask();
        J.showToast('取消订单成功');
        // getOrderTopList_service({type: 1,startIndex: 1,pageSize:5});
        J.Router.goTo('#cancelOrderComplete_section');
    }, function(err) {
        J.showToast(err);
    })
}

// 取消待支付订单
function cancelUnpaidOrder(orderId) {
    J.Popup.confirm4("温馨提示", "支付状态可能会有延迟，如您已支付，勿取消订单", "关闭", "继续取消", function() {
        var par = {
            orderTopId: orderId,
            remark: ''
        }
        $('.cancelOrderBox').addClass('active');
        $('.cancelOrderBox .cancelOrderBtn').unbind('click').click(function() {
            console.log('继续取消')
            var liActive = $('.cancelOrderBox .cancelOrder-item.active')[0];
            if (liActive) {
                if (liActive.dataset.type == 0) {
                    par.remark = $('.cancelOrderBox .textarea').val();
                } else {
                    par.remark = liActive.innerText;
                }
            }
    
            if (!par.remark) {
                J.showToast('请填写原因');
                return;
            }
            $('.cancelOrderBox').removeClass('active');
    
            J.Popup.confirm4('提示', '确认取消订单吗？', '取消', '确定', function() {
                cancelOrderDaiFuKuan(par, function() {
                    J.hideMask();
                    // J.showToast('取消订单成功');
                    J.Router.goTo('#cancelOrderComplete_section');
                    setTimeout(function() {
                        $('#cancelOrderComplete_section .stateTop .operateButtons').show();
                    }, 200);
                }, function(err) {
                    J.showToast(err.message);
                })
            },function(){
                
            })
        })
    }, function() {
        console.log('关闭');

    })
}


// 取消待支付订单
function cancelOrderDaiFuKuan(par, callback, errback) {
    var url = 'ws/orderAction' + versionMessage.version + '!cancelOrderDaiFuKuan.sy';
    service.get(url, par, function(data){
        callback(data);
    }, function(err) {
        errback(err);
    })
}


// 取消待接单订单
function cancelAwaitOrder(orderId) {
    var par = {
        orderMainId: orderId,
        remark: ''
    }
    $('.cancelAwaitOrderBox').addClass('active');
    $('.cancelAwaitOrderBox .cancelOrderBtn').unbind('click').click(function() {
        console.log('确定取消')
        var liActive = $('.cancelAwaitOrderBox .cancelOrder-item.active')[0];
        if (liActive) {
            if (liActive.dataset.type == 0) {
                par.remark = $('.cancelAwaitOrderBox .textarea').val();
            } else {
                par.remark = liActive.innerText;
            }
        }

        if (!par.remark) {
            J.showToast('请填写原因');
            return;
        }
        $('.cancelAwaitOrderBox').removeClass('active');

        J.Popup.confirm4('提示', '确认取消订单吗？', '取消', '确定', function() {
            cancelOrderMainInPay(par, function() {
                J.hideMask();
                // J.showToast('取消订单成功');
                J.Router.goTo('#cancelOrderComplete_section');
                setTimeout(function() {
                    $('#cancelOrderComplete_section .stateTop .operateButtons').hide();
                }, 200);
            }, function(err) {
                J.showToast(err.message);
            })
        },function(){
            
        })
    })
}
// 取消待接单订单
function cancelOrderMainInPay(par, callback, errback) {
    var url = 'ws/orderAction' + versionMessage.version + '!cancelOrderMainInPay.sy';
    service.get(url, par, function(data){
        callback(data);
    }, function(err) {
        errback(err);
    })
}

// 取消苏果卡充值订单
function cancelSuguoCardAwaitOrder(orderId) {
    var par = {
        suguoOrderId: orderId,
        orderState: 5,
        remark: ''
    }
    $('.cancelCardOrderBox').addClass('active');
    $('.cancelCardOrderBox .cancelOrderBtn').unbind('click').click(function() {
        console.log('确定取消')
        var liActive = $('.cancelCardOrderBox .cancelOrder-item.active')[0];
        if (liActive) {
            if (liActive.dataset.type == 0) {
                par.remark = $('.cancelCardOrderBox .textarea').val();
            } else {
                par.remark = liActive.innerText;
            }
        }

        if (!par.remark) {
            J.showToast('请填写原因');
            return;
        }
        $('.cancelCardOrderBox').removeClass('active');

        J.Popup.confirm4('提示', '确认取消订单吗？', '取消', '确定', function() {
            changeSuguoOrderState(par, function() {
                J.hideMask();
                // J.showToast('取消订单成功');
                J.Router.goTo('#cancelOrderComplete_section');
                setTimeout(function() {
                    $('#cancelOrderComplete_section .stateTop .operateButtons').hide();
                }, 200);
            }, function(err) {
                J.showToast(err.message);
            })
        },function(){
            
        })
    })
}
// 取消苏果卡充值订单
function changeSuguoOrderState(par, callback, errback) {
    var url = 'ws/suguoAction' + versionMessage.version + '!changeSuguoOrderState.sy';
    service.get(url, par, function(data){
        callback(data);
    }, function(err) {
        errback(err);
    })
}

/**
 * [cancelOrderMainInPay_service 已付款 - 取消订单]
 * @param  {Number} orderMainId [订单id]
 */
function cancelOrderMainInPay_service(orderMainId, pageNum, remark) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!cancelOrderMainInPay.sy';
    var par = {
        orderMainId: orderMainId,
        remark: remark
    };
    if(!remark) {
    	// userType 1用户 2商户员工 3配送员 4快递员 5配送快递员
    	var userType = J.Cache.get('login').data.type;
    	if(userType == 1)  par.remark = '用户取消订单';
    	if(userType == 2)  par.remark = '商户员工取消订单';
    	if(userType == 3)  par.remark = '配送员取消订单';
    	if(userType == 4)  par.remark = '快递员取消订单';
    	if(userType == 5)  par.remark = '门店取消订单';
    }
    service.get(url, par, function(data) {
        J.hideMask();
        $("#cancelOrder_button").css('pointer-events','auto');
        refreshPage_control(orderMainId, pageNum, '取消订单成功!', true);
        if (remark) history.go(-1);
        $('#userInfo_div').attr('data-refresh',true);//更新积分余额
    });
}
/**
 * [cancelOrderMainInPay_service 已付款 - 取消拼团订单]
 */
function cancelCollageOrderInPay_service(orderMainId, pageNum, remark) {
    var url = 'ws/orderAction' + versionMessage.version + '!cancelOrderMainCollageInPay.sy';
    var par = {
        orderMainId: orderMainId,
        remark: remark
    };
    if(!remark) {
        // userType 1用户 2商户员工 3配送员 4快递员 5配送快递员
        var userType = J.Cache.get('login').data.type;
        if(userType == 1)  par.remark = '用户取消订单';
    }
    service.get(url, par, function(data) {
        if(pageNum == 0){
            getOrders_service({type:0, startIndex:1,pageSize:10});
        }else{
            getOrderDetail_service(orderMainId,true);
        }
        J.showToast('取消订单成功!');
        if (remark) history.go(-1);
    });
}
/**
 * [cancelDWDOrderMainInPay_service 已付款 - 取消点我达订单]
 * @param  {Number} orderMainId [订单id]
 */
function cancelDWDOrderMainInPay_service(orderMainId, pageNum,ele) {
    var url = 'ws/orderAction' + versionMessage.version + '!cancelOrderByDWD.sy';
    var par = {
        orderMainId: orderMainId
    };
    J.showMask();
    $(ele).css('pointer-events','none');
    setTimeout(function(){
        $(ele).css('pointer-events','auto');
    },1000);
    service.get(url, par, function(data) {
        J.hideMask();
        refreshPage_control(orderMainId, pageNum, '取消订单成功!', true);
        history.go(-1);
    });
}
/**
 * [cancelDWDOrder_service 第三方查询取消点我达订单]
 * @param  {string} orderMain [订单号]
 */
function cancelDWDOrder_service(orderMain) {
    var url = 'ws/orderAction' + versionMessage.version + '!cancelOrderByThiredDWD.sy';
    var par = {
        code: orderMain
    };
    service.get(url, par, function(data,message) {
        J.showToast(message);
        history.go(-1);
    });
}

/**
 * [distributeDone_service 配货完成]
 * @param  {Number} orderMainId [订单id]
 */
function distributeDone_service(orderMainId, pageNum,ele) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!goodsTaking.sy';
    var par = {
        orderMainId: orderMainId
    };
    $(ele).css('pointer-events', 'none');
    service.get(url, par, function(data) {
        J.hideMask();
        $(ele).css('pointer-events', 'auto');
        refreshPage_control(orderMainId, pageNum, '配货完成');
    },function(){
        J.hideMask();
        $(ele).css('pointer-events', 'auto');
        J.showToast('哎呀，出错啦~');
    });
}
/**
 * [checkCancelOrder_service 确认查看]
 * @param  {Number} orderMainId [订单id]
 */
function checkCancelOrder_service(orderMainId, pageNum,ele) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!checkCancelOrder.sy';
    var par = {
        id: orderMainId
    };
    $(ele).css('pointer-events','none');
    setTimeout(function(){
        $(ele).css('pointer-events','auto');
    },1000);
    service.get(url, par, function(data) {
        J.hideMask();
        refreshPage_control(orderMainId, pageNum, '已查看');
    });
}

/**
 * [confirmTakingGoods_service 确认取货]
 * @param  {Number} orderMainId [订单id]
 */
function confirmTakingGoods_service(orderMainId, pageNum,ele) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!confirmTakingGoods.sy';
    var par = {
        orderMainId: orderMainId
    };
    $(ele).css('pointer-events', 'none');
    service.get(url, par, function(data) {
        J.hideMask();
        $(ele).css('pointer-events', 'auto');
        refreshPage_control(orderMainId, pageNum, '确认取货');
    },function(err){
        J.hideMask();
        $(ele).css('pointer-events', 'auto');
        J.showToast('哎呀，出错啦~');
    });
}
/*
拼团订单配货完成
      pageNum     0 订单列表页   1 订单详情页
 */
function groupDistributeDone_service(orderMainId, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!distributeDoneCollage.sy';
    var par = {
        orderMainCollageId: orderMainId
    };
    service.get(url, par, function(data) {
        if(pageNum == 0){
            getOrders_service({type:0, startIndex:1,pageSize:10});
        }else{
            getOrderDetail_service(orderMainId);
        }
    });
}

/**
 * [distributeDoneOutOfStock_service 缺货确定]
 * @param  {Number} orderMainId [订单id]
 * @param  {Array} orderDetailIds [缺货detailId]
 */
function distributeDoneOutOfStock_service(orderMainId, orderDetailIds, orderDetailNums, pageNum,shortageMessage) {
	J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!distributeDoneOutOfStock.sy';
    var par = {
        orderMainId: orderMainId,
        orderDetailIds: JSON.stringify(orderDetailIds),
        orderDetailNums: JSON.stringify(orderDetailNums),
        is_scan_entrance : 0,
        shortageMessage : JSON.stringify(shortageMessage)
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '操作完成', true);
        J.hideMask();
    }, function() {
    	J.hideMask();
    });
}
/*补货确定
 */
function confirmRestock_service(orderMainId, orderDetailIds, orderDetailNums, pageNum) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!confirmRestock.sy';
    var par = {
        orderMainId: orderMainId,
        orderDetailIds: JSON.stringify(orderDetailIds),
        orderDetailNums: JSON.stringify(orderDetailNums),
        is_scan_entrance : 0
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '操作完成', true);
        J.hideMask();
    }, function() {
        J.hideMask();
    });
}

/**
 * [cancelOrderMainOutOfStock_service 缺货 - 取消订单]
 * @param  {Number} orderMainId [订单id]
 */
function cancelOrderMainOutOfStock_service(orderMainId, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!cancelOrderMainOutOfStock.sy';
    var par = {
        orderMainId: orderMainId
    };
    J.showMask();
    $('.buttonGroup .finish-button').css('pointer-events', 'none');
    setTimeout(function(){
        $('.buttonGroup .finish-button').css('pointer-events', 'auto');
    },1000);
    service.get(url, par, function(data) {
        J.hideMask();
        $('.buttonGroup .finish-button').css('pointer-events', 'auto');
        refreshPage_control(orderMainId, pageNum, '取消订单成功!', true);
    }, function() {
        J.hideMask();
        J.showToast('哎呀，出错啦~');
    });
}

/**
 * [deliverGoodsDone_service 送货完成]
 * @param  {Number} orderMainId [订单id]
 */
function deliverGoodsDone_service(orderMainId, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!deliverGoodsDone.sy';
    var par = {
        orderMainId: orderMainId
    };
    J.showMask();
    $('.buttonGroup .cancel-button').css('pointer-events', 'none');
    setTimeout(function(){
        $('.buttonGroup .cancel-button').css('pointer-events', 'auto');
    },1000);
    service.get(url, par, function(data) {
        J.hideMask();
        $('.buttonGroup .cancel-button').css('pointer-events', 'auto');
        refreshPage_control(orderMainId, pageNum, '送货完成');
    }, function() {
        J.hideMask();
        J.showToast('哎呀，出错啦~');
    });
}
/**
 * [deliverGoodsDone_service 拼团送货完成]
 * @param  {Number} orderMainId [订单id]
 */
function groupDeliverGoodsDone_service(orderMainId, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!deliverGoodsDoneCollage.sy';
    var par = {
        orderMainCollageId: orderMainId
    };
    service.get(url, par, function(data) {
        if(pageNum == 0){
            getOrders_service({type:0, startIndex:1,pageSize:10});
        }else{
            getOrderDetail_service(orderMainId);
        }
    });
}

/**
 * [deliverGoodsDoneOutOfStock_service 部分缺货 - 送货]
 * @param  {Number} orderMainId [订单id]
 * @param  {Array} orderDetailIds [缺货detailId]
 */
function deliverGoodsDoneOutOfStock_service(orderMainId, orderDetailIds, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!deliverGoodsDoneOutOfStock.sy';
    var par = {
        orderMainId: orderMainId,
        orderDetailIds: JSON.stringify(orderDetailIds)
    };
    J.showMask();
    $('.buttonGroup .cancel-button').css('pointer-events', 'none');
    setTimeout(function(){
        $('.buttonGroup .cancel-button').css('pointer-events', 'auto');
    },1000);
    service.get(url, par, function(data) {
        $('.buttonGroup .cancel-button').css('pointer-events', 'auto');
        J.hideMask();
        refreshPage_control(orderMainId, pageNum, '送货完成');
    },function(){
        J.hideMask();
 		J.showToast('哎呀，出错啦~');
    });
}

/**
 * [confirmReturnGood_service 用户有责退款/用户无责退款]
 * @param  {Number} orderMainId [订单id]
 * @param  {Number} returnType  [1.有责 2.无责]
 */
function confirmReturnGood_service(orderMainId, returnType, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!confirmReturnGood.sy';
    var par = {
        orderMainId: orderMainId,
        returnType: returnType
    };
    service.get(url, par, function(data) {
        refreshPage_control(orderMainId, pageNum, '确认退款成功!');
    });
}

/**
 * [confirmReceipt_service 确认收货]
 * @param  {Number} orderMainId [订单id]
 */
function confirmReceipt_service(orderMainId, pageNum,ele) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!confirmReceipt.sy';
    var par = {
        orderMainId: orderMainId
    };
    $(ele).css('pointer-event','none');
    service.get(url, par, function(data) {
        J.hideMask();
        $(ele).css('pointer-event','auto');
    	$('.buttonGroup').remove();
        refreshPage_control(orderMainId, pageNum, '确认收货成功!');
    },function(){
        J.hideMask();
        $(ele).css('pointer-event','auto');
        J.showToast('哎呀，出错啦~');
    });
}
/**
 * [confirmReceipt_service  拼团确认收货]
 * @param  {Number} orderMainId [订单id]
 */
function groupConfirmReceipt_service(orderMainId, pageNum) {
    var url = 'ws/orderAction' + versionMessage.version + '!confirmReceiptCollage.sy';
    var par = {
        orderMainCollageId: orderMainId
    };
    service.get(url, par, function(data) {
    	$('.buttonGroup').remove();
        if(pageNum == 0){
            getOrders_service({type:0, startIndex:1,pageSize:10});
        }else{
            getOrderDetail_service(orderMainId);
        }
    });
}

/**
 * [confirmReturnMoney_service 已接收退款]
 * @param  {Number} orderMainId [订单id]
 */
function confirmReturnMoney_service(orderMainId, pageNum,ele) {
    J.showMask();
    var url = 'ws/orderAction' + versionMessage.version + '!confirmReturnMoney.sy';
    var par = {
        orderMainId: orderMainId
    };
    $(ele).css('pointer-event','none');
    service.get(url, par, function(data) {
        J.hideMask();
        $(ele).css('pointer-event','auto');
        refreshPage_control(orderMainId, pageNum);
    },function(){
        J.hideMask();
        $(ele).css('pointer-event','auto');
        J.showToast('哎呀，出错啦~');
    })
}

// 苏果充值订单列表
function getSuguoOrderList_service(){
    J.showMask();
    var url = 'ws/suguoAction' + versionMessage.version + '!getSuguoOrderList.sy';
    var par = {};
    service.get(url, par, function(data) {
        if(data == null){
            data = [] ;
        }
        J.hideMask();
        getSuguoOrderList_control(data);
    });
}

/**
 * [changeSuguoOrderState_service 苏果充值更该订单状态]
 * @param  {Object} orderId   [订单id]
 * @param  {Number} nextState [更改后的下一状态]
 */
function changeSuguoOrderState_service(orderId,nextState, remark){
    J.showMask();
    var par = {
        suguoOrderId : orderId,
        orderState : nextState,
        remark: remark
    };
    var url = 'ws/suguoAction' + versionMessage.version + '!changeSuguoOrderState.sy';
    service.get(url, par, function(data) {
        var stateMsg = {
            2 : '配货完成',
            3 : '已确认收卡',
            4 : '已确认充值',
            5 : '取消成功',
        }
        J.showToast(stateMsg[nextState]);
        J.hideMask();
        history.go(-1);
    });
}

// 新用户优惠券领取
function getSpecialOffers(id,type) {
    $('#specialOffers_div').removeClass('active');
    if(type == 1){
        J.Router.goTo('#newUser_section');
        var url = 'ws/homeAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_showNewGuyCoupon.sy';
        service.get(url, {place: 0}, function(data) {
            data.map(function(item) {
                item.coupon.endTime = '截止日期至' + item.coupon.endTime.substr(0, 10).replace('-', '年').replace('-', '月') + '日';
            });
            if(!J.Cache.get('login')) {
                J.Template.render("#showUserVerification_div", "showUserVerification_template", data, "replace");
            }else{
                J.Template.render("#showUserVerification_div", "showUserVeri_template", data, "replace");
            }
        })
    }else{
        clickAdvert_control(11,id);//跳转到活动页
    }

}

// 新用户领券注册
function userVerification(id) {
	var phone = $('#newUser_section input[name=phone]').val();
	var phonecode = $('#newUser_section input[name=phonecode]').val();

	if(!verifyPhone(phone)) return;
	if(!phonecode) {
		J.showToast('请输入验证码');
		return;
	}
	var password = Math.floor(Math.random() * 900000 + 100000) + ''
	var par = {
		phone:phone,
		code: phonecode,
		openId: '',
		passwd: password,
		communityId:J.Cache.get('community').data.id,
        couponId : id
	};
	if(J.Cache.get('openId')) {
		par.openId = J.Cache.get('openId').data;
	}
	var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_smartRegister.sy';
	service.get(url, par, function(data,msg) {
		var mock = {
			phone: data.userInfo.phone,
			userPwd: data.userInfo.password
		};
		if(data.isSuccess == 1) {
			J.Cache.save('login', data.userInfo);
        	J.Cache.save('loginForm', mock);
            // J.showToast(msg);
            $('#newUserRegister_div input[type=text]').val('');
            $('#newUserRegister_div .getVerificationCode').text('获取验证码').removeClass('ban').attr('onclick', 'getCode(this)');
            history.go(-1);
		} else {
			J.showToast(data.msg);
		}
    },function(err){
        J.showToast(err.data.msg);
        $('#newUserRegister_div input[type=text]').val('');
    })
}
//扫码购未登录/新用户领取优惠券并登录
function sweepUserVerification(par,success, errCallback) {
    var url = 'ws/couponAction' + versionMessage.version + '!bindCoupon.sy';
    service.get(url,par,function(data,message){
        success(data,message);
        var mock = {
            phone: data.userInfo.phone,
            userPwd: data.userInfo.password
        };
        J.Cache.save('login', data.userInfo);
        J.Cache.save('loginForm', mock);
        J.Cache.save('address', data.userInfo.userAddress);
        data.userInfo.face = fileServerUrl + data.userInfo.face;
        J.Template.render("#userInfo_login", "userInfo_template", data.userInfo, "replace");
        setAccountMoney(data.userInfo);
    },function(err){
        errCallback(err);
    });
}

function getHelpInfo() {
	var url = 'ws/othersAction' + versionMessage.version + '!getHelpInfo.sy';
	service.get(url, {}, function(data) {
        data.map(function(item){
            item.answer = item.answer.split('\n');
        })
		J.Template.render("#help_div", "help_template", data, "replace");
	});
}

function contactUs(callback,errCallback) {
	var url = 'ws/othersAction' + versionMessage.version + '!contactUs.sy';
	service.get(url, {}, function(data) {
        if(callback) {
            callback(data);
            return;
        }
        data.complaint_phone = data.complaint_phone.split(',');
		J.Template.render("#notescontact_div", "notescontact_template", data, "replace");
	},function(){
        if(errCallback) {
            errCallback();
            return;
        }
    });
}
// 复制客服微信号
function copyWechatNum(ele){
    $(ele).children().find('.wx-copy').trigger('click');
}
// 供应商判断
function allianceBusinessVerify() {
	// 验证
	var allianceCode = $('#allianceBusiness_div input[name="allianceCode"]').val();
	var alliancePassword = $('#allianceBusiness_div input[name="alliancePassword"]').val();
	if (!allianceCode) {
		J.showToast('请输入加盟编码');
//		J.Toast.show('error', '请输入加盟编码');
		return;
	}
	if (!alliancePassword) {
		J.showToast('请输入加盟商密码');
//		J.Toast.show('error', '请输入加盟商密码');
		return;
	}
	var url = 'ws/userAction' + versionMessage.version + '!suGuoWholesaleUserLogin.sy?';
	var pay = {
		customerId: allianceCode,
		customerPwd: alliancePassword
	}
	// 发请求
	service.get(url, pay, function(data) {
		J.Toast.show('success', '验证成功');
		// 切换片区
		editAllianceMyAddress_service(data);
	})
}


// 片区type!=0切换片区（加盟商登录接口）
function editAllianceMyAddress_service(mock) {
	changeCommunity_service(mock.communityId)
    var url = 'ws/userAction' + versionMessage.version + '!editMyAddress.sy';
    var par = {
        community : mock.communityName,
        communityId: mock.communityId,
        communityType: 1,
        residence : '',
        residenceId: '',
        street: '',
        address: '',
        addressId : J.Cache.get('address') ? (J.Cache.get('address').data ? J.Cache.get('address').data.id : '') : '',
        name:J.Cache.get('login').data.name,
        contact: J.Cache.get('login').data.phone,
    };

    var userPar = J.Cache.get('login').data;
    userPar.userAddressId = par.communityId;
    userPar.userAddressName = par.community;
    userPar.residenceName = par.residence;
    userPar.residenceId = par.residenceId;
    userPar.name = par.name;
    userPar.phone = par.contact;
    userPar.address = par.address;
    userPar.communityId = par.communityId;
    userPar.communityName = par.community;
    userPar.communityType = par.communityType;

    service.get(url, par, function(data) {
        var communityPar = {
        	id: data.community.communityId,
        	name: data.community.communityName,
        	type: data.community.communityType
        };
        J.Cache.save('community', communityPar);
		J.Cache.save('login',userPar);
		J.Router.goTo('#index_section');
		history.go(0);
    });
}
// 根据条形码获取商品信息
function findServiceEventByBarCode(par, errCallback) {
	var url = 'ws/serviceAction' + versionMessage.version + '!findServiceEventByBarCode.sy';
	service.get(url, par, function(data) {
		console.log(data);
		sweepGetPro(data, par.orderCode);
	}, function(err) {
		errCallback(err);
	})
}

// 根据条码获取的商品添加购物车
function saveScanOrder(par, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!saveScanOrder.sy';

	service.get(url, par, function(data) {
		J.showToast('数据更新成功');
        J.closePopup();
		sweepBarcode(par.orderCode);
	}, function(err) {
		errCallback(err);
	})
}
//删除扫码购订单
function deleteScanOrder_service(orderCode){
    var url = 'ws/orderAction' + versionMessage.version + '!deleteScanOrder.sy';
    var par = {orderCode : orderCode};
    service.get(url, par, function(data,message) {
        J.showToast(message);
        orders.goMyOrders('2','#waitTakeOrder');
        //J.Router.goTo("#myOrders_section");
    });
}
//结算扫码购订单
function checkoutScanOrder_service(){
    var data = J.Cache.get('BarCodeOrderDetail').data;
    var url = 'ws/orderAction' + versionMessage.version + '!settlementScanOrder.sy';
    var productList = [];
    for(var i = 0;i < data.length; i++){
        var list = {};
        if(data[i].goodsBarCodeScan != null){
            list.barcode = data[i].goodsBarCodeScan;
        }else{
            list.barcode = data[i].goodsBarCode;
        }
        if(data[i].goodsNameScan != null){
            list.name = data[i].goodsNameScan;
        }else{
            list.name = data[i].goodsName;
        }
        if(data[i].priceMarginSingle != 0){
            var remark = $('#barCodeOrderDetail_section input[type=text]')[i];
            if(remark && remark != undefined){
                list.remark = remark.value;
            }else{
                list.remark = '';
            }
        }else{
            list.remark = '';
        }
        productList.push(list);
    }
    var data1 = {
        orderCode : data[0].orderCode,
        productList : productList
    };
    var par = {
        jsonText: JSON.stringify(data1)
    };
    service.get(url, par, function(data) {
        payScanOrder();
    },function(data){
        J.showToast(data.message);
    });
}
//扫码购确认支付
function confirmPayment_service(orderCode){
    $('.payScanOrder').hide();
    $('.payScanOrderFooter').hide();
    var par = {
        orderCode : orderCode
    };
    var url = 'ws/orderAction' + versionMessage.version + '!confirmPayment.sy';
    service.get(url, par, function(data) {
        $('#barCodeOrderDetail_section .center-button')[0].innerText = '退货';
        $('#barCodeOrderDetail_section .center-button').attr('onclick','refundScanOrder_service("' + orderCode + '")');
        $('#barCodeOrderDetail_section .finish-button')[0].innerText = '已结算';
        $('#barCodeOrderDetail_section .finish-button').removeAttr('onclick');
        $('#barCodeOrderDetail_section input[type="text"]').map(function(){
            var len = $('#barCodeOrderDetail_section input[type="text"]').val().length;
            if(len >= 0){
                $('#barCodeOrderDetail_section input[type="text"]').attr('maxlength',len);
            }
        });
        generateBarcode(data.billNum);
    },function(data,message){
        if(message){
            J.showToast(message);
        }
    });
}


// 获取出场条码
function getOrderBarCode(orderCode) {
	var par = {
		orderCode: orderCode
	};
	var url = 'ws/orderAction' + versionMessage.version + '!findOutBarCode.sy';
	service.get(url, par, function(data) {
		console.log(data);
		if(data.outBarCode) {
			generateBarcode(data.outBarCode)
		} else {
			J.showToast('暂无出场码');
		}
	});
}

// 查看扫码购配货订单
function diffComparisionSingleOrder(orderCode) {
	var par = {
		orderCode: orderCode
	};
    J.showMask();
    J.Router.goTo('#barCodeOrderDetail_section');
	var url = 'ws/orderAction' + versionMessage.version + '!diffComparisionSingle.sy';
	service.get(url, par, function(data) {
        J.Cache.save('BarCodeOrderDetail',data.differenceComparisons);
        var mock = {};
        mock.total = data.total;
        mock.isPay = data.isPay;
        mock.serviceEvent = []; //商品列表
        data.differenceComparisons.map(function(item) {
            if (!isEmptyObject(item)) {
                if (!isNullString(item.pic)) item.pic = picNetworkPrefix(item.pic);
                mock.serviceEvent.push(item);
            }
        });
        J.hideMask();
        orders.getBarCodeOrderDetail_tpl(mock);
	},function(err){
		J.Router.goTo('#barCodeOrderDetail_section');
        J.showToast(err.message);
        orders.getBarCodeOrderDetail_tpl();
        J.hideMask();
    })
}
//已结算扫码购订单退货接口
function refundScanOrder_service(orderCode){
    var par = {
        orderCode : orderCode
    };
    var url = 'ws/orderAction' + versionMessage.version + '!cancelScanPurchaseOrder.sy';
    service.get(url, par, function(data) {
		//J.showToast('退货成功');
        J.Router.goTo("#myOrders_section");
    })
}

// 获取扫码购订单列表
function getScanOrder_service(par, success, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!findScanOrderListForUser.sy';
	service.get(url, par, function(data) {
		success(data);
    }, function(err) {
    	errCallback(err);
    })
}
// 获取待付款扫码购订单信息
function getScanObligationOrder_service(par, success, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!findUserScanOrderByOrderCode.sy';
	service.get(url, par, function(data) {
		success(data);
    }, function(err) {
    	errCallback(err);
    })
}

// 删除扫码购订单
function deleteUserScanOrder_service(par, success, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!deleteUserScanOrder.sy';
	service.get(url, par, function(data) {
		success(data);
    }, function(err) {
    	errCallback(err);
    })
}

//getPushGoodAndOutBarCode
// 支付成功之后获取出场码和推荐商品
function getPushGoodAndOutBarCode_service(par, success, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!getPushGoodAndOutBarCode.sy';
	service.get(url, par, function(data) {
		success(data);
    }, function(err) {
    	errCallback(err);
    })
}

// ***************************************上下架***************************************
// 获取片区
function getCommList_service(par, success, err) {
    var url = 'ws/communityAction' + versionMessage.version + '!getCommunityList.sy';
    service.get(url, par, function(data) {
        success(data);
    }, err);
}
// 获取分类
function getPDAMenu_service(par, success, err) {
    var url = 'ws/serviceAction' + versionMessage.version + '!getServiceMenu.sy';
    service.get(url, par, function(data) {
        success(data);
    }, err);
}
// 获取商品列表(分类和搜索)
function getGoodList_service(par, success, err) {
    var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfoForPDAManage.sy';
    service.get(url, par, function(data) {
        success(data, par);
    }, err);
}

// 获取历史搜索
function getPDAPrepareSearch_service(par, success, err) {
    var url = 'ws/serviceAction' + versionMessage.version + '!prepareSearch.sy';
    service.get(url, par, function(data) {
        success(data);
    }, err);
}
//清空历史记录
function clearPDASearchHistory_service() {
	var url = 'ws/serviceAction'  + versionMessage.version + '!clearUserSearchHistory.sy'
	service.get(url, {}, function(data) {
		getPDAPrepareSearch_control();
	});
}
// 搜索输入的商品
function getPDAServiceEvent_service(par, success, err) {
    var url = 'ws/serviceAction' + versionMessage.version + '!getServiceEventAndMenu.sy';
    service.get(url,par,function(data){
        // getList_control(data, ele);
        success(data);
    },err);
}



// 获取单个商品
function getServiceEvent_service(par, success, err) {
    var url = 'ws/serviceAction' + versionMessage.version + '!getServiceEventStatusByCidAndSid.sy';
    service.get(url, par, function(data) {
        success(data);
    }, err);
}

// 保存单个商品
function updateServiceEvent_service(par, success, err) {
    var url = 'ws/serviceAction' + versionMessage.version + '!updateServiceEventCommnuityPrice.sy';
    service.get(url, par, function(data) {
        success(data);
    }, err);
}

//提交验证密码
function getPassword_service(par, success, err) {
    var url = 'ws/userAction' + versionMessage.version +'!goodsManagerConfirm.sy';
    service.get(url, par, function(data) {
        success(data);
    }, err);
}

// 获取商品管理需修改的商品数据
function getServiceEventByMenuId_service(par, success, err) {
    var url = 'ws/serviceAction' + versionMessage.version +'!getServiceEventByMenuId.sy';
    service.get(url, par, success, err);
}

// 提交修改后的数据
function batchUpdateSeStock_service(par, success, errCallback) {
	var url = serverUrl + 'ws/serviceAction' + versionMessage.version + '!batchUpdateSeStock.sy';
	J.showMask();
	$.post(url, par, function(data) {
		J.hideMask();
		success(data);
	}, function(data) {
		console.log(data);
		J.hideMask();
		errCallback(data);
	})

}
//获取注销账号信息
function getCancelUserInfo_service() {
    J.Router.goTo('#cancelService_section');
    var url = 'ws/userAction' + versionMessage.version + '!getBalanceAndUnFinishOrder.sy';
    var id = J.Cache.get('login').data.id;
    var par = {
        id: id
    };
    service.get(url, par, function(data) {
        $('#cancelBalance').text(data.accountBalance);
        $('#cancelIntegral').text(data.integration);
        $('#cancelOrder').text(' '+data.codes.length+' ');
    })
}
//确认注销账号信息
function affirmAancelUserInfo_service() {
    var url = 'ws/userAction' + versionMessage.version + '!closeAccount.sy';
    var id = J.Cache.get('login').data.id;
    var tel = J.Cache.get('login').data.phone;
    var par = {
        id: id,
        phone: tel
    };
    service.get(url, par, function(data) {
        J.Cache.empty('login');
        J.Cache.empty('address');
        J.Cache.empty('loginForm');
        logout_service();
        $('#userInfo_div').attr('data-refresh','true');
        J.Router.goTo('#index_section');
        $($('#index_footer').children()[0]).addClass('active').siblings().removeClass('active');
        $('#home_article').addClass('active').siblings().removeClass('active');
        J.showToast('账号注销成功，感谢您的使用！')
    })
}

// 会员页面
function enterVipCenter_service(par, callback, errCallback) {
    console.log('vipvipvip')
    var url = '/ws/vipCenterAction20170807!enterVipCenter.sy';
    service.get(url, par, function(data) {
        callback(data);
    }, function(err) {
        errCallback(err)
    })
}

// 会员页面
function enterMyVip_service(par, callback, errCallback) {
    console.log('vipvipvip')
    var url = '/ws/vipCenterAction20170807!enterMyVip.sy';
    service.get(url, par, function(data) {
        callback(data);
    }, function(err) {
        errCallback(err)
    })
}