// 忘记密码
function forgetPwd() {
    var phone = $("#forgetPassword_form input[name=phone]").val();
    if (verifyPhone(phone)) {
        var par = {
            phone: phone
        }
        var url = serverUrl + 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_forgetPwd.sy';
        $.getJSON(url, par, function(data) {
            if (data.success) {
                J.showToast('新密码已短信发送');
                history.go(-1);
                $("#forgetPassword_form input[name=phone]").val('');
                J.Cache.empty('yl-login');
                J.Cache.empty('yl-loginForm');
            } else {
                if(data.message == '' || data.message == null){
                    J.showToast('此号码无效');
                }else{
                    J.showToast(data.message);
                }
            }
        });
    }
}
var count = 0;
//退出登录
function logout_control() {
        count++;
        if(count == 4){
            J.Cache.empty('yl-login');
            J.Cache.empty('yl-loginForm');
            $('#me_article').removeClass('active').siblings().addClass('active');
            $('#login_article article').addClass('active');
            count = 0;
        }
}
// 用户登录
function login_control(){
    $('#userInfo_div').attr('data-refresh',true);
    var phone = $("#login_form input[name=phone]").val();
    var password = $("#login_form input[name=password]").val();
    var par = {
        phone : phone,
        userPwd : password
    };
    if (verifyPhone(par.phone)) {
        if (isWechatClient()) {
            clickLogin_service(par);
        }else{
            clickLogin_service(par);
        }
    }
}

// 自动登录
function userAutoLogin_control(isMyTpl){
    var userLoginPhone = J.Cache.get('yl-loginForm').data.phone;
    var userLoginPwd = J.Cache.get('yl-loginForm').data.userPwd;
    var par = {
        phone : userLoginPhone,
        userPwd : userLoginPwd
    };
    login_service(par,false,isMyTpl);
}

// 设置用户信息
function setInfo_control(){
    var myInfo = J.Cache.get('yl-login');
    if(myInfo){
        J.Router.goTo("#setList_section");
        setTimeout(function(){
            J.Template.render("#setList_article","setList_template",J.Cache.get('community').data,"replace");
        },200)
    }else{
        J.showToast("请先登录后尝试");
        setTimeout(function(){
            J.Router.goTo("#login_section");
        },200)
    }
}
// 异常监控
function abnormalMonitoring(){
    if(J.Cache.get('yl-login').data.ylType == 1){//普通用户
        J.showToast('抱歉，普通用户暂未开放权限');
    }else if(J.Cache.get('yl-login').data.ylType == 2){//门店人员
        getAbnormalMonitoringDetail(J.Cache.get('yl-login').data.workCommunityIds);
    }else if(J.Cache.get('yl-login').data.ylType == 3){//超管
        getAbnormalMonitoringList();
    }
}
// 售后监控
function afterSaleMonitoring(){
    if(J.Cache.get('yl-login').data.ylType == 1){//普通用户
        J.showToast('抱歉，普通用户暂未开放权限');
    }else if(J.Cache.get('yl-login').data.ylType == 2){//门店人员
        getAfterSaleMonitoringDetail(J.Cache.get('yl-login').data.workCommunityIds);
    }else if(J.Cache.get('yl-login').data.ylType == 3){//超管
        getAfterSaleMonitoringList();
    }
}
//生鲜监控
function freshMonitoring(){
    if(J.Cache.get('yl-login').data.ylType == 1){//普通用户
        J.showToast('抱歉，普通用户暂未开放权限');
    }else if(J.Cache.get('yl-login').data.ylType == 2){//门店人员
        getFreshMonitoringDetail_service(J.Cache.get('yl-login').data.workCommunityIds);
    }else if(J.Cache.get('yl-login').data.ylType == 3){//超管
        getFreshMonitoring_service();
    }
}
//门店报表
function storeReport() {
    if(J.Cache.get('yl-login').data.ylType == 1){//普通用户
        J.showToast('抱歉，普通用户暂未开放权限');
    }else{
        getStoreReport_service();
    }
}

var erudaN = 0;
// 调试工具开关
function erudaClick() {
    erudaN++
    console.log(erudaN);
    if(erudaN == 10) {
        eruda.init();
        $("#erudaOff").addClass('active');
        // J.Cache.save("erudaN", 0)
    }
}

function getColChart(data) {
    Highcharts.chart('colChart', {
        chart: {
            type: 'column'
        },
        title: {
            text: '门店销售统计报表'
        },
        subtitle: {
            text: ''
        },
        xAxis: {
            type: 'category',
            labels: {
                rotation: -45  // 设置轴标签旋转角度
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: '门店销售量（单）'
            }
        },
        legend: {
            enabled: false
        },
        tooltip: {
            pointFormat: '销量: <b>{point.y}</b>'
        },
        series: [{
            name: '销售',
            data: data,
            dataLabels: {
                enabled: true,
                rotation: -90,
                color: '#FFFFFF',
                align: 'right',
                format: '{point.y}',
                y: 10
            }
        }]
    });
}
function getPieChart(data) {
    Highcharts.chart('pieChart', {
        chart: {
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: false,
            type: 'pie'
        },
        title: {
            text: '当前门店销售量前四'
        },
        tooltip: {
            pointFormat: '{point.y}'
        },
        plotOptions: {
            pie: {
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: true,
                    format: '<b>{point.name}</b>：{point.y}',
                    style: {
                        color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'
                    }
                }
            }
        },
        series: [{
            name: '',
            colorByPoint: true,
            data: data
        }]
    });
}
