function myself_data_Success(imageData) {
	myself_UploadImg(imageData);
}

function myself_URI_Success(imageURI) {
	myself_UploadImg(imageURI);
}
//	使用设备上的摄像头拍照，并获得Base64编码字符串格式的图像
function myself_capturePhoto() {
	// Take picture using device camera and retrieve image as base64-encoded string
	navigator.camera.getPicture(myself_data_Success, myself_onFail, {
		quality: 50,
		destinationType: destinationType.FILE_URI
	});
}
//	使用设备上的摄像头拍照，并获得Base64编码字符串格式的可编辑图像  
function myself_capturePhotoEdit() {
	// Take picture using device camera, allow edit, and retrieve image as base64-encoded string
	navigator.camera.getPicture(myself_data_Success, myself_onFail, {
		quality: 20,
		allowEdit: true,
		destinationType: destinationType.FILE_URI
	});
}
// 从图片库选取照片
function myself_getPhoto(source) {
	// Retrieve image file location from specified source
	navigator.camera.getPicture(myself_URI_Success, myself_onFail, {
		quality: 50,
		allowEdit: true,
		destinationType: destinationType.FILE_URI,
		sourceType: source
	});
}

function myself_onFail(message) {

	J.showToast("上传图片失败");
}

function myself_UploadImg(fileURL) {
	var win = function(r) {

		saveHeadPhoto_service(r.response);
	}

	var fail = function(error) {

		J.showToast("上传失败");
	}

	var options = new FileUploadOptions();
	options.fileKey = "fileAddPic";
	options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
	options.mimeType = "text/plain";

	var ft = new FileTransfer();

	var serverPhotoUrl = serverUrl + 'AppUpload'


	ft.upload(fileURL, encodeURI(serverPhotoUrl), win, fail, options);

}
function myself_actionsheet() {
	pictureSource = navigator.camera.PictureSourceType;
	destinationType = navigator.camera.DestinationType;

	J.Popup.actionsheet([{
			text: '拍照',
			handler: function() {
				myself_capturePhotoEdit()
			}
		},
		{
			text: '从照片中选择',
			handler: function() {
				myself_getPhoto(pictureSource.PHOTOLIBRARY)
			}
		}
	]);
}