App.page('index', function() {
    this.init = function() {
        console.log('.0.0.0.0.0.0.0.');
        // 获取openid
        if (isWechatClient()) {
            if (!J.Cache.get('openId')) {
                if(location.href.indexOf("parking") >= 0) {
                    parkGetOpenId();
                } else {
                    getOpenId();
                }
            }
        }
        if(isAndroidIosApp()) {
            if(J.Cache.get("statementBox") && J.Cache.get("statementBox").data){
                baidumap_location.getCurrentPosition(function(result) {}, function(error) {})
            }
        }
        J.Cache.empty('formattedAddress');//清空定位地址信息
        J.Cache.empty('isActivePage');
        J.Cache.save('hasLocation',false);
        // 装置就绪之后判断是否
        document.addEventListener("deviceready", onResumeUpdate, false);
        getCommunityList_service(1);//获取所有门店信息
        alreadyLocation = false;
        setTimeout(function () {
            //获取购物车数量
            cartNum_service();
        },500);
        // 底部自定义图标
        if(J.Cache.get('shoppingInventory') && J.Cache.get('shoppingInventory').data != null){
            $('#customBtn p')[0].innerText = J.Cache.get('shoppingInventory').data.shoppingInventoryName;
            var type = J.Cache.get('shoppingInventory').data.shoppingInventoryJumpType;
            var id = J.Cache.get('shoppingInventory').data.shoppingInventoryJumpId;
            $('#customBtn').attr('onclick','clickAdvert_control(' + type + ','+ id + ')');
        }
        if($('#home_article header').height() > 0){
            J.Cache.save('homeHeaderH',$('#home_article header').height());
        }else{
            J.Cache.save('homeHeaderH',document.body.clientWidth*0.21);
        }
        // 首页
        $("#home_article").on('articleshow', function() {
            document.getElementById('home').style.marginTop = J.Cache.get('homeHeaderH').data - 2 + 'px';
            // $('#home_article').css('background','url(../img/bg/home-bg.jpg) no-repeat');
            // 从其他页面（例如自定义活动页）跳到分类
            if(J.Cache.get('isActivePage')){
                J.Cache.empty('isActivePage');
                return;
            }
            if(mobilePay) return;
            if(J.Cache.get('homeShow') && !J.Cache.get('homeShow').data) return;
            if (J.Cache.get('community')){
                var currentCommunityName = J.Cache.get('community').data.name + '店';
                $('#currentCommunityName').text(currentCommunityName);
                $('.search_bar .communityDesc').text(J.Cache.get('community').data.communityDesc);
                getHome_service();
            }else {
                //没有community的时候, 默认奥体
                data = {id: 1, name: '奥体', type: 0};
                J.Cache.save('community', data);
                //切换地址、片区需要刷新“我的”页面用户的账户信息（例如优惠券<优惠券按片区加载>）
                $('#userInfo_div').attr('data-refresh','true');
                getHome_service();
            }
            // homeShow 页面连续show两次(返回首页重新渲染导致闪屏) 频繁请求接口
            J.Cache.save('homeShow',false);
            setTimeout(function(){
                J.Cache.save('homeShow',true);
            },10)
            if(firstActivity == false) firstActivity = true;
            setTimeout(function(){//300ms转场动画完成之后判断闭店
                var communities = J.Cache.get('communities').data;
                communities.map(function(item){
                    if(item.id == J.Cache.get('community').data.id){
                        if(item.closeTimeSlot){
                            J.Router.goTo('#close_section');
                            var communityData = J.Cache.get('community').data;
                            communityData.closeTimeSlot = item.closeTimeSlot;
                            communityData.closeShopRemark = item.closeShopRemark;
                            J.Cache.save('community',communityData);
                            //切换地址、片区需要刷新“我的”页面用户的账户信息（例如优惠券<优惠券按片区加载>）
                            $('#userInfo_div').attr('data-refresh','true');
                            return;
                        }
                    }
                });
            },500)
            $($('#index_footer').children()[0]).addClass('active').siblings().removeClass('active');
            $('#home_article').addClass('active').siblings().removeClass('active');
            childrenAticleToggleActive('home_article', 'addClass');

            if(J.Cache.get("address") && J.Cache.get("address").data){
                $('.search_bar span.address-i').text("送至："+ J.Cache.get("address").data.address);
            }else{
                if(!alreadyLocation){
                    $('.search_bar span.address-i').text('正在定位...');
                    if(isWechatClient()){
                        firstRelocation();
                    }else if(isAndroidIosApp()){
                        if(J.Cache.get("statementBox") && J.Cache.get("statementBox").data){
                            console.log('app的定位没有点击之前不定位')
                            getServiceZone();//定位
                        }
                    }else{
                        console.log('浏览器定位')
                        getServiceZone();//定位
                    }
                }
            }

			// getRedPacket_control();     //获取开门红包
            $('#loginBack_button').removeAttr('data-back'); //登录页面返回按钮是否只返回一次
            if($('#searchBannerHome_div li').length > 1){
                textScroll('searchBannerHome_div');
            }
            if($('#fixedBox li ').length > 1){
                fixedScroll('fixedBox');
            }
            if(forTheFirstTimeIntoTheAPP){
                getVipInfo_service();
            }
        }).on('articlehide', function() {
            // $('#home').css('background', '#ffffff');
            childrenAticleToggleActive('home_article', 'removeClass');
        });

        // 分类
        $("#classification_article").on('articleshow', function() {
            var searchData = {
                data:[]
            };
            var scrollSearchClass = '';
            var hasRefresh = $("#classification_article").children('header').attr('value');
            if (hasRefresh == 'true') {
                getServiceMenuBetter_service();
            }
            $('#productList_section header').attr('data-clearScroll',false);//商品列表页hide时清除滚动条

            childrenAticleToggleActive('classification_article', 'addClass');
            if(J.Cache.get('searchBanner') && J.Cache.get('searchBanner').data){
                searchData = J.Cache.get('searchBanner').data
            }
            J.Template.render("#searchBannerClassify_div", "searchBannerClassify_template", searchData, "replace");
            if(searchData.data.length > 1 ){
                textScroll('searchBannerClassify_div');
            }
            // 处理：我的-->我的优惠券跳分类后切首页没触发pageshow
            J.Cache.empty('isActivePage');
        }).on('articlehide', function() {
            childrenAticleToggleActive('classification_article', 'removeClass');
        });
        // 常购清单
        // $("#myOftenBuyList_article").on('articleshow', function() {
        //     myOftenBuyList_service();
        //     // childrenAticleToggleActive('myOftenBuyList_article', 'addClass');
        // }).on('articlehide', function() {
        //     childrenAticleToggleActive('myOftenBuyList_article', 'removeClass');
        //     $('#myOftenBuyList_article .logo')[0].innerText = '';
        // });

        // 购物车
        $("#shoppingCart_article").on('articleshow', function() {
            var dataTxt = J.Cache.get("address") ? J.Cache.get("address").data.address : '...';
            $('#shoppingCart_article header .shop-name').text(dataTxt);
            $('#addOnTip').css('display','none');
            if(J.Cache.get('vipBaseInfo')){
              $('.vipTitle>span').text(J.Cache.get('vipBaseInfo').data.vipRechargeMoeny);
            };
            shoppingCartTab(0,'#cart_span');
            if (J.Cache.get('community') && J.Cache.get('community').data.canBuyVip) {
                if (!J.Cache.get('login')) {
                    $('#shoppingCart_article .goVip').show();
                } else {
                    // 判断黑名单、已开通会员---- 不显示会员开通
                    if (J.Cache.get('login').data.level == 0) {
                        $('#shoppingCart_article .goVip').show();
                    }else{
                        $('#shoppingCart_article .goVip').hide();
                    };
                }
            } else {
                $('#shoppingCart_article .goVip').hide();
            }
        }).on('articlehide', function() {
            $("#totalNum").text("0");
            $("#totalMoney").text("0.00");
            $('#orderAmount').text('0');
            $('#orderAmountMoney').text('0');
            childrenAticleToggleActive('shoppingCart_article', 'removeClass');
        });

        // 我的
        $("#me_article").on('articleshow', function() {
            console.log('我的页面')
            var hasRefresh = $('#userInfo_div').attr('data-refresh');
            if (J.Cache.get('login')) {
                var data = J.Cache.get('login').data;
                J.Template.render("#userInfo_login", "userInfo_template", data, "replace");
            }
            // 除了有条件自动登录外  每次切换到我的页面判断如果距离上次自动登录超过十分钟 就触发自动登录 （例如：后台发生充值记录需要更新 领取优惠券等）
            if(J.Cache.get('autoLoginTime') && J.Cache.get('autoLoginTime').data){
                var time = J.Cache.get('autoLoginTime').data;
                var timeInterval = 1000 * 60 * 10; //10分钟
                if(new Date().getTime() - time*1 >= timeInterval){
                    hasRefresh = 'true';
                }
            }
            // 不显示账户信息时 去判断是否需要自动登录  !$('#userInfo_div .settingphone')[0]
            if(hasRefresh == 'true' || !$('#userInfo_div .settingphone')[0]){//设置用户信息后更新用户昵称或头像
                getMyInfo();
                $('#userInfo_div').removeAttr('data-refresh');
            }
            getAllInfo();
            myExtensionAdvert();
            getVipInfo_service();
            if (J.Cache.get('login')) {
            	// 是否用商品管理权限
				if(J.Cache.get('login').data.serviceEventManagePower == 1) {
					$('#myGoodsControl').css('display','inline-block');
				} else {
					$('#myGoodsControl').css('display','none');
				}
                // userType 1用户 2商户员工 3配送员 4快递员 5配送快递员  6转单员
                var userType = J.Cache.get('login').data.type;
                if(userType != 1){
                	$('#orderTracking').css('display','inline-block');
                    $('#cancelledOrder').css('display','inline-block');
                    $('#suguoCard').css('display','none');
                    $('#orderTracking').css('margin-top','0');
				}else {
                    $('#orderTracking').css('display','none');
                    $('#cancelledOrder').css('display','none');
				}
			}else{
                $('#suguoCard').css('display','inline-block');
                $('#orderTracking').css('display','none');
                $('#cancelledOrder').css('display','none');
                $('#myGoodsControl').css('display','none');
			}
            childrenAticleToggleActive('me_article', 'addClass');
            if(mobilePay)  mobilePay = false;
        }).on('articlehide', function() {
            childrenAticleToggleActive('me_article', 'removeClass');
        });

    };
});

// 优惠券列表
App.page('couponList', function() {
    this.init = function() {
        $("#couponList_section").on('pageshow', function() {
            getCouponList_service(0);
            $(".couponList-toggle div.sgCoupon").addClass('active').siblings().removeClass('active');
        })
    }
})
// 更多优惠券列表
App.page('couponListMore', function() {
    this.init = function() {
        $("#couponListMore_section").on('pageshow', function() {
            getCouponList_service(1);;
        })
    }
})
// 优惠券详情
App.page('couponDetail', function() {
    this.init = function() {
        $('#couponDetail_section').on('pageshow', function() {

            var userId = J.Cache.get('login') ? J.Cache.get('login').data.id : '';    // 当前用户id
            var couponId = J.Cache.get('couponPar').data.couponId;   // 优惠券id

            var type = J.Cache.get('couponPar').data.type;   // 优惠券类型
            var saleId = J.Cache.get('couponPar').data.saleId; // 推广员绩效id
            var timeRange = J.Cache.get('couponPar').data.timeRange //会员券有效时间

            var par = {};

            if(timeRange){
                par = {
                    communityId: 1,
                    couponId: couponId,
                    timeRange: timeRange
                };
            }else{
                par = {
                    communityId: 1,
                    couponId: couponId
                };
            }
            
            if (J.Cache.get('community')) par.communityId = J.Cache.get('community').data.id;
            
            getCoupon_service(par, function(data) {
                if (data.couponType == 1 && J.Cache.get('couponPar').data.specialStr) {
                    history.go(-1);
                    return;
                }

                // 渲染页面
                getCouponDetail_control(data, type, saleId,par);
                // 分享参数 标题，描述，链接，图片
                var shareUrl = wechatUrl + '?couponId=' +couponId + '&specialStr=' + guid2() + window.location.hash;
                var sharePar = {
                    title: data.shareTitle, 
                    desc: data.shareText,
                    link: shareUrl,
                    imgUrl: picNetworkPrefix(data.titlePic),
                    couponId: couponId
                }
                console.log(sharePar);
                // 设置分享优惠券的参数
                J.Cache.save("shareCouponPar", sharePar);
                // 设置分享参数
                if (isWechatClient()) {
                    getJSSDKConfigParams_service();
                    wx.ready(function(){
                        shareCoupon_control();
                    });
                }
            }, function() {

            })
            console.log('进去优惠券页面');
        }).on('pagehide', function() {
            // var couponPar = J.Cache.get('couponPar').data;
            // couponPar.specialStr = null;
            // J.Cache.save("couponPar", couponPar);
            console.log('离开优惠券页面');
        })
    }
})

// 抽奖
App.page('turnPlate', function() {
    this.init = function() {
        $("#turnPlate_section").on('pageshow', function() {
            console.log('进入抽奖页面');
            if(!J.Cache.get('login')){
                history.go(-1);
            } else {
                getPrize_service();
            }
        }).on('pagehide', function() {
            console.log('离开抽奖页面');
        })
    }
})
// 积分优惠券列表
App.page('integralCouponList', function() {
    this.init = function() {
        $("#integralCouponList_section").on('pageshow', function() {
            getCouponListNeedBuy_service();
            $(".couponList-toggle div.sgIntegralCoupon").addClass('active').siblings().removeClass('active');
        })
    }
})

// 苏果充值
App.page('rechargeOfSuguo', function() {
    this.init = function() {
        $("#rechargeOfSuguo_section").on('pageshow', function() {
            getRechargeCondition();
            addressList_service('recharge');
        }).on('pagehide',function(){
            $('#suguocardTips').text('苏果大众书局卡和苏果提货券不可用于苏果卡充值');
            $('.deleteDiv').trigger('click');
		})
    }
})

// 搜索
App.page('search', function() {
    this.init = function() {
        $("#search_section").on('pageshow', function() {
            $('#search_section input')[0].focus();
            $('#searchList_div').hide();
            if(J.Cache.get('searchType') && !isNullString(J.Cache.get('searchType').data)){
                prepareSearch(J.Cache.get('searchType').data);
            }
        })
    }
});
var firstActivity = true;
// 自定义的活动页
App.page('newActivePage', function() {
	this.init = function() {
		$("#newActivePage_section").on('pageshow', function() {
            cartNum_service('newActivePage_section');
            getNewActivePageDiv();
            $('#newActivePage_article').unbind('scroll').scroll(function(){
                // getActivityV3PageDiv();
                getNewActivePageDiv();
                newActivePagePullUp();
                if(document.getElementById('newActivePage_article').scrollTop > 60){
                    $('#newActivePage_section .returnTop').css('display','inline-block');
                    // $('#newActivePage_section header').addClass('white');
                    $('#newActivePage_section header').addClass('bottomColor');
                }else{
                    $('#newActivePage_section .returnTop').css('display','none');
                    // $('#newActivePage_section header').removeClass('white');
                    $('#newActivePage_section header').removeClass('bottomColor');
                }

                if(J.Cache.get("verticalListData") && J.Cache.get("verticalListData").data){
                    var verticalType = J.Cache.get("verticalType").data;
                    if(J.Cache.get('navBarCache') && J.Cache.get('navBarCache').data){
                        // 有记录子集位置后下拉后所有子集位置归零
                        if($('#newActivePage_article').scrollTop() <= J.Cache.get('navBarCache').data - 5){
                            $('#newActivePage_section .verticalBannerList').map(function(i){
                                $($('#newActivePage_section .verticalBannerList')[i]).data().top = 0;
                            })
                        }
                    }
                    if($('#' + verticalType).data().cache == false){
                        // 记录tabBar在顶部时页面位置
                        $('#' + verticalType).data().cache = true;
                        var stickyHeight = $("#" + verticalType).position().top - $("#" + verticalType).height();
                        J.Cache.save('navBarCache',stickyHeight);
                    }
                    if(!isSupportSticky()){
                        // 不支持sticky样式的系统吸顶处理
                        if(J.Cache.get('navBarCache') && J.Cache.get('navBarCache').data){
                            if($('#newActivePage_article').scrollTop() >= J.Cache.get('navBarCache').data){
                                $('#' + verticalType).css("position", "");
                                $('#' + verticalType + ' div.navBarDiv').addClass('active');
                            }else{
                                $('#' + verticalType + ' div.navBarDiv').removeClass('active');
                            }
                        }
                    }
                    newActivePagePullUp();
                }
			});
            page.currencyId = $("#currencyId").data().currency;


			// var windowUrl = window.location.href;
			// if (windowUrl.indexOf('?') >= 0) {
            //     var activityId = windowUrl.split('=')[1];
            //     getNewActiveData_control({homePageActivityId : activityId,custom:0});
            // }

            if (J.Cache.get("activityPar")) {
                var activityId = J.Cache.get("activityPar").data.activityId;
                getNewActiveData_control({homePageActivityId : activityId,custom:0});
                J.Cache.empty("activityPar");
            }
        }).on('pagehide',function(){
            getNewActivePageDiv();
            $('#newActivePage_article').removeClass('renderAnim');
		})
	}

})

// 料理菜品页面
App.page('foodMain', function() {
	this.init = function() {
		$("#foodMain_section").on('pageshow', function() {
            cartNum_service('foodMain_section');
            page.currencyId = $("#currencyId").data().currency;
        }).on('pagehide',function(){

		})
	}
})
// 扫码配货页面
App.page('sweepCodeAndPurchasing', function() {
	this.init = function() {
		$('#sweepCodeAndPurchasing_section').on('pageshow', function() {
            // J.showToast("敬请期待...");
            // history.go(-1);
			getSweepCodePageCoupon_control();
		})
	}
})

// 手动输入条形码
App.page('enterBarcodeUser', function() {
	this.init = function() {
		$('#enterBarcodeUser_section').on('pagehide', function() {
			// 测试注释，上线打开
//			$('#barCodeUser')[0].innerText = '';
		})
	}
})

// 扫码购购物车
App.page('scanShopCar', function() {
	this.init = function() {
		$('#scanShopCar_section').on('pageshow', function() {
			console.log('scanShopCar_section')
			scanShopCar_controller();
		})
	}
})

// 扫码购结算页面
App.page('scanCloseAccount', function() {
	this.init = function() {
		$('#scanCloseAccount_section').on('pageshow', function() {
			console.log('scanCloseAccount_section')
			scanCloseAccount_controller();
		})
	}
})

// 支付失败
//failureToPay_section
App.page('failureToPay', function() {
	this.init = function() {
		$('#failureToPay_section').on('pageshow', function() {
			$('#failureToPay_section .communityName').html(J.Cache.get('community').data.name)
			$('#failureToPay_section .scanOrderId').html(scanOrder.orderCode);
			$('#failureToPay_section .scanOrderMoney').html(scanOrder.orderInfo.payment);
			$('#failureToPay_section .continueAccount').unbind('click').bind('click', function() {
				getScanObligationOrder_community(scanOrder.orderCode);
			})
		})
	}
})

//
// 支付完成
App.page('scanOrderOutBarCode', function() {
	this.init = function() {
		$('#scanOrderOutBarCode_section').on('pageshow', function() {
			console.log('scanOrderOutBarCode_section');
			getPushGoodAndOutBarCode_controller();
		})
	}
})

// 第一次进入app
var forTheFirstTimeIntoTheAPP = true;

// 版本
var versionMessage = {
	version: '20170807',
	device: ''
}

// 显示错误页面
var showErrorPage = false;


// 首页是否刷新
var homeRefresh = false;

//监听订单支付情况
App.page('checkoutSuccess', function() {
    this.init = function() {
        $('#checkoutSuccess_section').on('pageshow', function() {
            console.log('进入');
            $('#checkoutSuccess_article').scrollTop(0);
            
            // var payStr = J.Cache.get('payStr').data;
            // getSubmitOrderMessage_service(payStr, 0);
            if (isWechatClient()) {
                wx.miniProgram.getEnv(function(res) {
                    if (res.miniprogram) {
                        var payStr = J.Cache.get('payStr').data;
                        getSubmitOrderMessage_service(payStr, payStr.type);
                    }
                })
            }

        }).on('pagehide', function() {
            // var payMethod,orderType,reload;
            // if(J.Cache.get('orderType')){
            //     payMethod = pay.param.payMethod;
            //     orderType = J.Cache.get('orderType').data;
            //     console.log(orderType);
            //     console.log(payMethod != 0 && orderType == 1);
            //     if(payMethod != 0 && orderType == 1){
            //         reload = true;
            //     }else{
            //         reload = false;
            //     }
            //     J.Cache.save('reload',reload);
                // if(reload) location.reload();
            // }
        })
    }
})
//监听订单列表情况
App.page('myOrders', function() {
    this.init = function() {
        $('#myOrders_section').on('pageshow', function() {
            $('.order-button span').css('pointer-events','auto');
            var reload = false;
            if(J.Cache.get('reload')){
                reload = J.Cache.get('reload').data;
                if(reload){
                    getOrderTopList_service({type: 1,startIndex: 1,pageSize:20});
                }
            }
        }).on('pagehide', function() {
            J.Cache.empty('reload');
        })
    }
})
//监听搜索订单列表情况
App.page('serchOrderList', function() {
    this.init = function() {
        $('#serchOrderList_section').on('pageshow', function() {
        }).on('pagehide', function() {
        })
    }
})
//订单详情
App.page('orderDetail', function() {
    this.init = function() {
        $('#orderDetail_section').on('pageshow', function() {
            $('.buttonGroup span').css('pointer-events','auto'); 
        }).on('pagehide', function() {
            
        })
    }
})
//选择地址
App.page('selectAddress', function() {
    this.init = function() {
        $('#selectAddress_section').on('pageshow', function() { 
            if( J.Cache.get('address') && J.Cache.get('address').data){
                var addressTxt = J.Cache.get('address').data.address;
                $('#selectedAddress').text(addressTxt);
            }else{
                $('#selectedAddress').text('正在定位 . . .');
            }
            $('#nearestAddress').text('正在定位 . . .');
            $('#nearestAddress').parent().attr('onclick','');
            $('#nearAddressPoint').html('');
            console.log('选择地址定位')
            getServiceZone();

            if(!J.Cache.get('login')){
                $('#defaultAddress').css('display','none');
                return;
            }
            var time = new Date().getTime();
            var url = 'ws/userAction' + versionMessage.version + '!addressList.sy';
            service.get(url, {time:time}, function(data) {
                $('#defaultAddress').css('display','block');
                // $('#selectAddress_section hr').css('display','block');
                J.Cache.save('userAddresses', data.userAddresses);
                if (data.userAddresses.length != 0) {
                    data.userAddresses.map(function(item,index) {
                        if (item.isDefault == 1) {
                            J.Cache.save('address', item);
                            $('#selectedAddress').text(item.address);
                            if(J.Cache.get('communities') && J.Cache.get('communities').data){
                                // 保存默认地址的片区
                                saveLocalArea(item.communityId);
                            }else{
                                //获取所有片区保存当前片区
                                getCommunityList_service(5,item.communityId);
                            }
                            homeRefresh = true;
                            // 本地切换地址后（推荐附近地址 地图选址 搜索地址等切换地址操作 后台没有地址信息） 
                            // 点击首页左上角进入选择地址页面 获取用户地址列表 地址更新为后台的默认地址 存在换片区的情况 需要更新数量
                            cartNum_service();
                        }
                        // if(index>2){
                        //     item.ishide = 1;
                        // }else{
                        //     item.ishide = 0;
                        // }
                        if(item.userFamilyLabel != null){
                            item.userFamilyLabel.domcolor = 0;//红底红边
                            if(item.userFamilyLabel.labelName.indexOf('公司') > -1 ){
                                item.userFamilyLabel.domcolor = 1;//蓝底蓝边
                            }
                            if(item.userFamilyLabel.labelName.indexOf('学校') > -1 ){
                                item.userFamilyLabel.domcolor = 2;//黄底黄边
                            }
                        }
                    });
                    if(data.userAddresses.length > 3){
                        $('#moreAddressIcon').addClass('active');
                    }else{
                        $('#moreAddressIcon').removeClass('active');
                    }
                }else{
                    $('#defaultAddress').css('display','none');
                }
                // $('#addressOwn').removeClass('active');
                // $('#defaultAddress i').removeClass('active');
                J.Template.render('#addressOwn_ul', 'addressOwn_template', data.userAddresses, "replace");
            });
        }).on('pagehide',function(){
            $('#moreAddressIcon i').removeClass('active');
            $("#selectAddress_section .searchAddressResult").hide();
            $('#selectAddress_section input.searchbox').val('');
            // $('#moreAddressIcon span').removeClass('none');
		})
    }
});

//搜索框占位词轮播


// 常购清单
App.page('oftenBuyList', function() {
	this.init = function() {
		$("#oftenBuyList_section").on('pageshow', function() {
            myOftenBuyList();
        }).on('pagehide',function(){
            $('#oftenBuyList_section .logo')[0].innerText = '';
		})
	}
})
//添加标签
App.page('newFamilyAddress', function() {
	this.init = function() {
		$("#newFamilyAddress_section").on('pageshow', function() {
            $('#enterFamilyAddress input').val('');
            getUnbindLabel();
        }).on('pagehide',function(){

		})
	}
})
App.page('posterShare', function() {
	this.init = function() {
		$("#posterShare_section").on('pageshow', function() {
            if(J.Cache.get('login')){
                var level = J.Cache.get('login').data.level;
                if(level == 5 || level == 6){
                    J.showToast('邀请有礼活动暂未开始');
                    setTimeout(function(){
						goIndexPage();
					},300)
                }else{
                    toPoster();
                }
            }else{
                J.showToast('请先登录');
                J.Router.goTo('#login_section');
            }
        }).on('pagehide',function(){

		})
	}
})