// (function() {
    var _dataStatistics = {
        initAPPTime: new Date().getTime(),
        visitType: '3',
        openid: '',
        uuid: '',
        phone: '',
        device: '',
        indexArticle: '',
        pages: [],
        goods: []
    }
    function deviceAndCache () {
        console.log('=============----------==========')
        // 判断上次未处理的缓存
        if(J.Cache.get('dataStatistics')) {
            var dataStatistics = J.Cache.get('dataStatistics').data;
            pushDataStatistics_service(dataStatistics);
            J.Cache.empty('dataStatistics');
        }
        if(J.Cache.get('page')) {
            var page = J.Cache.get('page').data;
            _dataStatistics.pages.push(page);
            J.Cache.empty('page');
        }
    
        if(J.Cache.get('login')) {
            _dataStatistics.phone = J.Cache.get('login').data.phone;
        }
        // 设备
        if(isWechatClient()) {
            // console.log('统计', J.Cache.get('openId'));
            _dataStatistics.device = "wechat";
            if(J.Cache.get('openId')) {
                _dataStatistics.openid = J.Cache.get('openId').data;
            }
        } else {
            if(isAndroidIosApp()) {
                // console.log('统计', device.uuid);
                if(isIOS()) {
                    _dataStatistics.device = "IOS";
                }else{
                    _dataStatistics.device = "Android";
                }
                _dataStatistics.uuid = device.uuid;
            }else{
                _dataStatistics.device = "rests";
                _dataStatistics.openid = '';
                _dataStatistics.uuid = '';
            }
        }
    }

    // 单个页面
    var page = {
        currencyId: '',
        hash: location.hash,
        pathname: location.pathname,
        href: location.href,
        startTime: new Date().getTime(),
        endTime: 0,
        stayTime: 0,
        modules: [],
        indexArticle: '',
        // 预支付凭证
        alreadyPayStr: ''
    }
    var number = 0;
    // var endTime;
    setInterval(function() {
        number += 1;
        var hash = location.hash
        if(page.hash != hash) {
            // 页面更换时候 将modData提交到page
            stopPosition()
            // 新页面stay为true;
            stay = true;
            // 页面离开时候的时间
            var endTime = new Date().getTime();
            page.endTime = endTime;
            page.stayTime = endTime - page.startTime;
            // 页面出入
            // console.log(page);
            _dataStatistics.pages.push(JSON.parse(JSON.stringify(page)));
            J.Cache.save('dataStatistics', _dataStatistics);

            // 新页面数据更新
            page.currencyId = '';
            page.hash = location.hash;
            page.pathname = location.pathname;
            page.href = location.href;
            page.startTime = endTime;
            page.modules = [];

        } else {
            var endTime = new Date().getTime();
            page.endTime = endTime;
            page.stayTime = endTime - page.startTime;
            J.Cache.save('page', page);
        }

        // 
        if(number * 200 > 1000 * 60 * 2) { 
            number = 0;
            if(J.Cache.get("switchPagefollowing") && J.Cache.get("switchPagefollowing").data == '1' && _dataStatistics.pages.length) {
                if(_dataStatistics.openid || _dataStatistics.uuid || _dataStatistics.phone) {
            
                } else {
                    // _dataStatistics.pages = [];
                    // _dataStatistics.goods = [];
                    // return;          
                }

                pushDataStatistics_service(_dataStatistics);
            }
        }
    }, 200);



    // =================================首页记录位置的================
    // 定时器
    var myTimeout;
    // 页面是否停留
    var stay = false;
    // 开始停留的时间
    var stayStartTime
    // 页面停留结束的时间
    var stayEndTime
    // position 首页有效的标签
    var positions = []
    // 页面滑动的位置
    var myScrollTop = 0;
    // 位置 首页有效标签以及位置
    var h = $("#section_container")[0].clientHeight - 100;

    // 首页的各种标签
    function getPosition() {
        var elements = $("#home_div").children("div");
        var trueEle = []
        elements.each(function(i, item) {        
            if(item.clientHeight != 0) {
                trueEle.push({ele: item, id: item.dataset.id, offsetTop: item.offsetTop, height: item.clientHeight});
            }
        })
        positions = trueEle;
        
        // time
        stayEndTime = new Date().getTime();
        
        
        myScrollTop = document.querySelector('#home').scrollTop;
        
    }
    




    // 每个页面中显示的模块数据
    var modData = {
        div: '',
        offsetTop: 0,
        height: 0,
        
        scrollTop: 0,
        displayArea: h,
        
        superposition: 0,


        stayStartTime: 0,
        stayEndTime: 0,
        stayTime: 0
    }
    function stopPosition() {
        if(stayEndTime - stayStartTime < 5000) {
            return;
        }

        positions.map(function(item) {
            if(item.offsetTop + item.height < myScrollTop || myScrollTop +  h < item.offsetTop) {
            } else {
                modData = {
                    div: item.id,
                    offsetTop: item.offsetTop,
                    height: item.height,
                    
                    scrollTop: myScrollTop,
                    displayArea: h,
                    
                    superposition: 0,


                    stayStartTime: stayStartTime,
                    stayEndTime: stayEndTime,
                    stayTime: stayEndTime - stayStartTime
                }

                // 标签范围超过显示范围
                if(myScrollTop >= item.offsetTop && myScrollTop + h <= item.offsetTop + item.height) {
                    modData.superposition = h;
                }
                // 标签被包含在显示范围
                if(myScrollTop < item.offsetTop && myScrollTop + h > item.offsetTop + item.height) {
                    modData.superposition = item.height;
                }
                // 标签下部分在显示范围
                if(myScrollTop >= item.offsetTop && myScrollTop + h >= item.offsetTop + item.height) {
                    modData.superposition = item.offsetTop + item.height - myScrollTop;
                }
                // 标签上部分在显示范围
                if(myScrollTop <= item.offsetTop && myScrollTop + h <= item.offsetTop + item.height) {
                    modData.superposition = myScrollTop + h - item.offsetTop;
                }
                if(modData.superposition>100) {
                    page.modules.push(modData);
                } 
            }
        })
    }


    // 是否在首页
    $("#home_article").on('articleshow', function() {
        _dataStatistics.indexArticle = 'home_article';
        // 开始，1.记录位置，开始停留时间
        stayStartTime = new Date().getTime();
        stay = true;
        page.endTime = new Date().getTime();
        page.stayTime = page.endTime - page.startTime;
        _dataStatistics.pages.push(JSON.parse(JSON.stringify(page)));
        J.Cache.save('dataStatistics', _dataStatistics);
        page.startTime = new Date().getTime();
        page.modules = [];
        page.indexArticle = 'home_article';
    }).on('articlehide', function() {
    });

    $("#classification_article").on('articleshow', function() {
        page.endTime = new Date().getTime();
        page.stayTime = page.endTime - page.startTime;
        _dataStatistics.pages.push(JSON.parse(JSON.stringify(page)));
        J.Cache.save('dataStatistics', _dataStatistics);

        _dataStatistics.indexArticle = 'classification_article';
        page.startTime = new Date().getTime();
        page.modules = [];
        page.indexArticle = 'classification_article';
    }).on('articlehide', function() {
    });

    // $("#myOftenBuyList_article").on('articleshow', function() {
    //     page.endTime = new Date().getTime();
    //     page.stayTime = page.endTime - page.startTime;
    //     _dataStatistics.pages.push(JSON.parse(JSON.stringify(page)));
    //     J.Cache.save('dataStatistics', _dataStatistics);

    //     _dataStatistics.indexArticle = 'myOftenBuyList_article';
    //     page.startTime = new Date().getTime();
    //     page.modules = [];
    //     page.indexArticle = 'myOftenBuyList_article';
    // }).on('articlehide', function() {
    // });
    $("#oftenBuyList_section").on('articleshow', function() {
        page.endTime = new Date().getTime();
        page.stayTime = page.endTime - page.startTime;
        _dataStatistics.pages.push(JSON.parse(JSON.stringify(page)));
        J.Cache.save('dataStatistics', _dataStatistics);

        _dataStatistics.indexArticle = 'oftenBuyList_section';
        page.startTime = new Date().getTime();
        page.modules = [];
        page.indexArticle = 'oftenBuyList_section';
    }).on('articlehide', function() {
    });

    $("#shoppingCart_article").on('articleshow', function() {
        page.endTime = new Date().getTime();
        page.stayTime = page.endTime - page.startTime;
        _dataStatistics.pages.push(JSON.parse(JSON.stringify(page)));
        J.Cache.save('dataStatistics', _dataStatistics);

        _dataStatistics.indexArticle = 'shoppingCart_article';
        page.startTime = new Date().getTime();
        page.modules = [];
        page.indexArticle = 'shoppingCart_article';
    }).on('articlehide', function() {
    });

    $("#me_article").on('articleshow', function() {
        page.endTime = new Date().getTime();
        page.stayTime = page.endTime - page.startTime;
        _dataStatistics.pages.push(JSON.parse(JSON.stringify(page)));
        J.Cache.save('dataStatistics', _dataStatistics);
        
        _dataStatistics.indexArticle = 'me_article';
        page.startTime = new Date().getTime();
        page.modules = [];
        page.indexArticle = 'me_article';
    }).on('articlehide', function() {
    });
    
    // 首页滑动
    document.querySelector('#home').onscroll = function() {
        clearTimeout(myTimeout);

        if(stay) {
            stay = false;
            // 获取当前页面的一些标签
            getPosition()
            // 开始移动了 2.记录停留时间
            stopPosition()
        }

        myTimeout = setTimeout(function() {
            // 停止移动了 1.记录位置，开始停留时间
            // getPosition()

            stay = true;
            stayStartTime = new Date().getTime();
        }, 100);
    }

    // 获取商品详情页的div以及位置
    function getProductDetailDiv() {
        clearTimeout(myTimeout);
        if(stay) {
            stay = false;
            var elements = $("#productDetail_article>div").children("div");
            var trueEle = []
            elements.each(function(i, item) {        
                if(item.clientHeight != 0) {
                    trueEle.push({ele: item, id: item.id, offsetTop: item.offsetTop, height: item.clientHeight});
                }
            })
            positions = trueEle;
            
            // time
            
            stayEndTime = new Date().getTime();
    
            myScrollTop = $('#productDetail_article').scrollTop();
    
            stopPosition()
        }

        myTimeout = setTimeout(function() {
            // 停止移动了 1.记录位置，开始停留时间
            // getPosition()
            stay = true;
            stayStartTime = new Date().getTime();
        }, 100);
    }



    // 活动页v2
    function getActivityPageDiv() {
        clearTimeout(myTimeout);
        if(stay) {
            stay = false;
            // 活动页activityPage
            var elements = $("#activityTwo_article>div").children("div");

            var trueEle = []
            elements.each(function(i, item) {        
                if(item.clientHeight != 0) {
                    trueEle.push({ele: item, id: item.id, offsetTop: item.offsetTop, height: item.clientHeight});
                }
            })
            positions = trueEle;
            
            // time
            
            stayEndTime = new Date().getTime();
            
            // myScrollTop = $('#productDetail_article').scrollTop();
            myScrollTop = $('#activityTwo_article').scrollTop();
            stopPosition()
        }

        myTimeout = setTimeout(function() {
            // 停止移动了 1.记录位置，开始停留时间
            // getPosition()
            stay = true;
            stayStartTime = new Date().getTime();
        }, 100);
    }

    // 活动页v3
    function getActivityV3PageDiv() {
        clearTimeout(myTimeout);
        if(stay) {
            stay = false;
            // 活动页activityPage
            var elements = $("#activityV3_article>div").children("div");

            var trueEle = []
            elements.each(function(i, item) {        
                if(item.clientHeight != 0) {
                    trueEle.push({ele: item, id: item.id, offsetTop: item.offsetTop, height: item.clientHeight});
                }
            })
            positions = trueEle;
            
            // time
            
            stayEndTime = new Date().getTime();
            
            // myScrollTop = $('#productDetail_article').scrollTop();
            myScrollTop = $('#activityV3_article').scrollTop();
            stopPosition()
        }

        myTimeout = setTimeout(function() {
            // 停止移动了 1.记录位置，开始停留时间
            // getPosition()
            stay = true;
            stayStartTime = new Date().getTime();
        }, 100);
    }

    // 新活动页
    function getNewActivePageDiv() {
        clearTimeout(myTimeout);
        if(stay) {
            stay = false;
            // 活动页activityPage
            var elements = $("#newActivePage_article>div").children("div");

            var trueEle = []
            elements.each(function(i, item) {        
                if(item.clientHeight != 0) {
                    trueEle.push({ele: item, id: item.dataset.id, offsetTop: item.offsetTop, height: item.clientHeight});
                }
            })
            positions = trueEle;
            
            // time
            
            stayEndTime = new Date().getTime();
            
            // myScrollTop = $('#productDetail_article').scrollTop();
            myScrollTop = $('#newActivePage_article').scrollTop();
            stopPosition()
        }

        myTimeout = setTimeout(function() {
            // 停止移动了 1.记录位置，开始停留时间
            // getPosition()
            stay = true;
            stayStartTime = new Date().getTime();
        }, 100);
    }





    // 商品的点击或者加购
    // type  14,15   14,点击查看  15：加购
    function getGoodEvent (id, type, source) {
        var good = {
            pageHash: page.hash,
            currencyId: page.currencyId,
            type: type,
            serviceEventId: id,
            indexArticle: '',
            sourceName: source.sName,
            seqNumber: source.sIndex,
            subsetsSeq: source.subsetsSeq || 0,
            time: new Date().getTime()
        }

        if (type == 15) {
            good.currencyId = page.currencyId;
            // good.sourceName = source.sName;
            // good.seqNumber = source.sIndex;
        }
        if(page.hash == "#index_section") {
            good.indexArticle = _dataStatistics.indexArticle
        }
        _dataStatistics.goods.push(good);
    }


    // 提交记录
    function pushDataStatistics_service (dataStatistics) {

        if(isWechatClient()) {
            // console.log('统计', J.Cache.get('openId'));
            dataStatistics.device = "wechat";
            if(J.Cache.get('openId')) {
                dataStatistics.openid = J.Cache.get('openId').data;
            }
        } else {
            if(isAndroidIosApp()) {
                // console.log('统计', device.uuid);
                if(isIOS()) {
                    dataStatistics.device = "IOS";
                }else{
                    dataStatistics.device = "Android";
                }
                dataStatistics.uuid = device.uuid;
            }else{
                dataStatistics.device = "rests";
                dataStatistics.openid = '';
                dataStatistics.uuid = '';
            }
        }
        
        
        
        // 压缩数据
        var dataStatistics = JSON.stringify(dataStatistics);
        var _par = pako.gzip(dataStatistics, { to: 'string' });
        var param = {
            dataStatistics: encodeURIComponent(_par)
        }
        console.log('par--dataStatistics', param)
        var url = serverUrl + 'ws/pageFollowingAction' + versionMessage.version + '!savePageFollowing.sy';
        $.post(url, param, function(data) {
            J.Cache.empty('dataStatistics');
            _dataStatistics.pages = [];
            _dataStatistics.goods = [];
        },function() {

        })
    }
    
// })()