var homePageData = false;
// 获取jssdk配置信息
function getJSSDKConfigParams_service() {
    var url = 'ws/wechatAction' + versionMessage.version + '!getJSSDKConfigParams.sy';
    var par = {
        // JSSDKUrl: window.location.href.split('#')[0]
    };
    if (J.Cache.get("originalUrl") && isIosWechat()){//进入平台有openId且是ios的微信
        par.JSSDKUrl = J.Cache.get("originalUrl").data.split('#')[0];
    }else{//进入平台没有openId
        par.JSSDKUrl = window.location.href.split('#')[0];
    }
    // par.JSSDKUrl = wechatUrl;
    console.log(par);
    service.get(url, par, function(data) {  
        // config配置
        wx.config({
            debug: false,
            appId: data.appId,
            timestamp: data.timestamp,
            nonceStr: data.nonceStr,
            signature: data.signature,
            jsApiList: [
                // 'onMenuShareTimeline',
                'onMenuShareAppMessage',
                'onMenuShareQQ',
                'onMenuShareWeibo',
                'onMenuShareQZone',
                'chooseImage',
                'previewImage',
                'uploadImage',
                'downloadImage',
                'getNetworkType',
                'openLocation',
                'getLocation',
                'scanQRCode',
            ],
            openTagList: ['wx-open-launch-weapp']
        });
        wx.error(function(res) {
            console.log('JSSDK--ERROR------');
            console.log(res);
        })
    });
}

// 获取片区  (不在使用中)
function getCommunityByGPS_service(address, successCallback) {
    var url = 'ws/userAction' + versionMessage.version + '!getCommunityByGPS.sy';
    var par = {
        address: address
    };
    service.get(url, par, function(data) {
        data =  isEmptyObject(data) ? { id: 1, name: '奥体',type:0 } : data;
        J.Cache.save('community', data);
        successCallback();
    });
}

// 获取主页信息
function getHome_service() {
    var par = {};
    var url = 'ws/homeAction' + versionMessage.version + '!getHome.sy';
    try{
        if(!J.Cache.get('community').data.id) {
            data = {id: 1, name: '奥体', type: 0};
            J.Cache.save('community', data);
            //切换地址、片区需要刷新“我的”页面用户的账户信息（例如优惠券<优惠券按片区加载>）
            $('#userInfo_div').attr('data-refresh','true');
        }
    }catch(e){
        data = {id: 1, name: '奥体', type: 0};
        J.Cache.save('community', data);
        //切换地址、片区需要刷新“我的”页面用户的账户信息（例如优惠券<优惠券按片区加载>）
        $('#userInfo_div').attr('data-refresh','true');
    }
    par.wtyCommunityId = J.Cache.get('community').data.id;
    if(J.Cache.get('login')) {
        par.phone = J.Cache.get('login').data.phone;
        par.password = J.Cache.get('login').data.password;
    }
    if (isWechatClient()) {
        par.openid = J.Cache.get('openId').data;
    }

    service.get(url, par, function (data) {
        $('#home_article').css('background','none');
        // 常购清单自定义
        if(data.shoppingInventory && data.shoppingInventory.shoppingInventoryName.length > 0){
            J.Cache.save('shoppingInventory',data.shoppingInventory);
            $('#customBtn p')[0].innerText = data.shoppingInventory.shoppingInventoryName;
            $('#customBtn').attr('onclick','clickAdvert_control(' + data.shoppingInventory.shoppingInventoryJumpType + ','+ data.shoppingInventory.shoppingInventoryJumpId + ')');
        }
        J.Cache.save("switchPagefollowing", data.switchPagefollowing);
        // 新人红包背景图片
        // if(data.newUserPopout !=null && data.newUserPopout !=''){
        //     data.newUserPopout = picNetworkPrefix(data.newUserPopout);
        //     $('#specialOffers_div>div').css('background',"url("+data.newUserPopout+") 0 center/100% no-repeat");
        // }else{
        //     $('#specialOffers_div>div').addClass('specialOffersBg');
        // }
        // $('#getSpecialOffers').on('click',function(){
        //     getSpecialOffers(data.NewUserJumpId,data.NewUserJumpType)
        // })
        //首次进入平台是否显示抽奖弹框
        // if(data.canPrize && J.Cache.get('login') && J.Cache.get('login').data != null && (homeRefresh || forTheFirstTimeIntoTheAPP)) $('#luckyDraw').addClass('active');
        //isShow新人红包开关 isReceive  0已领取
        // if(data.isNewGuy=='1' && data.isShow == '1' && data.isReceive == '1' && forTheFirstTimeIntoTheAPP) $('#specialOffers_div').addClass('active');

        //首页弹框
        if(!isEmptyObject(data.pop) && forTheFirstTimeIntoTheAPP){
            var bg_img = '',jumpType,jumpId;
            if(data.pop[3] != undefined){
                bg_img = picNetworkPrefix(data.pop[3].picUrl);
                jumpType = data.pop[3].jumpType;
                jumpId = data.pop[3].jumpId;
            }else{
                if(data.pop[1] != undefined && data.isNewGuy == '1'){
                    bg_img = picNetworkPrefix(data.pop[1].picUrl);
                    jumpType = data.pop[1].jumpType;
                    jumpId = data.pop[1].jumpId;
                }
                if(data.pop[2] != undefined && data.isNewGuy == '0'){
                    bg_img = picNetworkPrefix(data.pop[2].picUrl);
                    jumpType = data.pop[2].jumpType;
                    jumpId = data.pop[2].jumpId;
                }
            }
            if(bg_img != '' ){
                $('#specialOffers_div>div').css('background',"url("+bg_img+") 0 center/100% no-repeat");
                $('#getSpecialOffers').off().on('click',function(){
                    clickAdvert_control(jumpType,jumpId);
                })
                $('#specialOffers_div').addClass('active');
            }

        }
        forTheFirstTimeIntoTheAPP = false;
        // 首页模块
        data.homePageTemplateInfo.map(function (item) {
            if(item.crazyBuyInfo){
                if(item.crazyBuyInfo.tomorrowLeftTime > 0){
                    item.crazyBuyInfo.tomorrowLeftSeconds = secKillGoodsTime(item.crazyBuyInfo.tomorrowLeftTime);
                }
                if(item.crazyBuyInfo.todayCrazyBuyGoods && item.crazyBuyInfo.todayCrazyBuyGoods.length > 0){
                    item.crazyBuyInfo.todayCrazyBuyGoods.map(function (item2) {
                        item2.picture = picNetworkPrefix(item2.picture);
                        if(item2.serviceEventMarkPic){
							item2.serviceEventMarkPic = picNetworkPrefix(item2.serviceEventMarkPic);
                        }
                        if(item2.priceNotInUse && item2.priceNotInUse.indexOf('原价') > -1){
                            item2.priceNotInUse = item2.priceNotInUse.split('原价:')[1];
                        }
                    });
                }
                if(item.crazyBuyInfo.tomorrowCrazyBuyGoods && item.crazyBuyInfo.tomorrowCrazyBuyGoods.length > 0){
                    item.crazyBuyInfo.tomorrowCrazyBuyGoods.map(function (item2) {
                        item2.picture = picNetworkPrefix(item2.picture);
                        if(item2.serviceEventMarkPic){
							item2.serviceEventMarkPic = picNetworkPrefix(item2.serviceEventMarkPic);
                        }
                        if(item2.priceNotInUse && item2.priceNotInUse.indexOf('原价') > -1){
                            item2.priceNotInUse = item2.priceNotInUse.split('原价:')[1];
                        }
                    });
                }
            }
            if(item.homePage){
                item.homePage = item.homePage.splice(0,2);
                item.homePage.map(function (item2) {
                    if (item2.serviceMenu.picture && !isNullString(item2.serviceMenu.picture)) {
                        item2.serviceMenu.picture = picNetworkPrefix(item2.serviceMenu.picture);
                    }
                    if (!isNullString(item2.pic)) {
                        item2.pic = picNetworkPrefix(item2.pic);
                    }
                });
            }
            if(item.fixedPromotion && item.fixedPromotion.pic){
                item.fixedPromotion.pic.pic = picNetworkPrefix(item.fixedPromotion.pic.pic);
            }
            if(item.module) {
                item.module.mkArray.map(function(item2) {
                    try{
                        item2.picUrl = picNetworkPrefix(item2.picUrl);
                    }catch(e){
                        item2.pic = 'https://file.vipxiaoqu.com//thumb//lunbo//5.jpg'
                    }
                });
                if(item.module.showPic){
                    item.module.pic.pic = picNetworkPrefix(item.module.pic.pic);
                }
            }
            if(item.fiveGroup){
                item.fiveGroup.mkArray.map(function(item2) {
                    try{
                        item2.picUrl = picNetworkPrefix(item2.picUrl);
                    }catch(e){
                        item2.pic = 'https://file.vipxiaoqu.com//thumb//lunbo//5.jpg'
                    }
                });
            }
            if(item.floor) {
                if(item.floor.showPic){
                    item.floor.lb.map(function(item2) {
                        item2.pic = picNetworkPrefix(item2.pic);
                    });
                }
                item.floor.sp.map(function(item2) {
                    item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                });
            }
             // 门店特惠 左右主图带商品
            if(item.shopDiscount) {
                if(item.shopDiscount.lb){
                    item.shopDiscount.lb.pic = picNetworkPrefix(item.shopDiscount.lb.pic);
                }
                item.shopDiscount.sp.map(function(item2) {
                    item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                });
            }
            if(item.threeGroup) {
                if(item.threeGroup.lb){
                    item.threeGroup.lb.pic = picNetworkPrefix(item.threeGroup.lb.pic);
                }
                item.threeGroup.sp.map(function(item2) {
                    item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                });
            }
            if(item.ChooseThreeForNewUser) {
                if(item.ChooseThreeForNewUser.lb){
                    item.ChooseThreeForNewUser.lb.pic = picNetworkPrefix(item.ChooseThreeForNewUser.lb.pic);
                }
                item.ChooseThreeForNewUser.sp.map(function(item2) {
                    item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                });
            }
            if(item.sevenPiece) {
                if(item.sevenPiece.lb){
                    item.sevenPiece.lb.pic = picNetworkPrefix(item.sevenPiece.lb.pic);
                }
                item.sevenPiece.sp.map(function(item2) {
                    item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                });
            }
            if(item.scene) {
                data.scene = true;
                if(item.scene.showPic){
                    item.scene.pic.map(function(item2) {
                        item2.pic = picNetworkPrefix(item2.pic);
                    });
                }
            }
            if(item.fourActivity) {
                data.fourActivity = true;  
                if(item.fourActivity.showPic){
                    item.fourActivity.pic.map(function(item2) {
                        item2.pic = picNetworkPrefix(item2.pic);
                    });
                }
            }
            if(item.miniBanner) {
                if(item.miniBanner.showPic){
                    item.miniBanner.pic.pic = picNetworkPrefix(item.miniBanner.pic.pic);
                }
            }
            // 门店+图片、文字滚动
            if (item.fixedPic) {
                if (item.fixedPic.isPic) {
                    item.fixedPic.pic.map(function(item2) {
                        item2.pic = picNetworkPrefix(item2.pic);
                    })
                }
            }
            // 固定板块三个小图标
            if (item.fixed) {
                if (item.fixed.mkArray) {
                    item.fixed.mkArray = item.fixed.mkArray.slice(0,3);
                    item.fixed.mkArray.map(function(item2) {
                        item2.picUrl = picNetworkPrefix(item2.picUrl);
                    })
                }
            }
        });
        // 首页广告 place 3.顶部 4.底部
        data.advert = {
            topList: [],
            bottomList: []
        };
        if (data.headAdvert && data.headAdvert.length != 0) {
            data.headAdvert.map(function (item) {
                item.url = picNetworkPrefix(item.url);
                if (item.place == 3) data.advert.topList.push(item);
                if (item.place == 4) data.advert.bottomList.push(item);
            })
            if (data.advert.topList.length != 0) data.advert.topList[0].hasActive = true;
            if (data.advert.bottomList.length != 0) data.advert.bottomList[0].hasActive = true;
        }
//          if (data.recommendServiceEventList.length != 0) {
//              data.recommendServiceEventList.map(function (item) {
//                  if (!isNullString(item.serviceEvent.picture)) {
//                      item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
//                  }
//              })
//          }
        if(homePageData) {

        } else {
            homePageData = true;
            homeRefresh = true;
        }
        getHome_control(data);
    }, function (data) {
        J.showToast('获取首页失败');
    }, 90000);
//  热部署
    if(window.codePush) {
//  	codePush.sync();
    }
}
//获取首页推荐商品
function getHomeDynamically_service(param){
    var url = 'ws/homeAction' + versionMessage.version + '!getHomeDynamically.sy';
    var par = param;
    par.wtyCommunityId = J.Cache.get('community').data.id;
    if(J.Cache.get('login')) {
        par.phone = J.Cache.get('login').data.phone;
        par.password = J.Cache.get('login').data.password;
    }
    service.get(url,par,function(data){
        stop = true;
        if(data.homePageTemplateInfo && data.homePageTemplateInfo.length > 0){
            data.homePageTemplateInfo.map(function(item){
                if(item.crazyBuyInfo){
                    if(item.crazyBuyInfo.tomorrowLeftTime > 0){
                        item.crazyBuyInfo.tomorrowLeftSeconds = secKillGoodsTime(item.crazyBuyInfo.tomorrowLeftTime);
                    }
                    if(item.crazyBuyInfo.todayCrazyBuyGoods && item.crazyBuyInfo.todayCrazyBuyGoods.length > 0){
                        item.crazyBuyInfo.todayCrazyBuyGoods.map(function (item2) {
                            item2.picture = picNetworkPrefix(item2.picture);
                            if(item2.serviceEventMarkPic){
                                item2.serviceEventMarkPic = picNetworkPrefix(item2.serviceEventMarkPic);
                            }
                            if(item2.priceNotInUse && item2.priceNotInUse.indexOf('原价') > -1){
                                item2.priceNotInUse = item2.priceNotInUse.split('原价:')[1];
                            }
                        });
                    }
                    if(item.crazyBuyInfo.tomorrowCrazyBuyGoods && item.crazyBuyInfo.tomorrowCrazyBuyGoods.length > 0){
                        item.crazyBuyInfo.tomorrowCrazyBuyGoods.map(function (item2) {
                            item2.picture = picNetworkPrefix(item2.picture);
                            if(item2.serviceEventMarkPic){
                                item2.serviceEventMarkPic = picNetworkPrefix(item2.serviceEventMarkPic);
                            }
                            if(item2.priceNotInUse && item2.priceNotInUse.indexOf('原价') > -1){
                                item2.priceNotInUse = item2.priceNotInUse.split('原价:')[1];
                            }
                        });
                    }
                }
                if(item.homePage){
                    item.homePage = item.homePage.splice(0,2);
                    item.homePage.map(function (item2) {
                        if (item2.serviceMenu.picture && !isNullString(item2.serviceMenu.picture)) {
                            item2.serviceMenu.picture = picNetworkPrefix(item2.serviceMenu.picture);
                        }
                        if (!isNullString(item2.pic)) {
                            item2.pic = picNetworkPrefix(item2.pic);
                        }
                    });
                }
                if(item.fixedPromotion && item.fixedPromotion.pic){
                    item.fixedPromotion.pic.pic = picNetworkPrefix(item.fixedPromotion.pic.pic);
                }
                if(item.module) {
                    item.module.mkArray.map(function(item2) {
                        try{
                            item2.picUrl = picNetworkPrefix(item2.picUrl);
                        }catch(e){
                            item2.pic = 'https://file.vipxiaoqu.com//thumb//lunbo//5.jpg'
                        }
                    });
                    if(item.module.showPic){
                        item.module.pic.pic = picNetworkPrefix(item.module.pic.pic);
                    }
                }
                if(item.fiveGroup){
                    item.fiveGroup.mkArray.map(function(item2) {
                        try{
                            item2.picUrl = picNetworkPrefix(item2.picUrl);
                        }catch(e){
                            item2.pic = 'https://file.vipxiaoqu.com//thumb//lunbo//5.jpg'
                        }
                    });
                }
                if(item.floor) {
                    item.floor.startIndex = param.startIndex;
                    item.floor.lb.map(function(item2) {
                        item2.pic = picNetworkPrefix(item2.pic);
                    });
                    item.floor.sp.map(function(item2) {
                        item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                    });
                }
                // 门店特惠 左右主图带商品
                if(item.shopDiscount) {
                    if(item.shopDiscount.lb){
                        item.shopDiscount.lb.pic = picNetworkPrefix( item.shopDiscount.lb.pic);
                    }
                    item.shopDiscount.sp.map(function(item2) {
                        item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                    });
                }
                if(item.threeGroup) {
                    if(item.threeGroup.lb){
                        item.threeGroup.lb.pic = picNetworkPrefix( item.threeGroup.lb.pic);
                    }
                    item.threeGroup.sp.map(function(item2) {
                        item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                    });
                }
                if(item.ChooseThreeForNewUser) {
                    if(item.ChooseThreeForNewUser.lb){
                        item.ChooseThreeForNewUser.lb.pic = picNetworkPrefix(item.ChooseThreeForNewUser.lb.pic);
                    }
                    item.ChooseThreeForNewUser.sp.map(function(item2) {
                        item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                    });
                }
                if(item.sevenPiece) {
                    if(item.sevenPiece.lb){
                        item.sevenPiece.lb.pic = picNetworkPrefix( item.sevenPiece.lb.pic);
                    }
                    item.sevenPiece.sp.map(function(item2) {
                        item2.serviceEvent.picture = picNetworkPrefix(item2.serviceEvent.picture);
                    });
                }
                if(item.miniBanner) {
                    if(item.miniBanner.showPic){
                        item.miniBanner.pic.pic = picNetworkPrefix(item.miniBanner.pic.pic);
                    }
                }
                // 门店+图片、文字滚动
                if (item.fixedPic) {
                    if (item.fixedPic.isPic) {
                        item.fixedPic.pic.map(function(item2) {
                            item2.pic = picNetworkPrefix(item2.pic);
                        })
                    }
                }
                // 固定板块三个小图标
                if (item.fixed) {
                    if (item.fixed.mkArray) {
                        item.fixed.mkArray = item.fixed.mkArray.slice(0,3);
                        item.fixed.mkArray.map(function(item2) {
                            item2.picUrl = picNetworkPrefix(item2.picUrl);
                        })
                    }
                }
            });
            // $('#homeProducts_div').css('display','block');
            getHomeDynamically_control(data,param);
        }else{
            if(param.startIndex == 1){
                // $('#homeProducts_div').css('display','none');
            }else{
                getHomeDynamically_control(data,param);
            }
        }
    });
}
// 首页竖横幅下拉加载
function homeVerticalBanner_service(par, callback){
	var url = 'ws/homeAction' + versionMessage.version + '!tabPaging.sy';
    if(J.Cache.get('community')){
        par.wtyCommunityId = J.Cache.get('community').data.id;
    }else {
        par.wtyCommunityId = 1;
    }
	service.get(url, par, function(data) {
        if(data.list.length == 0){
            if(!$('#homeList' + par.tabIndex).find('.clear')[0]){
                $('#homeList' + par.tabIndex).append('<div class="clear"></div><p>~~啊呀呀，到底啦~~</p>');
            }
            return;
        };
		callback(data);
	}, function() {
		J.showToast('出错了');
	})
}
// 获取优惠券列表
function getCouponList_service(type){
    var url = 'ws/couponAction' + versionMessage.version + '!getCouponList.sy';
    var par = {
        communityId : J.Cache.get('community').data.id,
        type: type
    };
    service.get(url, par, function(data) {
        if(!isEmptyObject(data)){
            var count = 0;
            data.couponListName = data.couponListName.split(',');
            // data['couponListSuguo'] = [];
            // data['couponListWC'] = [];
            // data['couponActivitySuguo']=[];
            // data['couponActivityWC'] = [];
            for(var key in data){
                if(key == 'couponListSuguo' || key == 'couponListWC'){
                    var nowTime = new Date().getTime();
                    if(data[key]){
                        data[key].map(function(item){
                            item.list.map(function(item2){
                                //有效期前一天
                                var date = item2.showEndTime ? item2.showEndTime : '2099-12-31 23:59:59',
                                previousTime = 0,
                                defaultMark = 0,
                                startTime = item2.showStartTime.substring(0,10).replace(/-/g,'/'),
                                endTime = item2.showEndTime.substring(0,10).replace(/-/g,'/');
                                date = date.substring(0,19);    
                                date = date.replace(/-/g,'/');
                                previousTime= new Date(date).getTime() - 24*60*60*1000;
                                if(nowTime >= previousTime && endTime != startTime){//排除只有一天有效期的优惠券
                                    defaultMark = 1;//显示最后一天标签；
                                }
                                item2.defaultMark = defaultMark;
                                // item2.startTime = item2.showStartTime.split(' ')[0];
                                // item2.endTime = item2.showEndTime.split(' ')[0];
                                if(!isNullString(item2.picture)){
                                    item2.picture = picNetworkPrefix(item2.picture);
                                }
                                if(!isNullString(item2.titlePic)){
                                    item2.titlePic = picNetworkPrefix(item2.titlePic);
                                }
                                if(!isNullString(item2.cornerMarkPic)){
                                    item2.cornerMarkPic = picNetworkPrefix(item2.cornerMarkPic);
                                }
                            })
                
                        })
                    }
                }
                if(key == 'couponActivitySuguo' || key == 'couponActivityWC'){
                    if(data[key].length>0){
                        data[key].map(function(item){
                            item.pic = picNetworkPrefix(item.pic);
                        })
                    }
                }
                if(key != 'couponListName' && data[key].length == 0){
                    count += 1;
                }
            };

            var tabType = 0;
            if(type == 0){
                if(data['couponListName'].length>0){
                    J.Template.render("#couponList_toggle_div", "couponList_toggle_template", data['couponListName'], "replace");
                };
                J.Template.render("#couponList_div", "couponList_template", data, "replace");
                if(data['couponListSuguo'].length == 0 && data['couponActivitySuguo'].length == 0 ){
                    tabType = 1;
                    $('#couponList_toggle_div div:first-child').css('display','none');
                };
                if(data['couponListWC'].length == 0 && data['couponActivityWC'].length == 0 ){
                    $('#couponList_toggle_div div:last-child').css('display','none');
                };
                autoToggleCouponList($('#couponList_toggle_div div')[tabType],tabType,0);
                if(count == 4){
                    J.Template.render("#couponList_div", "couponList_template", [], "replace","没有相关的优惠券");
                }

            }else{
                if(data['couponListName'].length>0){
                    J.Template.render("#couponListMore_toggle_div", "couponListMore_toggle_template", data.couponListName, "replace");
                }
                J.Template.render("#couponListMore_div", "couponListMore_template", data, "replace");
                if(J.Cache.get('tabType') && J.Cache.get('tabType').data){
                    tabType = J.Cache.get('tabType').data;
                }
                if(data['couponListSuguo'].length == 0){
                    tabType = 1;
                    $('#couponListMore_toggle_div div:first-child').css('display','none');
                };
                if(data['couponListWC'].length == 0){
                    $('#couponListMore_toggle_div div:last-child').css('display','none');
                };
                if(count == 2){
                    J.Template.render("#couponListMore_div", "couponListMore_template", [], "replace","没有相关的优惠券");
                }
                autoToggleCouponList($('#couponListMore_toggle_div div')[tabType],tabType,1);
            }
        }
    },function(data) {
    	if(data.code == -1) {
            J.Router.goTo('#login_section');
            J.Cache.empty('login');
    		J.Cache.empty('loginForm');
            setTimeout(function(){
                $('#loginBack_button').attr('data-back',true);
            },300)
    	}
    });
}
function goCouponListMore (type) {
    J.Router.goTo('#couponListMore_section');
    J.Cache.save('tabType',type);
}
// 获取积分优惠券列表
function getCouponListNeedBuy_service() {
    var url = 'ws/couponAction' + versionMessage.version + '!getCouponListNeedBuy.sy';
    var par = {
        communityId : J.Cache.get('community').data.id
    };
    service.get(url, par, function(data) {
        var nowTime = new Date().getTime();
        if(!isEmptyObject(data)){
            for(var key in data){
                data[key].map(function(item){
                    item.list.map(function(item2){
                        //有效期前一天
                        var date = item2.showEndTime ? item2.showEndTime : '2099-12-31 23:59:59',
                        previousTime = 0,
                        defaultMark = 0,
                        startTime = item2.showStartTime.substring(0,10).replace(/-/g,'/'),
                        endTime = item2.showEndTime.substring(0,10).replace(/-/g,'/');
                        date = date.substring(0,19);    
                        date = date.replace(/-/g,'/');
                        previousTime= new Date(date).getTime() - 24*60*60*1000;
                        if(nowTime >= previousTime && endTime != startTime){//排除只有一天有效期的优惠券
                            defaultMark = 1;//显示最后一天标签；
                        }
                        item2.defaultMark = defaultMark;
                        // item2.startTime = item2.startTime.split(' ')[0];
                        // item2.endTime = item2.endTime.split(' ')[0];
                        if(!isNullString(item2.picture)){
                            item2.picture = picNetworkPrefix(item2.picture);
                        }
                        if(!isNullString(item2.titlePic)){
                            item2.titlePic = picNetworkPrefix(item2.titlePic);
                        }
                        if(!isNullString(item2.cornerMarkPic)){
                            item2.cornerMarkPic = picNetworkPrefix(item2.cornerMarkPic);
                        }
                    })
                })
            }
        }
        J.Template.render("#integralCouponList_div", "integralCouponList_template", data, "replace");
    },function(data) {
    	if(data.code == -1) {
            J.Router.goTo('#login_section');
            J.Cache.empty('login');
    		J.Cache.empty('loginForm');
            setTimeout(function(){
                $('#loginBack_button').attr('data-back',true);
            },300)
    	}
    });
}

// 跳转优惠券页面
function getCouponDetailPage(couponId, type, saleId, number) {
    if (number <= 0) {
        J.showToast('优惠券已售罄'); 
        return;
    }
    var couponPar = {
        couponId: couponId,
        type: type,
        saleId: saleId
    }
    J.Cache.save("couponPar", couponPar);
    J.Router.goTo("#couponDetail_section");
}
function getTimeRange(ele){
    var time = $(ele).data().time;
    var couponPar = J.Cache.get('couponPar').data;
    couponPar['timeRange'] = time;
    console.log(couponPar);
    J.Cache.save("couponPar", couponPar);
}
// 获取优惠券内容
function getCoupon_service(par, callback, errCallback) {
    var url = 'ws/couponAction' + versionMessage.version + '!getCouponDetail.sy';
    service.get(url, par, function(data) {
        callback(data)
    }, function(err) {
        errCallback(err);
    });
}

// 优惠详情
function getCouponDetail_control(data, type, saleId,par) {
    // type 0正常领取 2查看优惠券详情（没有领取按钮---已领取和我的优惠券
    var date = '',nowTime = new Date().getTime();
    if(data.availableTakeNum < 0 && !type) {
        history.go(-1);
        J.showToast('已超出该优惠券可领取数量');
        return;
    }
    if(data.cornerMarkPic){
        data.cornerMarkPic = picNetworkPrefix(data.cornerMarkPic);
    }
    if(data.relaServiceEvents && data.relaServiceEvents.length > 0){
        data.relaServiceEvents.map(function(item){
            item.picture = picNetworkPrefix(item.picture);
            if(item.discountRuleType == 0 || item.discountRuleType == 5){//直降
                if(item.priceNotInUseValue && item.priceNotInUseValue != null) {
                    item.discountLabelPrice = (item.priceNotInUseValue - item.price4Show).toFixed(2);
                }
            }else if(item.discountRuleType == 3){//折扣
                item.discountPercent = item.discountPercent.toFixed(1);
            }if(item.discountRuleType == 8){//满减
            }
            if(item.serviceEventMarkPic){
                item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
            }
        })
    }
    // 支付方式
    J.Cache.save("payType", data.payType);
    // data.startTime = data.startTime.split(' ')[0];
    // data.endTime = data.endTime.split(' ')[0];
    data.showType = type;
    data.saleId = saleId;
    data.description = data.description.replace(new RegExp("\\?","gm"),"<br/>").replace(new RegExp("\\？","gm"),"<br/>");
    //有效期前一天
    date = data.endTime ? data.endTime : '2099-12-31 23:59:59',
    previousTime = 0,
    defaultMark = 0,
    startTime = data.startTime.substring(0,10).replace(/-/g,'/'),
    endTime = data.endTime.substring(0,10).replace(/-/g,'/');
    date = date.substring(0,19);    
    date = date.replace(/-/g,'/');
    previousTime= new Date(date).getTime() - 24*60*60*1000;
    if(nowTime >= previousTime && endTime != startTime){//排除只有一天有效期的优惠券
        defaultMark = 1;//显示最后一天标签；
    }
    data.defaultMark = defaultMark;
    J.hideMask();
    $('.information').removeClass('active');
    setTimeout(function() {
        $('#couponDetail_article').scrollTop(0);
        $('#couponDetail_article .refresh-container').remove();
        J.Template.render(".coup","couponDetail_template", data, "replace");
        if(data.couponNType != 1){
            $('#couponDetail_article').unbind();
            J.Template.render("#couponProducts ul","couponProducts_template", data.relaServiceEvents, "replace");
        }else{
            par.pageIndex = 1;
            par.pageSize = 15;
            getBrandRecommendProduct_control(par,data.relaServiceEvents)
        }
        J.Template.render(".information p","couponDetailDesc_template", data.description, "replace");
    }, 200);
}
// 品类券推荐商品
function getBrandRecommendProduct_control(par,starData){
    var tplWay = par.pageIndex > 1 ? 'add' : 'replace' ;
    if (par.pageIndex == 1) {
        J.Template.render("#couponProducts ul","couponProducts_template", starData, tplWay);
        if(starData.length >= 15){
            $('#couponDetail_article').unbind().scroll(function() {
                $('#couponDetail_article').unbind();
                par.pageIndex += 1;
                getBrandRecommendProduct_control(par);
            });
        }else{
            $('#couponDetail_article').unbind();
            $('#couponProducts ul').after('<div class="refresh-container finish"><span class="refresh-label">已加载完成</span></div>');
        }
        return;
    }
    getCoupon_service(par,function(data){
        var data = data.relaServiceEvents;
        if(data.length > 0){
            data.map(function(item){
                item.picture = picNetworkPrefix(item.picture);
                if(item.discountRuleType == 0 || item.discountRuleType == 5){//直降
                    if(item.priceNotInUseValue && item.priceNotInUseValue != null) {
                        item.discountLabelPrice = (item.priceNotInUseValue - item.price4Show).toFixed(2);
                    }
                }else if(item.discountRuleType == 3){//折扣
                    item.discountPercent = item.discountPercent.toFixed(1);
                }if(item.discountRuleType == 8){//满减
                }
                if(item.serviceEventMarkPic){
                    item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
                }
            })
            J.Template.render("#couponProducts ul","couponProducts_template", data, tplWay); 
            if (data.length >= 15) {
                $('#couponDetail_article').unbind().scroll(function() {
                    $('#couponDetail_article').unbind();
                    par.pageIndex += 1;
                    getBrandRecommendProduct_control(par);
                });
            }else{
                $('#couponDetail_article').unbind()
                $('#couponProducts ul').after('<div class="refresh-container finish"><span class="refresh-label">已加载完成</span></div>');
            }
        }else{
            $('#couponDetail_article').unbind()
            $('#couponProducts ul').after('<div class="refresh-container finish"><span class="refresh-label">已加载完成</span></div>');
        }
    })


};
// 获取优惠券详情
function getCouponDetail_service(couponId, type,saleId) {
    J.Router.goTo("#couponDetail_section");
    var url = 'ws/couponAction' + versionMessage.version + '!getCouponDetail.sy';
    var par = {
        communityId:J.Cache.get('community').data.id,
        couponId: couponId
    };
    service.get(url, par, function(data) {
        // type 0正常领取 2查看优惠券详情（没有领取按钮---已领取和我的优惠券）
    	if(data.availableTakeNum < 0 && !type) {
    		J.showToast('已超出该优惠券可领取数量');
    		return;
        }
        if(data.cornerMarkPic){
            data.cornerMarkPic = picNetworkPrefix(data.cornerMarkPic);
        }
        if(data.relaServiceEvents && data.relaServiceEvents.length > 0){
            data.relaServiceEvents.map(function(item){
                item.picture = picNetworkPrefix(item.picture);
                if(item.discountRuleType == 0 || item.discountRuleType == 5){//直降
                    if(item.priceNotInUseValue && item.priceNotInUseValue != null) {
                        item.discountLabelPrice = (item.priceNotInUseValue - item.price4Show).toFixed(2);
                    }
                }else if(item.discountRuleType == 3){//折扣
                    item.discountPercent = item.discountPercent.toFixed(1);
                }else if(item.discountRuleType == 8){//满减
                }
                if(item.serviceEventMarkPic){
                    item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
                }
            })
        }
        // 支付方式
        J.Cache.save("payType", data.payType);
        // data.startTime = data.showStartTime.split(' ')[0];
        // data.endTime = data.showEndTime.split(' ')[0];
        data.showType = type;
        data.saleId = saleId;
        data.description = data.description.replace(new RegExp("\\?","gm"),"<br/>").replace(new RegExp("\\？","gm"),"<br/>");
        J.hideMask();
        $('.information').removeClass('active');
        setTimeout(function() {
        	J.Template.render(".coup","couponDetail_template", data, "replace");
        	J.Template.render(".information p","couponDetailDesc_template", data.description, "replace");
        }, 200);
    }, function(err) {
        if(err.code == -1) {
            quickLogin();
        }
    });
}

// 领取优惠券
function receiveCoupon_service(id,saleId,ele) {
    var url = 'ws/othersAction' + versionMessage.version + '!receiveCoupon.sy'
    var par = {
        couponId: id,
        saleId:saleId
    };
     if(!J.Cache.get('login')){
        quickLogin();
        // J.showToast('还没有登录哦');
        return;
    }
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级 4：黑名单C级 5：黑名单D级 6：黑名单E级
    var level = J.Cache.get('login').data.level;
    if(level == 2 || level == 3 || level == 6){
        J.showToast('暂时无法领取');
        return;
    }
    if(par.saleId == 'activityV3_section'){
        par.saleId = 0;
        service.get(url, par, function(data) {
            J.showToast("领取成功");
            $(ele).find('.coupon1').css('display','inline-block');
            $('#userInfo_div').attr('data-refresh',true);//领取优惠券之后更新我的页面的优惠券数量
        });
    }else{
        service.get(url, par, function(data) {
            // 判断是否是通过分享领取优惠券的，是则请求获取积分
            var specialStr = '';
            var couponId = '';
            if (J.Cache.get('couponPar')) {
                specialStr = J.Cache.get('couponPar').data.specialStr;
                couponId = J.Cache.get('couponPar').data.couponId;
            }
            if (specialStr && par.couponId == couponId) {
                beShareBenefit_service(1, specialStr);
            }
            J.showToast("领取成功");
            $('#userInfo_div').attr('data-refresh',true);//领取优惠券之后更新我的页面的优惠券数量
            var num = $(ele).parents('div.numCount').data('num');
            num -= 1;
            $(ele).parents('div.numCount')[0].dataset.num = num;
            if(num > 0){
                $(ele).parents('div.numCount').find('.takeNum').text('可领' + num + '张')
            }else{
                $(ele).addClass('none');
                $(ele).parents('div.numCount').find('.coupon_toUse').removeClass('none');
                $(ele).parents('div.numCount').find('.takeNum').text('已领取')
            }
        });
    }
}

// 领取优惠券之后获取积分
function beShareBenefit_service (type, specialStr) {
    var par = {
        shareType: type,
        specialStr: specialStr
    }
    var url = 'ws/shareRuleAction' + versionMessage.version + '!beShareBenefit.sy';
    service.get(url, par, function(data) {

    })
}

// 新用户领取优惠券
function newUserReceiveCoupon_service(id) {
    var url = 'ws/userAction' + versionMessage.version + '!receiveCoupon.sy'
    var par = {
        couponId: id
    };
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级 4：黑名单C级 5：黑名单D级 6：黑名单E级
    var level = J.Cache.get('login').data.level;
    if(level == 2 || level == 3 || level == 6){
        J.showToast('暂时无法领取');
        return;
    }
    service.get(url, par, function(data) {
        J.showToast("领取成功");
        $('#userInfo_div').attr('data-refresh',true);//领取优惠券之后更新我的页面的优惠券数量
    });
}
// 购买优惠券
function buyCoupon_service(mock){
    var url = 'ws/orderAction' + versionMessage.version + '!buyCoupon.sy';
    var par = mock;
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级 4：黑名单C级 5：黑名单D级 6：黑名单E级
    var level = J.Cache.get('login').data.level;
    if(level == 2 || level == 3 || level == 6){
        J.showToast('暂时无法购买');
        return;
    }
    service.get(url,par,function(data){
        $('#userInfo_div').attr('data-refresh',true);//我的页面更新积分余额
        J.Cache.empty('payCouponId');
        if (mock.payMethod != 0 && mock.payMethod != 3 && pay.mock.blance.thirdPatMethod != 0) {
            if (mock.payMethod == 7) {
                console.log('7是招商银行支付；', data);
                var payPar = {
                    tradeNo: data.tradeNo,
                    amount: pay.mock.blance.thirdPatMethod
                }
                gatPayParams_service(payPar, function(data) {
                    console.log(data);
                    J.Cache.save('payCMB', data);
                    J.Router.goTo('#unionpayPay_section');
                }, function() {

                });
                return;
            }
            if (mock.payMethod == 8) {
                var payPar = {
                    payMethod: 8,
                    money: pay.mock.blance.thirdPatMethod,
                    key: 'chuwa',
                    body: 'wty',
                    tradeNo: data.tradeNo,
                    alreadyPayStr: data.alreadyPayStr,
                }
                console.log('8是微信小程序支付', payPar);

                var payParStr = JSON.stringify(payPar);
                var url= '../wxOtherPay/wxOtherPay?payParStr=' + payParStr;

                wx.miniProgram.navigateTo({
                    url: url
                });

                return;
            }
            
             // 9是聚合微信支付；
             if (mock.payMethod == 9) {
                var payPar = {
                    payMethod: 9,
                    tradeNo: data.tradeNo,
                    amount: pay.mock.blance.thirdPatMethod
                }
                if (isWechatClient()) {
                    payPar.openId = J.Cache.get('openId').data
                }
                getAggregatePayParams_service(payPar, function(e) {
                    console.log(e);
                    var payPar = e;
                    wx.config({
                        debug: false,
                        appId: payPar.appId,
                        timestamp: payPar.timeStamp,
                        nonceStr: payPar.nonceStr,
                        signature: payPar.signature,
                        jsApiList: [
                            'chooseWXPay'
                        ]
                    });

                    wx.chooseWXPay({
                        timestamp: payPar.timeStamp+"",
                        nonceStr: payPar.nonceStr,
                        // package: 'prepay_id=' + payPar.packages,
                        package:  payPar.package,
                        signType: payPar.signType,
                        paySign: payPar.paySign,
                        success: function(res) {
                            if(successCall){

                                // 分享的优惠券购买成功后获取奖励
                                console.log('优惠券支付完成，即将获取奖励')
                                var specialStr = J.Cache.get('couponPar').data.specialStr;
                                var couponId = J.Cache.get('couponPar').data.couponId;
                                if (specialStr && par.couponId == couponId) {
                                    beShareBenefit_service(1, specialStr);
                                }

                                J.showToast('支付成功');
                                history.go(-1);
                                setTimeout(function() {
                                    history.go(-1);
                                },100)
                                return;
                            }else{
                                WeixinJSBridge.invoke('closeWindow', {}, function(res) {
                                    alert(res.err_msg);
                                });
                            }
                        },
                        cancel: function(res) {
                            console.log('支付失败');
                            return;
                        },                 
                        fail:function(res) {
                            console.log('支付失败');
                            return;
                        }
                    });

                }, function() {
                    console.log('获取聚合微信支付参数失败');
                });
                return;
            }

            // 10是聚合支付宝；
            if (mock.payMethod == 10) {
                console.log('10是聚合支付宝；', result);
                var payPar = {
                    payMethod: 10,
                    tradeNo: data.tradeNo,
                    amount: pay.mock.blance.thirdPatMethod
                }
                getAggregatePayParams_service(payPar, function(payInfo) {
                    console.log('聚合支付的参数，准备支付', payInfo);
                    if(isWechatClient()) {
                        return;
                    }
                    if(isIOS()) {
                        console.log('聚合支付绑定resume回调', data)
                        $(document).bind("resume", function() {
                            $(document).unbind("resume");
                            // 判断是否支付成功
                            getAlipayState(data, function(isPay) {
                                if(isPay) {
                                    // 支付成功
                                    // 分享的优惠券购买成功后获取奖励
                                    console.log('优惠券支付完成，即将获取奖励')
                                    var specialStr = J.Cache.get('couponPar').data.specialStr;
                                    var couponId = J.Cache.get('couponPar').data.couponId;
                                    if (specialStr && par.couponId == couponId) {
                                        beShareBenefit_service(1, specialStr);
                                    }

                                    J.showToast('支付成功');
                                    history.go(-1);
                                    setTimeout(function() {
                                        history.go(-1);
                                    },100)
                                } else {
                                    // 支付失败
                                    console.log('支付失败');
                                    return;
                                }
                            }, function() {})
                        })
                    }

                    cordova.plugins.alipay.payment(payInfo,function success(e){
                         // 分享的优惠券购买成功后获取奖励
                        console.log('优惠券支付完成，即将获取奖励')
                        var specialStr = J.Cache.get('couponPar').data.specialStr;
                        var couponId = J.Cache.get('couponPar').data.couponId;
                        if (specialStr && par.couponId == couponId) {
                            beShareBenefit_service(1, specialStr);
                        }

                        J.showToast('支付成功');
                        history.go(-1);
                        setTimeout(function() {
                            history.go(-1);
                        },100)
                        return;
                    },function error(e){
                        console.log('支付失败');
                        return;
                    });                            
                    return;
                }, function() {
                    console.log('获取聚合支付参数失败');
                });
                return;
            }


            Mobile.pay(pay.method[mock.payMethod], pay.mock.blance.thirdPatMethod, data, function() {
                // 分享的优惠券购买成功后获取奖励
                console.log('优惠券支付完成，即将获取奖励')
                var specialStr = J.Cache.get('couponPar').data.specialStr;
                var couponId = J.Cache.get('couponPar').data.couponId;
                if (specialStr && par.couponId == couponId) {
                    beShareBenefit_service(1, specialStr);
                }

                J.showToast('支付成功');
                history.go(-1);
                setTimeout(function() {
                    history.go(-1);
                },100)
            }, function() {
                console.log('支付失败');
            });
            if(isWechatClient()) {
                return;
            }
            if(isIOS()) {
                console.log('支付宝绑定resume回调', data)
                $(document).bind("resume", function() {
                    $(document).unbind("resume");
                    // 判断是否支付成功
                    getAlipayState(data, function(isPay) {
                        if(isPay) {
                            // 支付成功
                            // 分享的优惠券购买成功后获取奖励
                            console.log('优惠券支付完成，即将获取奖励')
                            var specialStr = J.Cache.get('couponPar').data.specialStr;
                            var couponId = J.Cache.get('couponPar').data.couponId;
                            if (specialStr && par.couponId == couponId) {
                                beShareBenefit_service(1, specialStr);
                            }
                            J.showToast('支付成功');
                            history.go(-1);
                            setTimeout(function() {
                                history.go(-1);
                            },100)
                        } else {
                            // 支付失败
                            console.log('支付失败');
                            return;
                        }
                    }, function() {})
                })
            }
        } else {
            console.log('优惠券支付完成，即将获取奖励')
            // 分享的优惠券购买成功后获取奖励
            var specialStr = J.Cache.get('couponPar').data.specialStr;
            var couponId = J.Cache.get('couponPar').data.couponId;
            if (specialStr && par.couponId == couponId) {
                beShareBenefit_service(1, specialStr);
            }

            J.showToast('支付成功');
            history.go(-1);
            setTimeout(function() {
            	history.go(-1);
            },100)
        }
    });
}

// 购买vip
function buyVIP_service(mock, callback, errCallback){

    var url = 'ws/vipCenterAction' + versionMessage.version + '!buyVip.sy';
    var par = mock;
    service.get(url,par,function(data){
        $('#userInfo_div').attr('data-refresh',true);//我的页面更新积分余额
        if (mock.payMethod != 0 && mock.payMethod != 3 && pay.mock.blance.thirdPatMethod != 0) {
            if (mock.payMethod == 7) {
                console.log('7是招商银行支付；', data);
                var payPar = {
                    tradeNo: data.tradeNo,
                    amount: pay.mock.blance.thirdPatMethod
                }
                gatPayParams_service(payPar, function(data) {
                    console.log(data);
                    J.Cache.save('payCMB', data);
                    J.Router.goTo('#unionpayPay_section');
                }, function() {

                });
                return;
            }
            // 跳转小程序的支付
            if (mock.payMethod == 8) {
                var payPar = {
                    payMethod: 8,
                    money: pay.mock.blance.thirdPatMethod,
                    key: 'chuwa',
                    body: 'wty',
                    tradeNo: data.tradeNo,
                    alreadyPayStr: data.alreadyPayStr,
                }
                console.log('8是微信小程序支付', payPar);

                var payParStr = JSON.stringify(payPar);
                var url= '../wxOtherPay/wxOtherPay?payParStr=' + payParStr;

                wx.miniProgram.navigateTo({
                    url: url
                });

                return;
            }
            var tradeNo = data.tradeNo;

            // 9是聚合微信支付；
            if (mock.payMethod == 9) {
                var payPar = {
                    payMethod: 9,
                    tradeNo: data.tradeNo,
                    amount: pay.mock.blance.thirdPatMethod
                }
                if (isWechatClient()) {
                    payPar.openId = J.Cache.get('openId').data
                }
                getAggregatePayParams_service(payPar, function(e) {
                    console.log(e);
                    var payPar = e;
                    wx.config({
                        debug: false,
                        appId: payPar.appId,
                        timestamp: payPar.timeStamp,
                        nonceStr: payPar.nonceStr,
                        signature: payPar.signature,
                        jsApiList: [
                            'chooseWXPay'
                        ]
                    });

                    wx.chooseWXPay({
                        timestamp: payPar.timeStamp+"",
                        nonceStr: payPar.nonceStr,
                        // package: 'prepay_id=' + payPar.packages,
                        package:  payPar.package,
                        signType: payPar.signType,
                        paySign: payPar.paySign,
                        success: function(res) {
                            if(successCall){

                                // 分享的优惠券购买成功后获取奖励
                                console.log('优惠券支付完成，即将获取奖励')
                                if(J.Cache.get('couponPar')){
                                    var specialStr = J.Cache.get('couponPar').data.specialStr;
                                    var couponId = J.Cache.get('couponPar').data.couponId;
                                    if (specialStr && par.couponId == couponId) {
                                        beShareBenefit_service(1, specialStr);
                                    }
                                }

                                J.showToast('支付成功');
                                history.go(-1);
                                setTimeout(function() {
                                    history.go(-1);
                                },100)
                                return;


                            }else{
                                WeixinJSBridge.invoke('closeWindow', {}, function(res) {
                                    alert(res.err_msg);
                                });
                            }
                        },
                        cancel: function(res) {
                            console.log("微信支付错误", res);
                            console.log('支付失败');
                            // 购买vip取消支付后的方法
                            refundCoupons_service(tradeNo);
                            return;
                        },                 
                        fail:function(res) {
                            console.log('支付失败');
                            // 购买vip取消支付后的方法
                            refundCoupons_service(tradeNo);
                            return;
                        }
                    });

                }, function() {
                    console.log('获取聚合微信支付参数失败');
                });
                return;
            }

            // 10是聚合支付宝；
            if (mock.payMethod == 10) {
                console.log('10是聚合支付宝；');
                var payPar = {
                    payMethod: 10,
                    tradeNo: data.tradeNo,
                    amount: pay.mock.blance.thirdPatMethod
                }
                getAggregatePayParams_service(payPar, function(payInfo) {
                    console.log('聚合支付的参数，准备支付', payInfo);
                    if(isWechatClient()) {
                        return;
                    }
                    if(isIOS()) {
                        console.log('聚合支付绑定resume回调', data)
                        $(document).bind("resume", function() {
                            $(document).unbind("resume");
                            // 判断是否支付成功
                            getAlipayState(data, function(isPay) {
                                if(isPay) {
                                    // 支付成功
                                    // 分享的优惠券购买成功后获取奖励
                                    console.log('优惠券支付完成，即将获取奖励')
                                    var specialStr = J.Cache.get('couponPar').data.specialStr;
                                    var couponId = J.Cache.get('couponPar').data.couponId;
                                    if (specialStr && par.couponId == couponId) {
                                        beShareBenefit_service(1, specialStr);
                                    }
                                    J.showToast('支付成功');
                                    history.go(-1);
                                    setTimeout(function() {
                                        history.go(-1);
                                    },100)
                                } else {
                                    // 支付失败
                                    console.log('支付失败');
                                    return;
                                }
                            }, function() {})
                        })
                    }

                    cordova.plugins.alipay.payment(payInfo,function success(e){
                        // 分享的优惠券购买成功后获取奖励
                        console.log('优惠券支付完成，即将获取奖励')
                        if(J.Cache.get('couponPar')){
                            var specialStr = J.Cache.get('couponPar').data.specialStr;
                            var couponId = J.Cache.get('couponPar').data.couponId;
                            if (specialStr && par.couponId == couponId) {
                                beShareBenefit_service(1, specialStr);
                            }
                        }

                        J.showToast('支付成功');
                        history.go(-1);
                        setTimeout(function() {
                            history.go(-1);
                        },100)
                        return;
                    },function error(e){
                        console.log('支付失败');
                        // 购买vip取消支付后的方法
                        refundCoupons_service(tradeNo);
                        return;
                    });                            
                    return;
                }, function() {
                    console.log('获取聚合支付参数失败');
                });
                return;
            }

            Mobile.pay(pay.method[mock.payMethod], pay.mock.blance.thirdPatMethod, data, function() {
                // 分享的优惠券购买成功后获取奖励
                console.log('优惠券支付完成，即将获取奖励')
                if(J.Cache.get('couponPar')){
                    var specialStr = J.Cache.get('couponPar').data.specialStr;
                    var couponId = J.Cache.get('couponPar').data.couponId;
                    if (specialStr && par.couponId == couponId) {
                        beShareBenefit_service(1, specialStr);
                    }
                }

                J.showToast('支付成功');
                history.go(-1);
                setTimeout(function() {
                    history.go(-1);
                },100)
            }, function() {
                console.log('支付失败');
                // 购买vip取消支付后的方法
                refundCoupons_service(tradeNo);

            });
            if(isWechatClient()) {
                return;
            }
            if(isIOS()) {
                console.log('支付宝绑定resume回调', data)
                $(document).bind("resume", function() {
                    $(document).unbind("resume");
                    // 判断是否支付成功
                    getAlipayState(data, function(isPay) {
                        if(isPay) {
                            // 支付成功
                            // 分享的优惠券购买成功后获取奖励
                            console.log('优惠券支付完成，即将获取奖励')
                            var specialStr = J.Cache.get('couponPar').data.specialStr;
                            var couponId = J.Cache.get('couponPar').data.couponId;
                            if (specialStr && par.couponId == couponId) {
                                beShareBenefit_service(1, specialStr);
                            }
                            J.showToast('支付成功');
                            history.go(-1);
                            setTimeout(function() {
                                history.go(-1);
                            },100)
                        } else {
                            // 支付失败
                            console.log('支付失败');
                            return;
                        }
                    }, function() {})
                })
            }
        } else {
            console.log('优惠券支付完成，即将获取奖励')
            // 分享的优惠券购买成功后获取奖励
            if(J.Cache.get('couponPar')){
                var specialStr = J.Cache.get('couponPar').data.specialStr;
                var couponId = J.Cache.get('couponPar').data.couponId;
                if (specialStr && par.couponId == couponId) {
                    beShareBenefit_service(1, specialStr);
                }
            }

            J.showToast('支付成功');
            history.go(-1);
            setTimeout(function() {
            	history.go(-1);
            },100)
        }
    });
}

// 购买vip取消支付后的方法
function refundCoupons_service(tradeNo) {
    var par = {
        tradeNo: tradeNo
    }
    var url = 'ws/orderAction' + versionMessage.version + '!orderCancled.sy';
    service.get(url, par, function(data) {
        console.log('调用成功', data)
    }, function(err) {
        console.log('调用失败', err)
    });
}

// 新增苏果充值订单
function addSuguoOrder_service(par) {
    J.showMask();
    var url = 'ws/suguoAction' + versionMessage.version + '!addSuguoOrder.sy';
    service.get(url,par,function(data){
        J.hideMask();
        J.showToast('您的充值订单已提交，我们会尽快安排业务员上门取卡，请您保持手机畅通');
        // $(".suguoCardList input").val('');
        var htmlStr = '<div class="text-white">' +
                    '<div>' +
                        '<label>苏果卡号</label>' +
                        '<input type="text" onchange="importSuguoCardNum(this)" name="suguoCardCode"  placeholder="请输入您的卡号" minlength="19" maxlength="25"></input>' +
                    '</div>' +
                    '<div>' +
                        '<label>充值金额</label>' +
                        '<input type="text" onchange="importSuguoCardSum(this)" onblur="totalSuguoCard(this)" placeholder="输入充值金额" name="money"></input>' +
                    '</div>' +
                '</div>'
        $("#rechargeOfSuguo_article .suguoCardList").html(htmlStr);
        $('#rechargeOfSuguo_article .suguoTotalMoney').text(0);
    });
}

// 获取版本信息
function getVersionMessage_service() {
	var url = 'ws/userAction' + versionMessage.version + '!checkVersionUpdate.sy'
	if(isWechatClient()) {
		versionMessage.device = 0;
	}
	if(isAndroidIosApp()) {
		if(isIOS()) {
			versionMessage.device = 2;
		}else{
			versionMessage.device = 1;
		}
	}else{
		versionMessage.device = 3;
	}
	service.get(url,versionMessage,function(data){
        localStorage.isGetVersion = false;
   });
}

// 获取首页活动页面
function getHomePageActivity(param) {
	if(!param.activityId) {
		return;
	}else {
	    if(window.location.href != '#getHomePageActivity_section'){
            J.Router.goTo('#getHomePageActivity_section');
        }
    }
	var par = {
		activityId: param.activityId,
		communityId: J.Cache.get('community').data.id,
        pageSize : 10
	};
	if(param.startIndex){
	    par.startIndex = param.startIndex;
    }else{
	    par.startIndex = 1;
    }
    J.showMask();
	var url = 'ws/activityAction' + versionMessage.version + '!getHomePageActivityInfo.sy';
	service.get(url, par, function(data) {
        $("#currencyId").data().currency = param.activityId;
        if(data.baseInfo && data.baseInfo != null && data.baseInfo != {}){
            data.baseInfo.headPicUrl = picNetworkPrefix(data.baseInfo.headPicUrl);
        }
        if(data.groups && data.groups != null && data.groups != {}){
            for(var i in data.groups) {
                data.groups[i].map(function(item) {
                    item.url = picNetworkPrefix(item.url);
                });
            }
        }
		data.rp.map(function(item) {
            item.picture = picNetworkPrefix(item.picture);
            if(item.serviceEventMarkPic){
                item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
            }
		});
        getHomePageActivity_control(par,data);
	});
}
//活动页V2
function activityPage_service(activityId){
    J.Router.goTo('#activityPage_section');
    var url = 'ws/activityNewAction' + versionMessage.version + '!getActivity.sy';
    var par = {
        wtyCommunityId:J.Cache.get('community').data.id,
        homePageActivityId : activityId
    };
    service.get(url,par,function (data){
        $("#currencyId").data().currency = activityId;
        var mock = {
            advert: [],
            teJia: [],
            listTits: []
        };
        if(data != null && data != ''){
            if (data.activityAdvert && data.activityAdvert.carousePic.length != 0) {
                data.activityAdvert.carousePic.map(function (item) {
                    if(!isNullString(item.pic)){
                        item.pic = picNetworkPrefix(item.pic);
                    }
                    mock.advert.push(item);
                })
            }
            if(data.isCountDown == 1){
                mock.countDownTime = secKill(data.countDownTime);
                mock.countDownTime.isCountDown = 1;
            }
            if (data.bargainGoods && data.bargainGoods.good.length != 0) {
                data.bargainGoods.good.map(function (item) {
                    if(!isNullString(item.serviceEvent.picture)){
                        item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
                    }
                    if (item.serviceEvent.discountRuleType == 0 || item.serviceEvent.discountRuleType == 5) {//直降
                        if(item.serviceEvent.priceNotInUseValue && item.serviceEvent.priceNotInUseValue != null) {
                            item.serviceEvent.discountLabelPrice = (item.serviceEvent.priceNotInUseValue - item.serviceEvent.price4Show).toFixed(2);
                        }
                    } else if (item.serviceEvent.discountRuleType == 3) {//折扣
                        item.serviceEvent.discountPercent = item.serviceEvent.discountPercent.toFixed(1);
                    }else if (item.serviceEvent.discountRuleType == 8) {//满减
                    }
                    if(item.serviceEvent.serviceEventMarkPic){
                        item.serviceEvent.serviceEventMarkPic = picNetworkPrefix(item.serviceEvent.serviceEventMarkPic);
                    }
                    mock.teJia.push(item);
                })
            }else{
                mock.teJia;
            }
            if (data.shopCategories && data.shopCategories.length != 0) {
                data.shopCategories.map(function (item) {
                    if(!isNullString(item.categoryImgUrl)){
                        item.categoryImgUrl = picNetworkPrefix(item.categoryImgUrl);
                    }
                    for(var i = 0;i < item.shopping.length;i++){
                        if(!isNullString(item.shopping[i].picture)){
                            item.shopping[i].picture = picNetworkPrefix(item.shopping[i].picture);
                        }
                        if(item.shopping[i].priceInUse && item.shopping[i].priceInUse.indexOf('线上特惠') >= 0){
                            item.shopping[i].priceInUse = item.shopping[i].priceInUse.split('线上特惠')[1];
                        }
                        if(item.shopping[i].discountRuleType == 0 || item.shopping[i].discountRuleType == 5){//直降
                            if(item.shopping[i].priceNotInUseValue && item.shopping[i].priceNotInUseValue != null) {
                                item.shopping[i].discountLabelPrice = (item.shopping[i].priceNotInUseValue - item.shopping[i].price4Show).toFixed(2);
                            }
                        }else if(item.shopping[i].discountRuleType == 3){//折扣
                            item.shopping[i].discountPercent = item.shopping[i].discountPercent.toFixed(1);
                            item.shopping[i].priceInUse = '¥' + item.shopping[i].priceInUse.split('¥')[1];
                        }else if(item.shopping[i].discountRuleType == 8){//满减
                        }
                        if(item.shopping[i].serviceEventMarkPic){
							item.shopping[i].serviceEventMarkPic = picNetworkPrefix(item.shopping[i].serviceEventMarkPic);
						}
                    }
                    mock.listTits.push(item);
                })
            }

            setTimeout(function(){
                activityPage_control(mock.listTits);
                $('#activityPage_section .scrolling')[0].scrollTop = 0;
                document.querySelector('#activityPage_section header h1').innerText = '';
                if(data.activityName){
                    document.querySelector('#activityPage_section header h1').innerText = data.activityName;
                }
                if ( mock.advert.length != 0) {
                    J.Template.render("#actTwoAdvert_div","actTwoAdvert_template", mock, "replace");
                    $('#actTwoAdvert_div ul li').width(document.body.clientWidth);
                    var box = '#actTwoAdvert_div [data-name="actAdvert"] ul';
					var par = {
			            loop: true, //循环切换
			            auto: true, //自动切换
			        }
					if($(box).children().length > 1) {
                        var scrollImg = Viwepager(box, par);
                    }
                } else {
                    $("#actTwoAdvert_div").empty();
                }
                if(data.isCountDown == 1){
                    $('#isCountDown').css('display','block');
                    J.Template.render("#isCountDown","isCountDown_template",mock.countDownTime, "replace");
                    $('#isCountDown').data().id = activityId;
                    window.clearInterval(myInterval);
                    countDown(data.countDownTime,'activityPage_section');
                }else{
                    window.clearInterval(myInterval);
                    $('#isCountDown').css('display','none');
                }
                if(mock.teJia.length != 0){
                    J.Template.render("#actTeJia_div","actTeJia_template", mock, "replace");
                }else{
                    $("#actTeJia_div").empty();
                }
                if(mock.listTits.length != 0){
                    J.Template.render("#listTits","listTits_template", mock, "replace");
                    J.Template.render("#listTitles","listTits_template", mock, "replace");
                    J.Template.render("#actList","actList_template", mock, "replace");
                    floorCreateFly('activityPage_section');
                }else{
                    $("#listTits").empty();
                    $("#actList").empty();
                }
            },500)
        }else{
            J.showToast('请稍后重试');
        }
    })
}

//活动v3
function activityV3_service(activityId){
    J.Router.goTo('#activityV3_section');
    console.log(activityId);
    var url = 'ws/activityThirdAction' + versionMessage.version + '!getActivity.sy';
    var par = {
        wtyCommunityId:J.Cache.get('community').data.id,
        homePageActivityId : activityId
    };
    service.get(url,par,function (data){
        $("#currencyId").data().currency = activityId;
        var mock = {
            topPics: [],
            coupons: [],
            listTits: [],
            bottomPics : []
        };
        if(data != null && data != ''){
            if (data.topPics && data.topPics.length != 0) {
                data.topPics.map(function (item) {
                    if(!isNullString(item.pic)){
                        item.pic = picNetworkPrefix(item.pic);
                    }
                    mock.topPics.push(item);
                })
            }
            if (data.bottomPics && data.bottomPics.length != 0) {
                data.bottomPics.map(function (item) {
                    if(!isNullString(item.pic)){
                        item.pic = picNetworkPrefix(item.pic);
                    }
                    mock.bottomPics.push(item);
                })
            }
            if (data.coupons && data.coupons.length != 0) {
                data.coupons.map(function (item) {
                    if(!isNullString(item.picture)){
                        item.picture = picNetworkPrefix(item.picture);
                    }
                    mock.coupons.push(item);
                })
            }else{
                mock.coupons;
            }
            if (data.shopCategories && data.shopCategories.length != 0) {
                data.shopCategories.map(function (item) {
                    if(!isNullString(item.categoryImgUrl)){
                        item.categoryImgUrl = picNetworkPrefix(item.categoryImgUrl);
                    }
                    for(var i = 0;i < item.shopping.length;i++){
                        if(!isNullString(item.shopping[i].picture)){
                            item.shopping[i].picture = picNetworkPrefix(item.shopping[i].picture);
                        }
                        if(item.shopping[i].serviceEventMarkPic){
							item.shopping[i].serviceEventMarkPic = picNetworkPrefix(item.shopping[i].serviceEventMarkPic);
						}
                        if(item.shopping[i].priceInUse && item.shopping[i].priceInUse.indexOf('线上特惠') >= 0){
                            item.shopping[i].priceInUse = item.shopping[i].priceInUse.split('线上特惠')[1];
                        }
                        if (item.shopping[i].discountRuleType == 0 || item.shopping[i].discountRuleType == 5) {//直降
                            if(item.shopping[i].priceNotInUseValue && item.shopping[i].priceNotInUseValue != null) {
                                item.shopping[i].discountLabelPrice = (item.shopping[i].priceNotInUseValue - item.shopping[i].price4Show).toFixed(2);
                            }
                        } else if (item.shopping[i].discountRuleType == 3) {//折扣
                            item.shopping[i].discountPercent = item.shopping[i].discountPercent.toFixed(1);
                            item.shopping[i].priceInUse = '¥' + item.shopping[i].priceInUse.split('¥')[1];
                        } else if (item.shopping[i].discountRuleType == 8) {//满减
                        }
                    }
                    mock.listTits.push(item);
                })
            }
            console.log(mock);

            setTimeout(function(){
                $('#activityV3_section .scrolling')[0].scrollTop = 0;
                if ( mock.topPics.length != 0) {
                    J.Template.render("#actV3Pic_div","actV3Pic_template", mock, "replace");
                } else {
                    $("#actV3Pic_div").empty();
                }
                if(mock.coupons.length != 0){
                    $("#actV3Coupon_div").css('display','block');
                    J.Template.render("#actV3Coupon_div","actV3Coupon_template", mock, "replace");
                }else{
                    $("#actV3Coupon_div").css('display','none');
                }
                if(mock.listTits.length != 0){
                    J.Template.render("#acts","acts_template", mock, "replace");
                    floorCreateFly('activityV3_section');
                }else{
                    $("#acts").empty();
                }
                if ( mock.bottomPics.length != 0) {
                    J.Template.render("#bottomPics","bottomPics_template", mock, "replace");
                } else {
                    $("#bottomPics").empty();
                }
            },500)
        }else{
            J.showToast('请稍后重试');
        }
    })
}
// 通过条形码获取商品id
function getProductId(barcode) {
	var par = {
		barcode: barcode
    };
    par.communityId = J.Cache.get('community').data.id;
	var url = 'ws/serviceAction' + versionMessage.version + '!getServiceIdByCode.sy'
	service.get(url, par, function(data) {
		getServiceEventDetails_service(data, {sName: '', sIndex: 0})
	}, function() {
		J.showToast('暂无该商品');
	})
}

// 批销入口
function checkUserIsWholesale() {
	// 判断是否登录
	if(!J.Cache.get('login')) {
		J.showToast('您尚未登录，请登陆后尝试');
		return;
	}
	var url = 'ws/userAction' + versionMessage.version + '!checkUserIsWholesale.sy?'
	var par = {
		phone: J.Cache.get('login').data.phone
	}
	J.Router.goTo('#allianceBusiness_section');
//	service.get(url, par, function(data) {
//		// 切换片区
//		editAllianceMyAddress_service(data);
//	},function(data) {
//		J.showToast(data.message);
//	})
}

// 获取开门红包
function getRedPacket_service(par, callback) {
	var url = 'ws/couponAction' + versionMessage.version + '!getCouponKaiMen.sy';
	service.get(url, {}, function(data) {
		callback(data);
	},function(){})

}
// 领取优惠券
function receiveRedPacket_service(id,saleId) {
    var url = 'ws/othersAction' + versionMessage.version + '!receiveCoupon.sy'
    var par = {
        couponId: id,
        saleId:saleId
    };
     if(!J.Cache.get('login')){
        J.showToast('还没有登录哦');
        return;
    }
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级 4：黑名单C级 5：黑名单D级 6：黑名单E级
    var level = J.Cache.get('login').data.level;
    if(level == 2 || level == 3 || level == 6){
        J.showToast('暂时无法领取');
        return;
    }
    service.get(url, par, function(data) {
        J.showToast("领取成功");
        $('#userInfo_div').attr('data-refresh',true);//领取优惠券之后更新我的页面的优惠券数量
    });
}

// 自定义活动页
function gitNewActivePage_service(par, callback){
	var url = 'ws/activityCustomAction' + versionMessage.version + '!getActivity.sy';
    if(J.Cache.get('community')){
        par.wtyCommunityId = J.Cache.get('community').data.id;
    }else {
        par.wtyCommunityId = 1;
    }
	service.get(url, par, function(data) {
	    console.log(data);
        $("#currencyId").data().currency = par.homePageActivityId;
        $("#currencyId").data().activitypageid = par.homePageActivityId;
        if(data.lists.length == 0){
            return;
        };
		callback(data);
	}, function(err) {
        history.go(-1);
        firstActivity = true;
        if(!isNullString(err.message)){
            J.showToast(err.message);
        }else{
            J.showToast('请求出错了！');
        }
	})


//	$.getJSON('js/newActivePage.json', function(data) {
//		callback(data);
//	}, 3000)
}
// 自定义竖横幅下拉加载
function getVerticalBanner_service(par, callback){
	var url = 'ws/activityCustomAction' + versionMessage.version + '!tabPaging.sy';
    if(J.Cache.get('community')){
        par.wtyCommunityId = J.Cache.get('community').data.id;
    }else {
        par.wtyCommunityId = 1;
    }
	service.get(url, par, function(data) {
        $("#currencyId").data().activitypageid = par.homePageActivityId;
        if(data.list.length == 0){
            $('#list' + par.tabIndex).append('<div class="clear"></div><p>~~啊呀呀，到底啦~~</p>');
            return;
        };
		callback(data);
	}, function() {
		J.showToast('出错了');
	})
}
// 用户扫码获取商品
function userSweepCodeGetShop(par, success,errCallback) {
	var url = 'ws/serviceAction' + versionMessage.version + '!findServiceEventByBarCodeForUser.sy';
	service.get(url,par, function(data) {
		success(data);
	}, function(err) {
		errCallback(err)
	});
}

// 提交扫码购订单
function saveScanOrderForUser_service(par, success, errCallback) {
	var url = serverUrl + 'ws/orderAction' + versionMessage.version + '!saveScanOrderForUser.sy';
	J.showMask();
	$.post(url, par, function(data) {
		J.hideMask();
		success(data);
	}, function(data) {
		console.log(data);
		J.hideMask();
		errCallback(data);
	})

}

// 扫码购订单支付
function submitScanOrder_service(par, success, errCallback) {
	var url = 'ws/orderAction' + versionMessage.version + '!submitScanOrder.sy';
	service.get(url, par, function(data){
		success(data);
	}, function(err) {
		errCallback(err);
	});
}
var sweepCoupon = true;
// 已登录用户获取扫码购对应门店的优惠券
function findCouponByCommunityId_service(par, success, errCallback) {
	var url = 'ws/couponAction' + versionMessage.version + '!findCouponByCommunityId.sy';
	service.get(url, par, function(data,message) {
        if(message == '用户可领取' && sweepCoupon == true){
            J.Router.goTo('#sweepCoupon_section');
            success(data);
        }
	}, function(err) {
		errCallback(err);
	});
}

//未登录/新用户请求扫码购优惠券
function findSweepCouponUnLogin_service(par, success, errCallback) {
	var url = 'ws/couponAction' + versionMessage.version + '!getCouponByCommunityId.sy';
	service.get(url, par, function(data) {
	    if(data && sweepCoupon == true){
	        J.Router.goTo('#sweepCoupon_section');
            success(data);
        }
	}, function(err) {
		errCallback(err);
	});
}

// 用户领取取扫码购的优惠券
function userGetCouponForScan_service(par, success, errCallback) {
	var url = 'ws/couponAction' + versionMessage.version + '!userGetCouponForScan.sy';
	service.get(url, par, function(data) {
		success(data);
	}, function(err) {
		errCallback(err);
	})
}
/*[getUnbindLabel 亲情购获取未绑定的标签]
 * @param  {String}  handleType [family 亲情购获取标签  address 新增编辑地址获取标签]
 */
function getUnbindLabel() {
    var par = {};
    var url = 'ws/userAction' + versionMessage.version + '!getUnbindFamilyLabel.sy';
    service.get(url, par, function(data){
        if(data.length > 0) {
            $('#newFamilyAddress P').removeClass('none');
            $('#newFamilyAddress_ul').removeClass('none');
            J.Template.render('#newFamilyAddress_ul','newFamilyAddress_template',data,"replace");
        }
    });
}
//获取亲情购标签列表
function familyList(){
    var url = 'ws/userAction' + versionMessage.version + '!getDefaultFamilyLabel.sy';
    service.get(url, '', function(data){
        if(data && data.length > 0){
            $('#myFamilyListPic').css('display','none');
            $('#myFamily_article').addClass('hasActive');
            J.Template.render('#myFamily_ul','myFamily_template',data,"replace");
        }else{
            $('#myFamily_article').removeClass('hasActive');
            $('#myFamilyListPic').css('display','block');
            $('#myFamily_ul').empty();
        }
    });
}
//新增、修改地址获取标签
function getLimitLabel_service(id){
    var par = {};
    var url = 'ws/userAction' + versionMessage.version + '!getFamilyLabelLimit.sy';
    if(id != undefined){
        par.addressId = id;
    }
    service.get(url, par, function(data){
        setTimeout(function(){
            if(data.length > 0){
                J.Template.render('#newAddress_p','newAddress_template',data,"replace");
                if(J.Cache.get('labelId') && J.Cache.get('labelId').data != null){
                    var labelId = J.Cache.get('labelId').data;
                    $('#newAddress_p span').each(function(item){
                        var id = $($('#newAddress_p span')[item]).data().id
                        if(id == labelId){
                            $($('#newAddress_p span')[item]).addClass('active');
                        }
                    });
                    J.Cache.empty('labelId');
                }
            }
        },500)
    });
}
//亲情购新增标签
function addFamilyLabel(ele,id) {
    var par = {};
    var inputVal= $(ele).parent().find('input').val();
    if(id){
        $(ele).find('i').css('display','inline-block');
        $(ele).removeAttr('onclick');
        par.id = id;
    }else if(inputVal == '' || inputVal == undefined || $.trim(inputVal).length == 0){
        J.showToast('自定义标签不能为空哦');
        return;
    }else if(inputVal.length > 8){
        J.showToast('标签太长了哦');
        return;
    }else{
        par.name = inputVal;
    }
    var url = 'ws/userAction' + versionMessage.version + '!addFamilyLabel.sy';
    service.get(url, par, function(data,message){
        history.go(-1);
        J.showToast(message);
        $(ele).parent().find('input').val('');
        setTimeout(function(){
            if(window.location.hash == '#newAddress_section'){
                $('#newAddress_p span').eq(0).data('id',data.id).text(data.labelName);
            }
            if(window.location.hash == '#myFamily_section'){
                familyList();
            }
        },200)
    });
}
//亲情购切换片区跳转首页
function changeIndexPage(addressId){
    var url = 'ws/userAction' + versionMessage.version + '!alterDefaultAddress.sy';
    var par = {
        id: addressId
    };
    service.get(url, par, function(data){
        // 刷新首页
        homeRefresh = true;

        J.Cache.save('userAddresses', data.userAddresses);
        for(var i = 0; i < data.userAddresses.length; i++) {
            if(data.userAddresses[i].isDefault) {
                if(J.Cache.get('communities') && J.Cache.get('communities').data){
                    // 保存默认地址的片区
                    saveLocalArea(data.userAddresses[i].communityId);
                }else{
                    //获取所有片区保存当前片区
                    getCommunityList_service(5,data.userAddresses[i].communityId);
                }

                J.Cache.save('address', data.userAddresses[i]);
                J.Cache.save('login', data.userInfo);
                cartNum_service();
            }
        }
        setTimeout(function () {
            J.Router.goTo('#index_section');
            $($('#index_footer').children()[0]).addClass('active').siblings().removeClass('active');
            $('#home_article').addClass('active').siblings().removeClass('active');
        },100);
    });
}
// 本地保存片区
function saveLocalArea(id){
    var communitiesData = J.Cache.get('communities').data;
    for(var i=0; i<communitiesData.length; i++){
        if(communitiesData[i].id == id) {
            J.Cache.save('community', communitiesData[i]);
            //切换地址、片区需要刷新“我的”页面用户的账户信息（例如优惠券<优惠券按片区加载>）
            $('#userInfo_div').attr('data-refresh','true');
        }
    }
}
// 删除亲情购标签
function deleteFamilyLabel(id) {
    var par = {
        id : id
    };
    var url = 'ws/userAction' + versionMessage.version + '!deleteFamilyLabel.sy';
    service.get(url, par, function(data,message){
        familyList();
        if(message == null || message == ''){
    
            J.showToast('删除标签成功');
        }else {
            J.showToast(message);
        }

    });
}

// 获取更新信息
// systemType  1 苏鲜生活安卓  2，苏鲜生活ios 3，yct安卓 4，yctios
function getUpdateTips_service(systemType, callback) {
	var par = {
		systemType: systemType
	}
	var url = 'ws/homeAction' + versionMessage.version + '!getUpdateTips.sy';
    service.get(url, par, function(data){
        callback(data);
    });
}

// 获取菜品数据
function getFoodMain_service(par, callback) {
    var url = '/ws/activityCustomTwoAction!getFoodMain.sy';
    service.get(url, par, function(data) {
        callback(data);
    })
}

// 获取菜品相关数据
function getSameFoodDetails_service(par, callback) {
    var url = '/ws/activityCustomTwoAction!getSameFoodDetails.sy';
    service.get(url, par, function(data) {
        callback(data);
    })
}
//抽奖
function getAwards() {
    if(!J.Cache.get('login')){
        // J.showToast("您尚未登录，请登陆后尝试");
        // quickLogin();
        J.Router.goTo('#login_section');
        return;
    }
    if(window.location.href.indexOf('#turnPlate_section') < 0){
        J.Router.goTo('#turnPlate_section');
        if($('#luckyDraw').hasClass('active')){
            $('#luckyDraw').removeClass('active');
        }
        $('#turnResult').css('display','none');
        J.Cache.empty('turnplate');
    }
    // getPrize_service();
    // var url = 'ws/prizeAction' + versionMessage.version + '!getPrize.sy';
    // service.get(url, {}, function(data){
    //     reorder(data,function(turnplate){
    //         console.log(turnplate);
    //         data.prizeRule = data.prizeRule.replace(new RegExp("[;；]","gm"),";\n").split('\n');//分号后分割
    //         J.Template.render('#turnPlate_div','turnPlate_template',data,'replace');
    //         turnningPlate(data,turnplate);
    //     });
    //     var winning = document.getElementById("winning");
    //     var winner = document.getElementById("winner");
    //     var winnerList = document.getElementById("winnerList");
    //     winning.innerHTML = winner.innerHTML;
    //     clearInterval();
    //     setInterval(function () {
    //         if (winning.offsetTop - winnerList.scrollTop <= 0) {
    //             winnerList.scrollTop -= winner.offsetHeight;
    //         }
    //         else {
    //             winnerList.scrollTop++;
    //         }
    //     },40);

    //     // 分享抽奖
    //     var sharePar = {
    //         title: '分享抽奖页面标题',
    //         desc: '分享抽奖的内容描述',
    //         link: '',
    //         imgUrl: ''
    //     }
    //     shareLottery_control(sharePar);
    // });
}

function getPrize_service() {
    var url = 'ws/prizeAction' + versionMessage.version + '!getPrize.sy';
    service.get(url, {}, function(data,message){
        if(!data){
            if(isNullString(message)){
                J.showToast('抽奖活动暂未开启！');
            }else{
                J.showToast(message);
            }
            history.go(-1);
            return;
        }
        $("#turnPlate_article").css("background", data.prize_bg_color);
        reorder(data,function(turnplate){
            console.log(turnplate);
            data.prizeRule = data.prizeRule.replace(new RegExp("[;；]","gm"),";\n").split('\n');//分号后分割
            J.Template.render('#turnPlate_div','turnPlate_template',data,'replace');
            if (!data.canPrize) {
                $('.pointer').click(function () {
                    J.showToast(data.message);
                })
                return;
            }
            turnningPlate(data,turnplate);
        });
        if (!data.canPrize) {
            $("#turnPlate_section .shopCategories").addClass('active');
            // 加载暖场商品
            prizeGoods_control();
            // // 判断暖场商品是否开启
            // if (data.goods_replace_switch == 1) {
            // }
        }

        // 是否开启抽奖
        if (data.canPrize) {
            $("#turnPlate_section .shopCategories").removeClass('active');
            var winning = document.getElementById("winning");
            var winner = document.getElementById("winner");
            var winnerList = document.getElementById("winnerList");
            winning.innerHTML = winner.innerHTML;
            clearInterval();
            setInterval(function () {
                if (winning.offsetTop - winnerList.scrollTop <= 0) {
                    winnerList.scrollTop -= winner.offsetHeight;
                }
                else {
                    winnerList.scrollTop++;
                }
            },40);
        }

        // 分享抽奖
        var shareUrl = wechatUrl + window.location.hash;
        var sharePar = {
            title: data.prize_share_title,
            desc: data.prize_share_text,
            link: shareUrl,
            imgUrl: picNetworkPrefix(data.prize_share_pic)
        }
        J.Cache.save("sharePrizePar", sharePar);
        // 设置分享参数
        if (isWechatClient()) {
            getJSSDKConfigParams_service();
            wx.ready(function(){
                shareLottery_control();
            });
        }
    });
}

function reorder(data,callback){
    var turnplate = {
        restaraunts: [],				//大转盘奖品名称
        restarauntsId: [],				//大转盘奖品id
        bRotate: false,			//false:停止;ture:旋转
        txt :{}
    };
    for(var i=0;i <data.selection.length;i++){
        turnplate.restaraunts.push(data.selection[i].goodsName);
        turnplate.restarauntsId.push(data.selection[i].id);
    }
    //选项排序渲染转盘
    var tmp,tmpId,msg;
    for(var i=0;i < turnplate.restarauntsId.length;i++){
        for(var j = i +1;j<turnplate.restarauntsId.length;j++){
            if(turnplate.restarauntsId[i] > turnplate.restarauntsId[j]){
                tmp =  turnplate.restaraunts[i];
                tmpId = turnplate.restarauntsId[i];
                msg = data.selection[i];
                turnplate.restaraunts[i] = turnplate.restaraunts[j];
                turnplate.restarauntsId[i] = turnplate.restarauntsId[j];
                data.selection[i] = data.selection[j];
                turnplate.restaraunts[j] = tmp;
                turnplate.restarauntsId[j] = tmpId;
                data.selection[j] = msg;
            }
        }
    }
    for(var i=0;i <data.selection.length;i++){
        if(data.resultPrizeId ==  turnplate.restarauntsId[i]){
            turnplate.txt.resultPrizeId =  turnplate.restarauntsId[i];
            turnplate.txt.goodsName = turnplate.restaraunts[i];
            data.resultPrizeId = i;
        }
    }
    callback(turnplate);
}
function rePrize(resultPrizeId) {
    J.Cache.save('turnplate',true);
    var url = 'ws/prizeAction' + versionMessage.version + '!rePrize.sy';
    service.get(url, {resultPrizeId:resultPrizeId}, function(data){
        J.Cache.empty('turnplate');
        reorder(data,function(turnplate){
            turnningPlate(data,turnplate);
        });
    },function (data) {
        J.showToast(data.message || '抱歉，出错了');
        J.Cache.empty('turnplate');
        reorder(data.data,function(turnplate){
            turnningPlate(data.data,turnplate);
        });
    });
}

// 判断抽奖是否开始
function judgeCanPrize_service(callback, errCallback) {
    var url = '/ws/prizeAction20170807!doNotNeedSessionAndSecurity_judgeCanPrize.sy';
    service.get(url, {}, function(data) {
        callback(data);
    }, function(err) {
        J.showToast(err.message);
    })
}

// 抽奖暖场商品
function prizeGoods_service(par, callback, errCallback) {
    var url = '/ws/prizeAction20170807!prizeGoods.sy';
    service.get(url, par, function(data) {
        callback(data);
    }, function(err) {
        J.showToast(err.message);
    })
}

//获取最近的5家门店

function getCommunityListByLonAndLat (par, callback, errCallback) {
    var url = '/ws/communityAction20170807!getCommunityListByLonAndLat.sy';
    service.get(url, par, function(data) {
        callback(data);
    }, function(err) {
        errCallback(err)
    })
}