/**
 * [getServiceMenuBetter_service 获取菜单]
 * @param  {Number} menuId  [一级菜单的id]
 */
function getServiceMenuBetter_service(menuId){
	var url = 'ws/serviceAction' + versionMessage.version + '!getServiceMenuBetter.sy';
	var par = {
		communityId: J.Cache.get('community').data.id
	};
	// $("#classification_article .c_food").addClass('bg');
	J.Cache.save('parentId', menuId);
	service.get(url,par,function(data){
		$("#currencyId").data().currency = menuId;
		menuId = (menuId === undefined ? data[0].firstMenu.id : menuId);
		getFirstLevelMenuBetter_control(data,menuId);
		// 分类页不刷新
		$("#classification_article").children('header').attr('value', false);
	});
}

//首页跳转商品列表页
function lieBiaoYe_service(menuId){
    var url = 'ws/serviceAction' + versionMessage.version + '!getServiceMenu.sy';
    var par = {};
    if(menuId){
        par.parentId = menuId;
    }else{
        par.communityId = J.Cache.get('community').data.id;
    }

    service.get(url,par,function(data){
       /* data.map(function(item){
            if(!isNullString(item.picture)){
                item.picture = picNetworkPrefix(item.picture);
            }
        })
        //data.reverse();
        // getFirstLevelMenu_control 一级菜单控制器    getSecondLevelMenu_control 二级菜单控制器*/
        if(menuId){
            getThirdLevelMenu_control(data,menuId);
        }
    });
}

// 获取菜单广告
function getFuwuAdvert_service(menuId, level,isThirdAdvert){
	var url = 'ws/adsAction' + versionMessage.version + '!getFuwuAdvert.sy';
	var par = {
		menuId: menuId,
		menuLevel: level
	};
	service.get(url,par,function(data){
		if(data.length != 0){
			data.map(function(item){
				item.url = picNetworkPrefix(item.url);
			});
			data[0].hasActive = true ;
		}
		getFuwuAdvert_control(data,isThirdAdvert,menuId); //广告控制器
	});
}
// 二级菜单获取广告
function getMenuAdvert_service(menuId) {
	var url = 'ws/adsAction' + versionMessage.version + '!getMenuAdvert.sy';
	var par = {
		menuId : menuId
	};
	service.get(url,par,function(data){
		if(data.length != 0){
			data.map(function(item){
				item.map(function(item2) {
					item2.url = picNetworkPrefix(item2.url);
				})
			})
		}
		// 二级分类的轮播图展示
		getecondLevelAdvert_control(data);
	});
}

// 搜索准备
function prepareSearch(type) {
	var url = 'ws/serviceAction' + versionMessage.version + '!prepareSearch.sy';
	if(type < 3){
        var searchName = J.Cache.get('searchName').data;
        $("#search_section input[type='search']").val('');
        $("#search_section input[type='search']").attr('placeholder', searchName);
    }
	service.get(url, {}, function(data) {
		J.Template.render('#prepareSearch_div', 'prepareSearch_template', data, "replace");
		// var searchName = J.Cache.get('searchName').data;
		// $("#search_section input[type='search']").attr('placeholder', searchName);
	});
}

//清空历史记录
function clearUserSearchHistory_service() {
	var url = 'ws/serviceAction'  + versionMessage.version + '!clearUserSearchHistory.sy'
	service.get(url, {}, function(data) {
        prepareSearch();
	});
}
//搜索框请求获取商品列表
function getSortedServiceList_service(param, ele){

    var url = 'ws/serviceAction' + versionMessage.version + '!getServiceEventAndMenu.sy';
    var par = param;
    service.get(url,par,function(data){
		if(data.serviceEventList.length == 0){
			J.showToast('没有找到相关商品');
			return;
		}
        getList_control(data, ele);
    },function(){
        J.showToast(error_message);
        J.hideMask();
    });
}
//获取搜索结果商品列表
function getSearchResult_service(param){
    var clearScroll = $('#searchEngineResultsPage_section header').attr('data-clearScroll');
    if (clearScroll == undefined || clearScroll == 'false') {
        // J.Refresh('#searchResultEventsList_article').destroy();
    }
    cartNum_service('searchEngineResultsPage_section');
    if(param.type > 0){
        $('#searchResultProductList_ul').css('display','block');
        $('#searchResultProductList_article footer').css('display','block');
    }
    var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfo.sy';
    var par = param;
    service.get(url,par,function(data){
    	if(data.serviceEvents){
            if(data.serviceEvents != null && data.serviceEvents.length > 0){
                if(data.serviceEvents.length > 1){
                    data.serviceEvents.map(function(item){
                        item.picture = picNetworkPrefix(item.picture);
                        if(item.serviceEventMarkPic && item.serviceEventMarkPic != ''){
                            item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
						}
						if(item.serviceEventMarkPic){
							item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
						}
						item.priceInUse = item.priceInUse.split('¥')[1];
						if(item.priceNotInUse) item.priceNotInUse = '¥'+item.priceNotInUse.split('¥')[1];
                    });
                }else{
                    data.serviceEvents[0].picture = picNetworkPrefix(data.serviceEvents[0].picture);
                    if(data.serviceEvents[0].serviceEventMarkPic && data.serviceEvents[0].serviceEventMarkPic != ''){
                        data.serviceEvents[0].serviceEventMarkPic = picNetworkPrefix(data.serviceEvents[0].serviceEventMarkPic);
					}
					if(data.serviceEvents[0].serviceEventMarkPic){
						data.serviceEvents[0].serviceEventMarkPic = picNetworkPrefix(data.serviceEvents[0].serviceEventMarkPic);
					}
					data.serviceEvents[0].priceInUse = data.serviceEvents[0].priceInUse.split('¥')[1];
					if(data.serviceEvents[0].priceNotInUse) {
						data.serviceEvents[0].priceNotInUse = '¥'+data.serviceEvents[0].priceNotInUse.split('¥')[1];
					}
                }
            }
		}else{
            if(data != null && data.length > 0){
                if(data.length > 1){
                    data.map(function(item){
                        item.picture = picNetworkPrefix(item.picture);
                        if(item.serviceEventMarkPic && item.serviceEventMarkPic != ''){
                            item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
						}
						if(item.serviceEventMarkPic){
							item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
						}
						item.priceInUse = '¥' + item.priceInUse.split('¥')[1];
                    });
                }else{
                    data[0].picture = picNetworkPrefix(data[0].picture);
                    if(data[0].serviceEventMarkPic && data[0].serviceEventMarkPic != ''){
                        data[0].serviceEventMarkPic = picNetworkPrefix(data[0].serviceEventMarkPic);
					}
					if(data[0].serviceEventMarkPic){
						data[0].serviceEventMarkPic = picNetworkPrefix(data[0].serviceEventMarkPic);
					}
                }
            }else{
                J.showToast('没有找到相关数据');
                // J.hideMask();
                J.Template.render('#searchResultProductList_ul', 'searchResultProductList_template', [], "replace", '没有找到相关数据');
                return;
            }
		}
        var array = [];
        if(J.Cache.get('searchResultList')!= null){
            for(var i = 0;i < J.Cache.get('searchResultList').data.length;i++){
                array.push(J.Cache.get('searchResultList').data[i]);
            }
        }
        array.push(data.serviceEvents);
        J.Cache.save('searchResultList',array);
		getSearchResult_control(data,param);
	},function(){
        J.Template.render('#searchResultProductList_ul', 'searchResultProductList_template', [], "replace", '没有找到相关数据');
        J.showToast(error_message);
        history.go(-1);
    },30000);
}
// 获取分类和品牌
function getClassAndBrandList(param) {
	console.log(param);
    var par = param;
	var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfo.sy';
	service.get(url,par,function(data){
		console.log(data);
		J.Template.render('#homeSearchMenu_div', 'homeSearchFliter_template', data, "replace");

		
		$('#search_menu_aside button.left').unbind().click(function() {
			$('#search_menu_aside li').removeClass('active');
		})
		$('#search_menu_aside button.right').unbind().click(function() {
			J.Menu.hide('#search_menu_aside');
			var menuId = $('#search_menu_aside .menu li.active').val() || '';
			var brandId = $('#search_menu_aside .brand li.active').val() || '';
			console.log(menuId, brandId);

			param.menuId = menuId;
			param.brandId = brandId;
			param.type = 2;
			param.startIndex = 1;
			param.better = 1;
			getSearchResult_service(param);
		})

	}, function(err) {

	})
}

// 获取商品列表
function getSortedServiceInfo_service(param,brandFliter){
	//根据不同情况对页面进行判断是否清除滚动条 false时清除，true时不清除
	var clearScroll = $('#productList_section header').attr('data-clearScroll');
	if (clearScroll == undefined || clearScroll == 'false') {
		J.Refresh('#eventsList_article').destroy();
	}
	// J.showMask();
    if(param.type > 0){
        $('#brandFliter_ul').css('display','none');
        $('#productList_ul').css('display','block');
        $('#productList_article footer').css('display','block');
    }
	var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfo.sy';
	var par = param;
	service.get(url,par,function(data){
		if(J.Cache.get('classificationHeaderValue') && J.Cache.get('classificationHeaderValue').data){
			$("#classification_article").children('header').attr('value', true); //分类是否刷新显示
		}else{
			$("#classification_article").children('header').attr('value', false); //分类是否刷新显示
		};
		data.map(function(item){
			item.picture = picNetworkPrefix(item.picture);
			if(J.Cache.get('community').data.type == 1){
				item.stockNum = '批销';
			}
			if(item.serviceEventMarkPic){
				item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
			}
		});
		var array = [];
		if(J.Cache.get('productList')!= null){
			for(var i = 0;i < J.Cache.get('productList').data.length;i++){
				array.push(J.Cache.get('productList').data[i]);
			}
		};
		array.push(data);
		J.Cache.save('productList',array);
		if(brandFliter){
			J.Cache.save('brandFliterCache',param.menuId);
			getSortedServiceInfo_control(data,param,brandFliter); //获取商品列表控制器
		}else{
			getSortedServiceInfo_control(data,param); //获取商品列表控制器
		};
	},function(){
		J.Template.render('#productList_ul', 'productList_template', [], "replace");
		J.showToast(error_message);
		J.hideMask();
	},30000)
}

// 获取商品列表
function getMenuSortedServiceInfo_service(param, callback, err){
	var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfo.sy';
	var par = param;
	service.get(url,par,function(data){
		callback(data)
	},function(errData){
		err(errData);
	},30000)
}

//品牌搜索排序
function getSortSortedList_service(type, ele) {
	var Type = type;
	var brandId = $('#productSortProducts_ul').data().brand;
	if(type == 1) {
		J.Cache.empty('getProductList');
		var sort = $(ele).parent().data().sort1;
		$(ele).parent().data().sort1 = $(ele).parent().data().sort1 == '0' ? 1 : 0;
		if(sort == 1) {
			$('#getSortedList_section .list_ul li i').eq(1).removeClass('bo').addClass('to');
		}else if(sort == 0){
			$('#getSortedList_section .list_ul li i').eq(1).removeClass('to').addClass('bo');
		}
	}
	if(type == 2) {
		J.Cache.empty('getProductList');
		$(ele).parent().data().sort2 = $(ele).parent().data().sort2 == '0' ? 1 : 0;
		var sort = $(ele).parent().data().sort2;
		if(sort == 1) {
			$('#getSortedList_section .list_ul li i').eq(0).removeClass('to').addClass('bo');
		}else if(sort == 0){
			$('#getSortedList_section .list_ul li i').eq(0).removeClass('bo').addClass('to');
		}
	}

	console.log('type, sort:', type, sort)
	renderSortedList_service(1,brandId,sort,Type);
}
// 品牌搜索
function getSortedList_service(brandId) {
	J.Router.goTo('#getSortedList_section');
	J.Cache.empty('getProductList');
//	$('#productSortProducts_ul').data().brand = brandId;
	cartNum_service('getSortedList_section');
	renderSortedList_service(0,brandId);
}

function renderSortedList_service(par,brandId,sort,Type) {
	if(par == 0){
		par = {
			menuId: 0,
			type: 2,
			startIndex:1,
			pageSize: 10,
			brandId: brandId,
			sort: ''
		};
	}else if(par == 1){
		par = {
			menuId: 0,
			type: Type,
			startIndex:1,
			pageSize: 10,
			brandId: brandId,
			sort: sort
		}
	}
	var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfo.sy';
	setTimeout(function() {
		J.showMask();
		service.get(url, par, function(data) {
			J.hideMask();
			$('#productSortProducts_ul').data().brand = par.brandId;
			var datas = {
				data: data
			};
			datas.data.map(function(item) {
				item.picture = picNetworkPrefix(item.picture);
				item.priceInUse = '¥'+ item.priceInUse.split('¥')[1];
				if(item.priceNotInUse) item.priceNotInUse = '¥'+ item.priceNotInUse.split('¥')[1];
				if(J.Cache.get('community').data.type == 1){
					item.stockNum = '批销';
				}
				if(item.serviceEventMarkPic){
					item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
				}
			});
			var array = [];
			if(J.Cache.get('getProductList')!= null){
				for(var i = 0;i < J.Cache.get('getProductList').data.length;i++){
					array.push(J.Cache.get('getProductList').data[i]);
				}
			}
			array.push(data);
			J.Cache.save('getProductList',array);
			var tplWay = par.startIndex > 1 ? 'add' : 'replace' ;
			if(par.startIndex == 1){
				J.Refresh('#sortedList_article').destroy();
			}
			if(data.length != 0) {
				J.Template.render('#getProductList_ul', 'getSortedList_template', datas, tplWay);
				createFly('getSortedList_section');
				J.Scroll("#sortedList_article", {});
			}
			if(par.startIndex == 1 && data.length == 0) {
				J.Template.render('#getProductList_ul', 'getSortedList_template', [], tplWay, '未找到相关商品');
			}
			J.Scroll("#sortedList_article", {});
	//		上拉
			if (data.length >= 10) {
				J.Refresh('#sortedList_article', 'pullUp', function() {
					var scroll = this;
					setTimeout(function() {
						$('#productList_section header').attr('data-clearScroll',true); //商品列表页hide时不清滚动条
						par.startIndex = par.startIndex + 1;
						renderSortedList_service(par);
						scroll.refresh();
					}, 10);
				});
	        }else{
				if(!(data.length == 0 && par.startIndex == 1)){
                    J.Refresh('#sortedList_article').destroy();
                    $('#getProductList_ul').after('<div class="refresh-container"><span class="refresh-label">已加载完成</span></div>');
                    J.Scroll("#sortedList_article", {});
                    var heigth = $('#getProductList_ul')[0].clientHeight - $('#sortedList_article')[0].clientHeight;
                    if(par.startIndex > 1){
                        $('#getSortedList_section .scrollWrapper')[0].style.transform = 'translate(0px, -' + heigth + 'px) scale(1) translateZ(0px)';
                    }
                }
	        }
	   });
	},1);
}
//获取白名单商品列表
function getBaiMingDanList_service(par) {
	if(!par){
		par = {
			type: 2,//1.价格  2.销量
			startIndex:1,
			pageSize: 10,
			sort: '0'//降序
		};
	}
    var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfoBaiMingDan.sy';
    var param = par;
    setTimeout(function(){
		J.showMask();
		service.get(url,param,function(data){
			data.map(function(item){
				item.picture = picNetworkPrefix(item.picture);
				if(item.serviceEventMarkPic){
					item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
				}
				if(item.priceInUse){
					item.priceInUse = '¥' + item.priceInUse.split('¥')[1];
				}
				if(item.priceNotInUse){
					item.priceNotInUse = '¥' + item.priceNotInUse.split('¥')[1];
				}
			});
			var array = [];
			if(J.Cache.get('baiMingDanList')!= null){
				for(var i = 0;i < J.Cache.get('baiMingDanList').data.length;i++){
					array.push(J.Cache.get('baiMingDanList').data[i]);
				}
			}
			array.push(data);
			J.Cache.save('baiMingDanList',array);
			getBaiMingDanInfo_control(data,par); //获取商品列表控制器
		},function () {
			J.showToast(error_message);
			J.hideMask();
		},30000)
	},1)
}
//商户热销产品列表
function getMerchantList_service(merchantId,par){
	var url = 'ws/serviceAction' + versionMessage.version + '!getSortedServiceInfo.sy';
	if(par == undefined){
		par = {
			merchantId : merchantId,
			type: 2,   //默认按销量
			startIndex:1,
			pageSize: 10,
			sort: '0'    //正序
		};
		setTimeout(function () {
			J.Refresh('#merchantList_article').destroy();
		},10);
	}
	setTimeout(function (){
		J.showMask();
		service.get(url,par,function(data){
			data.map(function(item){
				item.picture = picNetworkPrefix(item.picture);
				if(item.serviceEventMarkPic){
					item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
				}
				item.priceInUse = item.priceInUse.split('¥')[1];
				if(item.priceNotInUse) {
					item.priceNotInUse = '¥'+item.priceNotInUse.split('¥')[1];
				}
				if(J.Cache.get('community').data.type == 1){
					item.stockNum = '批销';
				}
			});
			var array = [];
			if(J.Cache.get('merchantList')!= null){
				for(var i = 0;i < J.Cache.get('merchantList').data.length;i++){
					array.push(J.Cache.get('merchantList').data[i]);
				}
			}
			array.push(data);
			J.Cache.save('merchantList',array);
			getMerchantList_control(data,par);
		},function(){
			J.Template.render('#merchantList_ul', 'merchantList_template', [], "replace");
			J.showToast(error_message);
			J.hideMask();
		},30000);
	},1);
}
//获取金豆兑换列表
function getYiBeansList_service(par) {
    if(!par){
        par = {
            type: 2,
            startIndex:1,
            pageSize: 10
        };
    }
    var url = 'ws/serviceAction' + versionMessage.version + '!acquireYiBeansGoods.sy';
    var param = par;
    setTimeout(function(){
        J.showMask();
        service.get(url,param,function(data){
            data.goodsInfo.map(function(item){
                item.picture = picNetworkPrefix(item.picture);
            });
            getYiBeansInfo_control(data,par); //获取金豆兑换列表控制器
        },function () {
            J.showToast(error_message);
            J.Refresh('#yiBeans_article').destroy();
            // J.Template.render('#yiBean_ul', 'yiBeans_template', [], tplWay);
            J.hideMask();
        },30000);
    },1);
}
//去兑换
function beansExchange(){
    if(!J.Cache.get('yiBeansCart') || !J.Cache.get('yiBeansCart').data || J.Cache.get('yiBeansCart').data.length == 0){
        J.showToast('您还没有选择要兑换的商品');
        clearYiBeansCacheCart();
        return;
	}
    if(!J.Cache.get('address') || !J.Cache.get('address').data){
        J.showToast('您还没有添加收货地址');
        return;
	}
    if(J.Cache.get('yiBeansCartList').data.userYiBeans == 0){
        J.showToast('金豆不足');
        return;
    }
    var url = 'ws/orderAction' + versionMessage.version + '!submitYiBeansOrder.sy';
    var par = {
        goodsInfo : JSON.stringify(J.Cache.get('yiBeansCart').data),
        freight:J.Cache.get('yiBeansCartList').data.freightFee,
        yiBeansOff :$('#beansCount').text(),
        addressId:J.Cache.get('address').data.id
    };
    if($('#deliveryBeanCount').text() == 0){
    	par.freight = 0;
	}
    setTimeout(function(){
        J.showMask();
        service.get(url,par,function(data){
            clearYiBeansCacheCart();
            J.showToast('兑换成功');
            getYiBeansList_service();
            J.hideMask();
        },function (err) {
            J.showToast(err.message);
            J.hideMask();
        },30000);
    },1);
}
// 邀请有礼
function toPoster(){
	var url = 'ws/invitationAction' + versionMessage.version + '!getInfo.sy';
	service.get(url,{},function(data){
		if(!data.canshare){
			J.showToast('邀请有礼活动暂未开始');
			setTimeout(function(){
				goIndexPage();
			},300)
			return;
		}
		data.leftTime = data.leftTime / 1000;
		shareCountdown(data.leftTime);
		data.topPic = picNetworkPrefix(data.topPic);
		data.flowGraph = picNetworkPrefix(data.flowGraph);
		if(data.rules && data.rules.length > 0 ){
			data.rules.map(function(item){
				item.picture = picNetworkPrefix(item.picture);
			})
		}
		if(data.bgPic) {
			if (data.bgPic.indexOf('http') < 0 ) {
				data.bgPic = 'https://wei.vipxiaoqu.com/' + data.bgPic;
			}
		}
		if(data.thisWeek && data.thisWeek.length > 0 ){
			data.thisWeek.map(function(item){
				// &emsp; 占据1个中文宽度,基本上不受字体影响  &ensp; 占据1/2个中文宽度,基本上不受字体影响  &nbsp; 空格,占据宽度受字体影响明显而强烈
				item.inviteTheDetail = item.inviteTheDetail.replace(new RegExp("[,，]"),"&emsp;&emsp;");
			})
		}
		if(data.all && data.all.length > 0 ){
			data.all.map(function(item){
				item.phone = item.inviteTheDetail.split(new RegExp("[,，]"))[0];
				item.inviteTheDetail = item.inviteTheDetail.split(new RegExp("[,，]"))[1];
			})
		}
		if(data.thisWeekFail && data.thisWeekFail.length > 0 ){
			data.thisWeekFail.map(function(item){
				item.inviteTheDetail = item.inviteTheDetail.replace(new RegExp("[,，]"),"&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;");
			})
		}
		var shareUrl = urlAppendParams(wechatUrl + '?#index_section', 'inviterId', J.Cache.get('login').data.id);
		data.isApp = isAndroidIosApp();
		J.Template.render("#posterShare_div", "posterShare_template", data, "replace");
		J.Cache.save('sharePosterText',data.ruleDesc);
		$('#posterShare_section article').css('background',data.bgColor);
		sharimg();//滚动轮播
		if(!data.isApp) $('.single_code').css('margin','0px');
		$('#canbox img.posterBg').attr('src',data.bgPic);
		posterCanvas(shareUrl);
		var sharePar = {
            title: data.shareTitle,
            desc: data.shareText,
            link: shareUrl,
            imgUrl: picNetworkPrefix(data.sharePic)
        }
        J.Cache.save('sharePoster', sharePar);
        // 设置分享
        if (isWechatClient()) {
            getJSSDKConfigParams_service();
            wx.ready(function(){
                sharePoster_control();
            });
        }
		var orangeWidth = 0;
		var progressLineWidth = document.body.clientWidth * 0.87;
		var space;
		// 邀请进度条
		for(var i=0;i<data.rules.length;i++){
			if(data.thisWeekNums >= data.rules[i].leftNum && data.thisWeekNums <= data.rules[i].rightNum){
				switch (i) {
					case 0:
						// space = data.rules[i+1].leftNum - data.rules[i].leftNum;
						// $('.progress_dot.first_dot').css('background','#ff4d40');
						// orangeWidth = (progressLineWidth*0.17) + (data.thisWeekNums-data.rules[i].leftNum)/space*(progressLineWidth*0.35);
						// $('.progress_color').css('width',orangeWidth + 'px');

						$('.progress_dot.first_dot').css('background','#ff4d40');
						orangeWidth = (progressLineWidth*0.17);
						$('.progress_color').css('width',orangeWidth + 'px');
						break;
					case 1:
						// space = data.rules[i+1].leftNum - data.rules[i].leftNum;
						// $('.progress_dot.second_dot').css('background','#ff4d40');
						// orangeWidth = (progressLineWidth*0.5) + (data.thisWeekNums-data.rules[i].leftNum)/space*(progressLineWidth*0.35);
						// $('.progress_color').css('width',orangeWidth + 'px');

						$('.progress_dot.first_dot').css('background','#ff4d40');
						$('.progress_dot.second_dot').css('background','#ff4d40');
						orangeWidth = (progressLineWidth*0.5);
						$('.progress_color').css('width',orangeWidth + 'px');
						break;
					case 2:
						// $('.progress_dot.third_dot').css('background','#ff4d40');
						// orangeWidth = (progressLineWidth*0.8) + (data.thisWeekNums-data.rules[i].leftNum)/10*(progressLineWidth*0.15);
						// if(orangeWidth >= progressLineWidth){
						// 	orangeWidth = progressLineWidth-5;
						// }
						// $('.progress_color').css('width',orangeWidth + 'px');

						$('.progress_dot').css('background','#ff4d40');
						orangeWidth = progressLineWidth;
						$('.progress_color').css('width',orangeWidth + 'px');
						break;
					default:
						break;
				}
			}
		}
		// 点击切换
		$('.history_invited').off().on('click',function(){
			$(this).addClass('active').siblings('.history_invited').removeClass('active');
			var eleName = $(this).attr('data-name');
			$('.' + eleName).addClass('active').siblings('.invite_div').removeClass('active');
			var index = $('.history_invited').index(this);
			switch (index) {
				case 0:
					$('.line_posi i').css('left','10%');
					break;
				case 1:
					$('.line_posi i').css('left','43%');
					break;
				case 2:
					$('.line_posi i').css('left','76%');
					break;
				default:
					break;
			}
		})
		$('.invite_div').unbind().scroll(function(){
			// 当前滑动的子集
			var listName = $('.history_invited.active').attr('data-name');
			// 当前子集是否加载完毕 <10 已加载完毕
			var pull = Number($('.' + listName).attr('data-pull'));
			if(pull < 10) return;
			// 当前子集页面正在加载（频繁快速下拉时候避免多次请求）
			var load = $('.' + listName).attr('data-load');
			if(load == 'false') return;
			// data-load  true 数据请求完毕 可下拉  false 正在请求数据 不可下拉
			$('.' + listName).attr('data-load',false);
			var type = Number($('.' + listName).attr('data-type'));
			var page = Number($('.' + listName).attr('data-page'));
			loadMore(type,page,listName);
		})
	},function (data) {
		J.showToast(data.message || '出错了');
	},30000)
}
// 邀请下拉加载  type 0 本期邀请 1 历史邀请 2 无效邀请  page
function loadMore(type,page,listName){
	var url = 'ws/invitationAction' + versionMessage.version + '!getMoreResults.sy';
	var par = {
		type: type,
		page: page
	};
	service.get(url,par,function(data){
		$('.' + listName).attr('data-load',true);
		if(data && data.results.length >= 0){
			$('.' + listName).attr('data-pull',data.results.length);
			if(data.results.length == 0){
				var txt = "哎呀，见底了，快去邀请好友吧~";
				if(type == 2) txt = "邀请新用户注册并下单可获得更多奖励哦~";
				$('.' + listName).append('<p class="name_list">' + txt + '</p>');
			}else{
				page += 1;
				$('.' + listName).attr('data-page',page);
				if(type == 1){
					data.results.map(function(item){
						item.phone = item.inviteTheDetail.split(new RegExp("[,，]"))[0];
						item.inviteTheDetail = item.inviteTheDetail.split(new RegExp("[,，]"))[1];
					})
					J.Template.render("." + listName, "inviteAllList_template", data, "add");
				}else{
					var rep = "&emsp;&emsp;"
					if(type == 2) rep = "&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;";
					data.results.map(function(item){
						item.inviteTheDetail = item.inviteTheDetail.replace(new RegExp("[,，]"), rep);
					})
					J.Template.render("." + listName, "inviteList_template", data, "add");
				}
			}
		}
	},function () {
		J.showToast(data.message || '出错了');
	},30000)
}
// 海报分享滚动轮播
function sharimg(){
	window.clearInterval(posterResult);
    var shareItems = document.getElementById("share_items");
    var shareItem = document.getElementById("share_item");
    var shareResult = document.getElementById("share_result");
    shareItems.innerHTML = shareItem.innerHTML;
    posterResult = setInterval(function () {
        // if (shareItems.offsetTop - shareResult.scrollTop <= 0) {
        //     shareResult.scrollTop -= shareItem.offsetHeight;
        // }else {
        //     shareResult.scrollTop++;
		// }
		if(shareResult.scrollTop >= shareItem.offsetHeight*1.5){
			shareResult.scrollTop -= shareItem.offsetHeight;
		}else{
			shareResult.scrollTop++;
		}
    },100);
}
var posterResult;
var inviteInterval;
// 邀请倒计时
function shareCountdown (leftTime){
	window.clearInterval(inviteInterval);
	var d,h,m,s;
	leftTime = leftTime - 1;
	inviteInterval = window.setInterval(function () {
		$('.remain_time').attr('data-left',leftTime);
		d = Math.floor(leftTime  / 60 / 60 / 24), //总毫秒除以一天的毫秒 得到相差的天数  
		h = Math.floor(leftTime  / 60 / 60 - (24 * d)), //余下的毫秒数再除以每小时的毫秒数得到小时 
		m = Math.floor(leftTime  / 60 - (24 * 60 * d) - (60 * h)), //再除以每分钟的毫秒数，得到分钟数 
		s = Math.floor(leftTime  - (24 * 60 * 60 * d) - (60 * 60 * h) - (60 * m)); //剩下的毫秒数除以1000 就是秒数，再剩下的毫秒自动忽略即可
		if (s < 10) {s = "0" + s;}
		if (m < 10) {m = "0" + m;}
		if (h < 10) {h = "0" + h;}	
		// if (d < 10) {d = "0" + d;}
		if(d <= 0){
			$('.remain_time .remain_span').css('display','none');
		}else{
			$('.remain_time .remain_day').text(d);
		}
		$('.remain_time .remain_hour').text(h);
		$('.remain_time .remain_min').text(m);
		$('.remain_time .remain_sec').text(s);
		$('.remain_time').addClass('active');
		shareCountdown(leftTime);
	},1000);
}
