var shopCarCommodityid = ''
// 获取已选购物车商品信息
function getSelectedShoppingCar_service(mock,eventType) {
    pay.params = {mock:mock,eventType:eventType};
    var url = 'ws/shoppingAction' + versionMessage.version + '!getSelectedShoppingCar.sy';
    if(!J.Cache.get('login')) {
        // quickLogin();
        J.showToast('您尚未登录，请登录后重试');
        // J.Router.goTo('#login_section');
    	return;
    }
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级 4：黑名单C级 5：黑名单D级 6：黑名单E级
    var level = J.Cache.get('login').data.level;
    if(level == 2 || level == 3 || level == 6){
        $('#coupons').addClass('none');
    }
    try{
    	if(J.Cache.get('community').data.type == 1) {
    		mock.deliveryTime = 'isWholeSale';
    	}
    }catch(e){}
    mock.longitude = '';
    mock.latitude = '';
    if(J.Cache.get('address') && J.Cache.get('address').data){
        mock.communityId = J.Cache.get('address').data.communityId;
        mock.addressId = J.Cache.get('address').data.id;
        if(!J.Cache.get('address').data.id){
            // 新用户或者未登录定位的地址
            mock.longitude = J.Cache.get('address').data.position[0];
            mock.latitude = J.Cache.get('address').data.position[1];
        }else{
            if(J.Cache.get('address').data.longitude && J.Cache.get('address').data.latitude){
                mock.longitude = J.Cache.get('address').data.longitude;
                mock.latitude = J.Cache.get('address').data.latitude;
            }else{
                getAddressLnglat(J.Cache.get('address').data.residence,function (location) {
                    mock.longitude = location.lng;
                    mock.latitude = location.lat;
                    var address = J.Cache.get('address').data;
                    address.position = [location.lng,location.lat];
                    address.longitude = location.lng;
                    address.latitude = location.lat;
                    J.Cache.save('address',address);
                });
            }
        }
    }else{
        J.showToast('检测到您当前没有收货地址,无法进行下单，请完善地址后重试');
        return;
    }
    J.showMask();
    service.get(url, mock, function(data) {
        J.Router.goTo('#payLists_section');
        if(data.distributInformationMap){
            J.Cache.save('distributInformationList', data.distributInformationMap);
        }
    	var myKey = Object.keys(data.eventsInfo)[0];
    	console.log('111');
    	console.log(myKey);
    	if(data.eventsInfo[myKey]) {
    		shopCarCommodityid = data.eventsInfo[myKey][0].serviceEvent.id;
    	}
        shopCarCommodityid = data.data[0].eventsInfo[0].serviceEvent.id;
        var num = 0;
    	var arr = [];
        var events = [];
        var eventsAmount = 0;
        for (var k in data.eventsInfo) {
            data.eventsInfo[k].map(function(item) {
                if (item.serviceEvent) {
                    if (!isNullString(item.serviceEvent.picture)) {
                        item.serviceEvent.picture = picNetworkPrefix(item.serviceEvent.picture);
                    }
                    // if(events.length < 2){
                        events.push(item);
                    // }
                    eventsAmount += 1;
                    num += item.num;
                    if (item.discountRuleType == 3) {
                        item.discount = item.discountPercent * 10;
                    }
                    if(item.serviceEvent.serviceEventMarkPic){
                        item.serviceEvent.serviceEventMarkPic = picNetworkPrefix(item.serviceEvent.serviceEventMarkPic);
                    }
                }
                if (item.id) {
                    arr.push(parseInt(item.id));
                    pay.par.shoppingCarIds = JSON.stringify(arr);
                }
            })
        }
        if(isEmptyObject(data.calculatePrice.discountRuleObject)) data.calculatePrice.discountRuleObject = null ;
        if(isEmptyObject(data.calculatePrice.couponObject)) data.calculatePrice.couponObject = null ;
		pay.isOrder = pay.par.isOrder;
        delete pay.couponJsonStr;
        delete pay.param.couponJsonStr;
        pay.mock.deliveryTimeSelect = data.deliveryTime;
        pay.mock.deliveryTime = data.deliveryTimeInfo.canDeliveryTime;
        pay.mock.priceInfo = data.calculatePrice;
        pay.mock.eventsInfo = data.eventsInfo;
        pay.mock.events = events;
        // pay.mock.couponUse = false;
        pay.mock.eventsAmount = eventsAmount;
        pay.mock.merchantInfo = data.merchantInfo;
        pay.mock.deliveryTimeInfo = data.deliveryTimeInfo;
        pay.mock.disType = data.deliveryTimeInfo.disType;
        pay.mock.purchaseDeliveryTime = data.purchaseDeliveryTime;
        pay.par.disType = data.deliveryTimeInfo.disType;
        pay.param.disType = data.deliveryTimeInfo.disType;
        pay.param.merchantId = data.merchantInfo.id;
        pay.couponRule = data.couponRule;
        
        if(J.Cache.get('address') && J.Cache.get('address').data){
            pay.mock.addressInfo = J.Cache.get('address').data;
        }else{
            if (data.addressInfo.length != 0) {
                for(var i=0;i<data.addressInfo.length;i++){
                    if(data.addressInfo[i].isDefault == 1){
                        pay.mock.addressInfo = data.addressInfo[i];
                        J.Cache.save('address', data.addressInfo[i]);
                    }
                }
            }else{
                pay.mock.addressInfo = null;
                J.Cache.empty('address');
            }
        }
        if(pay.mock.addressInfo && pay.mock.addressInfo.userFamilyLabel != null){
            pay.mock.addressInfo.userFamilyLabel.domcolor = 0;//红底红边
            if(pay.mock.addressInfo.userFamilyLabel.labelName.indexOf('公司') > -1 ){
                pay.mock.addressInfo.userFamilyLabel.domcolor = 1;//蓝底蓝边
            }
            if(pay.mock.addressInfo.userFamilyLabel.labelName.indexOf('学校') > -1 ){
                pay.mock.addressInfo.userFamilyLabel.domcolor = 2;//黄底黄边
            }
        }
        if(data.userReservedInfo.invoiceTitle && data.userReservedInfo.invoiceTitle != ''){
            pay.mock.invoiceTitle = data.userReservedInfo.invoiceTitle;
        }else{
            pay.mock.invoiceTitle = '';
        }
        if(data.userReservedInfo.remark && data.userReservedInfo.remark != ''){
            pay.mock.remark = data.userReservedInfo.remark;
        }else{
            pay.mock.remark = '';
        }
//      if (data.addressInfo.length != 0) pay.mock.addressInfo = data.addressInfo[0];
//      J.Cache.save('address', data.addressInfo[0]);
     
        pay.freight = parseFloat(data.calculatePrice.freight || 0);
        pay.packingPrice = parseFloat(data.calculatePrice.packingPrice);
        pay.mock.totalWeight = Math.round(parseFloat(data.totalWeight*0.001) * 100) / 100;
        
        // 获取优惠券信息
        getCouponInfo(data.availableCoupon);
        // setTimeout(function(){
        //     pay.getSelectedShoppingCar_tpl(num,eventType, pay.par.orderTopId); //获取已选购物车商品页面信息
        //     J.hideMask();
        // },300);
    }, function(data) {
        J.hideMask();
        J.showToast(data.message);
        if(window.location.href.indexOf('#payLists_section') >= 0){
            history.go(-1);
        }
        getShoppingCar_service();
    });
}




// 获取已选购物车商品信息
function getSelectedShoppingCarV2(mock,eventType) { 
    pay.params = {mock:mock,eventType:eventType};
    if(!J.Cache.get('login')) {
        J.showToast('您尚未登录，请登录后重试');
    	return;
    }
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级 4：黑名单C级 5：黑名单D级 6：黑名单E级
    var level = J.Cache.get('login').data.level;
    if(level == 2 || level == 3 || level == 6){
        $('#coupons').addClass('none');
    }
    try{
    	if(J.Cache.get('community').data.type == 1) {
    		mock.deliveryTime = 'isWholeSale';
    	}
    }catch(e){}
    mock.longitude = '';
    mock.latitude = '';
    if(J.Cache.get('address') && J.Cache.get('address').data){
        mock.communityId = J.Cache.get('address').data.communityId;
        mock.addressId = J.Cache.get('address').data.id;
        if(!J.Cache.get('address').data.id){
            // 新用户或者未登录定位的地址
            mock.longitude = J.Cache.get('address').data.position[0];
            mock.latitude = J.Cache.get('address').data.position[1];
        }else{
            if(J.Cache.get('address').data.longitude && J.Cache.get('address').data.latitude){
                mock.longitude = J.Cache.get('address').data.longitude;
                mock.latitude = J.Cache.get('address').data.latitude;
            }else{
                getAddressLnglat(J.Cache.get('address').data.residence,function (location) {
                    mock.longitude = location.lng;
                    mock.latitude = location.lat;
                    var address = J.Cache.get('address').data;
                    address.position = [location.lng,location.lat];
                    address.longitude = location.lng;
                    address.latitude = location.lat;
                    J.Cache.save('address',address);
                });
            }
        }
    }else{
        J.showToast('检测到您当前没有收货地址,无法进行下单，请完善地址后重试');
        return;
    }

    console.log('0.1303213031')


    // // 门店判断
    // var disType = pay.par.disType.toString();
    // pay.param.disType = pay.par.disType
    // var usable = pay.supDeliveryType.indexOf(disType);

    // if (!pay.supDeliveryType.length) {
    //     J.showToast('该门店不支持配送和自提');
    //     return;
    // }
    // if (usable == -1) {
    //     if (disType == 2) {
    //         J.showToast('订单超重，且门店不支持自提');
    //     }
    //     return;
    // }

    var url = 'ws/shoppingAction' + versionMessage.version + '!getSelectedShoppingCarV2.sy';
    var par = {
        shoppingCarIds: mock.shoppingCarIds,
        communityId: mock.communityId,
        longitude: mock.longitude,
        latitude: mock.latitude,
        disType: pay.par.disType
    }
    pay.param.disType = pay.par.disType;

    J.showMask();
    service.get(url, par, function(data) {
        J.Router.goTo('#payLists_section');
        if(data.distributInformationMap){
            J.Cache.save('distributInformationList', data.distributInformationMap);
        }
        var priceInfo = {
            // 商品总金额
            totalCfalsePrice: 0,
            // 总运费运费
            freight: 0,
            // 包装费
            packingPrice: 0,

            // 真实总金额
            realTotalMoney: 0,
            // 真实运费
            realFreight: 0,
            // 优惠金额
            promotionalOffers: 0,

            // 优惠券减免
            couponOff: 0
        }
        var totalShoppingCarIds = [];
        data.data.map(function(item) {
            var num = 0;
            item.eventsInfo.map(function(i) {
                i.serviceEvent.picture = picNetworkPrefix(i.serviceEvent.picture);
                if(i.serviceEvent.serviceEventMarkPic){
                    i.serviceEvent.serviceEventMarkPic = picNetworkPrefix(i.serviceEvent.serviceEventMarkPic);
                }
                num += i.num
            })
            item.num = num;
            item.weightText = (item.totalWeight/1000).toFixed(2)

            priceInfo.totalCfalsePrice = Math.formatFloat(priceInfo.totalCfalsePrice + item.calculatePrice.totalCfalsePrice);
            priceInfo.freight = Math.formatFloat(priceInfo.freight + (item.calculatePrice.freight || 0));
            priceInfo.packingPrice = Math.formatFloat(priceInfo.packingPrice + item.calculatePrice.packingPrice);
            priceInfo.realTotalMoney = Math.formatFloat(priceInfo.realTotalMoney + item.calculatePrice.realTotalMoney);
            priceInfo.realFreight = Math.formatFloat(priceInfo.realFreight + (item.calculatePrice.realFreight || 0));


            // 需要支付的金额
            pay.freight = parseFloat(priceInfo.realFreight || 0);
            pay.packingPrice = parseFloat(priceInfo.packingPrice);
            pay.total = priceInfo.realTotalMoney;

            console.log('item.calculatePrice.realFreight', item.calculatePrice.realFreight)
            // 优惠券
            var shopCouponLength = 0;
            console.log('优惠券',item.availableCoupon.normalCoupon)
            if (item.availableCoupon.normalCoupon) {
                item.availableCoupon.normalCoupon.map(function(i) {
                    if (i.list) {
                        shopCouponLength += Object.keys(i.list).length;
                    }
                })
            }
            item.availableCoupon.shopCouponLength = shopCouponLength;
            // 运费减免券
            var freightCouponLenth = 0;
            if (item.availableCoupon.freightCoupon) {
                item.availableCoupon.freightCoupon.map(function(i) {
                    if (i.list) {
                        freightCouponLenth += Object.keys(i.list).length;
                    }
                })
            }
            item.availableCoupon.freightCouponLenth = freightCouponLenth;


            var shoppingCarIds = [];
            // 商品
            item.eventsInfo.map(function(i) {
                shoppingCarIds.push(i.id);
                totalShoppingCarIds.push(i.id);
            })
            // 计算的参数
            var par = {
                shoppingCarIds: JSON.stringify(shoppingCarIds),
                deliveryTId: null,
                deliveryTime: '',
                disType: pay.par.disType,
                useVipFreeFreight: 0,
                communityId: J.Cache.get('address').data.communityId,
                merchantId: item.merchantInfo.id,
                couponJsonStr: {}
            }


            item.par = par;
        })
        pay.par.shoppingCarIds = JSON.stringify(totalShoppingCarIds);

        priceInfo.promotionalOffers = Math.formatFloat(priceInfo.totalCfalsePrice - priceInfo.realTotalMoney - priceInfo.couponOff);

        data.addressInfo = J.Cache.get('address').data; 
        data.priceInfo = priceInfo;

        pay.mock.addressInfo = J.Cache.get('address').data;

        //初始化优惠券
        pay.payCoupon = {
            mock: {},
            useCoupon: {},
            total: 0
        };
        
        
        
        
        pay.payLists = data;
        
        setTimeout(function(){
            pay.getSelectedShoppingCar_tpl(eventType, pay.par.orderTopId); //获取已选购物车商品页面信息
            J.hideMask();
        },300);


        
    }, function(data) {
        J.hideMask();
        J.showToast(data.message);
        if(window.location.href.indexOf('#payLists_section') >= 0){
            history.go(-1);
        }
        getShoppingCar_service();
    })


}


// 计算积分和余额
// eventType 0.商品购买 1.优惠券购买 2.购买会员
function calculateAvailableIntegrationAndBalance_service(mock,eventType, howPay, topId) {
	setTimeout(function() {
		var templateData = {
			data: {
				type: 0
			}
		}
		try{
			templateData.data.type = J.Cache.get('community').data.type;
		}catch(e){
			templateData.data.type = 0;
		}
//		J.Template.render("#payMethod_article", "payMethod_template", J.Cache.get('community').data, "replace");
		J.Template.render("#payMethod_article", "payMethod_template", templateData.data, "replace");
	    J.showMask();
	    var par = {
            total: mock,
	    };
        if (eventType == 0) {
            par.merchantId= pay.param.merchantId
        }
        scanGetIntegrationAndBalance_service(par, function(data) {
            // 支付方式  0 积分余额，1 支付宝，4 微信支付，7 招商银行支付，8 微信小程序支付，9 微信聚合支付，10 支付宝聚合支付
            // 需要显示的支付方式
            var _showPayType = [];
            var showType = data.showPayType.split(',');
            var payType = [];
            if (isWechatClient()) {
                wx.miniProgram.getEnv(function(res) {
                    if (res.miniprogram) {
                        payType = ['0', '7', '8']
                    } else {
                        payType = ['0', '4', '7', '9']
                    }
                })
            } else {
                payType = ['0', '1', '7', '10']
            }
            _showPayType = showType.filter(function (val) { return payType.indexOf(val) > -1 });
            console.log('_showPayType:', _showPayType);
            
            _showPayType.forEach(function(item) {
                console.log(item);
                $(".modePayList .payment-list[data-type='" + item + "']").addClass('show')
            });
    
    
            J.Cache.save('prePayOrderStr', data.prePayOrderStr);
            pay.mock.blance = data;
            if(eventType == 1){
                pay.total = mock ;
                pay.freight = 0;
                pay.packingPrice = 0;
                $("#payMethod_section h3").text(mock);
                setPayPage(J.Cache.get("payType").data);
            }
            if(eventType == 2){
                pay.total = mock ;
                pay.freight = 0;
                pay.packingPrice = 0;
                $("#payMethod_section h3").text(mock);
            }
            J.hideMask();
            pay.getBlanceAndIntegration_tpl(eventType, howPay, topId);
        }, function() {
            J.hideMask();
            J.showToast(error_message);
            history.go(-1);
        })
	}, 500);
}
// 获取可用积分和余额
function scanGetIntegrationAndBalance_service(par, success, errCallback) {
	var url = 'ws/shoppingAction' + versionMessage.version + '!calculateAvailableIntegrationAndBalance.sy';
	service.get(url, par, function(data) {
		J.Cache.save('prePayOrderStr', data.prePayOrderStr);
		success(data);
	}, function(err) {
		errCallback(err);
	})
}

// var ifGoCheckoutSuccess = false;
// 购物车-支付订单
function submitOrder_service(param) {
    J.showMask();
    // delete param.total;
    // delete param.freight;

    // var useCoupon = $('#couponDetail').data('useCoupon'),
    //     couponCid = [];
    // if(useCoupon){
    //     couponCid = JSON.parse(useCoupon).couponCid;
    // }
    // param.couponCombination = '';
    // if(couponCid.length > 0){
    //     param.couponCombination = JSON.stringify(couponCid);
    // }

    var freightCoupon = $('.freightCoupon_li').data('freightCoupon'),
        freightCouponCid = '';
    if(freightCoupon){
        freightCouponCid = JSON.parse(freightCoupon).couponCid;
    }
    param.avaliableFreightFreeCoupon = freightCouponCid;

    if (param.type == 1) {
        setTimeout(function() {
            J.hideMask();
        }, 30 * 1000)
        // delete pay.couponJsonStr;
        // delete param.couponJsonStr;
//      return;
    }
    if(J.Cache.get('prePayOrderStr')) {
    	param.prePayOrderStr = J.Cache.get('prePayOrderStr').data
    }
    // 判断设备 1:app; 2:wechat; 3:其他
    param.orderSourceType = 3;
    if(isWechatClient()) {
		param.orderSourceType = 2;
	}
	if(isAndroidIosApp()) {
		param.orderSourceType = 1;
	}

    delete param.deliveryTimer;
    var url = serverUrl + 'ws/orderAction' + versionMessage.version + '!submitOrderV2.sy';
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级 4：黑名单C级 5：黑名单D级 6：黑名单E级
    var level = J.Cache.get('login').data.level;
    if(level == 2){
    	J.hideMask();
        J.showToast('暂时无法购买');
        return;
    }
    if(param.disType == 2 && !param.addressId){
        param.addressId = 0;
    }
    param.time = new Date().getTime();
    $.post(url, param, function (res) {
        var result = JSON.parse(res);
        J.hideMask();
        if(result.success) {
            var data = result.data;
            // 记录
            page.alreadyPayStr = data.alreadyPayStr;
            var bool = false;

            //删除选择优惠券记录
            $('#couponDetail').removeData('useCoupon');
            $('.freightCoupon_li').removeData('freightCoupon');

            // 支付工具支付    payMethod  0余额和积分支付 1 支付宝支付 2银联支付 3线下支付 4微信支付
            if (param.payMethod != 0 && param.payMethod != 3 && pay.mock.blance.thirdPatMethod != 0) {
                if (param.type == 0) {
                    // 7是招商银行支付；
                    if (param.payMethod == 7) {
                        console.log('7是招商银行支付；', result);
                        var payPar = {
                            tradeNo: result.data.tradeNo,
                            amount: pay.mock.blance.thirdPatMethod
                        }
                        gatPayParams_service(payPar, function(data) {
                            console.log(data);
                            J.Cache.save('payCMB', data);
                            J.Router.goTo('#unionpayPay_section');
                        }, function() {

                        });
                        return;
                    }

                    // 跳转小程序的支付
                    if (param.payMethod == 8) {
                        console.log('8是微信小程序支付', result);
                        var payPar = {
                            payMethod: 8,
                            money: pay.mock.blance.thirdPatMethod,
                            key: 'chuwa',
                            body: 'wty',
                            tradeNo: result.data.tradeNo,
                            alreadyPayStr: result.data.alreadyPayStr,
                        }

                        var payParStr = JSON.stringify(payPar);
                        var url= '../wxPay/wxPay?payParStr=' + payParStr;

                        wx.miniProgram.navigateTo({
                            url: url
                        });

                        return;
                    }


                    // 9是聚合微信支付；
                    if (param.payMethod == 9) {
                        var payPar = {
                            payMethod: 9,
                            tradeNo: result.data.tradeNo,
                            amount: pay.mock.blance.thirdPatMethod
                        }
                        if (isWechatClient()) {
                            payPar.openId = J.Cache.get('openId').data
                        }
                        getAggregatePayParams_service(payPar, function(e) {
                            console.log(e);
                            var payPar = e;
                            wx.config({
                                debug: false,
                                appId: payPar.appId,
                                timestamp: payPar.timeStamp,
                                nonceStr: payPar.nonceStr,
                                signature: payPar.signature,
                                jsApiList: [
                                    'chooseWXPay'
                                ]
                            });

                            wx.chooseWXPay({
                                timestamp: payPar.timeStamp+"",
                                nonceStr: payPar.nonceStr,
                                // package: 'prepay_id=' + payPar.packages,
                                package:  payPar.package,
                                signType: payPar.signType,
                                paySign: payPar.paySign,
                                success: function(res) {
                                    if(successCall){

                                        console.log('使用聚合支付成功后的回调', e);
                                        // 支付成功
                                        if(bool) {
                                            return;
                                        } else {
                                            bool = true;
                                        }
                                        J.Router.goTo('#checkoutSuccess_section');
                                        getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                                        childrenAticleToggleActive('home_article', 'addClass');
                                        delete param.couponJsonStr;
                                        param.couponJsonStr = {};
                                        return;


                                    }else{
                                        WeixinJSBridge.invoke('closeWindow', {}, function(res) {
                                            alert(res.err_msg);
                                        });
                                    }
                                },
                                cancel: function(res) {
                                    console.log("微信支付错误", res);
                                    if(bool) {
                                        return;
                                    } else {
                                        bool = true;
                                    }
                                    console.log('支付失败回调--------------------');
                                    J.Router.goTo('#checkoutSuccess_section');
                                    getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                                    return;
                                },                 
                                fail:function(res) {
                                    if(bool) {
                                        return;
                                    } else {
                                        bool = true;
                                    }
                                    console.log('支付失败回调--------------------');
                                    J.Router.goTo('#checkoutSuccess_section');
                                    getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                                    return;
                                }
                            });

                        }, function() {
                            console.log('获取聚合微信支付参数失败');
                        });
                        return;
                    }



                    // 10是聚合支付宝；
                    if (param.payMethod == 10) {
                        console.log('10是聚合支付宝；', result);
                        var payPar = {
                            payMethod: 10,
                            tradeNo: result.data.tradeNo,
                            amount: pay.mock.blance.thirdPatMethod
                        }
                        getAggregatePayParams_service(payPar, function(payInfo) {
                            if(isWechatClient()) {
                                return;
                            }
                            if(isIOS()) {
                                console.log('聚合支付绑定resume回调', data)
                                $(document).bind("resume", function() {
                                    $(document).unbind("resume");
                                    // 判断是否支付成功
                                    J.showMask();
                                    getAlipayState(data, function(isPay) {
                                        J.hideMask();
                                        if(bool) {
                                            return;
                                        } else {
                                            bool = true;
                                        }
                                        if(isPay) {
                                            // 支付成功
                                            J.Router.goTo('#checkoutSuccess_section');
                                            getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                                            childrenAticleToggleActive('home_article', 'addClass');
                                            delete param.couponJsonStr;
                                            param.couponJsonStr = {};
                                        } else {
                                            // 支付失败
                                            J.Router.goTo('#checkoutSuccess_section');
                                            console.log(data);
                                            getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                                            return;
                                        }
                                    }, function() {
                                        J.hideMask();
                                    })
                                })
                            }

                            console.log('聚合支付的参数，准备支付', payInfo);
                            cordova.plugins.alipay.payment(payInfo,function success(e){
                                console.log('使用聚合支付成功后的回调', e);
                                // 支付成功
                                if(bool) {
                                    return;
                                } else {
                                    bool = true;
                                }
                                J.Router.goTo('#checkoutSuccess_section');
                                getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                                childrenAticleToggleActive('home_article', 'addClass');
                                delete param.couponJsonStr;
                                param.couponJsonStr = {};
                                return;
                            },function error(e){
                                console.log("支付失败" + e.resultStatus);
                                if(bool) {
                                    return;
                                } else {
                                    bool = true;
                                }
                                console.log('支付失败回调--------------------');
                                J.Router.goTo('#checkoutSuccess_section');
                                console.log(data);
                                getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                                return;
                            });                            
                            return;
                        }, function() {
                            console.log('获取聚合支付参数失败');
                        });
                        return;
                    }

                    Mobile.pay(pay.method[param.payMethod], pay.mock.blance.thirdPatMethod, data, function () {
                        if(bool) {
                            return;
                        } else {
                            bool = true;
                        }
                        J.Router.goTo('#checkoutSuccess_section');
                        getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                        childrenAticleToggleActive('home_article', 'addClass');
                        delete param.couponJsonStr;
                        param.couponJsonStr = {};
                        return;
                    }, function() {
                        if(bool) {
                            return;
                        } else {
                            bool = true;
                        }
                        console.log('支付失败回调--------------------');
                        J.Router.goTo('#checkoutSuccess_section');
                        console.log(data);
                        getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                        return;
                    });
                    if(isWechatClient()) {
                        return;
                    }
                    if(isIOS()) {
                        // ifGoCheckoutSuccess = true;
                        console.log('绑定resume回调', data)
                        $(document).bind("resume", function() {
                            $(document).unbind("resume");
                            // 判断是否支付成功
                            getAlipayState(data, function(isPay) {
                                if(bool) {
                                    return;
                                } else {
                                    bool = true;
                                }
                                if(isPay) {
                                    // 支付成功
                                    J.Router.goTo('#checkoutSuccess_section');
                                    getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                                    childrenAticleToggleActive('home_article', 'addClass');
                                    delete param.couponJsonStr;
                                    param.couponJsonStr = {};
                                } else {
                                    // 支付失败
                                    J.Router.goTo('#checkoutSuccess_section');
                                    console.log(data);
                                    getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                                    return;
                                }
                            }, function() {})
                        })
                    }
                } else {
                    if (param.type == 0) J.showToast('订单完成');
                    J.Router.goTo('#checkoutSuccess_section');
                    getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                    childrenAticleToggleActive('home_article', 'addClass');
                    delete param.couponJsonStr;
                    param.couponJsonStr = {};
                }
            } else {
                if (param.type == 0) J.showToast('订单完成');
                J.Router.goTo('#checkoutSuccess_section');
                getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                childrenAticleToggleActive('home_article', 'addClass');
                delete param.couponJsonStr;
                param.couponJsonStr = {};
            }
        } else {
            if(result.message == '当前预约时间不可用'){
                alert(result.message);
                history.go(-1);
                setTimeout(function(){
                    getSelectedShoppingCar_service(pay.par, 2);
                },200);
            } else {
                alert(result.message);
                history.go(-1);
                setTimeout(function() {
                    history.go(-1);
                }, 10);
               }
            return;
        }
    },function(err){
        J.hideMask();
        J.showToast('网络连接出错');
    });
}
//拼团支付
function groupSubmitOrder_service(param){
    // pay.joinGroupOrderCode = '';
    J.showMask();
    delete param.total;
    var url = 'ws/orderAction' + versionMessage.version + '!submitCollageOrder.sy';
    if(shopCarCommodityid == ''){
        shopCarCommodityid = param.groupEventId;
    }
    service.get(url, param, function (data,msg) {
        if(data == null || data == ''){
            J.showToast(msg);
            return;
        }
        if (!isNullString(param.picture)) param.picture = picNetworkPrefix(param.picture);
        var shareData = {
            orderTopCode: data.orderTopCollageCode,
            title: param.name,
            imgUrl: param.picture,
            eventId: param.groupEventId,
            type: param.type
        };
        J.Cache.save('groupShare', shareData);
        J.hideMask();
        var bool = false;
        // 支付工具支付
        if (param.payMethod != 0 && param.payMethod != 3 && pay.mock.blance.thirdPatMethod != 0) {
            if (param.type == 3) {
                Mobile.pay(pay.method[param.payMethod], pay.mock.blance.thirdPatMethod, data, function () {
                    if(bool) {
                        return;
                    } else {
                        bool = true;
                    }
                    J.Router.goTo('#checkoutSuccess_section');
                    getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                    childrenAticleToggleActive('home_article', 'addClass');
                    return;
                }, function() {
                    if(bool) {
                        return;
                    } else {
                        bool = true;
                    }
                    J.showToast('支付失败');
                    // J.Router.goTo('#checkoutSuccess_section');
                    setTimeout(function(){
                        getSubmitOrderMessage_service({alreadyPayStr : "",orderTopCollageCode:data.orderTopCollageCode}, 1);
                    },10);
                    return;
                });
                if(isWechatClient()) {
                    return;
                }
                if(isIOS()) {
                    $(document).bind("resume", function() {
                        $(document).unbind("resume");
                        // 判断是否支付成功
                        getAlipayState(data, function(isPay) {
                            if(bool) {
                                return;
                            } else {
                                bool = true;
                            }
                            if(isPay) {
                                // 支付成功
                                J.Router.goTo('#checkoutSuccess_section');
                                getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                                childrenAticleToggleActive('home_article', 'addClass');
                                return;
                            } else {
                                // 支付失败
                                J.showToast('支付失败');
                                setTimeout(function(){
                                    getSubmitOrderMessage_service({alreadyPayStr : "",orderTopCollageCode:data.orderTopCollageCode}, 1);
                                },10);
                                return;
                            }
                        }, function() {});
                    });
                }
            } else {
                if (param.type == 3) J.showToast('订金支付成功');
                J.Router.goTo('#checkoutSuccess_section');
                getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                childrenAticleToggleActive('home_article', 'addClass');
            }
        } else {
            if (param.type == 3) J.showToast('订金支付成功');
            J.Router.goTo('#checkoutSuccess_section');
            getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
            childrenAticleToggleActive('home_article', 'addClass');
        }
    });
}
//尾款
function groupOrderFinalMoney_service(param){
    J.showMask();
    delete param.total;
    var url = 'ws/orderAction' + versionMessage.version + '!collageOrderFinalPay.sy';
    if(shopCarCommodityid == ''){
        shopCarCommodityid = param.groupEventId;
    }
    service.get(url, param, function (data) {
        J.hideMask();
        var bool = false;
        // 支付工具支付
        if (param.payMethod != 0 && param.payMethod != 3 && pay.mock.blance.thirdPatMethod != 0) {
            if (param.type == 4) {
                Mobile.pay(pay.method[param.payMethod], pay.mock.blance.thirdPatMethod, data, function () {
                    if(bool) {
                        return;
                    } else {
                        bool = true;
                    }
                    J.Router.goTo('#checkoutSuccess_section');
                    getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                    childrenAticleToggleActive('home_article', 'addClass');
                    return;
                }, function() {
                    if(bool) {
                        return;
                    } else {
                        bool = true;
                    }
                    J.showToast('支付失败');
                    // J.Router.goTo('#checkoutSuccess_section');
                    setTimeout(function(){
                        getSubmitOrderMessage_service('', 1);
                    },10);
                    return;
                });
                if(isWechatClient()) {
                    return;
                }
                if(isIOS()) {
                    $(document).bind("resume", function() {
                        $(document).unbind("resume");
                        // 判断是否支付成功
                        getAlipayState(data, function(isPay) {
                            if(bool) {
                                return;
                            } else {
                                bool = true;
                            }
                            if(isPay) {
                                // 支付成功
                                J.Router.goTo('#checkoutSuccess_section');
                                getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                                childrenAticleToggleActive('home_article', 'addClass');
                                return;
                            } else {
                                // 支付失败
                                J.showToast('支付失败');
                                setTimeout(function(){
                                    getSubmitOrderMessage_service('', 1);
                                },10);
                                return;
                            }
                        }, function() {});
                    });
                }
            } else {
                if (param.type == 4) J.showToast('支付成功');
                J.Router.goTo('#checkoutSuccess_section');
                getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                childrenAticleToggleActive('home_article', 'addClass');
            }
        } else {
            if (param.type == 4) J.showToast('支付成功');
            J.Router.goTo('#checkoutSuccess_section');
            getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
            childrenAticleToggleActive('home_article', 'addClass');
        }
    });
}

// 提交团购订单
function submitAuditOrder_service() {
	pay.param.deliveryTime = 'isWholeSale';
	pay.param.type = 2;
    if($('#remark').val()){
        pay.param.remark = $('#remark').val();
    }else{
        pay.param.remark = '';
    }
    if($('#invoiceTitle').val()){
        pay.param.invoiceTitle = $('#invoiceTitle').val();
    }else{
        pay.param.invoiceTitle = '';
    }
	var param = pay.param;
	J.showMask();
    delete param.total;
    delete param.freight;
    // delete param.packingPrice;
    delete pay.couponJsonStr;
    delete param.couponJsonStr;
    //level 0:普通用户 1：白名单用户 2：黑名单A级 3：黑名单B级 4：黑名单C级 5：黑名单D级 6：黑名单E级
    var level = J.Cache.get('login').data.level;
    if(level == 2){
    	J.hideMask();
        J.showToast('暂时无法购买');
        return;
    }
    var url = 'ws/orderAction' + versionMessage.version + '!submitAuditOrder.sy';
    service.get(url, param, function(data) {
    	J.hideMask();
    	J.showToast('订单已经提交审核');
    	J.Router.goTo('#myOrders_section');
    	orders.goMyOrders('0','#allOrder')
    }, function(data) {
    	J.hideMask();
    	J.showToast('订单提交失败，请重试！');
    })
}

// - 去支付
function submitOrderTop_service(param){
    J.showMask();
    if(param.type == 1){
        J.hideMask();
        delete param.couponJsonStr;
        return;
    }
    // 判断设备 1:app; 2:wechat; 3:其他
    param.orderSourceType = 3;
    if(isWechatClient()) {
		param.orderSourceType = 2;
	}
	if(isAndroidIosApp()) {
		param.orderSourceType = 1;
	}
    if(J.Cache.get('prePayOrderStr')) {
    	param.prePayOrderStr = J.Cache.get('prePayOrderStr').data
    }
    
    var useCoupon = $('#couponDetail').data('useCoupon'),
    couponCid = [];
    if(useCoupon){
        couponCid = pay.payCoupon.useCoupon.couponCid;
    }
    // param.couponCombination = '';
    // if(couponCid.length > 0){
    //     param.couponCombination = JSON.stringify(couponCid);
    // }

    var freightCoupon = $('.freightCoupon_li').data('freightCoupon'),
        freightCouponCid = '';
    if(freightCoupon){
        freightCouponCid = JSON.parse(freightCoupon).couponCid;
    }
    param.avaliableFreightFreeCoupon = freightCouponCid;

    var url = serverUrl + 'ws/orderAction' + versionMessage.version + '!submitOrderTop.sy';
    $.post(url, param, function(res) {
        J.hideMask();
        var result = JSON.parse(res)
        if(result.success) {
            var data = result.data;
            // 记录
            page.alreadyPayStr = data.alreadyPayStr;
            var bool = false;
            //删除选择优惠券记录
            $('#couponDetail').removeData('useCoupon');
            $('.freightCoupon_li').removeData('freightCoupon');
            //
            if (param.payMethod != 0 && param.payMethod != 3 && pay.mock.blance.thirdPatMethod != 0) {
                // 7是招商银行支付；
                if (param.payMethod == 7) {
                    console.log('7是招商银行支付；', result);
                    var payPar = {
                        tradeNo: result.data.tradeNo,
                        amount: pay.mock.blance.thirdPatMethod
                    }
                    gatPayParams_service(payPar, function(data) {
                        console.log(data);
                        J.Cache.save('payCMB', data);
                        J.Router.goTo('#unionpayPay_section');
                    }, function() {

                    });
                    return;
                }
                // 跳转小程序的支付
                if (param.payMethod == 8) {
                    console.log('8是微信小程序支付', result);
                    var payPar = {
                        payMethod: 8,
                        money: pay.mock.blance.thirdPatMethod,
                        key: 'chuwa',
                        body: 'wty',
                        tradeNo: result.data.tradeNo,
                        alreadyPayStr: result.data.alreadyPayStr,
                    }

                    var payParStr = JSON.stringify(payPar);
                    var url= '../wxPay/wxPay?payParStr=' + payParStr;

                    wx.miniProgram.navigateTo({
                        url: url
                    });

                    return;
                }

                // 9是聚合微信支付；
                if (param.payMethod == 9) {
                    var payPar = {
                        payMethod: 9,
                        tradeNo: result.data.tradeNo,
                        amount: pay.mock.blance.thirdPatMethod
                    }
                    if (isWechatClient()) {
                        payPar.openId = J.Cache.get('openId').data
                    }
                    getAggregatePayParams_service(payPar, function(e) {
                        console.log(e);
                        var payPar = e;
                        wx.config({
                            debug: false,
                            appId: payPar.appId,
                            timestamp: payPar.timeStamp,
                            nonceStr: payPar.nonceStr,
                            signature: payPar.signature,
                            jsApiList: [
                                'chooseWXPay'
                            ]
                        });

                        wx.chooseWXPay({
                            timestamp: payPar.timeStamp+"",
                            nonceStr: payPar.nonceStr,
                            // package: 'prepay_id=' + payPar.packages,
                            package:  payPar.package,
                            signType: payPar.signType,
                            paySign: payPar.paySign,
                            success: function(res) {
                                if(successCall){

                                    console.log('使用聚合支付成功后的回调', e);
                                    // 支付成功
                                    if(bool) {
                                        return;
                                    } else {
                                        bool = true;
                                    }
                                    J.Router.goTo('#checkoutSuccess_section');
                                    getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                                    childrenAticleToggleActive('home_article', 'addClass');
                                    delete param.couponJsonStr;
                                    param.couponJsonStr = {};
                                    return;


                                }else{
                                    WeixinJSBridge.invoke('closeWindow', {}, function(res) {
                                        alert(res.err_msg);
                                    });
                                }
                            },
                            cancel: function(res) {
                                console.log("微信支付错误", res);
                                if(bool) {
                                    return;
                                } else {
                                    bool = true;
                                }
                                console.log('支付失败回调--------------------');
                                J.Router.goTo('#checkoutSuccess_section');
                                getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                                return;
                            },                 
                            fail:function(res) {
                                if(bool) {
                                    return;
                                } else {
                                    bool = true;
                                }
                                console.log('支付失败回调--------------------');
                                J.Router.goTo('#checkoutSuccess_section');
                                getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                                return;
                            }
                        });

                    }, function() {
                        console.log('获取聚合微信支付参数失败');
                    });
                    return;
                }

                // 10是聚合支付宝；
                if (param.payMethod == 10) {
                    console.log('10是聚合支付宝；', result);
                    var payPar = {
                        payMethod: 10,
                        tradeNo: result.data.tradeNo,
                        amount: pay.mock.blance.thirdPatMethod
                    }
                    getAggregatePayParams_service(payPar, function(payInfo) {
                        if(isWechatClient()) {
                            return;
                        }
                        if(isIOS()) {
                            console.log('聚合支付绑定resume回调', data)
                            $(document).bind("resume", function() {
                                $(document).unbind("resume");
                                // 判断是否支付成功
                                J.showMask();
                                getAlipayState(data, function(isPay) {
                                    J.hideMask();
                                    if(bool) {
                                        return;
                                    } else {
                                        bool = true;
                                    }
                                    if(isPay) {
                                        // 支付成功
                                        J.Router.goTo('#checkoutSuccess_section');
                                        getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                                        childrenAticleToggleActive('home_article', 'addClass');
                                        delete param.couponJsonStr;
                                        param.couponJsonStr = {};
                                    } else {
                                        // 支付失败
                                        J.Router.goTo('#checkoutSuccess_section');
                                        console.log(data);
                                        getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                                        return;
                                    }
                                }, function() {
                                    J.hideMask()
                                })
                            })
                        }

                        console.log('聚合支付的参数，准备支付', payInfo);
                        cordova.plugins.alipay.payment(payInfo,function success(e){
                            console.log('使用聚合支付成功后的回调', e);
                            // 支付成功
                            if(bool) {
                                return;
                            } else {
                                bool = true;
                            }
                            J.Router.goTo('#checkoutSuccess_section');
                            getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                            childrenAticleToggleActive('home_article', 'addClass');
                            delete param.couponJsonStr;
                            param.couponJsonStr = {};
                            return;
                        },function error(e){
                            console.log("支付失败" + e.resultStatus);
                            if(bool) {
                                return;
                            } else {
                                bool = true;
                            }
                            console.log('支付失败回调--------------------');
                            J.Router.goTo('#checkoutSuccess_section');
                            console.log(data);
                            getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                            return;
                        });                            
                        return;
                    }, function() {
                        console.log('获取聚合支付参数失败');
                    });
                    return;
                }
                
                Mobile.pay(pay.method[param.payMethod], pay.mock.blance.thirdPatMethod, data,function(){
                    if(bool) {
                        return;
                    } else {
                        bool = true;
                    }
                    J.Router.goTo('#checkoutSuccess_section');
                    getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                    childrenAticleToggleActive('me_article', 'addClass');
                    delete param.couponJsonStr;
                },function(){
                    if(bool) {
                        return;
                    } else {
                        bool = true;
                    }
                    J.showToast('支付失败');
                });
                if(isWechatClient()) {
                    return;
                }
                if(isIOS()) {
                    // ifGoCheckoutSuccess = true;
                    $(document).bind("resume", function() {
                        $(document).unbind("resume");
                        // 判断是否支付成功
                        getAlipayState(data, function(isPay) {
                            if(bool) {
                                return;
                            } else {
                                bool = true;
                            }
                            if(isPay) {
                                // 支付成功
                                J.Router.goTo('#checkoutSuccess_section');
                                getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                                childrenAticleToggleActive('home_article', 'addClass');
                                delete param.couponJsonStr;
                                param.couponJsonStr = {};
                            } else {
                                // 支付失败
                                J.Router.goTo('#checkoutSuccess_section');
                                console.log(data);
                                getSubmitOrderMessage_service({alreadyPayStr:'',orderTopCode : data.orderTopCode}, 1);
                                return;
                            }
                        }, function() {})
                    })
                }
            } else {
                J.Router.goTo('#checkoutSuccess_section');
                getSubmitOrderMessage_service({alreadyPayStr:data.alreadyPayStr}, param.type);
                childrenAticleToggleActive('me_article', 'addClass');
                delete param.couponJsonStr;
            }
        } else {
            alert(result.message);
            history.go(-1);
            setTimeout(function() { 
                history.go(-1);
            }, 10)
        }        
    }, function(err) {
        J.hideMask();
        J.showToast('网络连接出错');
    })
}
// 查询订单是否已经支付
function getAlipayState(par, callback, err) {
	var url = 'ws/paymentAction!getAlipayState.sy';
	service.get(url, par, function(data) {
		callback(data);
	}, function() {
		err();
	});
}

// 招商银行获取参数
function gatPayParams_service(par, callback, err) {
	var url = 'ws/cmbAction!gatPayParams.sy';
	service.get(url, par, function(data) {
		callback(data);
	}, function() {
		err();
	});
}
// 获取小程序支付参数
function getMiniPayParams_service(par, callback, err) {
	var url = 'ws/cmbAction!getMiniProgramPaymentParams.sy';
	service.get(url, par, function(data) {
		callback(data);
	}, function() {
		err();
	});
}

// 获取聚合支付的参数
function getAggregatePayParams_service(par, callback, err) {
	var url = 'ws/wjUnionPayAction!gatPayParams.sy';
	service.get(url, par, function(data) {
		callback(data);
	}, function() {
		err();
	});
}
// 获取支付后的信息
function getSubmitOrderMessage_service(par, type) {
    
    $('.stateTop.create .icon0').addClass('active').siblings().removeClass('active');
    $('.stateTop.create .stateTopIcon h1').text('正在支付');
    $('.stateTop.create .stateTopIcon p').text('正在支付中，请稍后...');

    mobilePay = true;
	var url = 'ws/orderAction' + versionMessage.version + '!paySuccessInfo.sy';
	service.get(url, par, function(data) {
        $('#userInfo_div').attr('data-refresh',true);//更新积分余额
	    if(data == '' || data == null || JSON.stringify(data) == "{}"){
	        return;
        }
        data.packingPrice = data.packingPrice || 0;
        // 订单生成分享
        var shareUrl;
        console.log(type);
        if (type == 0) {
            shareUrl = wechatUrl + '?specialStr=' + data.orderCode + '&type=4' + '#index_section'
        } else {
            shareUrl = wechatUrl;
        }
        var sharePar = {
            title: data.order_finish_title,
            desc: data.order_finish_text,
            link: shareUrl,
            imgUrl: picNetworkPrefix(data.order_finish_pic)
        }
        J.Cache.save("shareWTYPayPar", sharePar);
        // 设置分享参数
        if (isWechatClient()) {
            getJSSDKConfigParams_service();
            wx.ready(function(){
                shareWTYPay_control();
            });
        }
        
        cartNum_service();
        J.Cache.save('orderType',type);

        clearInterval(timeRem);
        var createOrderState = '';
        var createOrderStateInfo = '';
        // 订单状态
        if (data.noPaymentSplit) {
            // createSuccess
            // $("#checkoutSuccess_section .stateTop").addClass('createSuccess');
            $('.stateTop.create .createOrder').addClass('active').siblings().removeClass('active');
            if (type == 0) {
                $("#checkoutSuccess_section nav.right").show();
                $('.stateTop.create .icon4').addClass('active').siblings().removeClass('active');
                createOrderState = '支付成功';
                createOrderStateInfo = '您的订单已支付成功！';

                // 弹框
                console.log('data.extension_paysuccess_img:', data.extension_paysuccess_img)
                if (data.isExtensionPaysuccess) {
                    $('.createOrderBox').addClass('active');
                    $('.createOrderBox .imgbox img').attr('src', picNetworkPrefix(data.extension_paysuccess_img));
                }
            } else {    
                if (data.payMethod == 0) {
                    $('.stateTop.create .unpaidOrder').addClass('active').siblings().removeClass('active');
                    $("#checkoutSuccess_section nav.right").hide();
                    createOrderState = '待支付';

                    // 操作
                    $('#checkoutSuccess_article .operateButtons .cancel').attr('onclick','cancelUnpaidOrder(' + data.orderTopId + ')');
                    $('#checkoutSuccess_article .operateButtons .payment').attr('onclick','getOrderMainsByOrderTop_service(' + data.orderTopId + ')');

                    // 倒计时
                    var timeRemaining = 30 * 60;
                    createOrderStateInfo = '剩余时间 30:00';
                    timeRem = setInterval(function() {
                        timeRemaining--;
                        if (timeRemaining <= 0) {
                            createOrderStateInfo = '剩余时间 00:00'
                            clearInterval(timeRem);
                            return;
                        }
                        var m = Math.floor(timeRemaining / 60);
                        var s = timeRemaining % 60;
                        var str = (m < 10 ? '0' + m : m) + ':' + (s < 10 ? '0' + s : s);
                        createOrderStateInfo = '剩余时间 ' + str;
                        $('.stateTop.create .stateTopIcon p').text(createOrderStateInfo);
                    }, 1000);

                    $('.stateTop.create .icon2').addClass('active').siblings().removeClass('active');
                } else {
                    $("#checkoutSuccess_section nav.right").show();
                    $('.stateTop.create .icon3').addClass('active').siblings().removeClass('active');
                    createOrderState = '订单生成';
                    createOrderStateInfo = '您的订单已生成';

                    // 弹框
                    console.log('data.extension_paysuccess_img:', data.extension_paysuccess_img)
                    if (data.isExtensionPaysuccess) {
                        $('.createOrderBox').addClass('active');
                        $('.createOrderBox .imgbox img').attr('src', picNetworkPrefix(data.extension_paysuccess_img));
                    }
                }
            }
        } else {
            $("#checkoutSuccess_section nav.right").hide();
            $('.stateTop.create .icon1').addClass('active').siblings().removeClass('active');
            $('.stateTop.create .ungeneratedOrder').addClass('active').siblings().removeClass('active');

            createOrderState = '支付失败';
            createOrderStateInfo = '请返回购物车重新购买!';
            
        }
        $('.stateTop.create .stateTopIcon h1').text(createOrderState);
        $('.stateTop.create .stateTopIcon p').text(createOrderStateInfo);


        if(data.extensionAdvertList && data.extensionAdvertList.length > 0){
            $('#createOrderSlide').css('display','block');
            // 轮播图
            data.extensionAdvertList.map(function(item){
                item.pics = picNetworkPrefix(item.pics);
            })
            J.Template.render("#createOrderSlide", "slideDiv_template", data.extensionAdvertList, "replace");
            switch (data.extensionSize) {
                case 1:
                    $('#createOrderSlide').addClass('size_small');
                    $('#createOrderSlide .slide_advert').addClass('size_small');
                    break;
                case 2:
                    $('#createOrderSlide').addClass('size_middle');
                    $('#createOrderSlide .slide_advert').addClass('size_middle');
                    break;
                case 3:
                    $('#createOrderSlide').addClass('size_big');
                    $('#createOrderSlide .slide_advert').addClass('size_big');
                    break;
                default:
                    break;
            }

            if(data.extensionAdvertList.length > 1){
                Viwepager('#createOrderSlide ul', {
                    loop: true, //循环切换
                    auto: true, //自动切换
                    callback: function(ind) { //这里传过来的是索引值
                        $('#createOrderSlide ol li').eq(ind).addClass('active').siblings().removeClass('active');
                    }
                });
            }else{
                $('#createOrderSlide div.page').css('display','none');
            }
        }else{
            $('#createOrderSlide').css('display','none');
        }


		// var payment = ''
		// if(data.payMethod == 0) payment = '积分或余额支付';
		// if(data.payMethod == 1) payment = '支付宝支付';
		// if(data.payMethod == 2) payment = '银联支付';
		// if(data.payMethod == 3) payment = '线下支付';
		// if(data.payMethod == 4) payment = '微信支付';
        // $('#checkoutSuccess_section .noPaymentSplit').css('display','block');
        // $('#orderFa').css('display','none');
        // $('#orderFail').css('display','none');
        // $('#checkoutSuccess_section .title').text('订单生成');
		// if(type == 1) {//type = 1 支付时点击取消
        //     // document.querySelector('#markedWords').innerText = '您的订单已生成';
        //     $('#orderSuccess').css('display','none');
		//     if(data.noPaymentSplit){
        //         $('#orderFail').css('display','block');
        //         document.querySelector('#markedWords').innerText = '您的待支付订单已生成';
        //         $('.goMePageBtn button.btn').attr('onclick','orders.goMyOrders("1","#unpaidOrder")');
        //         $('#groupStart').css('display','none');
        //         $('#contactInfo').css('display','block');
        //         if(data.disType == 2){
        //             if(data.address.id){
        //                 document.querySelector('#checkoutSuccess_section .name').innerText = J.Cache.get('login').data.name;
        //                 document.querySelector('#checkoutSuccess_section .contact').innerText = J.Cache.get('login').data.phone;
        //                 for(var i=0;i<J.Cache.get('communities').data.length;i++){
        //                     if(J.Cache.get('communities').data[i].id == J.Cache.get('login').data.communityId){
        //                         document.querySelector('#checkoutSuccess_section .address').innerText = J.Cache.get('login').data.communityId;
        //                     }
        //                 }
        //             }
        //         }else{
        //             document.querySelector('#checkoutSuccess_section .name').innerText = data.address.name;
        //             document.querySelector('#checkoutSuccess_section .contact').innerText = data.address.contact;
        //             document.querySelector('#checkoutSuccess_section .address').innerText = data.address.address;
        //         }
        //         document.querySelector('#checkoutSuccess_section .total').innerText = Math.formatFloat(data.total + data.freight + data.packingPrice, 4) + "元  (运费:" + data.freight + "元)";
        //         document.querySelector('#checkoutSuccess_section .payMethod').innerText = payment;
        //     }else{
        //         $('#orderFa').css('display','block');
        //         $('#checkoutSuccess_section .noPaymentSplit').css('display','none');
        //         $('#checkoutSuccess_section .title').text('支付失败');
        //         document.querySelector('#markedWords').innerText = '未生成订单，请返回购物车重新购买';
        //         $('.goMePageBtn button.btn').attr('onclick','J.Router.goTo("#index_section")');
        //     }
		// }else if(type == 3){//订金
        //     $('#contactInfo').css('display','none');
        //     $('#groupStart').css('display','block');
        //     $('#shareGroupOrder').off().on('click',function(){
        //         clickShareGroupOrders('checkoutSuccess_section');
        //     });
        //     if (isWechatClient()) {
        //         if(J.Cache.get('community').data.type == 0){
        //             getJSSDKConfigParams_service();
        //             wx.ready(function(){
        //                 shareCircleOfFriends_control();
        //                 onMenuShareFri_control();
        //             });
        //         }
        //     }
        // }else if(type == 4){//尾款
        //     $('#orderSuccess').css('display','block');
        //     document.querySelector('#markedWords').innerText = '您的拼团订单已生成，即将开始备货';
        // }else{
        //     $('#orderSuccess').css('display','block');
        //     document.querySelector('#markedWords').innerText = '您的订单已生成';
        //     $('.goMePageBtn button.btn').attr('onclick','orders.goMyOrders("2","#waitTakeOrder")');
		// }
		// if(type != 3 && type != 1){
        //     $('#groupStart').css('display','none');
        //     $('#contactInfo').css('display','block');
        //     if(data.disType == 2){
        //         if(data.address.id){
        //             document.querySelector('#checkoutSuccess_section .name').innerText = J.Cache.get('login').data.name;
        //             document.querySelector('#checkoutSuccess_section .contact').innerText = J.Cache.get('login').data.phone;
        //             for(var i=0;i<J.Cache.get('communities').data.length;i++){
        //                 if(J.Cache.get('communities').data[i].id == J.Cache.get('login').data.communityId){
        //                     document.querySelector('#checkoutSuccess_section .address').innerText = J.Cache.get('login').data.communityId;
        //                 }
        //             }
        //         }
        //     }else{
        //         document.querySelector('#checkoutSuccess_section .name').innerText = data.address.name;
        //         document.querySelector('#checkoutSuccess_section .contact').innerText = data.address.contact;
        //         document.querySelector('#checkoutSuccess_section .address').innerText = data.address.address;
        //     }
        //     if(type == 4){
        //         document.querySelector('#checkoutSuccess_section .total').innerText = Math.formatFloat(data.total, 4) + "元";
        //     }else{
        //         document.querySelector('#checkoutSuccess_section .total').innerText = Math.formatFloat(data.total + data.freight + data.packingPrice, 4) + "元  (运费:" + data.freight + "元)";
        //     }
        //     document.querySelector('#checkoutSuccess_section .payMethod').innerText = payment;
        // }

        var url2 = 'ws/serviceAction' + versionMessage.version + '!getRelateServiceEvent.sy';
        var par2 = {
            serviceEventId : data.serviceEventId || shopCarCommodityid,
            place: 1
        };
        service.get(url2, par2, function(data){
            data.map(function(item){
                if(!isNullString(item.picture)) item.picture = picNetworkPrefix(item.picture);
                if(item.serviceEventMarkPic){
                    item.serviceEventMarkPic = picNetworkPrefix(item.serviceEventMarkPic);
                }
                item.priceInUse = '¥'+item.priceInUse.split('¥')[1];
                if (item.priceNotInUse) {
                    item.priceNotInUse = '¥'+item.priceNotInUse.split('¥')[1];
                }                
                console.log(item.stockNum, item.isSale, item.state)
                if (item.stockNum > 0 && item.isSale && item.state != 0) {
                    item.isShow = true;
                } else {
                    item.isShow = false;
                }

            });
            if(data.length != 0 ){
                J.Template.render("#relatedProducts_div", "relatedProducts_template", data, "replace");
            }
        });
    });
}
// 提交订单页面选择自提/配送  选择送货时间
function calculatePriceWithDisType_service(index){
    J.showMask();
    
    var par = pay.payLists.data[index].par;


    if(pay.couponJsonStr){
        par.couponJsonStr = pay.couponJsonStr;
    }
    var url = serverUrl + 'ws/shoppingAction' + versionMessage.version + '!calculatePriceInSubmitPage.sy';
    $.post(url, par, function(res) {
        J.hideMask();
        var res = JSON.parse(res);
        var data = res.data;
        if(res.success) {
            pay.payLists.data[index].calculatePrice = data;


            var priceInfo = {
                // 商品总金额
                totalCfalsePrice: 0,
                // 总运费运费
                freight: 0,
                // 包装费
                packingPrice: 0,
    
                // 真实总金额
                realTotalMoney: 0,
                // 真实运费
                realFreight: 0,
                // 优惠金额
                promotionalOffers: 0,

                // 优惠券减免
                couponOff: 0
            }
            pay.payLists.data.map(function(item) {
                priceInfo.totalCfalsePrice = Math.formatFloat(priceInfo.totalCfalsePrice + item.calculatePrice.totalCfalsePrice);
                priceInfo.freight = Math.formatFloat(priceInfo.freight + (item.calculatePrice.freight || 0));
                priceInfo.packingPrice = Math.formatFloat(priceInfo.packingPrice + item.calculatePrice.packingPrice);
                priceInfo.realTotalMoney = Math.formatFloat(priceInfo.realTotalMoney + item.calculatePrice.realTotalMoney);
                priceInfo.realFreight = Math.formatFloat(priceInfo.realFreight + (item.calculatePrice.realFreight || 0));
                priceInfo.couponOff = Math.formatFloat(priceInfo.couponOff + (item.calculatePrice.couponObject.couponOff || 0));
            })
            priceInfo.promotionalOffers = Math.formatFloat(priceInfo.totalCfalsePrice - priceInfo.realTotalMoney - priceInfo.couponOff);

            pay.payLists.priceInfo = priceInfo;
            $('#couponDiscountList .packingPrice').text('￥' + priceInfo.packingPrice);
            $('#couponDiscountList .freight').text('￥' + priceInfo.realFreight);
            $('#couponDiscountList .order-price').text('￥' + priceInfo.totalCfalsePrice);
            $('#couponDiscountList .freight').data('freight',priceInfo.realFreight);



            //选择自提不去掉优惠券
            // delete pay.couponJsonStr;
            // delete pay.param.couponJsonStr;
            // var length = 0;

            pay.mock.priceInfo = data;
            pay.freight = parseFloat(priceInfo.realFreight || 0);
            pay.packingPrice = parseFloat(priceInfo.packingPrice);
            pay.total = priceInfo.realTotalMoney;
            pay.param.couponJsonStr = par.couponJsonStr;
            // pay.mock.couponUse = false;   //去掉优惠券时去掉优惠券是否可用
            // $('#couponDetail').text('不使用优惠券').removeAttr('data-useCoupon');
            // $('#couponDetail').text(length + '张可用').removeAttr('data-useCoupon');
            // $('#categoriesInfo').find('[data-name="coupon-title"]').remove();

            

            $('#couponDiscountList').find("[data-name='coupon-new']").remove();

            //计算原价与实付价价差显示优惠金额(优惠金额与优惠券分开显示)
            if(pay.couponJsonStr){
                data.promotionalOffers = Math.formatFloat(data.totalCfalsePrice - data.realTotalMoney-data.couponObject.couponOff);
            }else{
                data.promotionalOffers = Math.formatFloat(data.totalCfalsePrice - data.realTotalMoney);
            }
            if(priceInfo.promotionalOffers > 0){
                $('#couponDiscountList li').eq(-1).after('<li data-name="coupon-new"><span class="" style="width: 50%;">商品优惠:</span><span class="order-money" style="color: #ff4d40;">-¥' + priceInfo.promotionalOffers + '</span></li>');
            }
            if (data.couponObject != null) {
                if (!isEmptyObject(data.couponObject.couponOffJson)) {
                    $('#couponDiscountList li').eq(-1).after('<li data-name="coupon-new"><span class="" style="width: 50%;">优惠券</span><span class="order-money" style="color: #ff4d40;">-¥' + data.couponObject.couponOff + '</span></li>');
                }
            }

            if (pay.payCoupon.useCoupon.couponName) {
                $('#couponDetail').text(pay.payCoupon.useCoupon.couponName);
            } else {
                $('#couponDetail').text(pay.payLists.data[index].availableCoupon.shopCouponLength + '张可用').removeData('useCoupon');
            }
            

            // 实付
            $("#totalPrice").text(Math.formatFloat(priceInfo.realTotalMoney + parseFloat(priceInfo.realFreight) + parseFloat(priceInfo.packingPrice)));
            // 已省
            $("#discountMoney").text(Math.formatFloat(priceInfo.totalCfalsePrice - priceInfo.realTotalMoney));
            $("#totalPrice").data('totalPrice',Math.formatFloat(priceInfo.realTotalMoney + parseFloat(priceInfo.realFreight) + parseFloat(priceInfo.packingPrice)));
            $("#discountMoney").data('discountMoney',Math.formatFloat(priceInfo.totalCfalsePrice - priceInfo.realTotalMoney));

            //初始化 运费减免券信息
            initFreightCoupon(index);
        }else{
            var msg = (isNullString(res.message)) ? '连接出错': res.message;
            J.showToast(msg);
            history.go(-1);
        }
    },function(err){
        J.hideMask();
        J.showToast('连接出错');
        history.go(-1);
    });
}

// 提交订单页面选择优惠券计算 
function calculatePriceInSubmitPage_service(couponObj){   // 废弃
    J.showMask();
    var par = {
        shoppingCarIds : pay.par.shoppingCarIds,
        deliveryTId: pay.par.deliveryTId,
        deliveryTime: pay.par.deliveryTime,
        disType:pay.par.disType,
        useVipFreeFreight: pay.param.useVipFreeFreight || 0,
        communityId:J.Cache.get('address').data.communityId,
        merchantId: pay.mock.merchantInfo.id
    };

    if(!isEmptyObject(couponObj)){
        par.couponJsonStr = JSON.stringify(couponObj);
    };
    var url = serverUrl + 'ws/shoppingAction' + versionMessage.version + '!calculatePriceInSubmitPage.sy';
    $.post(url, par, function(res) {
        J.hideMask();
        var res = JSON.parse(res);
        var data = res.data;
        if(res.success){
            data.packingPrice = data.packingPrice || 0;
            // var couponShoppingCarList = data.couponObject.couponShoppingCarList;
            // pay.mock.couponUse = true;
            // if(couponShoppingCarList == null){
            //     pay.mock.couponUse = false;
            //     delete pay.couponJsonStr;
            //     delete pay.param.couponJsonStr;
            // }else{
            //     for (var k in pay.mock.eventsInfo) {
            //         pay.mock.eventsInfo[k].map(function (i) {
            //             for(var c in couponShoppingCarList){
            //                 couponShoppingCarList[c].map(function(item) {
            //                     if(i.serviceEvent.id == item.serviceEvent.id){
            //                         i.couponUser = couponObj;
            //                     }
            //                 });
            //             }
            //         });
            //     }
            // }
            // var $product = $('#payLists_section').find("[data-name='product-list']");
            // if (!isEmptyObject(couponObj)) {
            //     $product.map(function(index, item) {
            //         var itemId = parseInt($(item).attr('data-id')),//商品的shoppingCarId
            //             html='';
            //         $(item).find('[data-name="coupon-discount"],[data-role="coupon-price"]').show();
            //         $(item).find('[data-name="coupon-title"]').remove();
            //         for(var k in couponObj){
            //             couponObj[k].shoppingCarIds.map(function(e) {//e 优惠券绑定的shoppingCarId
            //                 if (itemId == e) {
            //                     $(item).find('[data-name="coupon-title"]').remove();
            //                     $(item).find('[data-name="coupon-discount"]').hide().siblings('[data-name="coupon-title"]').remove();
            //                     // html += '<b class="bg_yellow">券</b> <span class="discount-color">' + couponObj[k].couponName + '</span><br>';
            //                     // $(item).children('div[data-name="child"]').append('<div data-name="coupon-title">' + html +'</div>');
            //                     $(item).find('.promotion').removeClass('active');
            //                 }
            //             });
            //         }
            //     });
            // }else{//不使用优惠券
            //     $product.find('[data-role="coupon-price"]').show();
            //     $product.find('[data-name="coupon-title"]').siblings('[data-name="coupon-discount"]').show();
            //     $product.find('[data-name="coupon-title"]').remove();
            //     $('.promotion').addClass('active');
            // }

            if(isEmptyObject(data.discountRuleObject)) data.discountRuleObject = null ;
            if(isEmptyObject(data.couponObject)) data.couponObject = null ;

            $('#couponDiscountList .freight').text('￥' + data.realFreight);
            $('#couponDiscountList .freight').data('freight',data.realFreight);
            $('#couponDiscountList .packingPrice').text('￥' + data.packingPrice);
            $('#couponDiscountList .order-price').text('￥' + data.totalCfalsePrice);
            $('#couponDiscountList').find("[data-name='coupon-new']").remove();

            //计算原价与实付价价差显示优惠金额
            if(par.couponJsonStr){
                data.promotionalOffers = Math.formatFloat(data.totalCfalsePrice - data.realTotalMoney-data.couponObject.couponOff);
            }else{
                data.promotionalOffers = Math.formatFloat(data.totalCfalsePrice - data.realTotalMoney);
            }
            if(data.promotionalOffers > 0){
                $('#couponDiscountList li').eq(-2).after('<li data-name="coupon-new"><span class="" style="width: 50%;">商品优惠:</span><span class="order-money" style="color: #ff4d40;">-¥' + data.promotionalOffers + '</span></li>');
            }
            if (data.couponObject) {
                if (!isEmptyObject(data.couponObject.couponOffJson)) {
                    $('#couponDiscountList li').eq(-2).after('<li data-name="coupon-new"><span class="" style="width: 50%;">优惠券</span><span class="order-money" style="color: #ff4d40;">-¥' + data.couponObject.couponOff + '</span></li>');
                }
            }

            $("#totalPrice").text(Math.formatFloat(data.realTotalMoney + parseFloat(data.realFreight) + parseFloat(data.packingPrice),4));//实付
            $("#discountMoney").text(Math.formatFloat(data.totalCfalsePrice - data.realTotalMoney));//已省
            
            $("#totalPrice").data('totalPrice',Math.formatFloat(data.realTotalMoney + parseFloat(data.realFreight) + parseFloat(data.packingPrice),4));
            $("#discountMoney").data('discountMoney',Math.formatFloat(data.totalCfalsePrice - data.realTotalMoney));


            pay.mock.priceInfo = data;
            pay.freight = parseFloat(data.realFreight || 0);
            pay.packingPrice = parseFloat(data.packingPrice);
            pay.total = data.realTotalMoney;
            pay.couponJsonStr = par.couponJsonStr;
            pay.param.couponJsonStr = par.couponJsonStr;

            //初始化 运费减免券信息
            initFreightCoupon();

            //显示选中的优惠券信息
            $('#couponDetail').data('useCoupon',JSON.stringify(pay.payCoupon.useCoupon));
            if(pay.payCoupon.useCoupon.couponCid.length == 0){
                $('#couponDetail').text(pay.mock.shopCouponLen + '张可用').removeData('useCoupon');
            }else{
                $('#couponDetail').text(pay.payCoupon.useCoupon.couponName.substring(0,12) + '...');
            }
        }else{
            var msg = (isNullString(res.message)) ? '连接出错': res.message;
            pay.payCoupon = {
                mock: {},
                useCoupon: {}
            };
            J.showToast(msg);
            if(pay.isOrder){
                history.go(-1);
            }
        }
    },function(err){
        J.hideMask();
        pay.payCoupon = {
            mock: {},
            useCoupon: {}
        };
        J.showToast('连接出错');
        if(pay.isOrder){
            history.go(-1)
        }
    });
}
//提交订单页面获取配送提示信息
function getDistributeInfoList(){
    var url = 'ws/shoppingAction' + versionMessage.version + '!getDistributInformationList.sy';
    service.get(url, {}, function(data) {
        J.Cache.save('distributInformationList', data.distributInformationMap);
    })
}

// // 最优选择
// function ptimalChoice_service(ele, index){
//     var eventsInfoArry = [],
//         couponCopyObj={},
//         par={},
//         param = {},
//         shopCouponList = pay.mock.shopCouponList,
//         url = serverUrl + 'ws/couponAction' + versionMessage.version +'!getMaxCouponSelected.sy';

//     for (var k in pay.mock.eventsInfo) {
//         pay.mock.eventsInfo[k].map(function (item) {
//             var newRes = {};
//             newRes['id'] = item.id;
//             newRes['num'] = item.num;
//             newRes['realPrice'] = item.realPrice;
//             if(item.discountRule != null){
//                 var discountRule = item.discountRule,newRule={};
//                 newRule['type'] = discountRule.type;
//                 if(discountRule.price1 !=undefined){
//                     newRule['price1'] = discountRule.price1;
//                 }
//                 if(discountRule.price2 != undefined){
//                     newRule['price2'] = discountRule.price2;
//                 }
//                 newRes['discountRule'] = newRule;
//             }
//             eventsInfoArry.push(newRes);
//         });
//     };

//     for(var i in shopCouponList){
//         if(!isEmptyObject(shopCouponList[i]['list'])){
//             var obj = shopCouponList[i]['list'];
//             for(var key in obj){
//                 var copyObj = {};
//                 copyObj['couponId'] = obj[key].couponId;
//                 copyObj['price1'] = obj[key].price1;
//                 copyObj['price2'] = obj[key].price2;
//                 copyObj['overCouponId'] = obj[key].overCouponId;
//                 copyObj['shoppingCarIds'] = obj[key].shoppingCarIds;
//                 couponCopyObj[key] = copyObj;
//             }
//         }
//     }
//     par.eventsInfo = JSON.stringify(eventsInfoArry);
//     par.availableCoupon = JSON.stringify(couponCopyObj);

//     par = JSON.stringify(par);
//     par = pako.gzip(par, { to: 'string' });
//     param.par = encodeURIComponent(par)

//     if($(ele).hasClass('active')){
//         return;
//     }
//     J.showMask();
//     $.post(url, param, function(res) {
//         J.hideMask();
//         var res = JSON.parse(res);
//         var data = res.data;
//         if(res.success){
//             if(data != null && data.resultCouponUserIds.length > 0){
//                 var couponUseId = data.resultCouponUserIds;
//                 noCloseCoupon('.noCloseCoupon i');
//                 $('.noCloseCoupon i').removeClass('active');
//                 $(ele).addClass('active');
//                 couponUseId.map(function(item){
//                     var dom = $(".closeCouponList[data-key='"+item+"']"),
//                     k = dom.attr('data-key'),
//                     val,
//                     name = '',
//                     money = 0,
//                     sale = {};
//                     if(pay.payCoupon.mock[k]){
//                         val = pay.payCoupon.mock[k];
//                         name = pay.payCoupon.mock[k].couponName;
//                     }
//                     val.shoppingCarIds.map(function(item){
//                         if(pay.payCoupon.useCoupon.totalObj[item]){
//                             money += pay.payCoupon.useCoupon.totalObj[item];
//                         }
//                     });
//                     dom.addClass('active').find('.coupon_gathere').addClass('none');
//                     pay.payCoupon.useCoupon.couponObj[k] = val;
//                     if(pay.payCoupon.useCoupon.couponObj[k].val){
//                         delete pay.payCoupon.useCoupon.couponObj[k].val;
//                     }
//                     pay.payCoupon.useCoupon.couponCid.push(k);
//                     pay.payCoupon.useCoupon.couponName += name + ',';
//                     pay.payCoupon.useCoupon.overCouponId = val.overCouponId;
//                     val.shoppingCarIds.map(function(item){
//                         sale[item] = (pay.payCoupon.useCoupon.totalObj[item]/money* val.price2).toFixed(3)*1;//平摊规则：（每个关联商品金额 / 该优惠券关联商品可用金额的总和）*该张优惠券的额度
//                         pay.payCoupon.useCoupon.totalObj[item] = (pay.payCoupon.useCoupon.totalObj[item] - sale[item]).toFixed(2)*1;//每个关联商品减去优惠券平摊后的金额
//                     });
//                     pay.payCoupon.total = (pay.payCoupon.total- val.price2).toFixed(2)*1;
//                 })
//                 $('.closeCouponList:not(.active)').addClass('gray').find('.t-mark > span').text('不可叠加使用');
//             }else{
//                 J.showToast('没有最优选择');
//             }
//         }else{
//             var msg = (isNullString(res.message)) ? '连接出错': res.message;
//             J.showToast(msg);
//         }
//     },function(err){
//         J.showToast('连接出错');
//     });
// }

// 最优选择
function ptimalChoice_service(ele, index){
    // 商品
    var eventsInfoArry = [];
    var eventsInfo = pay.payLists.data[index].eventsInfo;
    for (var i = 0; i < eventsInfo.length; i++) {
        var item = eventsInfo[i];
        var newRes = {};
        newRes['id'] = item.id;
        newRes['num'] = item.num;
        newRes['realPrice'] = item.realPrice;
        if(item.discountRule != null){
            var discountRule = item.discountRule,newRule={};
            newRule['type'] = discountRule.type;
            if(discountRule.price1 !=undefined){
                newRule['price1'] = discountRule.price1;
            }
            if(discountRule.price2 != undefined){
                newRule['price2'] = discountRule.price2;
            }
            newRes['discountRule'] = newRule;
        }
        eventsInfoArry.push(newRes);
    }

    // 优惠券
    var couponCopyObj = {};
    var payCoupon = pay.payLists.data[index].payCoupon;
    for (var key in payCoupon) {
        if (Object.hasOwnProperty.call(payCoupon, key)) {
            var obj = payCoupon[key];
            var copyObj = {
                couponId: obj.couponId,
                price1: obj.price1,
                price2: obj.price2,
                overCouponId: obj.overCouponId,
                shoppingCarIds: obj.shoppingCarIds
            };
            couponCopyObj[key] = copyObj;
            
        }
    }
    console.log('eventsInfoArry',eventsInfoArry)
    console.log('couponCopyObj',couponCopyObj)
    // 组装参数
    var par={};
    var param = {};
    var url = serverUrl + 'ws/couponAction' + versionMessage.version +'!getMaxCouponSelected.sy';

    par.eventsInfo = JSON.stringify(eventsInfoArry);
    par.availableCoupon = JSON.stringify(couponCopyObj);

    par = JSON.stringify(par);
    par = pako.gzip(par, { to: 'string' });
    param.par = encodeURIComponent(par)

    if($(ele).hasClass('active')){
        return;
    }

    
    J.showMask();
    $.post(url, param, function(res) {
        J.hideMask();
        var res = JSON.parse(res);
        var data = res.data;
        if(res.success){
            if(data != null && data.resultCouponUserIds.length > 0){
                var couponUseId = data.resultCouponUserIds;
                noCloseCoupon('.noCloseCoupon i', index);
                $('.noCloseCoupon i').removeClass('active');
                $(ele).addClass('active');
                couponUseId.map(function(item){
                    var dom = $(".closeCouponList[data-key='"+item+"']"),
                    k = dom.attr('data-key'),
                    val,
                    name = '',
                    money = 0,
                    sale = {};
                    if(pay.payCoupon.mock[k]){
                        val = pay.payCoupon.mock[k];
                        name = pay.payCoupon.mock[k].couponName;
                    }
                    val.shoppingCarIds.map(function(item){
                        if(pay.payCoupon.useCoupon.totalObj[item]){
                            money += pay.payCoupon.useCoupon.totalObj[item];
                        }
                    });
                    dom.addClass('active').find('.coupon_gathere').addClass('none');
                    pay.payCoupon.useCoupon.couponObj[k] = val;
                    if(pay.payCoupon.useCoupon.couponObj[k].val){
                        delete pay.payCoupon.useCoupon.couponObj[k].val;
                    }
                    pay.payCoupon.useCoupon.couponCid.push(k);
                    pay.payCoupon.useCoupon.couponName += name + ',';
                    pay.payCoupon.useCoupon.overCouponId = val.overCouponId;
                    val.shoppingCarIds.map(function(item){
                        sale[item] = (pay.payCoupon.useCoupon.totalObj[item]/money* val.price2).toFixed(3)*1;//平摊规则：（每个关联商品金额 / 该优惠券关联商品可用金额的总和）*该张优惠券的额度
                        pay.payCoupon.useCoupon.totalObj[item] = (pay.payCoupon.useCoupon.totalObj[item] - sale[item]).toFixed(2)*1;//每个关联商品减去优惠券平摊后的金额
                    });
                    pay.payCoupon.total = (pay.payCoupon.total- val.price2).toFixed(2)*1;
                })
                $('.closeCouponList:not(.active)').addClass('gray').find('.t-mark > span').text('不可叠加使用');
            }else{
                J.showToast('没有最优选择');
            }
        }else{
            var msg = (isNullString(res.message)) ? '连接出错': res.message;
            J.showToast(msg);
        }
    },function(err){
        J.showToast('连接出错');
    });
}


//物流详情
function logisticsDetails(orderCode){
    J.Router.goTo('#orderTrackingResult_section');
    var url = 'ws/orderAction' + versionMessage.version + '!getRiderLocationByOrderCode.sy';
    var par = {
        code : orderCode
    };
    $('#orderTrackingMap').show();
    $('#orderTrackingResult_div').css('top','-13.33vw');
    J.showMask();
    service.get(url,par,function(data){
        J.hideMask();
        if( data != null && !isEmptyObject(data)){
            // 创建地图实例
            var map = new AMap.Map("orderContainer", {
                zoom: 13,
                center: [data.logisticsInfo.carrierLongitude,data.logisticsInfo.carrierLatitude],
                resizeEnable: true
            });
            var positions = [
                [data.logisticsInfo.carrierLongitude,data.logisticsInfo.carrierLatitude],
                [data.logisticsInfo.userLongitude,data.logisticsInfo.userLatitude]
            ];
            var anchorStr = '距您' + data.logisticsInfo.distance;
            var anchor = [
                anchorStr,
                '您的位置'
            ];
            var imageUrl = [
                './img/rideMark.png',
                './img/orderMark.png'
            ];
            var imgSize = [
                '60',
                '22.5'
            ]
            var iconOffset = [
                ['-30','-67'],
                ['-11.25','-28.5']
            ]
            var labelOffsetNum = [
                ['-11.25','-29'],
                ['-22.5','-29']

            ]
            var pos_icon = [];
            var pos_marker = [];
            var icon = [];
            var marker = [];
            for (var i = 0; i < positions.length; i++) {
                // 创建一个 Icon
                pos_icon[i] = new AMap.Icon({
                    // 图标尺寸
                    size: new AMap.Size(18.5, 18.5),
                    // 图标的取图地址
                    image: './img/redMark.png',
                    // 图标所用图片大小
                    imageSize: new AMap.Size(18.5, 18.5),
                });
                var labelContent = anchor[i]
                
                // 将 Icon 传入 marker
                pos_marker[i] = new AMap.Marker({
                    position: positions[i],
                    icon: pos_icon[i],
                    anchor: 'center', //设置锚点
                    offset: new AMap.Pixel(0,0) //设置偏移量
                });
                map.add(pos_marker[i]);

                // 创建一个 Icon
                icon[i] = new AMap.Icon({
                    // 图标尺寸
                    size: new AMap.Size(imgSize[i], imgSize[i]),
                    // 图标的取图地址
                    image: imageUrl[i],
                    // 图标所用图片大小
                    imageSize: new AMap.Size(imgSize[i], imgSize[i]),
                });
                // 将 Icon 传入 marker
                var labelOffset = new AMap.Pixel(labelOffsetNum[i][0],labelOffsetNum[i][1]);
                marker[i] = new AMap.Marker({
                    position: positions[i],
                    icon: icon[i],
                    anchor: anchor[i], //设置锚点
                    offset: new AMap.Pixel(iconOffset[i][0],iconOffset[i][1]), //设置偏移量
                    label: {
                        content: labelContent,
                        offset: labelOffset
                    }
                });
                map.add(marker[i]);
            }
            //渲染物流信息
            data.orderInfo.orderProductNum = 0
            data.orderInfo.orderDetails.map(function(item){
                data.orderInfo.orderProductNum += item.odNum;
                item.sePicture = picNetworkPrefix(item.sePicture);
            })
            if(!isEmptyObject(data.extensionAdvertInfo)){
                data.extensionAdvertInfo.extensionAdvertList.map(function(item){
                    item.pics = picNetworkPrefix(item.pics);
                })
                data.extensionAdvertInfo.extensionAdvertList[0].hasActive = true;
            }
            J.Template.render('#orderTrackingResult_div','orderTrackingDiv_template',data,'replace');
            //物流信息--轮播图
            switch (data.extensionAdvertInfo.extensionSize) {
                case 1:
                    $('#orderTrackingSlide').addClass('size_small');
                    $('#orderTrackingSlide .slide_advert').addClass('size_small');
                    break;
                case 2:
                    $('#orderTrackingSlide').addClass('size_middle');
                    $('#orderTrackingSlide .slide_advert').addClass('size_middle');
                    break;
                case 3:
                    $('#orderTrackingSlide').addClass('size_big');
                    $('#orderTrackingSlide .slide_advert').addClass('size_big');
                    break;
                default:
                    break;
            }
            if(data.extensionAdvertInfo.extensionAdvertList.length > 1){
                if(scrollAdvert && scrollAdvert.scroll) delete scrollAdvert.scroll.box;
                scrollAdvert = Viwepager('#orderTrackingSlide ul', {
                    loop: true, //循环切换
                    auto: true, //自动切换
                    callback: function(ind) { //这里传过来的是索引值
                        $('#orderTrackingSlide ol li').eq(ind).addClass('active').siblings().removeClass('active');
                    }
                });
            }else{
                $('#orderTrackingSlide div.page').css('display','none');
            }
        }else{
            var msg = (isNullString(err.message)) ? '无法获取物流信息' : data.message;
            J.showToast(msg);
            $('#orderTrackingMap').hide();
            $('#orderTrackingResult_div').css('top','20%');
            J.Template.render('#orderTrackingResult_div','orderTrackingDiv_template',[],'replace',' ');
        }
    },function (err){
        J.hideMask();
        var msg = (isNullString(err.message)) ? '无法获取物流信息' : data.message;
        J.showToast(msg);
        $('#orderTrackingMap').hide();
        $('#orderTrackingResult_div').css('top','20%');
        J.Template.render('#orderTrackingResult_div','orderTrackingDiv_template',[],'replace',' ');
    });
}
function logisticsTracking(ems,code){
    if(ems){
        J.Router.goTo('#logisticsTracking_section');
        var url = serverUrl + 'ws/showApiAction' + versionMessage.version + '!getLogisticsInformation.sy';
        var par = {
            emsNo : ems,
            code
        };
        J.showMask();
        J.Template.render('#logisticsTracking_div','logisticsTracking_template',[],'replace',' ');
        $.post(url, par, function(res) {
            J.hideMask();
            var res = JSON.parse(res);
            var data = res.data;
            if(data.logistInfo.showapi_res_code != -1 && !isEmptyObject(data.logistInfo.showapi_res_body)){
                J.Template.render('#logisticsTracking_div','logisticsTracking_template',data,'replace');
            }else{
                J.showToast('无法获取物流信息');
                setTimeout(function(){
                    history.go(-1);
                },500)
            }
            
        },function (err){
            J.hideMask();
            var msg = (isNullString(err.message)) ? '无法获取物流信息' : data.message;
            J.showToast(msg);
            setTimeout(function(){
                history.go(-1);
            },500)
        });
    }else{
        J.showToast('无法获取物流信息');
    }
}

// 第三方订单追踪合集
function orderTrackingAssemble(orderCode, sfFlag) {
    J.Router.goTo('#orderTrackingResult_section');
    var userType = J.Cache.get("login").data.type;
    if(sfFlag == 0) {
        // 点我达
        if(userType == 1) {
            getDeliveryPosition(orderCode,sfFlag);
        } else {
            referOrder_service(orderCode);
        }
    } else if(sfFlag == 1){
        // 顺丰
        orderTrackingSF(orderCode);
    }
}
//第三方订单追踪
function referOrder_service(orderCode){
    console.log(orderCode)
    if(orderCode == ''){
        J.showToast('请填写订单号');
        return;
    }
    J.Router.goTo('#orderTrackingResult_section');
    var par = {
        orderCode : orderCode
    };
    var url = 'ws/orderAction' + versionMessage.version + '!getThirdOrderInfoTrack.sy';
    service.get(url,par,function(data){
        J.Template.render('#orderTracking_ul','orderTracking_template',data,'replace');
        $('#orderTrackingUser').css('display','none');
        if(J.Cache.get('login').data.type == 6){//派单
            $('#orderTrackingCode').css('height','33vw');
            $('#orderTrackingCode button').css('display','inline-block');
        }else{
            $('#orderTrackingCode').css('height','25vw');
            $('#orderTrackingCode button').css('display','none');
        }
        getDeliveryPosition(orderCode);
        $("#enterOrderCode").find('input').val('');
    },function(data){
        var msg = (isNullString(data.message)) ? '连接出错' : data.message;
        J.showToast(msg);
        history.go(-1);
        $("#enterOrderCode").find('input').val('');
    });
}
//派单
function orderTransfer(ele,param){
    var url = 'ws/orderAction' + versionMessage.version + '!slipThirdOrder.sy';
    var par = {
        code : $(ele).parent().find('p').text()
    };
    if(param){
        par.isRepeat = param;
    }else{
        par.isRepeat = 0;
    }
    service.get(url,par,function(data,message){
        J.showToast(message);
    },function(data){
        J.Popup.confirm4('提示',data.message,'继续','取消',function(){
            //  取消
            // orderTransfer(ele,2);
        },function(){
            // 继续派单
            orderTransfer(ele,1);
        });
    });
}
var orderTracking;
//获取点我达送货员位置
function getDeliveryPosition(code,isJump){
    if(isJump){
        J.Router.goTo('#orderTrackingResult_section');
        $('#orderTracking_ul').html('');
    }
    var url = 'ws/orderAction' + versionMessage.version + '!getThirdLittleBrotherMap.sy';
    var par = {
        code : code
    };
    service.get(url,par,function(data){
        if(J.Cache.get('login').data.type == 1){
            clearInterval(orderTracking);
            $('#orderTrackingUser').css('display','block');
            if(data == null){
                return;
            }
            orderTracking = setInterval(function(){
                getDeliveryPosition(code)
            },60000)
            var center = [data.rider_lng,data.rider_lat];
            var orderTrackingMap = new AMap.Map('orderTrackingUser',{
                resizeEnable: true,
                center:center,
                zoom:14
            });
        }else{
            if(data == null){
                document.getElementById("orderTrackingContainer").innerHTML = '<img src="img/lnglat.png"/>';
                return;
            }
            var center = [data.rider_lng,data.rider_lat];
            var orderTrackingMap = new AMap.Map('orderTrackingContainer',{
                resizeEnable: true,
                center:center,
                zoom:14
            });
        }
        orderTrackingMap.plugin(["AMap.ToolBar"],function(){   //在地图中添加ToolBar插件
            var toolBar = new AMap.ToolBar();
            orderTrackingMap.addControl(toolBar);
        });
        var orderTrackingMarker = new AMap.Marker({
            map: orderTrackingMap
        });
        orderTrackingMarker.setPosition(center);
    },function (err){
        if(J.Cache.get('login').data.type == 1){//用户
            J.showToast('获取配送员信息失败');
            $('#orderTrackingUser').css('display','block');
        }else{
            J.showToast(err.message);
            $('#orderTrackingUser').css('display','none');
            document.getElementById("orderTrackingContainer").innerHTML = '<img src="img/lnglat.png"/>';
        }
    });
}
// 顺丰的第三方订单追踪
function orderTrackingSF(orderCode) {
    // 跳转到第三方页面
    J.Router.goTo('#orderTrackingResult_section');
    $('#orderTracking_ul').html('');
    var url = "ws/sfAction" + versionMessage.version + "!searchRiderH5View.sy"
    var par = {
        code: orderCode
    }
    service.get(url,par,function(data){
        var url = data.url.replace("http://", "https://");
        var html = '<iframe src="' + url + '" frameborder="0" style="width: 100%; height: 100%"></iframe>'
        setTimeout(function() {
            $("#orderTrackingSF").html(html);
        }, 300)

    }, function(err) {
        J.showToast(err.message)
    })
}

//投诉送货员
function complaintDeliveryMan(code){
    console.log(code);
    var url = 'ws/orderAction' + versionMessage.version + '!complaintDianWoDaBrother.sy';
    var par = {
        code : code,
        userId : J.Cache.get('login').data.id,
        userType : J.Cache.get('login').data.type
    };
        service.get(url,par,function (data) {
        console.log(data)
        if(data.code == 0){
            J.Router.goTo("#complain_section");
            if(J.Cache.get('login').data.type == 1){
                $('#merchantsComplaints').css('display','none');
                $('#customerComplaint').css('display','block');
            }else{
                $('#customerComplaint').css('display','none');
                $('#merchantsComplaints').css('display','block');
            }
            setTimeout(function(){
                J.Template.render('#deliveryManInformation','deliveryManInformation_template',data,'replace');
                $('#complain_section button').attr('value',code);
            },500);
        }else{
            J.Router.goTo("#complainResults_section");
            var mock = {
                order_complain_original_id:data.order_complain_original_id,
                orderCode:code,
                result_content:data.result_content,
                reason:data.reason
            };
            if(data.result == 0){
                mock.result = '授理失败';
                mock.processingState = 'img/complain0.jpg';
                mock.message = '经核实，小哥并未违反规定，亲是不是有什么误会，如需继续申诉，可致电点我达客服，我们将竭诚为您服务！';
            }else if(data.result == 1){
                mock.result = '成功授理';
                mock.processingState = 'img/complain1.png';
                mock.message = '已核实，小哥存在违规行为，已给予严惩，给您带来不便，深表歉意！';
            }else if(data.result == 2){
                mock.result = '处理中';
                mock.processingState = 'img/complain2.png';
                mock.message = '您的申诉正在处理中，请您耐心等待，谢谢！';
            }
            console.log(mock);
            setTimeout(function(){
                J.Template.render('#complainResults_article','complainResults_template',mock,'replace');
            },200);
        }
    });
}
//提交投诉
function complainItem(value,ele){
    if($(ele).find("option:selected").text() == '其他'){
        $('#complain_section textarea').css('display','block');
        $('#complain_section textarea').val('');
    }else {
        $('#complain_section textarea').css('display','none');
    }
    $('#complain_section button').off().on('click',function(){
        var url = 'ws/orderAction' + versionMessage.version + '!immediateComplaintBrother.sy';
        var par = {
            complainType : value,
            reason : $(ele).find("option:selected").text(),
            code : $('#complain_section button')[0].value,
            userType : J.Cache.get('login').data.type,
            userId : J.Cache.get('login').data.id
        };
        if($(ele).find("option:selected").text() == '其他'){
            par.reason = $('#complain_section textarea').val();
        }
        service.get(url,par,function(data){
             J.showToast('投诉提交成功');
        });
    });
}
//拼团
function groupPurchase_service(eventId,joinIn) {
    var url = 'ws/shoppingAction' + versionMessage.version + '!getGroupBuyDetail.sy';
    var par = {
        serviceEventId : eventId
    };
    pay.joinGroupOrderCode = '';
    if(joinIn){//参团
        par.orderCode = J.Cache.get('groupOrderCode').data;
        pay.joinGroupOrderCode = J.Cache.get('groupOrderCode').data;
        if(J.Cache.get('login') && J.Cache.get('login').data.id == J.Cache.get('groupOrderUserId').data){
            J.showToast('不能参加自己的团哦');
            return;
        }else if(!J.Cache.get('login')){
            quickLogin();
            return;
        }
    }else{
        if(!J.Cache.get('login')){
            quickLogin();
            return;
        }
    }
    service.get(url,par,function(data,message){
        if(data == null && message  != ''){
           J.showToast(message);
           return;
        }
        J.Router.goTo('#groupPay_section');
        if (data.serviceEvent) {
            if (!isNullString(data.serviceEvent.picture)) {
                data.serviceEvent.picture = picNetworkPrefix(data.serviceEvent.picture);
            }
        }
        setTimeout(function () {
            J.Template.render('#groupPay_article', 'groupPay_template', data, "replace");
            $('#groupPay_section h1.title').text('发起拼单');
            $('#discountGroupOrderTotalMoney').parent().parent().css('display','none');
            $('.groupDeposit').css('display','block');
            $('span.groupFinalMoney').css('display','block');
            $('#groupInSpelling').css('display','none');
            $('#groupCollageInfo').css('display','block');
            $('#groupInSpelled').css('display','none');
            $('.groupShare').css('display','none');
            $('#groupPay_section [data-role="submitBtn"]').attr('data-howPay', 2);//  2拼团预付定金    3 付尾款
            var groupOrderNum = $('#groupPay_section input').val();
            var groupOrderTotalMoney = data.serviceEvent.price4Show * groupOrderNum;
            var groupPayTotalPrice = groupOrderTotalMoney * data.serviceEvent.collageDeposit;
            $('.collageDeposit').text(Math.formatFloat(data.serviceEvent.collageDeposit * 100));
            $('.endDay').text(Math.formatFloat(data.serviceEvent.endDay));
            $('.leftPayDay').text(Math.formatFloat(data.serviceEvent.leftPayDay));
            $('#groupPayProductsNum').text(groupOrderNum);
            $('#groupOrderTotalMoney').text(Math.formatFloat(groupOrderTotalMoney));
            $('#groupPayTotalPrice').text(Math.formatFloat(groupPayTotalPrice));
            pay.freight = 0;
            pay.total = Math.formatFloat(groupPayTotalPrice);
            pay.groupEventId = data.serviceEvent.id;
            pay.groupEventNum = Math.formatFloat(groupOrderNum);
            pay.groupName = data.serviceEvent.name;
            pay.groupPicture = data.serviceEvent.picture;
        },200);
    },function(){
        quickLogin();
    });
}

