    //app软件更新方法
    function softwareUpdate() {
        try {
            if (device.platform == "Android") {
                var par = {};
                var url = serverURL + "appAccount!getUpdateInfo.action";
                $.getJSON(url, par, function(data) {
                    if (data.success) {
                        var Obj = JSON.parse(data.obj)[0];
                        if (Obj.VERSION != VERSION) {
                            J.apply_confirm(Obj.CONTENT,
                                function() {
                                    top.location.href = Obj.URL
                                }
                            );
                        }
                    }
                })
            }
        } catch (e) {}
    }
    //app软件后台回到前台方法
    function onResume() {
        try {
            if (device.platform == "Android") {
                window.plugins.jPushPlugin.setBadge(0);
            } else {
                window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
            }
        } catch (e) {}
    }

    //JPUSH 绑定患者设备方法
    function registrationID() {
        if (!J.Cache.get("registrationID")) {
            try {
                if (!J.Cache.get("deviceId")) {
                    J.Cache.save("deviceId", device.uuid);
                }
                window.plugins.jPushPlugin.init();
                getRegistrationID();
                if(isWechatClient() == false){
                    if (device.platform != "Android") {
                        J.Cache.save("deviceType", 2);
                        window.plugins.jPushPlugin.setDebugModeFromIos();
                        window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
                    } else {
                        J.Cache.save("deviceType", 1);
                        window.plugins.jPushPlugin.setDebugMode(true);
                        window.plugins.jPushPlugin.setStatisticsOpen(true);
                    }
                }
            } catch (exception) {
            }
        }
    }

    //获取RegistrationID
    function getRegistrationID() {
        window.plugins.jPushPlugin.getRegistrationID(onGetRegistrationID);
    };

    function onGetRegistrationID(data) {
        try {
            J.Cache.save("registrationID", data)
            if (data.length == 0) {
                var t1 = window.setTimeout(getRegistrationID, 1000);
            }
        } catch (exception) {}
    };
    //把RegistrationID和患者设备绑定方法
    function bindJpushAcInfo() {
        registrationID();
        var deviceId;
        var registradionId;
        var deviceType;
        if(J.Cache.get("deviceId")){
            deviceId = J.Cache.get("deviceId").data;
        }else{
            deviceId = "";
        }
        if(J.Cache.get("registrationID")){
            registradionId = J.Cache.get("registrationID").data;
        }else{
            registradionId = "";
        }

        var tags = "customer";
        var alias = J.Cache.get('yl-login').data.phone;
        if(J.Cache.get("deviceType")){
            deviceType = J.Cache.get("deviceType").data;
        }else{
            deviceType = "";
        }


        var params = {
            tags: tags,
            alias: alias,
            registradionId: registradionId,
            deviceId: deviceId,
            deviceType : deviceType
        };

        var url = 'ws/userAction' + versionMessage.version + '!saveJpushAcInfo.sy' ;

        try {
            if (!J.Cache.get("idBind")) {
                window.plugins.jPushPlugin.setTagsWithAlias(tags, alias);
                J.Cache.save("idBind", 1);
            }
        } catch (exception) {

        }



        service.get(url,params,function(data){

        },function(){
            
        })
    }
