// 注册
function register_service(mock){
    var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_smartRegister.sy';
    var par = mock ;
    service.get(url,par,function(data){
    	// 绑定用户设备信息
    	// getVersionMessage_service();
    	// 注册成功后绑定离线购物车
    	bindShoppingCarWithUserId_service();
        var loginForm = {
            phone : data.userInfo.phone,
            userPwd : data.userInfo.password
        }
        if(data.isSuccess == 1) {
	        J.Cache.save('yl-login', data.userInfo);
	        J.Cache.save('yl-loginForm', loginForm);
	        J.showToast('登录成功');
	        history.go(-1);
	        $(".register_form input[name=phone],.register_form input[name=phonecode]").val('');
	        data.face = fileServerUrl + data.userInfo.face;
	        J.Template.render("#userInfo_div", "userInfo_template", data.userInfo, "replace");
	        if(!isWechatClient()) bindJpushAcInfo();
        } else {
        	J.showToast(data.msg);
        }
    })
}

// 登录
function login_service(mock, isNotAuto, isMyTpl) {
    var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_login.sy';
    var par = mock;
    service.get(url, par, function(data) {
        J.Cache.save('yl-login', data);
        J.Cache.save('yl-loginForm', mock);
        if(localStorage.isGetVersion != false) {
        	// getVersionMessage_service();
        	localStorage.isGetVersion = false;
        }
        if (isMyTpl) {
            data.face = fileServerUrl + data.face;
            J.Template.render("#userInfo_div", "userInfo_template", data, "replace");
        }
    if(data.name){
        $('#userInfo_div .login').addClass('login-top');
    }
    }, function(data) {
        if (data.success == false) {
            J.Cache.empty('yl-login');
            J.Cache.empty('yl-loginForm');
            if (isNotAuto) {
                J.showToast(data.message);
            } else {
                J.Router.goTo("#login_section");
            }
        }
    });
}
// 点击登录
function clickLogin_service(mock) {
    var url = 'ws/userAction' + versionMessage.version + '!doNotNeedSessionAndSecurity_ylLogin.sy';
    var par = mock;
    service.get(url, par, function(data) {
    	// 登录成功后绑定离线购物车
    	// bindShoppingCarWithUserId_service();
    	mock.userPwd = data.password;
        J.Cache.save('yl-login', data);
        J.Cache.save('yl-loginForm', mock);
        // if(data.userAddress && data.userAddress != '' && data.userAddress != null){
        //     J.Cache.save('address', data.userAddress);
        //     if(J.Cache.get('community').data.id != data.userAddress.communityId){
        //         for(var i=0;i<J.Cache.get('communities').data.length;i++){
        //             if(J.Cache.get('communities').data[i].id == data.userAddress.communityId){
        //                 J.Cache.save('community', J.Cache.get('communities').data[i]);
        //             }
        //         }
        //     }
        // }
        // if(localStorage.isGetVersion != false) {
        // 	getVersionMessage_service();
        // 	localStorage.isGetVersion = false;
        // }
        J.showToast('登录成功');
        $("#login_form input[name=phone],#login_form input[name=password]").val('');
        $('#me_article').addClass('active').siblings().removeClass('active');
        $('#me_article article').addClass('active').siblings().removeClass('active');
        getOrderCount();
        data.face = fileServerUrl + data.face;
        setTimeout(function() {
            J.Template.render("#userInfo_div", "userInfo_template", data, "replace");
        }, 200);
        if (!isWechatClient()) bindJpushAcInfo();
    }, function(data) {
        if (data.message) {
            J.Cache.empty('yl-login');
            J.Cache.empty('yl-loginForm');
            J.showToast(data.message);
        }
    });
}

// 修改密码
function modifyPassword_service(){
    var oldPsw = $("#setUserPsw_form input[name=oldPsw]").val();
    var newPsw = $("#setUserPsw_form input[name=newPsw]").val();
    if(!newPsw){
        J.showToast('请填写新密码');
        return;
    }else if(newPsw == oldPsw){
        J.showToast('新密码不能和原密码一样');
        return;
    }else {
        var url = 'ws/userAction' + versionMessage.version + '!modifyPassword.sy';
        var par = {
            oldPassword: oldPsw,
            newPassword: newPsw
        };
        service.get(url, par, function (data) {
            var loginForm = J.Cache.get('yl-loginForm').data;
            loginForm.userPwd = par.newPassword;
            J.Cache.save('yl-loginForm', loginForm);
            J.showToast('修改成功');
            $("#setUserPsw_form input[name=oldPsw]").val('');
            $("#setUserPsw_form input[name=newPsw]").val('');
            history.go(-1);
        }, function (data) {
            J.showToast(data.message);
        });
    }
}

//获取异常监控的订单数量
function getOrderCount(){
    // $(document.getElementById('abnormal')).css('display','none');//异常监控
    // $(document.getElementById('afterSale')).css('display','none');//售后监控
    var url = 'ws/suGuoCourtesyOrderCheckAction' + versionMessage.version + '!courtesyOrderCount.sy';
    var par ={
        phone: J.Cache.get('yl-login').data.phone,
        userPwd: J.Cache.get('yl-login').data.password
    };
    service.get(url,par,function(data){
        if(data.count && data.count > 0){ //异常监控
            $(document.getElementById('abnormal')).css('display','inline-block');
           document.getElementById('abnormal').innerText = data.count;
       }else{
           $(document.getElementById('distributionLogo')).css('display','none');
       }
		if( data.afterCount && data.afterCount > 0){ //售后监控
 			$(document.getElementById('afterSale')).css('display','inline-block');
            document.getElementById('afterSale').innerText = data.afterCount;
        }else{
            $(document.getElementById('afterSale')).css('display','none');
        }
    },function(data){
        $(document.getElementById('abnormal')).css('display','none');//异常监控
        $(document.getElementById('afterSale')).css('display','none');//售后监控
        if(data.message){
            J.showToast(data.message);
        }else{
            J.showToast('获取异常订单数量接口异常');
        }
    });
}

function getHelpInfo() {
	var url = 'ws/othersAction' + versionMessage.version + '!getHelpInfo.sy';
	service.get(url, {}, function(data) {
		J.Template.render("#help_div", "help_template", data, "replace");
	});
}

function contactUs() {
	if(window.AppVersion) {
		$('#versionMessage').text('版本信息：' +  AppVersion.version);
	} else {
		$('#versionMessage').text('版本信息：' +  versionMessage.version);
	}
	var url = 'ws/othersAction' + versionMessage.version + '!contactUs.sy';
	service.get(url, {}, function(data) {
		J.Template.render("#notescontact_div", "notescontact_template", data, "replace");
	});
}

//生鲜监控
function getFreshMonitoring_service() {
    J.Router.goTo('#freshMonitoring_section');
    var url = 'ws/monitoringAction' + versionMessage.version +'!getFreshMonitoring.sy';
    service.get(url, {}, function (data) {
        J.Template.render('#freshMonitoring_div', 'freshMonitoring_template', data, "replace");
    },function (data) {
        if(data.message){
            J.showToast(data.message);
        }else{
            J.showToast('接口异常');
        }
    });
}
//门店生鲜监控详情
function getFreshMonitoringDetail_service(id){
    J.Router.goTo('#freshMonitoringDetail_section');
    var par = {
        communityId: id
    };
    var url = 'ws/monitoringAction' + versionMessage.version +'!getFreshDetailByCommunity.sy';
    service.get(url, par, function (data) {
        J.Template.render('#freshMonitoringDetail_div', 'freshMonitoringDetail_template', data.list, "replace");
        $('#freshMonitoringDetail_section nav.right a').text(data.name.split('附近')[0]);
    },function (data) {
        if(data.message){
            J.showToast(data.message);
        }else{
            J.showToast('接口异常');
        }
    });
}
//门店报表
function getStoreReport_service() {
    J.Router.goTo('#storeReport_section');
    var url = 'ws/monitoringAction' + versionMessage.version +'!getShopOrderNum.sy';
    service.get(url, {}, function (data) {
        var forthShopData = [];
        if(data.ylType == 3){
            data.shopInfo.forthShop.map(function(item){
                var obj=  {};
                obj.name = item.communityName;
                obj.y = item.totalOrderNum;
                forthShopData.push(obj);
            });
            getColChart(data.shopInfo.shopOrderInfo[0]);
            getPieChart(forthShopData);
        }
        if(data.ylType == 2){
            $('#colChart').css('width','100vw');
            getColChart(data.shopInfo.shopOrderInfo[0]);
        }
    },function (data) {
        if(data.message){
            J.showToast(data.message);
        }else{
            J.showToast('接口异常');
        }
    });
}
// 异常监控
function getAbnormalMonitoringList(){
    J.Router.goTo('#abnormalMonitoring');
    var url = 'ws/suGuoCourtesyOrderCheckAction' + versionMessage.version +'!courtesyOrderCommunityCount.sy';
    service.get(url, {}, function(data){
        $('#abnormalMonitoring article').scrollTop(0);
        data.map(function(item){
            item.name = item.name.split('附近')[0];
        })
        J.Template.render("#abnormalMonitoringDiv", "abnormalMonitoring_template", data, "replace");
    }, function(data){
        if(data.message){
            J.showToast(data.message);
        }else{
            J.showToast('接口异常');
        }
    });
}
// 异常监控明细
function getAbnormalMonitoringDetail(id){
    J.Router.goTo('#abnormalMonitoringDetail');
    var url = 'ws/suGuoCourtesyOrderCheckAction' + versionMessage.version +'!getCommunityCourtesyOrder.sy';
    var par = {
        communityId : id
    }
    service.get(url, par, function(data){
        $('#abnormalMonitoringDetail article').scrollTop(0);
        $('#abnormalMonitoringDetail nav.right a').text(data.name.split('附近')[0]);
        J.Template.render("#abnormalMonitoringDetailDiv", "abnormalMonitoringDetail_template", data.list, "replace");
    }, function(data){
        if(data.message){
            J.showToast(data.message);
        }else{
            J.showToast('接口异常');
        }
    });
}
// 售后监控
function getAfterSaleMonitoringList(){
    J.Router.goTo('#afterSaleMonitoring');
    var url = 'ws/suGuoCourtesyOrderCheckAction' + versionMessage.version +'!getAfterCommunityOrderCount.sy';
    service.get(url, {}, function(data){
        $('#afterSaleMonitoring article').scrollTop(0);
        data.map(function(item){
            item.name = item.name.split('附近')[0];
        })
        J.Template.render("#afterSaleMonitoringDiv", "afterSaleMonitoring_template", data, "replace");
    }, function(data){
        if(data.message){
            J.showToast(data.message);
        }else{
            J.showToast('接口异常');
        }
    });
}
// 售后监控明细
function getAfterSaleMonitoringDetail(id){
    J.Router.goTo('#afterSaleMonitoringDetail');
    var url = 'ws/suGuoCourtesyOrderCheckAction' + versionMessage.version +'!getAfterCommunityOrder.sy';
    var par = {
        communityId : id
    }
    service.get(url, par, function(data){
        $('#afterSaleMonitoringDetail article').scrollTop(0);
        $('#afterSaleMonitoringDetail nav.right a').text(data.name.split('附近')[0]);
        J.Template.render("#afterSaleMonitoringDetailDiv", "afterSaleMonitoringDetail_template", data.list, "replace");
    }, function(data){
        if(data.message){
            J.showToast(data.message);
        }else{
            J.showToast('接口异常');
        }
    });
}
